Introduction

 Top Next

Thank you for choosing IDimager.

IDimager, the Digital Image Manager, is a tool for Windows-based computers that helps you to get more value from your digital camera. With IDimager you can catalog photos, organize photo collections, import photos, describe photos, edit and manipulate photos, publish to the web, archive, slide shows, and a whole lot more.

IDimager has a broad set of integrated capabilities, making it easy and fun to manage your photos. For example, IDimager can:

· Import photos from many different sources including digital cameras, scanners, hard drives, CDs, DVDs, and video/web cameras.
· Organize photos into portfolios, galleries, collections, and an unlimited number of sub collections.
· Catalog your photos in a hierarchical label structure.
· View or edit descriptive information (metadata) in your images.
· Edit your photos with available effects like brightness/contrast, red eye reduction, sepia, color corrections, frames, auto-levels, sharpening, saturation, film grain, dynamic range increase, and more.
· Archive photos to (external) hard drive, or to CD or DVD with the integrated burner.
· Easily find photos in the catalog database or on your hard drive, even when dealing with a very large number of photos.
· Make online photo albums by publishing your photos using one of the many available predefined but fully customizable web-templates, and use the built-in FTP application to upload your pages to your own web space.
· Build full-screen slide show presentations with 150 possible transition effects and record your slide shows as AVI movie, animated GIF, or as a stand alone application (EXE).
· Send images via e-mail, optionally resizing the images before sending.
· Print images either individually or in a contact sheet, with the ability to add frames, titles, and other descriptive information.
· Perform file format conversions and enhanced batch processing functions.

IDimager supports standard data interchange formats such as XMP, IPTC, Exif, PTP, WIA, and CSS, as well as all of the most common photo file formats including JPG, GIF, BMP, TIFF, PNG, Photoshop, Paint Shop, DNG, and vendor-specific RAW formats. The easy-to-use interface makes IDimager suitable for home photographers, serious amateurs, and professionals alike.

http://www.idimager.com


Basic Features

 Top Previous Next

This chapter describes the basic features for working with IDimager.


Getting started with IDimager

After you have run the installation procedure, you can start IDimager by either:

(1) double-clicking on the desktop icon, or

(2) selecting the application from the Windows Start Menu.

If you use IDimager Professional Edition, then the application is password protected. The login dialog differs between IDimager Pro Desktop and IDimager Pro SQLServer. However, in both cases you will only need to enter the password into the login dialog.

The default password to access IDimager is

master2004

Enter this password and click <OK> to enter the application. Should you then wish to change your password, select Help -> Change password from the main menu. IDimager Pro also allows you to bypass the login dialog completely by specifying the login dialog input fields as command line arguments.

After you have successfully started IDimager, you enter IDimager's main application window.

The application is divided into three areas.

The top area displays the application's main menu, as well as the main toolbar that integrates the Quick Meta Search Bar feature.

Below the toolbar you find the the Explorer Bar at the far left of the screen (the vertical icons list) which gives access to the main panels of the application. The Catalog Explorer is open which you can recognize by the highlighted spider web icon in the Explorer Bar.

Finally, to the right of the Explorer Bar and Explorers is the Collection Viewer. This is the area where IDimager will display its thumbnails. The Collection Viewer is the place holder for your images.

If you are not familiar with IDimager then the IDimager Information Center is a good starting point for learning the application. You can open the Information Center by clicking on the Information Center button located at the far lower right corner (as illustrated below). You can also access the Information Center by clicking the Help button in the main toolbar.


Using the Panels System

The first thing to learn about the user interface is the Explorer Bar. You can find it as a vertical bar at the far left-hand side of the main window. The Explorer Bar allows you to display (open) or hide (close) different panels in the application, with each type of panel represented by an icon tab in the bar. To open a panel, just click once on the icon. To close a panel, either select a different icon or click on the active icon again. Each of the icons will display their name when you hover (by pausing the mouse) over the icon.

The entries in the Explorer Bar are:

Catalog Explorer The Catalog Explorer is the spider's web in IDimager. It allows you to browse images stored in the catalog database in a tree-styled manner

Media Explorer The Media Explorer allows you to directly browse through the file system for your images

Image Details By opening this panel you will be able to edit the details/metadata of the selected images

Preview The Preview panel shows a preview image (small sized image) of the currently selected image

Collection Details This panel shows more information about the currently active collection

Calendar This panel displays a calendar, and a preview will be shown if there were images taken on that day. You can also use the calendar to find all images on a given date or within a range of dates

Exif Info This panel displays, for the selected image, the technical information such as the date and time the picture was taken, the shutter speed, the aperture opening, etc. (the so called Exif information). For more information about Exif, see http://en.wikipedia.org/wiki/EXIF

Histogram This panel displays the histogram of the selected image. A histogram displays how the color intensities in the image are distributed, allowing you to more accurately edit the image. For more info about histograms, seehttp://en.wikipedia.org/wiki/Histogram

Versions This panel contains all images that are defined as versions of the selected image. A version will typically be an image that is derived from another image; e.g. an edited image

Script panel This panel can be populated with an IDimager script. It will show you the active script content and is intended to offer you a flexible panel that can be populated with info not standard available in IDimager.

By default IDimager is configured to close any existing open panels when you open a new panel. However, by holding down the [Ctrl] key while clicking on an Explorer Bar icon, IDimager will keep the existing panel(s) open when opening a new panel. In this way you can have multiple panels opened at the same time, allowing you to work with several main features of the program simultaneously.

IDimager also provides you several ways to change the Explorer Bar behavior. For example, IDimager can be configured so that clicking on an Explorer Bar icon will work exactly the opposite to the default behavior, i.e. clicking on an Explorer Bar icon will open the panel and add it to any existing open panels, while [Ctrl] + Click will open the panel but close any existing open panels. To configure this behavior, de-select the options setting in the options dialog ("Tools | Options | General | Advanced | When opening a panel from the left Explorer Bar then all opened panels should close").

The Tools | Options | General tab contains two other relevant options for controlling the Explorer Bar behavior: "Clean panel opening", and "Hide floating panels".

"Clean panel opening" is a setting that allows you to keep panels on the left side at a pre-fixed width. This makes switching panels more "eye-friendly", since the display will not shift when you change panels.

"Hide floating panels"; Floating Panels are panels that you drag out of the application by dragging their caption. When a panel is floating and you switch away to another application then IDimager will keep the floating panel visible. By selecting this option you can tell IDimager that you'd like to hide those floating panels when IDimager is not the active application.

Floating and docking panels

Each panel can be dragged “out” of the Explorer Bar. Once dragged out, the panel becomes “floated”. To float a panel, click the panel's caption bar (its header or title bar) and drag it to a different on-screen position. If you use a dual monitor system, IDimager will also allow you to drag panels to a second monitor. Floated panels can remain floating while the application is running, and IDimager will remember and restore their on-screen positions when you restart the application.

A panel can be docked in IDimager in four different positions: the far-left, the far-right, the top, and the bottom of the screen. To dock a panel to a new location, just click the panel's caption bar, drag it to any of these screen locations, and then release the mouse. You can also drag several panels to the same dock area (left, right, top, bottom) to "stack" the panels. The panel stack order will correspond to the order in which the panels where dragged into the screen location. To remove a panel in its stack, just drag it to its new location and release the mouse. The screen sample below displays a stack of panels at the right side dock-area of the screen.

When more than one panel is stacked in a dock area, then each panel will display three icons in the upper right corner of the panel title. These buttons allow you to minimize the panel, maximize the panel, or close the panel. When a panel is minimized, the first button will change to the restore icon and clicking on that icon will reset the panel to its previous state.


The Main Explorers; Catalog and Media Explorer

The Main Explorers: Catalog and Media Explorer

The top two icons in the left Explorer Bar allow you to open the Catalog and the Media Explorers. The Catalog Explorer is represented by the "spider web" icon, and the Media Explorer is identified by the "folder" icon.

To open one of the explorers, click the corresponding icon tab from the left Explorer Bar, and the selected explorer panel will open. As you start navigating through the opened explorer, IDimager will show the relevant images in a collection at the right side of the screen. Images are presented as thumbnails (small versions of an image) in collections. This thumbnail area is called the “Collection Viewer”. The Collection Viewer enables you to select images and offers entries to many features that relate to collections or selected images.

The Catalog Explorer presents you with a tree-like explorer that allows you to navigate through your catalog database. The Explorer displays multiple top entries which are called "branches".

Each branch allows you to explore the catalog database from different perspectives.

Note: Some of the branches described are available in the professional edition only.

Quick Labels

This branch contains a list of all catalog labels that you have marked as "frequently used label" (quick label)

Last Assigned Labels

This branch contains a list with a configurable number of labels that you last used for your images. The number of labels in this branch is configurable in the options dialog (Tools -> Options -> Catalog). (Note: on a first IDimager run this branch may not be available.)

Catalog Labels

This branch contains the hierarchical list of catalog labels (tags) that you can assign to your images.

IDimager offers features to create and organize labels in a hierarchical structure, including the ability to group labels into categories or other label groups. A category is a top level organizing group and a label group is a “normal” tag that is divided into several other “normal” tags.

By assigning labels to your images you automatically create a virtual photo structure which is independent of any other (storage) structure.

By tagging your images with catalog labels, you can select a label in the Catalog Explorer, and all images for the selected label will be presented to you as a collection. If one image has multiple labels assigned to it, then that image will appear in the collection for each of these labels.

For example; a photo containing an image of your son Anthony and daughter Paris that was shot during your holiday in Australia can get labels “Anthony”, “Paris”, “Holiday” and “Australia”. TheWhen browsing through the catalog labels "Anthony" you see this image, but it is also contained in the collection that opens when selecting "Australia", etc. Note that the photo itself is stored only once on the hard drive (e.g. in the folder “Holiday to Australia 2007”, although the actual location on the hard drive does not matter).

Portfolios

This contains a list of your portfolios.

IDimager allows you to organize images into structures called Portfolios.

IDimager allows you to create an unlimited number of portfolios. Typically, you'll create portfolios for sets of photos that you want to keep together. For example, you might create a portfolio for all your website images and/or a portfolio to contain the selected photos for a particular shoot.

Each portfolio can be divided into galleries. Create galleries to make a more detailed grouping inside a portfolio. For example, in a portfolio named “Customer Projects” you could create galleries for each month+year: December 2006 or January 2007, or in your portfolio “Website” you could create a gallery for every main subject on your site; e.g. a gallery "Models", a gallery "Nature" and a gallery for "Architecture".

Each gallery can be further split into collections. Collections are the place holders for your photos. For example; Portfolio “Website” and Gallery “Models” gets collections “Wendy”, “Simone” and “Anna”. Each of these collections contains the photos.

In general, a collection is a group of images. Images that are added to a single portfolio collection can be physically stored in different folders on the hard drive. You can consider collections as “Logical Folders” or “Virtual Folders”, meaning that they act like folders, but are not limited by the structure of the file system. This makes it easy to collect all your best images of model “Wendy”, even if they are spread around the hard drive. There is no need to replace the images on the hard drive, and you can even add the same image to several collections.

One of the main benefits of collections is that you can perform collective actions on them, such as publishing to a website, batch processing, making a slide show or any of the other available collective features.

Stored Groups

Once you start working with IDimager, you'll see that you can easily build search queries that allow you to combine almost any entry in the Catalog Explorer., e.g. all images with a certain rating and a certain catalog label in a certain period. Such a query can then be stored as a single group referred to as a "stored group". The branch "Stored Groups" allows you to browse through these groups.

Ratings

With IDimager you can rate your photos on a scale from 0 to 5, and the Catalog Explorer allows you to browse through these ratings. In this way you can easily browse through all images that have a particular rating, e.g. a 4 star rating.

Color Labels

With IDimager you can optionally assign one of five different color labels to each of your photos. These color labels are for you to define and will typically allow you to differentiate image groups. For example, you could define the color label red as "bad images" and the color label blue as "ready for printing", etc. The most important thing, though, is to be consistent in what logic you use to assign color labels to images. Once assigned, the Catalog Explorer allows you to easily browse the images assigned to each of these color labels.

Metadata

[IDimager Pro Only] As you add images to your catalog the catalog also maintains your metadata (data and properties specific to your images, for example a photo headline or the lens aperture value (F-stop) when the image was recorded). This metadata can then be browsed by opening this branch. In this way you'll be able to quickly find all images with a specific F-stop or all images with a certain ISO value.

Version Place Holders

[IDimager Pro Only] As you start working with versioning, you'll see that IDimager allows you to define version place holders. These are slots in the version set which allow you to quickly access versions with particular properties. For instance when you'd like to identify the version to be used for printing, then you can assign that version to the "print placeholder". In the Catalog Explorer you'll be able to quickly browse through all your placeholders and view all print versions. By default, IDimager defines version placeholders for album display, web display, slide show display, e-mail and printing.

File Types

Every image will be of a specific file type. Generally the file type is determined by the file's extension. A typical file type will be "JPG" or "CR2" or "NEF". This branch allows you to browse through all your images of a certain file type, e.g. all JPG images or all DNG images.

Catalog Folders

As images are added to your catalog, IDimager will record in its catalog database where these images are physically located on the file system. This allows you to browse through the folder structure of a certain CD/DVD, even if that CD/DVD is not inserted in the drive, or to browse images stored on a disconnected. (Alternatively, you can also browse through the file system with the Media Explorer.)

Timeline

[IDimager Pro Only] The timeline offers a tree that allows you to browse your images by the date the photo was taken (generally this is the Exif original photo date recorded by the camera). The tree is structured on Year->Month->Day. So, for example, clicking on a particular day will display all images taken on that day.

The Catalog Explorer is storage independent, meaning that it won't force you into a dedicated storage structure on your hard drive. If you already use an organized folder structure, then you can just leave all the images where they are and catalog from there.

The Media Explorer can best be compared to the Windows Explorer (as available in the Windows operating system). By navigating through a tree of drives and folders, you can explore the images that are stored in each folder.

The images in the Media Explorer are presented in collections in the Collection Viewer, and they represent the image content of the folders on the file system. However, you have the benefit that IDimager offers for collections, like batch processing features, drag/drop features, publishing, slide shows, e-mailing and everything else.

To select a thumbnail in the Collection Viewer, click it once with your left mouse button; the selected thumbnail will then be highlighted. You can select several images by holding the [Ctrl] key on your keyboard down and then clicking on each one of the thumbnails that you want to select. To select a series of images by clicking the first image, then hold down [Shift] and then select the last image in the series.

To open a full version of the image, double click the thumbnail with the left mouse button. The full image will then be opened in the “Image Editor/Viewer”.


Working with the Explorers

IDimager contains two main explorers for browsing your images: the Catalog Explorer, and the Media Explorer. The Catalog Explorer is intended for browsing through your catalog database, while the Media Explorer is used for browsing the file system.

This chapter will describe the basics for working with each of these explorers.


The Catalog Explorer; A quick start

The Catalog Explorer: A Quick Start

Use the Catalog Explorer to browse through the content of your database. As you import images into your catalog, these will become part of the database and IDimager will maintain references to them and also maintain data about your images. The Catalog Explorer then allows you to quickly browse through the images in many different ways and offers features to quickly find back the images you need. That is basically what cataloging images is about. This makes the Catalog Explorer the most important feature of the application and you will notice that once you add more images to the catalog this Explorer becomes more important for you.

That Catalog Explorer supports two modes:

- Browse mode

- Assignment mode.

The browse mode is intended to browse through your catalog. By selecting any entry in the Explorer, IDimager will find the images that belong to that entry. When you open the Catalog Explorer (by clicking the spider web icon in the left Explorer Bar) you'll see that the tree is organized in branches. The branches are the top entries in the Catalog Explorer.

The assignment mode will be discussed further in this document but for now it is important to know that in assignment mode, you will be able to assign catalog labels to your selected images.

Each branch allows you to explore the catalog database from different perspectives.

Last Used Labels

This branch is only displayed when you have pre-existing catalog labels, and it contains a list of labels that you last assigned/unassigned to/from images. (Note: on a first IDimager run this branch may not be available.)

Catalog Labels

This branch contains the hierarchical list of catalog labels (tags) that you can assign to your images.

IDimager offers features to create and organize labels in a hierarchical structure, including the ability to group labels into categories or other label groups. A category is a top level organizing group and a label group is a “normal” tag that is divided into several other “normal” tags.

By assigning labels to your images you automatically create a virtual photo structure which is independent of any other (storage) structure.

By tagging your images with catalog labels, you can select a label in the Catalog Explorer, and all images for the selected label will be presented to you as a collection. If one image has multiple labels assigned to it, then that image will appear in the collection for each of these labels.

For example; a photo containing an image of your son Anthony and daughter Paris that was shot during your holiday in Australia can get labels “Anthony”, “Paris”, “Holiday” and “Australia”. TheWhen browsing through the catalog labels "Anthony" you see this image, but it is also contained in the collection that opens when selecting "Australia", etc. Note that the photo itself is stored only once on the hard drive (e.g. in the folder “Holiday to Australia 2007”, although the actual location on the hard drive does not matter).

Portfolios

This contains a list of your portfolios.

IDimager allows you to organize images into structures called Portfolios.

IDimager allows you to create an unlimited number of portfolios. Typically, you'll create portfolios for sets of photos that you want to keep together. For example, you might create a portfolio for all your website images and/or a portfolio to contain the selected photos for a particular shoot.

Each portfolio can be divided into galleries. Create galleries to make a more detailed grouping inside a portfolio. For example, in a portfolio named “Customer Projects” you could create galleries for each month+year: December 2006 or January 2007, or in your portfolio “Website” you could create a gallery for every main subject on your site; e.g. a gallery "Models", a gallery "Nature" and a gallery for "Architecture".

Each gallery can be further split into collections. Collections are the place holders for your photos. For example; Portfolio “Website” and Gallery “Models” gets collections “Wendy”, “Simone” and “Anna”. Each of these collections contains the photos.

In general, a collection is a group of images. Images that are added to a single portfolio collection can be physically stored in different folders on the hard drive. You can consider collections as “Logical Folders” or “Virtual Folders”, meaning that they act like folders, but are not limited by the structure of the file system. This makes it easy to collect all your best images of model “Wendy”, even if they are spread around the hard drive. There is no need to replace the images on the hard drive, and you can even add the same image to several collections.

One of the main benefits of collections is that you can perform collective actions on them, such as publishing to a website, batch processing, making a slide show or any of the other available collective features.

Stored Groups

Once you start working with IDimager, you'll see that you can easily build search queries that allow you to combine almost any entry in the Catalog Explorer., e.g. all images with a certain rating and a certain catalog label in a certain period. Such a query can then be stored as a single group referred to as a "stored group". The branch "Stored Groups" allows you to browse through these groups.

Ratings

With IDimager you can rate your photos on a scale from 0 to 5, and the Catalog Explorer allows you to browse through these ratings. In this way you can easily browse through all images that have a particular rating, e.g. a 4 star rating.

Color Labels

With IDimager you can optionally assign one of five different color labels to each of your photos. These color labels are for you to define and will typically allow you to differentiate image groups. For example, you could define the color label red as "bad images" and the color label blue as "ready for printing", etc. The most important thing, though, is to be consistent in what logic you use to assign color labels to images. Once assigned, the Catalog Explorer allows you to easily browse the images assigned to each of these color labels.

Metadata

As you add images to your catalog the catalog also maintains your metadata (data and properties specific to your images, for example a photo headline or the lens aperture value (F-stop) when the image was recorded). This metadata can then be browsed by opening this branch. In this way you'll be able to quickly find all images with a specific F-stop or all images with a certain ISO value.

Version Place Holders

As you start working with versioning, you'll see that IDimager allows you to define version place holders. These are slots in the version set which allow you to quickly access versions with particular properties. For instance when you'd like to identify the version to be used for printing, then you can assign that version to the "print placeholder". In the Catalog Explorer you'll be able to quickly browse through all your placeholders and view all print versions. By default, IDimager defines version placeholders for album display, web display, slide show display, e-mail and printing.

File Types

Every image will be of a specific file type. Generally the file type is determined by the file's extension. A typical file type will be "JPG" or "CR2" or "NEF". This branch allows you to browse through all your images of a certain file type, e.g. all JPG images or all DNG images.

Catalog Folders

As images are added to your catalog, IDimager will record in its catalog database where these images are physically located on the file system. This allows you to browse through the folder structure of a certain CD/DVD, even if that CD/DVD is not inserted in the drive, or to browse images stored on a disconnected. (Alternatively, you can also browse through the file system with the Media Explorer.)

Timeline

The timeline offers a tree that allows you to browse your images by the date the photo was taken (generally this is the Exif original photo date recorded by the camera). The tree is structured on Year->Month->Day. So, for example, clicking on a particular day will display all images taken on that day.

The Catalog Explorer is storage independent, meaning that it won't force you into a dedicated storage structure on your hard drive. If you already use an organized folder structure, then can just leave all the images where they are and catalog from there.

By expanding a branch in the Catalog Explorer, the tree will expand and display what is beneath it. The content will depend on the branch that you open. The most important branch to start with is the Catalog Labels branch.

What are Catalog Labels?

A catalog label can be used to describe a unique property about an image, such as the person appearing in the image, the location of where the photo was taken, the style of the photo taken (portrait, landscape, action), etc. Each label name is simply a short hand description for a property, so for example, a a person appearing in an image will be represented by assigning to the image a label whose name is name of the person. These label names are what IDimager refers to as “catalog labels”, and you can consider them as tag labels that you stick on your images.

How to choose your Catalog Labels?

Choosing your catalog labels is very important, as it basically determine how accessible your catalog will be for *you*. Here are some hints for getting you started.

Use the Top Categories. IDimager is initially configured with predefined categories based on the W6 questions: Who does What, When, Where, With what and Why. If you are new to cataloging, it is recommended that you start by adding new labels to these top level containers.

Start small. Don’t try to catalog the entire world, but instead try to come up with a few initial terms that you find are typical for your kind of work. For example, if you are a snapshot photographer, then you may want to create labels with the names of your family members. On the other hand if you are a architectural photographer, you may create labels for types of objects, and if you are a bird photographer, then chances are high that you’d want catalog labels for several types of birds that you shoot. Begin with a small catalog structure and expand as you find you need new/more catalog labels.

Feel free to make changes. Don’t be afraid to make mistakes in your catalog labels. With IDimager it is very easy to add, remove or edit labels, as well as merge labels into other branches.

Organize hierarchically. Once you have determined your first level of catalog labels you can consider which of these labels need to be divided into sub-labels. Only divide labels into sub labels if you think that adds value/detail to your catalog. As you start dividing your catalog labels into sub-labels and maybe these sub labels also into sub labels, you are in fact creating a hierarchical structure of catalog labels. This hierarchy structure eventually will form the base organization structure for your images.

Workgroups: if you work in a workgroup, try to achieve consensus in the group about how the catalog labels will be organized.

How to create the Catalog Labels

In IDimager the hierarchical structure is displayed in the Catalog Explorer branch “Catalog Labels”. To access the Catalog Explorer if it is hidden, click on the “spider web” icon inside the far-left Explorer bar. Then within the Catalog Explorer, double click on the Catalog Labels branch to open it.

For your convenience, IDimager predefines a number of top categories that serve as catalog label containers. The top categories can be renamed or deleted, and you can also create any new top category that you may need.

To create your first catalog label you must first decide which of the categories is the best match for the catalog label you’d like to create. Left click on that top category and then press the [Insert] key on your keyboard (alternatively, right click on the top category to get a context menu, and then select "New Item"). This will open the details dialog where you can enter the name of the catalog label.

Let’s not get too confused yet with what the other input fields in this dialog are. For now, just enter the catalog label’s name and save the label. Voila… you have created your first catalog label! To create additional catalog labels, repeat this procedure (select category -> press [Insert] -> Name the label -> Click <OK>).

For example, suppose we wish to create a new catalog label "Beach" under the top category "Places". Select "Places", press [Insert].

Once the "Beach" label is created it will be displayed in its category.

A sub label under a catalog label is created in a very similar way. Simply select the catalog label and press [Insert] to create a new label. The new label (the "child label") will be placed under the selected catalog label (the "parent label").

Notice the number at the right of the "Beach" label. This number displays the number of assigned images for that catalog label. In our case that is zero because this is a new catalog label. So now we are ready to assign this catalog label to images.

Import your images

The chapter "Reading images to the Catalog" explains in more detail how you can import images to the catalog. For now we'll just do a quick import.

First click the Import button in the main toolbar.

Then point to a folder that contains some images. For now we'll just import the sample pictures that are deployed with IDImager. You can find these images in the sub folder "Sample Images" from the IDimager installation folder.

Leave the other settings as default and click the button <OK>

When finished, click <Yes> to display the imported images.

Hide the import progress dialog by clicking the icon in the upper right corner.

The keywords in the images are now translated to catalog labels.

Catalog labels are not exactly the same as metadata keywords. IDimager separated these two because metadata keywords are simple flat lists (no hierarchy), meaning you'd be quite limited in organizing keywords and keywording capabilities. Catalog labels are more flexible and the good part is that IDimager can keep catalog labels and metadata keywords in sync. I highly recommend that you use catalog labels for keywording and don't use direct keyword editing in the image details which you may be used to from other image management applications.

By assigning catalog labels to your images you are in fact adding keywords, but while a keywords is only a "string" without additional intelligence, catalog labels are more. For instance you can tell IDimager to keep a catalog label private and in that case the catalog is *not* written to the keywords while you have it available in your catalog. This way you will be able to search on it while at the same time you are guaranteed that this info is not sent out to your customers. Another feature in IDimager allows you to "map" a keyword to an image detail field. For instance you have a catalog label called "San Francisco" then you are able to map this catalog label to the City field on the Image Content tab of the Image Details ([Alt]+[Enter]). Another extra is that for each catalog label you can tell IDimager that when you assign a label that it should also assign all the parent catalog labels. For instance; you have a label hierarchy "Places -> USA -> California -> San Francisco". Then when you assign the label "San Francisco", IDimager will automatically assign "California" and "USA"... and if these parents are also mapped to fields these will also be filled on syncing the image. One more thing; you can also assign a GEO location to a catalog label. Then when you sync the image, IDimager will automatically GEO tag the image. For instance; you have a catalog label "Statue of Liberty". This is a "fixed place" and so you could add a GEO location to it. Then as you assign the label your images is also GEO tagged.

Tip!

If you want to see all images that are assigned to labels then you can click the orange dot icon in the counts area located at the right of the top category or label name.

Assigning catalog labels

Now that we have some catalog labels created in the catalog, you can assign these labels to your images. To do so, first click on a catalog label in the Catalog Explorer or on a folder name in the Media Explorer. This will display the thumbnails for that collection inside the Collection Viewer, which is the part of the main application window.

As the thumbnails are displayed, select one or more thumbs and press [F6] to switch the Catalog Explorer to assignment mode. For this example, we open the Media Explorer and then navigate to the sample images as provided with IDimager. Select the images that relate to the beach and then press [F6] to open the Catalog Explorer.

Notice that the Catalog Explorer is opened in assignment mode. You can recognize when the Catalog Explorer is in assignment mode by the orange "Catalog Assignments" caption bar and the highlighted assignment mode button, and also because the Catalog Explorer displays an orange bar above the catalog branches with the number of selected images.

In assignment mode, each label gets an additional "assignment box" in from of the label's name. Click on this assignment box to assign the catalog label "Beach" to the selected images.

Notice that the assignment box is now "checked" and the number of assigned images (the right number) displays 3.

Basically that's it: select the image, press [F6], lookup the label, and assign the label

There are other way to assign images to a catalog label. For example, you could use drag and drop to drag the selected images to the catalog label. Then when dropped, the dropped images are instantly assigned to the targeted catalog label. Alternatively, you can use the quick assign icon on each thumbnail (= Ctrl+F6) to bring up a pop-up menu of labels.

For the most part, the Catalog Explorer behaves similarly whether or not it is in assignment mode. For example, you can still create new catalog labels in assignment by selecting the category or catalog label and press [Insert].

Further Information

The Catalog Explorer is a very powerful tool for managing your images. You can find more information about the Catalog Explorer and cataloging techniques in the chapter “Cataloging and Versioning”.


The Media Explorer

The Media Explorer can best be compared to the Windows Explorer. A tree of drives and folders are displayed, and you can open a drive or folder by selecting/highlighting the item in the tree. The highest level of the tree is the “Desktop”, and below that you can find the main levels like “My Computer”, “My Documents”, “My Network Places”, etc. As in Windows, you can open the main level “My Computer” to get access to your drives. Hard drives and CD-drives are generally referred to as “storage media"--hence the namer Media Explorer.

It is good practice to organize your images in folders and sub-folders on your drives. Although this is not required (as IDimager will keep references to the location of your images in the database), such an organization offers you another convenient way to locate or process sets of images within IDimager, and it also makes it easier to find your photos within other applications.

A common way of organizing images on a drive is to create sub folders based on the date information of the photos. For some ideas on how to set up your own organizational scheme, a useful reference ishttp://www.impulseadventure.com/photo/flow-name-folder.html.

You open the Media Explorer by clicking on the folder icon in the far-left Explorer Bar (the second icon from the top). Once open, the Media Explorer shows the folder structure of each installed drive on your computer system.

As you select a folder in the Media Explorer, IDimager will display the content of that folder in the Collection Viewer. That is the right part of the screen and it displays the thumbnails.

The Collection Viewer contains image thumbnails as well as folder thumbnails. The folder thumbnails are recognizable by the folder icon that is displayed on the thumbnail. By double clicking on a folder thumbnail in the Collection Viewer, you can "open" that folder to display the images and sub folders contained within that folder.

You can change folders by clicking on a node in the Media Explorer's folder tree structure. Another way to change folders is to type the folder name in the Active Folders area above the tree, and then press Enter or click on the green arrow icon to switch to the entered folder.

Changing the Root folder

If your images are currently organized in a single folder with sub folders below, then it is recommended that you use the Media Explorer only on this folder. This can be achieved by setting the root folder. The root folder is a folder that should be used as the top level folder in the Media Explorer. The default setting is that the Desktop and all drives are displayed in the Media Explorer. But by setting a custom root folder, you eliminate all overhead related to tracking other folders in the filesystem, and it is easier to focus on your images in the Media Explorer display. The root folder can be switched on/off easily by right clicking on any folder or drive in the tree.

Once you change the top/root level folder, the tree is refreshed to only display this folder and sub folders. To (temporarily) switch back to full explorer mode, just repeat the same procedure as above. Right click on your custom root folder, and deselect the marked "Make this folder the Root". The root can also be changed in the options dialog, "General | Advanced".

The options dialog also allows you to specify the preferred startup folder. This is the folder that you'd like to select by default after IDimager starts up. If you keep this setting empty, then IDimager will start in the last visited folder.

You can also specify if you'd like to see the "Up" folder thumbnail in the Collection Viewer for collections from the Media Explorer. When this option is enabled, you can click on the Up folder to display images in the parent folder that contains the current folder.

Bookmarking folders

You can bookmark regularly visited folders, making it very simple to switch between commonly used folders in the Media Explorer. Bookmarked folders are also displayed in the Send To command (invoked by right clicking on a thumbnail in the Collection Viewer); this command is used for copying images to a specified folder.

To bookmark a folder, right click on it and the select "Add this folder to your favorites"

Bookmarked folders are recognizable in the Media Explorer by the star icon that is painted on the folder icon.

Another way to bookmark a folder, is to go to the Folders box, located in the upper area of the Media Explorer.

To bookmark a folder, click on the star icon behind the active folder. A menu will open up and you can select the entry “Add this folder to your favorites”. Once a folder is bookmarked you can use it to quickly re-open the folder.

Click the drop down arrow behind the active folder field and select your bookmarked folder from the list. Bookmarked folders are recognizable by a star icon that is displayed in front of the folder’s name.

To maintain your existing bookmarks, again click the star icon, and select the entry: “Manage favorites”. This will open up a new dialog that displays all existing bookmarks.

To remove a bookmark, select the bookmarked folder name, and then click the delete button in the toolbar (the red cross). You can also manually enter new bookmarks in the Bookmark Editor by clicking on the new button in the toolbar (the yellow folder with the blue dot).

Folder Marking

This is an IDimager Pro only feature

Folder marking is a way to associate a specific status with a specific folder. For example, you can mark a folder red to denote high priority images, or you can mark a folder blue to remind yourself that you still have to assign catalog labels to the images in the folder.

Folders can be marked with one of five available colors: Red, Yellow, Green, Blue, and Purple. Associated with each color is a defined name; the default assignments are:

Red = High Prio

Yellow = Low Prio

Green = Work planned

Blue = Work in progress

Purple = Round-up

These state names are customizable in the options dialog by selecting "Tools -> Options -> Other Settings -> Folder State Definitions".

To mark a folder, right click on the folder name in the Media Explorer. Then open the sub menu item "Mark Folder" and select the mark that you'd like to assign to the folder:

Once you mark a folder, the color is added to the folder icon in the Explorer so that you can easily identify a folder's marking.

Marked folder are also included in the drop down list of the active folders.

Folder Selections

In front of every folder in the Media Explorer you'll see a tick box which you can click. When you click the box, the folder is selected. After ticking one or more folders in the Media Explorer, you can click the green run button in the ME's mini toolbar to get a collection of all the checked folders, including all sub folders.

This way it is easy to join several folder on screen to get a complete joined overview of all these folders.

A double green check mark indicates that the folder will be read including its sub folders. A single check mark indicates that the folder will be read without its sub folders.


The Collection Viewer

When you use either the Catalog Explorer or Media Explorer to navigate through your images, or when you perform a search, the right area of the screen shows the thumbnails for your images. This thumbnail area is called the Collection Viewer.

Every thumbnail represents a small version of your original images. While there are many options available for you to customize the appearance of thumbnails to your personal preference, the default thumbnail image has the following components:

1

The small representation of the original image

2

The image caption

This is the name of the photo. By default this will display the image’s file name. In the Options dialog (Tools -> Options -> Thumbs (2) -> Thumbnail Caption Shows) you can select whether the file name or no caption should be displayed here.

3

The image’s original recorded date

By default this is the date the image was first recorded. This date will be read from the Exif. If there is no Exif available for the image, the image file’s last modified date will be used instead.

4

The image’s context menu

This context menu can also be opened by right clicking the image. It contains the most important operations that can be performed on the selected image or a selection of images.

5

The describing indicator

Click this icon (or press [Alt]+[Enter]) to open the Image Details panel for this image or the set of selected thumbnails. From the Image Details panel you can enter or alter the meta information (XMP/IPTC) for the image. IDimager fully supports the XMP standard, and after entering metadata in IDimager, it will be stored using the XMP format, and the XMP metadata will automatically be migrated to IPTC and Exif where applicable.

6

Catalog indicator

By clicking this icon (or by pressing [F6]), you will open the Catalog Assignment tree for this thumbnail or the set of selected thumbnails. If you also show catalog information on your thumbs, this icon is one of two cube colors (orange or green), and it can also be enclosed within a dotted circle. In other words there are four states: orange, green, orange with dotted circle, or green with dotted circle.

An orange cube (with or without a dotted circle) denotes that the image is "out-of-sync", which means that the database information is not the same as the metadata information stored in the image's file. A green cube (with or without a dotted circle) denotes that the image is "in-sync", which means that catalog data and file metadata should match.

The dotted circle denotes whether or not the image has assigned catalog labels. If the catalog indicator has a dotted circle, this indicates that the image has one or more catalog labels assigned to it.

7

Preview indicator

By clicking this icon (or by pressing [F3]), you can open a larger preview of the image, including a "100% window" that displays a full-sized magnified view for the area you hover the mouse over. This allows you to get a good impression of the image’s quality very quickly, even without opening the full version of the image.

8

Version indicator

By clicking this icon (or by pressing [F7]), IDimager will open this image’s version bar. The version bar allows you to quickly see what other versions you have defined for this image.

9

Online indicator

This indicator is either green, red, or blue. Green means that this image is accessible, red means that the image is not accessible (e.g. an image stored on CD/DVD but the CD/DVD is not in the drive), and blue means that the image should be accessible but is not found on the file system (e.g. because the file has been moved or deleted). You can not click this icon.

10

Star/Rating indicator

Below the thumb image you see the rating bar, displayed with stars to represent your image's active rating/score. Ratings are defined on a 0 to 5 scale. The rating indicator displays large and filled star icons to visualize the existing rating. The small dotted icons are unassigned rating positions. Clicking any of the stars or dots will allow you to change the rating. A popup menu will appear that asks you what rating to apply. IDimager uses a popup menu to prevent accidental clicks changing your ratings. However, you can hold down the Alt-key and then click on a star or dot to instantly change the rating, e.g. hold down Alt and click the 4th dot to give that image a 4-star rating.

Ratings also have direct keyboard shortcuts: [0] = no rating, [1] = 1 star rating, [2] = 2 star rating ... [5] = 5 star rating.

Ratings can be applied on individual thumbnails or for a series of selected thumbnails.

11

Color Label Indicator

The background area of the ratings bar displays the "Color Label". Color labels are essentially markers that you can assign to images. The meaning of each color is up to you to define (Tools -> Options -> Other Settings). Typically you use color labels to keep track of images with a certain condition. Examples are Yellow = Customer Pick, Purple = Printed, Red = Trash, etc.. The different color labels are: none, red, yellow, green, blue and purple.

You can change the label by clicking the bar behind the rating stars/dots. A popup menu appears and allows you to select the color label you'd like to assign. Color labels also have direct keyboard shortcuts: [Ctrl]+[0] = no color, [Ctrl]+[1] = Red, [Ctrl]+[2] = Yellow, [Ctrl]+[3] = Green, [Ctrl]+[4] = Blue, [Ctrl]+[5] = Purple.

Color labels can be applied on individual thumbnails or for a series of selected thumbnails.

12

Quick Assign indicator

By clicking the quick assign icon (or pressing [Ctrl]+[F6]) in the upper right corner of the thumbnail, the quick catalog menu will open. This menu contains all label assignments for the currently selected images, the quick labels, the last used labels, and the catalog label hierarchy. Other menu items include maintenance options like copy/paste, synchronizing catalog information with metadata information in the image file.

In the quick assign menu the catalog labels have selection boxes in front of each label. When that catalog label is assigned to the selected thumb or to all selected thumbnails, there will be a blue check mark in the selection box. When multiple thumbnails are selected and one or more thumbnails have that label assigned, but not all, then the selection box will be orange.

You can select a catalog label to instantly change the label assignment for the selected image(s), and you can Ctrl+Click on a orange selection box to force a full assignment and change its color to blue

13

Speaker indicator

This icon will only be shown when there is a related sound recording available for this image.

14

Bookmark indicator

This frame indicates that the current thumbnail is bookmarked. An image can be bookmarked with the keyboard shortcut [Ctrl]+[Space].

15

Read-Only indicator

This icon is displayed when the associated image file is read-only. You can not click this icon.

The Collection Viewer provides you with direct access to the images. By double clicking on a thumbnail or by pressing Enter, the image will be opened in either the Image Editor/Viewer (described in the next chapter) or the Full Screen Viewer. This preference can be defined in the options dialog (Tools | Options | Image Viewing | Images are opened in). The Image Viewer is described in a next chapter.

You can also open the selected image in the default application in Windows by pressing [Ctrl]+[Enter].

The Collection Viewer has its own menu inside the application’s main menu called “Collection”. This menu always relates to the active collection currently displayed in the Collection Viewer, and allows you to perform a range of actions on the active collection.

The Collection Viewer also allows you to do group-wise processing (also known as batch processing; so multiple images together). By selecting one or more thumbs and then right clicking on one of the selected thumbnails, most actions inside the context menu will act for every selected thumbnail; e.g. describe image properties, rename images, redate, rotate images, etc.

If needed you can always update a selection of thumbnails manually by pressing [F8].

Tip!

Sometimes it is convenient to see just thumbnail images without any other information. By pressing [Ctrl]+[Shift]+[Alt]+[C] you can toggle IDimager to display clean thumbnails or full info thumbnails.


Navigation and selecting/deselecting images

The “active" thumbnail is indicated with a highlighted outer border. You can change the active thumbnail by either:

a. clicking on another thumbnail, or

b. using the keyboard’s cursor keys (arrows).

[Up] will select the thumbnail above the active one, [Right] will select the thumbnail positioned at the right, etc. By selecting a different active thumbnail it becomes highlighted, including the highlighted border. Please take note that the keyboard keys may not work when the Collection Viewer is not selected. In that case click anywhere inside the Collection Viewer first.

The following keyboard keys can be used to select thumbnails:

Left] | Jump to the thumbnail left of the active thumbnail; if possible
[Right] | Jump to the thumbnail right of the active thumbnail; if possible
[Up] | Jump to the thumbnail above the active thumbnail; if possible
[Down] | Jump to the thumbnail below the active thumbnail; if possible
[PgDn] | Jump to the thumbnail one page below the active thumbnail
[PgUp] | Jump to the thumbnail one page above the active thumbnail
[End] | Jump to the last thumbnail
[Home] | Jump to the first thumbnail

A thumbnail can be selected by clicking on it with the left mouse button, and you can change the selection by clicking on another thumbnail. If you want to select two thumbnails, click the first thumb and while holding down the [Ctrl] key, click the second thumb. As long as you keep holding the [Ctrl] key down, every clicked thumb will be added to the selection.

You can also select a range of thumbnails, for example the first through the fifth thumbnail. In that case you click the first thumbnail, and then while holding the [Shift] key down, click the fifth thumbnail. All thumbnails in between will be added to the selection.

To select all thumbnails you can press the keyboard combination [Ctrl]+[A].

If you need to remove one or more thumbnail from your selection then again hold down the [Ctrl] key and click the selected thumbs that need to be removed. The same applies for the [Shift] key that allows you to exclude a range/series of selected thumbnails.

In some cases it may be required for you to invert your selection, meaning all selected thumbs will be de-selected and all de-selected thumbs will be selected. To invert your selection choose “Edit | Invert Selection” from the application’s main menu or press [Ctrl]+[Shift]+[I].


Scaling the thumbnails

The Collection Viewer displays thumbnails, and at the top of the Collection Viewer you can find the thumb scale slider. The thumbs can be scaled from 20% to 100% by default.

However, if you are using IDimager Professional Edition, then you can specify that you want to work with "stored previews". When stored previews are enabled in the options, IDimager-Pro will create down-sized versions of your images (but which are larger than your thumbnails) and store these previews in the catalog database along with your thumbnails. You can then use the thumb scale slider to scale from 20% to 300%. When scaling above 100%, IDimager will use the stored previews to create a sharp up-scaled thumbnail images.

By dragging the slider to the left or to the right, you can scale your thumbnails down or up.

Tip!

Scaling up thumbnails in IDimager Professional can be done by enabling the use of stored preview images. Enable the option "Tools | Options | General | Store previews in database" to build thumbnails and at the same time store small versions of your images in the catalog.

>> Stored Previews is only available in the Professional Edition

The advantage of using stored previews is that it can drastically speed up your work flow.

For example, the preview panel can display stored previews more quickly than full images,

which allows you to rate/color label your images faster by navigating through the thumbnails with the preview panel opened. Stored previews are also displayed in the Image Detail window ([Alt]+[Enter]), making it easier to describe your images.

Another advantage of using this option is that you can display sharper thumbnails when you "up-scale" the collection viewer to a value over 100%. In this case, IDimager will load the preview image to create a very sharp large thumbnail.

The downside of using stored previews is that the thumbnail building process will be slower, because the stored preview is generated at the same time as the thumbnail. Also, the stored previews do require extra disk storage.

When using IDimager Professional Edition, it is recommended to enable stored previews.

Predefined scale steps

You can also store predefined scale steps. To do this, right click on the thumb scale slider or click the little down arrow icon located at its right.

The menu that pops up allows you to quickly select a scale step and also allows you to customize the predefined steps. Click the last item "Customize..." and define your own preferred steps.


Sorting thumbnails

IDimager allows you to sort the displayed thumbnails in many ways. By default the explored collections are sorted by the image’s file name. In the options dialog | General you can define what your preferred default sort order should be.

To change the sort order for an opened collection you can select “View | Sort | any order” from the main menu. Another way to change the sort order is by right clicking at the background area of the Collection Viewer (not on a thumb) and then select “Sort | …” from the context menu. Finally there is the sort button above the thumbnail area in the Collection Viewer which can be clicked to change the order.

The possible sort orders are:

Sort by File Name | This will sort the collection by the file name (excl path name) of each image.
Sort by File Extension | This will sort the collection based on the extension of the files inside the collection.
Sort by File Date/Time | This will sort the collection by the file date/time as reported by the operating system.
Sort by Size | This will sort the collection by the size of the files
Sort by Image Dimensions | This will sort the collection based each image’s dimension (width by height; W x H)
Sort by Location | This will sort the collection based on the file path name of the images.
Sort by Photo Date/Time | This will sort the collection based on each image’s EXIF photo date/time value. If no EXIF date is available; the file's last modified date will be used.
Sort by Rating | This will sort the collection based on each image’s rating (0 to 5)
Sort by Color Label | This will sort the collection based on each image’s color label (red/yellow/green/…)
Sort by Cataloged (Y/N) | This will sort the collection by determining for each image if it is cataloged (labeled/tagged) or not.
Sort by XMP Sync (Y/N) | This will sort the collection based on available information that determines if the catalog information is in sync with the image’s meta information.
No Sorting | The collection will have no particular sort order.
Random Sort | The collection will be randomly sorted.
Sort Scripts (IDimager Pro only) | This contains a sub menu with all installed sort scripts. These are small custom applications that can be programmed to support any custom sort order required. By default IDimager comes with a few sort scripts.

Sorting the collection can be done ascending (small to large/low to high) or descending (large to small/high to low). By selecting a sort order, it will be sorted ascending. You can recognize the sort order by the arrow indicator on the sort button.

Ascending

Descending

To change the sort order, you can click the arrow indicator on the sort button or you can select the same sort order again.

You can also manually order your thumbnails by dragging them to a new place in the collection or by using the keyboard strokes for sorting. The next section will explain this is more detail.

Finally, while there are many predefined sorting options, IDimager-Professional also allows the use of Sort Scripts. These are small application scripts that specify how images should be sorted. By default a few sort scripts are deployed with IDimager, and you can access them by clicking the sort button and then selecting "Sort Scripts" from the drop-down menu.

Sort Scripts are intended to support more exotic sort orders that are not supported by default, and they may be very specific to your situation. Visit IDimager's support forum (http://forum.idimager.com) to find out if a specific script that you need is available as a sort script. With Sort Scripts, IDimager can provide nearly unlimited sorting options to support your workflow.


Sorting thumbnails by hand

As explained before, you can use the default predefined sort orders to change the sorting of a collection. In addition, IDimager Pro users can use Sort Scripts for more exotic sort orders. Sometimes, however, it is desirable to change the sort order manually. This can be achieved in two ways:

1. by dragging the thumbnail to its new position, or

2. by replacing the thumbnails using the keyboard.

Remark: Manual sort orders will only be persistent in the Catalog Portfolio Collections.

Using the Mouse

Select the thumbnail you want to replace by clicking it once. Now hold down the left mouse button, place the mouse over the thumbnail that is currently at the position you need the first one to be, and then release the mouse button. The initially selected thumbnail will be moved to the position of the thumbnail where the mouse was released, and all other thumbnails will shift either forwards or backwards to fill the missing gap. If you need to position a thumbnail outside of the visual area of the Collection Viewer, then drag it to the lower (or upper) area of the Collection Viewer so that the Collection Viewer is scrolled down (or up). Once you have found the new position, release the mouse over that thumbnail.

Using the Keyboard

You can also reposition thumbnails using your keyboard. Select the thumbnail that needs to be repositioned so it is selected. Now hold down the [Ctrl] key and press one of the cursor keys.

[Ctrl]+[Left] | Reposition the thumbnail to its left
[Ctrl]+ [Right] | Reposition the thumbnail to its right
[Ctrl]+ [Up] | Reposition the thumbnail to above
[Ctrl]+ [Down] | Reposition the thumbnail to below
[Ctrl]+ [PgDn] | Reposition the thumbnail to one page lower
[Ctrl]+ [PgUp] | Reposition the thumbnail to one page higher
[Ctrl]+ [End] | Reposition the thumbnail to the end
[Ctrl]+ [Home] | Reposition the thumbnail to the beginning


Filtering thumbnails

IDimager provides you with a mechanism to filter thumbnails with certain characteristics. A filter is a temporary additional condition which you can apply to a collection. By using filters you will be able to temporarily “hide” some of the thumbnails from the viewer.

The bar above the thumbnails contains the filter button. By clicking this button you can drop down the existing filtering options.

Select any of the filter conditions in the list by clicking it. The collection will instantly be filtered to show only the images that comply with the filter you have selected. The filter button (on top) will show which filter is active. Once a filter is applied, you can read in the Collection Viewer’s caption bar the number of images that comply with the filter and within brackets the total number of images in the collection (unfiltered).

To remove an applied filter, click the filter button and select "No Filter" or press [Esc]. You can also quickly re-apply the filter by selecting ... from the filter button or by pressing [Shift]+[Esc].

Inverted Filters

When you apply a filter, the filter button changes color to green with black text. That way you can easily recognize that a filter is active.

In the example above, a filter is applied to display all images with a rating. If you now need to see all images *without* a rating, then you can simply invert the filter. In that case click the filter button and then select "Invert Filter" or press [Ctrl]+[Shift]+[F5]. The text of the filter button changes to red to indicate that an inverted filter is active.

Combined Filters

So far we have seen how we can apply a single filter. But it is also possible to combine several filters together to get more advanced filtering options.

You can combine several filters and apply them to the same list. Click the Filter button and by selecting a second filter option, it is combined with the earlier selected filter and you then have two filters applied. The fact that you have multiple filters active is recognizable by the caption of the filter button which now reads “combi filter”. To remove one of the filter options again then simply select it again from the Filter button list. By holdng down the [Ctrl] key on the keyboard you will be able to build a combi filter quickly because the filter list will stay open. Selected filters are recognized by the check mark in front of the item in the list.

The filters are organized in different groups within the list: all ratings together, all color labels together, etc. When you combine multiple filters from within the same group, they will be interpreted as “OR” filters. For instance, if you select filter “Show 1 Star Rated Only” and combine this filter with “Show 5 Star Rated Only”, the resulting combi-filter will show all images with 1 OR 5 stars… it’s no use after all to present a filter with 1 AND 5 stars since this will exclude all images (an image can not have two different ratings simultaneously).

When you combine filters from several groups, these filters will be considered as “AND” filters. if you select filter “Show 1 Star Rated Only” and combine this filter with “Show Yellow Labeled Only”, the resulting combi-filter will show all images with 1 star AND yellow color label.

This way you can build combi filters that are very powerful; e.g “show all 1 or 2 star JPG files with a yellow label that are not cataloged”

As you can see in the screenshot, the filter drop down is organized in groups, each separated by a line. In a combination filter, the different groups are joined with "AND" style, meaning if you select 2, 3, 4 star rated and select Purple labeled, then that means "show all 2, 3, 4 star images and purple labeled". In addition you can also use Shift+Ctrl+select to use "OR" group joining. In that case you Ctrl+Shift+select 2, 3, 4 star rated and Ctrl+Shift+select Purple labeled and you'll get "show all 2, 3, 4 star images or purple labeled".

Filter Scripts

IDimager Professional also supports so-called "Filter Scripts". These are application scripts that are designed for the purpose of filtering a collection. By default some filter scripts are deployed with IDimager, and you can access them by clicking the filter button and then select "Filter Scripts" from the drop down menu. Filter scripts are intended to support more exotic filters that are not supported by default and may be very specific to your situation. Visit IDimager's support forum (http://forum.idimager.com ) to find out if a specific filter that you need is available.


The Collection Viewer’s view style

By default the images inside the Collection Viewer are represented by large thumbnails. However, supports three different view styles for displaying the images:

Thumbs | The Collection Viewer shows a thumbnail representation of the original image.
List | The Collection Viewer shows a list of small thumbnails, including its captions. This view allows many thumbnails to be displayed in the visual area of the Viewer.
Details | This view also shows small thumbnails, but there are additional columns that show more detailed information about the image.

To change the view style, select the preferred view style (View Thumbs, View List or View Details) from the main menu’s “View | …” menu:

The view style that is currently active can be recognized by a check mark in front of it.

Another way to change the view style is to right click at the background area of the Collection Viewer (not on a thumb) to open its context menu. There you can select “Toggle View”. This will toggle the view as follows:

Thumbs | List | Details

Examples of each view style:

1. Thumb Style:

2. List Style:

3. Detail Style


Rebuilding thumbnails

IDimager will try to keep the thumbnails up to date by identifying when the file date/time or size of the image has changed. However, it is possible for the thumbnails to become out of sync with the originals, for example by modifying the image file when IDimager is not running. If for whatever reason you feel the thumbnails are out of sync with the originals, you can rebuild all the thumbnails in a background process, or you can select a few thumbnails and rebuild only the selection.

Updating/rebuilding thumbnails can be done through the Collection menu or by clicking the thumb update button in the bar below the thumbs, at the right.

All thumbnails in a collection

Open your collection, if not opened already. Now press [Ctrl]+[T] or select "Update All Thumbs" from the Thumb Update menu to let IDimager rebuild the thumbnails in a background process. Every existing thumbnail will be recreated. Depending on the number of images inside the collection, it may take some time to complete this process.

Because the thumbs are built in a background process, you don’t have to wait for it to finish. However, it might be the case that you will experience hiccups while the application is building the thumbs; this is due to the file size and/or limited processor speed.

The thumb reader in IDimager is “intelligent”. To minimize user waiting time, the thumb reader will always try to first regenerate thumbnails appearing within the visible part of the screen. Also to maximize speed, the thumb builder will try to read Exif thumbnails if possible rather than down-sampling from the original image.

In IDimager Professional Edition you can also use stored previews (Tools | Options | General | store previews in database). If you have that option enabled then IDimager will not only update the thumbs, but the previews as well. Keep in mind that the processing of the stored previews slows the generation process down a bit.

You can follow the progress of the background thumb reader by the “queue” indicator in the lower right corner of the Collection Viewer.

The counter displayed will decrease and when it reaches zero, all thumbnails are processed.

If you want to cancel the background thumb reader, you can click the stop-sign icon.

Selective rebuilding

You can also refresh some of the thumbnails displayed inside the Collection Viewer by selecting one or more thumbs and then pressing [F8]. In this case the thumbs will be refreshed “the hard way”, meaning every image will be fully loaded in order to downsize it as a preview/thumbnail. The advantage of this method is that you can always be sure that the thumbnail reflects the original.


Remove images from a collection

You can remove one or more images from a collection by selecting the image thumbnails in the Collection Viewer, and then either pressing [Del] or right clicking on a selected thumbnail and selecting “Delete selected images” from the context menu. IDimager will then ask for a confirmation.

An important choice here is if you want to delete the original images from disk as well. By de-selecting this option you will not only delete the collection-image relationship, but also the image from disk. So please use it with caution. (Note: this option is always disabled when removing images from a Media Explorer collection. This is because collections in the Media Explorer display the contents of the physical folder, so removing an image from a Media Folder collection will also remove the image from the disk.)

By default, IDimager will delete images from disk and put them in the Windows Recycle Bin. That way you can always recover the deleted images or flush the Recycle Bin once you are sure you no longer need the image. You can disable this setting in the options dialog (Tools -> Options -> General -> Deleted images go to the Windows Recycle Bin), but it is recommended to keep this option switched on.

One caveat in this respect is that Windows does not send deleted images to the recycle bin when these images are stored on a network drive. When you access images from a network share, please be aware of this behaviour by Windows.


Copy, Cut and paste using the Collection Viewer

The Collection Viewer supports copy, cut and paste features using the Windows clipboard. This means that you can copy/cut images from any collection and paste them back in other collection(s). How the copy/cut/paste behaves may be slightly different for collections in the Media Explorer and Catalog Explorer. For instance, images that are cut from a collection in the Media Explorer and then pasted in a will be physically moved on the file system. On the other hand, when you paste to a collection derived from a catalog label in the Catalog Explorer, then IDimager will assign that catalog label to the image and paste it in the collection.

Images inside a collection can be exchanged between collections. This makes the copy/cut and paste features ideal to make quick changes to your collection or to fill collections based on images within other collections.

“Copy” is duplicating items using the Windows clipboard.

“Cut” is replacing/moving items using the Windows clipboard.

All copy, cut and paste options are also available as Drag and Drop features. Using Drag and Drop is actually recommended over copy/paste, because it is faster to process. When using Drag and Drop, use the following rule of thumb: when dropping a file while holding down the [Ctrl] key, the file is copied. But if you drag and drop without pressing the [Ctrl] key, the file is moved.


Copy, Cut and paste in Media collections

Copy and cut operations within collections of the Media Explorer (file system folders) will result in physical changes of the file system. By copying images, the original files will be duplicated. By cutting images, the files will be moved. As an example, the Media Explorer is opened and a folder containing images is selected. One or more thumbs are selected and copied to the clipboard. Now you switch to a new folder in the Media Explorer and paste the clipboard. The initially selected images are copied to the new folder. If the same process had been done with a cut instead of a copy command, than the original images would have been moved to the collection after the paste command was issued.

Open a folder in the Media Explorer and select the folder that contains the images that need to be copied or moved. Select the thumbnail of the relevant images. Now right click on a selected thumbnail and select “Copy and Paste” from the context menu. The sub menu allows you to select a copy or cut operation.

You can also select “Edit | Copy selected images” from the application’s main menu or press [Ctrl]+[C]. Now the references to the selected images are copied to the Windows clipboard. Keep in mind: only references are copied to the clipboard and not the images themselves (to copy an image you need to use the Image Viewer, which is described in the next chapter).

Now that the selected items are copied to the clipboard, you can paste the items into a different collection. Open the folder where you want to copy/move the images to and select “Edit | Paste” from the main menu or press [Ctrl]+[V]. The original images will be copied or moved, depending on whether you selected copy or cut. Copying or moving the original images will only be issued when pasting into a collection from the Media Explorer.


Copy, Cut and Paste between different explorers (mixed)

You can copy/cut and paste images from any collection in one explorer to any collection in another explorer. This makes it easy to exchange image references between the different explorers. For example, you can copy/paste images from the Media Explorer to the Catalog Explorer. Or you can copy/paste images from the Catalog Explorer to the Media Explorer.

Keep the following rules in mind when exchanging images between different explorers:

· Paste into the Media Explorer means that physical files will be pasted
· Paste into the Catalog Explorer means references are pasted, not files
· Cutting from the Media Explorer and pasting it to the Catalog Explorer will NOT physically replace the original file


Batch operations using the Collection Viewer

Although IDimager includes a powerful Batch Processor that can handle batch-wise operations in a flexible way, there are also some batch processing tasks available directly from the Collection Viewer. The word “batch” means that the operation will be applied to a series of images, which in this case is the series of thumbnails selected in the Collection Viewer. Batch operations are also available in the Batch Processor; this will be described in a later chapter.

Batch operations that can be used directly from the Collection Viewer are:

Rotate | All selected thumbnails (and corresponding original images) will be rotated 90 degrees left or right.
Resize | The image size (dimensions) for all selected images will be changed.
Rename original file names | The file names of the images will be changed.
(Re)date/change date | One or more date/time fields in each of the selected images will be changed. (You can change either the file date/times and/or the Exif date/times.)


Batch rotations

Using the batch rotate feature, you can rotate one or more images over an angle of either 90 degrees right (clockwise) or 90 degrees left (counter clockwise). When using the Collection Viewer’s rotation feature, all rotations are lossless. For JPEG files this means that there will be no quality loss due to recompression.

To rotate multiple images you simply select their thumbnails. While holding down the [Ctrl] key down you can click on any thumbnail to add it to the selection.

You can now press the "[" key to rotate left and the "]" key to rotate right. Another keyboard short cut is [Ctrl]+[L] for left and [Ctrl]+[R] for right.

Important; By default, IDimager is configured to use "Quick" rotation. This means that the original image's content is not actually rotated, but that only the orientation flag of the image is updated. Since IDimager is fully "orientation" aware, that will allow you to view your images in the correct position without the need to even "touch" the content of your image. If needed, however, you can switch off quick rotation in the options dialog by selecting Tools | Options | General | Use Quick Rotation.

When using Quick Rotation (the default), the metadata orientation flag is updated. IDimager normally stores metadata changes only to the database, so if you need this information in other tools as well, then synchronize your image by pressing [Ctrl]+[F12]. That will write the catalog information to the file, update the embedded XMP orientation flag and also update the Exif orientation flag as well as the Exif thumbnail.


Batch image resize

This feature allows you to resize the image by changing its image dimensions (width x height). It allows you to enlarge or downsize images, optionally using advanced interpolation (recalculation) techniques to achieve the highest quality possible.

To resize multiple images you need to select them first. Click on a thumbnail, and hold down the [Ctrl] key and click to select more images. After making your selection, select “Collection | Operations | Resize selected images” from the main menu.

The resize dialog will open. IDimager allows a so called “Proportional resize”. This resize method enables you to specify a size value for the longest side of the image. The shortest size will be calculated by the application. Proportional resizing is very handy when you need to resize landscape and portrait images combined. If you deselect the “Proportional resize” option you will be able to set a custom width and height value.

Optionally enter the resolution for the resulting images and select the units (pixels/inch or pixels/cm).

Now enter the size. The size can be specified in pixels, in inches, or centimeters. The number of pixels for the last two sizes will be calculated based on the resolution and size specified.

Use the Interpolation option to recalculate the pixels for downsizing or upsizing. Depending on the image’s content you may need to play with the different interpolation filters to see which filter works best for a particular image. As a rule of thumb, you can use Lanczos3 for downsizing and B-Spline for upsizing. Using an interpolation filter is optional and will slightly slow down the resize process.

The option “Enlarge images that are smaller” can be set to upscale images that are smaller than the size required for the resize. If de-selected, than smaller images will keep their original size.


Batch rename files

With this feature you can change the original file name for a series of selected images.

To rename multiple files at once you need to select them first. After you have selected your images, select “Collection | Operations | Rename Original Files”. You can also press the keyboard shortcut [Ctrl]+[F2].

You can use advanced renaming variables (macro commands) within the rename rule. You can select these macro commands by clicking the lookup button behind the construction field: .

There are some predefined rename rules deployed with IDimager. By clicking the drop down arrow at the upper side of the dialog (Stored rules) you can select them from the list. Once you have selected a predefined rule, the rule is loaded to the design. If you have created or customized a rule, you can store it for future use by clicking the save button:

Below the design you'll see a sample of how the rename rule works. The "Before" field will show the original name based on the first image selected, while the "After" field displays what the name will be after applying the rule.

To the right of the "Design" tab is the "Settings" tab. There you can set some additional parameters.

The Character Case field allows you to set the character case for the output name; possible values are: "As-Is" (which leaves the character case unchanged), "Upper case", "Lower case" and "Initial capitals" (every first character in a word is made uppercase, while the rest of the word is made lowercase).

Use the option “Always make file names unique” to make sure that the the output file name will be made unique when the file already exists. The name is then padded with a sequence number between brackets; e.g. test(1).jpg. This number will always be made unique.

If you need to rename your images using a sequence number, then you can set the sequence parameters by entering an offset number (the first number of the sequence to be used) and a length.

Examples:

Construction | Result
%FileName.%FileExtension | Sample.jpg
%FileName %Dimension.%FileExtension | Sample 360x480.jpg
%FileName (%Number).%FileExtension | Sample (1).jpg
%yy-%mmm-%dd %hh %nn %ss %FileName.%FileExtension | 04-jun-02 10 08 10 Sample.jpg
%FileName-ISO %exif:ISOSpeedRatings %Exif:FNumber (%ImageNumber).%FileExtension | Sample-ISO 100 F2,8 (0001).jpg
Holiday2006-%FileName.%FileExtension | Holiday2006-Sample.jpg


Batch (re)date/change date

With this feature you can change the date/times for the selection of images. It allows you to change the XMP/Exif date or date/time, the file date/time or match the file date with the XMP/Exif date.

To (re)date multiple images at once you need to select them first. After you have selected your images, select “Collection | Operations | Redate selected images”. You can also press the keyboard shortcut [Ctrl]+[Shift]+[F2].

The "XMP/Exif Date/Times" Tab sheet contains the fields:

Change Exif Date/Time

Specify if you want to change the Exif’s main date/time (most commonly the date the Exif was last altered).

Change Exif date/Time Original

Specify if you want to change the Exif’s date/time original (most commonly the date of the image’s content or when the picture was taken).

Change Exif date/Time Digitized

Specify if you want to change the Exif’s date/time Digitized (most commonly the date that the image file was created in a digital form; e.g. scanned images have a date.time original that differs from digitized, while digital camera’s don’t).

Hand Entered

Use this option if you want to change the Exif date/time to a specific date/time for all selected images.

Shifted

Use this option if you need to change the Exif date/time by shifting it a few years, months, weeks, days, hours, minutes, seconds.

This is very helpful when you shot images in a different time zone, but you forgot to change the camera’s date.

When using this option, specify how many years, months, weeks, days, hours, minutes, seconds the Exif date/time needs to be shifted. You can specify positive values to shift forwards or negative values to shift backwards. You can enter values in every part of the date. So, for example, you can combine a shift of 1 month minus 3 days.

Cumulative Shifting

When you select this option, IDimager will increment the shifted time for each image that it processes. For instance, if three images need to be re-dated for 1 day cumulative, then the first photo will get a date + 1 day, the second photo a date + 2 days and the third photo a date +3 days.

The "File Date/Time" tab contains the fields:

Change File Date/Time | Specify if you want to change the file’s date/time value. The file's Creation Date as well as the file's Modified date will be updated.
Set file date/time to Exif | Select this option if you want the file date/time to be set to the Exif date/time. By de-selecting this option you can specify a single date and optionally a time value.

If you change the Exif date for images that don’t have existing Exif information, then IDimager will create an initial Exif block to hold the new date/time(s). This only applies to image formats that can contain embedded Exif information such as JPG, TIFF, DNG and PSD. For all other files, IDimager will update or create XMP files.


Customizing the Collection Viewer’s appearance

You can customize the Collection Viewer’s appearance to match your personal preference. There are many options available to change colors, thumb size, thumb borders, captions, etc. Other options will allow you to define which of the icons should be displayed on the thumbnails.

To change the Collection Viewer’s appearance you need to open the options dialog by selecting Tools | Options from the main menu. Inside the options dialog find the options category "Thumbs" from the left side bar. Then open the tab Layout.

See the Options Dialog descriptions for more information about the meaning of these fields.


Opening images

Every explorer allows you to navigate through its structure. The Collection Viewer will then show the thumbnails of the active collection.

A thumbnail is a small representation of an image and it acts as the “control entry” for that image. By using the thumbnail you can access all features for that thumbnail, for example opening the image in IDimager, opening the image in an external application, renaming the image, etc. Since this chapter describes how to use the Explorers in general, this section will only describe how to open an image directly in IDimager or in a third party application. Read the chapter about using the Image Editor/Viewer for a full description.


Open an image in IDimager

Images can be opened in two ways: either in the Image Viewer/editor or in the Full Screen Viewer. By default, IDimager is configured to open images in the Image Viewer/Editor. However, you can change this preference in the Options panel. Open Tools | Options | Image Viewer and choose your preference for the field “Images are opened in”.

Image Editor

This option will open the image in the Image Viewer/Editor when you double click on a thumbnail or when pressing [Enter]. The Image Viewer/Editor allows you to view the image and perform a variety of image editing functions including cropping, sharpening, color and brightness adjustment, framing etc

When you set your preference to this option you can open the image in the “Full Screen Preview” mode by holding down the [Shift] key and then double click or press enter.

Press [Esc] to close the image editor and return to the thumbnails.

Full Screen Viewer

This option will open the image in full screen mode. It allows you to view the image full screen and optionally zoom in, browse to the next/previous image, rate or color label the image, and more (press [F1] for all options).

When you set your preference to this option you can open the image in the “Image Viewer/Editor” mode by holding down the [Shift] key and then double click or press enter.

Press [Esc] to close the full screen preview and return to the thumbnails.


Open an image in an external application

You can also open an image inside your favorite photo editor or other third party applications. In that case, right click the thumbnail and select “Open With…” from the context menu. In this menu’s sub menu you have entries to the applications that are registered under Windows for this image format. You can add additional applications by selecting “Choose Program…”. This will allow you to select any application (make sure you select the .exe extension for that application; e.g.

C:\Program Files\Adobe\Adobe Photoshop CS\Photoshop.exe or

C:\Program Files\Jasc Software Inc\Paint Shop Pro 8\Paint Shop Pro.exe

By selecting the option “Customize…” you will be able to remove or change existing entries.

"Open With" applications automatically get their own keyboard shortcut. The shortcut is named "Shift+n" where n is the sequence number of the application in the list. In the example above, you see that I can press Shift+2 to open any selected thumbs in Paint Shop Pro.


Working with Workspaces

Workspaces are stored designs for your user interface. A workspace contains the following settings:

All toolbar designs | With IDimager you can customize the functions of the toolbars. Right click on the main toolbar and select Customize Toolbars. The workspace will contain all your toolbar designs
All panel positions | The panels in the application can be dragged around, floated, docked to different places. The workspace will contain the location of your panels.
Your active thumbnail scale | The thumbnails in the Collection Viewer are normally displayed at 100%, meaning they have the size that matches your thumb size setting in the options. However in some cases it is convenient to work with scaled sizes (either downscaled, or in IDimager-Pro upscaled sizes as well). The workspace contains your active thumb scale.
Your defined thumbnail scale settings | The thumbnails can be scaled quickly by selecting some pre-defined scale settings. These pre-defined scales can be customized to your needs.

Workspaces make it easy for you to switch to a defined interface. You would typically create a workspace to be able to quickly switch to a specific setting of the interface, designed to support a specific step in your workflow. For example, you could design a workspace that you use to rate your images, a different workspace to assign catalog labels, a workspace to add metadata, etc. Because each workspace gets its own keyboard shortcut, you can quickly switch workspaces.

Once you have an interface design that suits a specific need, you can store it by clicking the workspace button in the upper right corner of the application.

There select Store Current Workspace..

Name your workspace and you're done.

Now you have stored your active workspace, you can change the panels, etc and then quickly switch back to your stored workspace by using its shortcut. The shortcut is listed in the Workspaces drop down that opens when you click on the workspace button. The workspace shortcut is always [Alt]+n where n is the number of the stored workspace.

As you can see in the example above, my new workspace has been assigned the shortcut [Alt]+[2]

Changing your IDimager theme

IDimager comes in a dark gray color scheme by default. It is possible to change the applications layout to a different color scheme. To do so you select View | Customize Toolbars from the main menu (or right click on the main toolbar and select "Customize Toolbars". Then select the theme of your preference from the drop down box at the bottom of the customization dialog. As you select a new theme, you'll instantly see the result in the background.


Reading Images to the Catalog

There are several ways to get your images into the catalog database. For example, you can use the Downloader, which copies images from the camera (or other external device) to a folder structure on your hard drive. Or you could use the Import feature, which stores images that already reside at their final location on disk but are not part of the catalog database yet. This chapter describes the Import feature.


Import existing images

If you have an existing set of images, then you can use the Import feature to get those image in your catalog. To import your images simply click the "Import" button in the main application toolbar.

Once you click the Import button a dialog appears, and in this dialog you can select one or more folders of images that you'd like to import to the catalog. You can select multiple folders by holding down the [Ctrl] key while clicking each folder that you want to import. In the upper tree you select the folder and then set the import option. These options are:

Import sub folders also | By selecting this option you instruct IDimager to also import all folders that are inside the selected folder
Create thumbnails on import | By selecting this option you instruct IDimager to create thumbnails during the import process. It is recommended that you enable this option.
Store meta information to catalog | By selecting this option you instruct IDimager to read existing meta information like Exif, IPTC, XMP etc to the catalog. It is recommended that you always enable this option, as it will ensure that the images that you read to the Catalog will have their existing keywords migrated to catalog labels.
Create import session label in Auto Catalog section | Select this option if you want to create a entry in the catalog labels of your catalog. This will allow you to quickly retrieve all images from this session afterwards.
Mark import folder as | IDimager Pro Only; You can optionally assign a folder marking to the folders that you import. By doing so you can quickly step to that folder when this folder has work left to do.

Once you have configured the dialog you click <OK> to start the import process. The import process will now start.

The import process is handled in a background process, which means that you can continue to work in IDimager (Professional Edition only). During the import process IDimager will:

1. Create catalog entries in the database

2. If specified, a thumbnail will be created and stored in the thumbnail database. Also, if you have configured IDimager to use stored previews (Tools | Options | Image Viewing | Advanced | Store previews in database), a preview image will also be created

3. If you have enabled "Store meta information to catalog", the metadata is imported to the database. This includes:

a. Exif information

b. An XMP block is created for the image if not available yet, and it is initialized with existing Exif and IPTC information

c. If existing XMP and/or IPTC keywords are available, then catalog labels are created for the keywords and assigned to the image

d. Each XMP property is stored to the database for extensive searching (if "Tools | Options | General | XMP Sync Settings | Allow extensive meta searching" is enabled).

While the import process runs, you can hide the window so that it no longer claims the precious screen real estate. Hide it by clicking the right upper corner icon of the progress window. Once it is closed you can open it again by selecting "View | Toggle Import Progress" from the application's main menu.

The import process can be canceled at any time by clicking the [image] button at the right of each Import progress line. Once you cancel the import process you can restart it again afterwards and IDimager will quickly skip passed all the images that were already imported and continue where it left off.

After the import process has completed you can use the Catalog Explorer to browse through your images.

You can start multiple import processes for different folders concurrently. To do this, simply click again on the "Import" button to start a new import process.

As you can see in the sample progress screenshot above, each different progress line uses its own status icon in front of it.

In progress

Finished

Canceled

Finished and canceled processes can be cleaned up by right clicking in the progress dialog and then selecting "Cleanup Finished Items".


Using the Camera Downloader

Use the Camera Downloader to transfer your images from the camera (or other input source) to your hard drive and get the images into your catalog.

The Downloader allows you to select images, physically copy the files, store them in a file structure of your preference, rename them to your preference format, organize them in your galleries/collections and even catalog them during transfer. Once you have stepped through the Downloader wizard, the rest of the processing is automated.

The Downloader can read images from not only a digital camera, but also from other digital imaging sources like a WIA devices, TWAIN devices, e-mail boxes, or existing folders. In particular the following input sources are supported

Digital camera | This can be done in two ways. The first way is through a memory card reader and the second way is through a directly connected camera where the camera is attached to the computer using a cable.
Scanner | This too can be done in two ways: either through a TWAIN connection or by using a PTP connection. The latter is the most commonly used method when using modern day scanners.
Email boxes | Again this can be done in two ways. The first way is by enumerating images from a POP3 connection, and the second way is from an IMAP4 connection. POP3 boxes are commonly used for internet e-mail, while IMAP4 boxes are commonly used in a business environment.
Folder | Read from a physical folder on disk.

To transfer images from the camera to computer, start the Camera Downloader by clicking the “Downloader” button in the application’s main toolbar. This Downloader will navigate you through a couple of steps to then take all further work out of your hands.


Transfer images from a memory card

A memory card is a removable storage device used by a digital camera to store recorded images. A memory card reader is a small device that allows your computer to read the images stored on the memory card. By placing the memory card from the camera into the memory card reader, this memory card will become available in Windows as a new drive, just like any hard drive or CD player. Memory card readers are relatively cheap and using such a device is the fastest way to transfer images from camera to computer. Some computers may even have a memory card reader built in.

To transfer images from a memory card, first connect the memory card reader to the computer. Then insert the memory card from the camera into the reader. If IDimager is already running, IDimager will ask you if the Downloader should be started, and you should say yes. If IDimager was not already running at the time you inserted the memory card into the memory card reader, then start IDimager and click the button “Download” in the main toolbar; or press [Ctrl]+[I]. Once the Downloader starts, select import type “From folder or attached memory card”.

Step 1: Select location

This is the first step, and it requires you to specify the location of the images on the memory card. If IDimager started the Downloader at the time you inserted the memory card, then this folder will be pre-filled with the correct location. Otherwise, select the folder where your images are stored in by clicking the folder button to the right of the field. It is the easiest to select a root folder (like “F:\”) and then check the option that you want to read all sub folders.

In the next step of the Downloader, you'll be able to select which images should be downloaded. But you can specify here if IDimager should automatically mark only those images on the card that were not downloaded before or if all images should be marked for downloading.

Once you have selected the source folder of your images you click “Continue >>” to go to the next step.

Step 2: Select your photos

This is where you can select the images that should or should not be transferred to the computer. The Downloader displays thumbnails of all images that are found in the source folder. If these are new images, then IDimager will select them all. You can see whether or not an image has been selected by the check mark on the top of each thumbnail. Above the thumbnails display you see how many images are available, as well as the number of marked images. The marked images are the ones that you want to transfer to the computer.

If you download your images in different batches, then IDimager will only mark the images that were not downloaded before. This is to prevent yourself from downloading the same image multiple times. However, if you want to download these images again, then feel free to mark them again. You can mark or unmark an image by clicking the check box on each thumbnail. Apart from manual selections, you can also use the options as displayed below the thumbnails.

Mark by date

Click this button top open a drop down that lists all the unique dates available for the images on the card. The number of matching images is displayed per date. Select a date entry and all the images for that specific date will be marked in the thumbnail list.

Tip!

By holding down the [Ctrl] key and selecting a date then you can join multiple dates

Mark selected

After selecting your images using either the mouse or keyboard, click this button to mark all selected thumbnails for download.

Unmark selected

After selecting your images using either the mouse or keyboard, click this button to unmark all selected thumbnails for download. Unmarked images will not be transferred to the computer.

Mark all

Click this button to mark all images for download.

Unmark all

Click this button to unmark all images for download.

Invert marks

If you marked some thumbnails, you can use this button to invert the selection (marked becomes unmarked and visa versa).

Delete selected

After marking your images then click this button to physically delete the selected images from the memory card. Please use this option with care.

Remove selected

After marking your images then click this button to remove the selection from the Downloader. The image files will *not* be deleted from the memory card

While you are marking images for download you may find the preview too small to make an accurate selection. You can get a larger preview by either double clicking on a thumbnail or by clicking the magnifying icon on each thumb (or press [F3]).

When the preview is opened, the left side shows a small preview of the image (360px) and the right side displays a full 100% preview of the image. By hovering the mouse over the left preview, the 100% display will show the area of the image that is hovered over.You can further zoom the 100% preview by using the mouse scroll wheel. Mouse-Scroll up to zoom in and Mouse-scroll down to zoom out. A double click on the right side display will reset the zoom percentage to 100%.

Tip!

When you have one or more images marked then you can click the hyperlink at "xxx marked images" to show only those marked images in the list. Click the link again to switch back to the full list.

Once you have marked all the images that you want to transfer, click “Continue >>” to go to the next step.

Step 3: Select target location

The first thing you can specify during this step is a project name. This name is optional but if specified, it will be used to identify the download session. You can also use this project name to name your photos or to name the (sub)folder that needs to receive the marked images.

Then specify the target location; this is typically a folder on your hard drive where the images should be transferred to. Select a folder by clicking the folder button to the right of the field.

You can optionally specify a sub folder name within the specified target folder. Either leave this field empty or enter a sub folder name. You can also open the drop down box to choose from some predefined entries, including today’s date, the date of the first image on the memory card and all other existing sub folders within the specified folder.

It is possible to construct any sub folder name for your use. If the sub folder does not exist yet when the images are being transferred, then IDimager will create it on-the-fly. You can also specify multiple levels of folders like “2007-12-19\Velo”.

The best part, however, is that you can use macro commands (%-commands) to define a dynamic sub folder. Macro commands are basically variables which will be replaced with real values once it is needed. For instance if you want to transfer your files to a folder structure which is based on the image's photo date, then you can use % commands to build the structure you desire (like %yyyy-%mm-%dd for year-month-day). The arrow key at the right of this sub folder field allows you to select any of the many available macro commands from a list. Either use that rule directly, or edit it to construct the rule of your preference.

Once you have selected a target folder and optionally a sub folder, you can enter the naming rule. The naming rule also supports macro commands. By clicking the button to the right of this field you can enter a renaming rule that best fits your needs. If you require IDimager to transfer files and keep the original filenames, then use the naming rule %FileName.%FileExtension. The last used naming rule will be remembered for the next session.

There are a few pre-defined rename rules available. You can select them by opening the "Stored rules" drop down box located at the top of the dialog.

After you have selected or modified your rename rule, then click OK to confirm it and return to the Downloader.

IDimager is able to optionally mirror the transferred files to another folder. Mirroring allows you to create safety backups of your original images during the download process. If you would like to use the mirror feature, activate the tab "Mirror Folder".

Leave the field “Mirror to folder” empty to ignore the mirror feature. Mirroring downloaded photos is commonly done by photographers who want to keep an additional copy of the original photo in an archive folder. Here you can specify the archive folder where the images should be mirrored to. When a mirror folder is specified, then you can optionally also specify a sub folder structure for the mirrored files. If you leave this field empty, then IDimager will use the exact same folder structure as it creates in the main target folder. However, you can also specify that a different folder structure should be used for mirroring.

For example, let's say an image is transferred to a target folder Y:\ with the folder structure Y:\2006\12\2006-12-06\hvz_img0001.jpg and it should be mirrored to folder P:\Archive. IDimager will then create the same folder structure in the mirrored folder, so in this case the mirrored image will be P:\Archive\2006\12\2006-12-06\hvz_img0001.jpg.

There are a number of options on the folder naming page that you can select:

By selecting “Verify and remove the images from source after import is done”, IDimager will erase every transferred image from the memory card once it is copied to the target folder/sub folder and then verified (using binary verification). Unmarked images will not be removed from the memory card.

By selecting “Auto rotate the images if my camera stores this info in the Exif”, IDimager will rotate the image after transferring it to your target folder/sub folder. This rotation will take place based upon the existing Exif information inside the image. Not all cameras store the orientation information in Exif; images without such orientation information will not be rotated. The rotation will be lossless, meaning no information is lost. This rotation will not take place for RAW images. Note that if your camera stores an orientation tag in the image, you do not need to use this option.

By selecting “Mark downloaded images are read-only”, you are guaranteed that all images that are transferred to the hard drive are marked as “read-only”. This can help you protect your images. But keep in mind that IDimager will not be able to write metadata to read-only images. So for a normal workflow, leave this option switched off.

By selecting “Set the downloaded file’s date/time to the Exif date/Time”, you instruct the Downloader to adjust the downloaded images’ operation system Creation date/time to the Exif Date/Time Original (as stored inside your images).

By selecting "Bookmark downloaded images", the downloaded images will be marked with a bookmark. This will allow you to search for the last downloaded images afterwards by selecting the option "Search bookmarked images" from the search button's menu.

Then click “Continue >>” to skip to the next step.

Step 4: Organizing on transfer

This fourth step enables you to instantly organize the transferred images into your portfolios (galleries/collections). The options are:

Do not place the imported images in a collection | Select this option if you don’t want IDimager to store the transferred images in a portfolio collection.
Create a new portfolio collection for the imported images | Select this option if you want to place the transferred images in a new portfolio collection. First select an existing portfolio/gallery and then specify the name for the new collection.
Place the imported images in an existing portfolio collection | Select this option if you want to place the transferred images in an existing portfolio collection. Select the portfolio, gallery and the collection name from the drop down boxes.

Version combi detection:

Many cameras these days (especially DSLRs) allow images to be recorded in RAW as well as JPG format. In that case the camera records the RAW image and also stores a JPG version of the same image on the memory card. Since IDimager supports multi-version control, one handy feature is to store the RAW and JPG versions together in a single version set. Here you can specify how you prefer this to be done. Choices are:

None | Select this option if your camera didn't record RAW+JPG or if you just don't want them kept together in a version set.
RAW as main version and JPG as sub version | Select this option to keep the JPG as a version of the RAW image
JPG as main version and RAW as sub version | Select this option to keep the RAW as a version of the JPG image

If you select either RAW/JPG or JPG/RAW then you can also specify in what version place holder you want to keep the version. Placeholders are banks in a version set that are intended for you to identify certain versions (e.g. a print version, an email version, etc). The Album Display place holder is used by IDimager to represent the version set.

Then click “Continue >>” to skip to the next step.

Step 5: Describe on transfer

This step allows you to describe your images as you download them to your computer. This ensures that your default information (e.g. Copyright or Creator information) is stored in your images as soon as they are copied to your hard drive.

Enter the default information that should be added to your downloaded images. It is recommended that you enter only information that is common for all images being downloaded. Every field that you leave empty here will not be written to the downloaded images. As you can see in the screenshot above, it is possible to use macro commands (%-commands) in the detail fields. These commands will be parsed for each image during ingestion. For instance, to assign the image file name as the title of your images you can simply use %FileName which will translate to the image file name.

Tip!

You can right click in almost every field to get a list of all possible macro command.

It is not recommended to use Keywords on download. It is much easier to do that with Catalog Labels (see next step).

Step 6: Catalog on transfer

This would typically be the step where you assign catalog labels to to your transferred images. Select the labels from the Catalog Tree. If you need a new catalog label then use [Ins] to create a new label.

Select the labels to assign to your images by clicking on the selection box before that label.

Now click “Download” to start the transfer using the configuration you just built using the Downloader process. A progress window will then be displayed to inform you about what is happening.

Click the button "Save Profile As" if you want to keep the current settings in a predefined set so you'll be able to reuse it in the future.


Working with Download Profiles

IDimager allows you to store predefined sets of Downloader settings. When running the Downloader you'll be able to store your active settings as a new download profile. You'd typically use Download profiles if you need different configurations for running the Downloader. This could be the case when you own multiple cameras and use different settings for each model. Another reason could be when you use different settings for personal use and for business use. Downloader profiles are convenient for this purpose as you can load the setting with a single mouse click.

After clicking this button you'll be able to name the profile.

When you store your settings you can do a future run of the Downloader with the identical settings. When you want to re-use the stored download profile you can either run it in the Downloader and optionally make some minor changes in the settings before you run it or you can even run the download profile instantly for memory card download sessions.

Using profiles in the Downloader

When you start the Downloader by clicking the Download button in the main toolbar then the first page allows you to load a profile which should be used as the base for the download session. That will basically read all the settings from the profile to the Downloader and as you step through the Downloader steps you'll be able to make small changes.

As you select a profile here, the settings will be loader for the subsequent steps in the Downloader.

Using profiles when a new device arrives

As a new imaging device is attached to your computer which runs IDimager then IDimager will popup a question if you'd like to download images from the new device.

In this dialog your can select to run the Downloader with the right profile pre-loaded. Just select the relevant profile from the drop down box and click OK to start the Download with this profile's settings. However, when your device is a memory card reader (or a stored medium camera) then you can also use the instant run button next to the drop down list. When you click that button then IDimager will not invoke the Downloader but run the download process right away with all the settings as stored in that profile.

You may notice different icons for the instant-button. The state will depend on the fact if the defined image source location in the profile is available or not.

This icon is displayed when the image source location in the profile is available.

This icon is displayed when the image source location is not available. In other words, this profile is not usable for an instant run. You could use the <OK> button instead to start the Downloader and define your settings on-the-fly.

Running a download profile

As mentioned above you can also run download profiles on-the-fly. This means that you run a download process without invoking the Downloader configuration screens. Such a session we will call "one click download". As the name inplies, you can run a download session with a single click.

The Download profiles are accessible from the application's main toolbar. Next to the Download button there is a small drop down icon.

When you click that drop down button, then the list of available download profiles will be listed. The icon in front of the profile name indicates if the profile can be ran or not.

This icon is displayed when the image source location in the profile is available.

This icon is displayed when the image source location is not available. In other words, this profile is not usable for a one-click-download run.

In my sample above I have a profile which downloads the images from my camera using my settings. I created that profile in the Downloader in the past. The Image Location for this profile points to my memory card reader and there is a card in the reader now, meaning I can run the profile. By just clicking the profile I will start the download session without any further configuration in required.

When I confirm this then the download session starts

All my settings as stored in the profile are respected, meaning the images are named according to my convention, then files are mirrored to my backup drive, my copyright settings are inserted and a new catalog label is assigned. So with just a single click I have completed the complete download process and I'm ready for the next step in my image workflow.

Editing / Renaming / and removing a download profile

If you ever need to change an existing profile then you can open the download profiles drop down list and hover the mouse over the profile that you'd like to change. As you hover the mouse, a sub menu open where you can edit the profile. Select that option.

The Downloader will now open and you can change the configuration settings. At the last page you can then store your updated profile by clicking the "Save Profile" button. You can also save the profile to a different name so your original profile won't be overwritten. In that case click the "Save Profile As" button.

To delete an existing download profile you again click the download button's drop down button and then hover the mouse over the profile that you'd wish to delete. Then from the sub menu select the option "Remove Profile". That will permanently remove the profile from the list,

To rename an existing download profile you again click the download button's drop down button and then hover the mouse over the profile that you'd wish to rename. Then from the sub menu select the option "Rename Profile". You can then enter a new name for this profile.


Transfer images using a linked camera

Most cameras allow you to directly link the camera to the computer. Usually this is done through a USB connection. IDimager can read the images from a directly linked camera in two ways:

1. Using a media connection

2. Using a PTP connection (Picture-Transfer-Protocol; a Windows specific protocol for transferring images to the computer).

The method to use mainly depends on how you have configured your camera. Most modern day cameras support both methods. Older cameras mostly use the media type connection. When using a media type connection, the camera becomes available in Windows as a new drive. To check how your camera is configured or for instruction on how to change the connection type, please read your camera’s instruction manual.


Using a media connection

A media connection is sometimes (incorrectly) called a “USB Connection”. As soon as you connect the camera to the computer, Windows will add a new drive for it. This drive contains the content of the memory card inside the attached camera. Essentially, the camera becomes a (expensive) memory card reader. To transfer images using this type of connection, you follow the exact same steps as when reading images using a memory card reader (as described in a previous section).


Using a PTP connection

PTP (Picture Transfer Protocol) is a standard Windows protocol for devices to transfer images to the computer. Almost every modern day camera supports PTP. The biggest advantage of PTP is that it standardizes the output, so drivers and other camera-specific software are no longer required. So if you are not happy with the software deployed with your camera, or if you no longer have access to it, then PTP-supported software (like IDimager) will still be able to read your images.

The downside of PTP, however, is that the technology doesn't allow some image formats to be transferred (like RAW files), you have to connect the camera to the computer every time you need to read the images, and generally transfering images from the camera is slower than transfering images from a memory card reader. For these reasons, IDimager recommends that you use a memory card reader to transfer images.

To download imags using a PTP connection, first make sure your camera is configured to connect through PTP. Read the manual of the camera on how to do this. Once set, connect the camera using the (USB) cable that is deployed with your camera. If IDimager was open at the moment you connected the camera, then it will detect that there is a new PTP device connected and ask you if you want to start the Downloader. If IDimager was not open yet, then start it now and click the button Download” in the main toolbar (or press [Ctrl]+[I]). If you started the Downloader yourself, then you’ll need to select the import type “PTP/WIA Connection” and click “Continue >>”.

Step 1: Select PTP/WIA Device

During the first step, you’ll need to select the PTP type and device that should be used. IDimager is able to read images from any PTP- or WIA-enabled device. This can be a digital camera, but also a scanner, a web cam, a digital video camcorder or any other PTP-enabled device. Select the type. In this case a digital camera is connected, so select this type. Then click the button “Select Device”. A new window opens where you can select the device from a list of all available devices of the earlier selected type.

The appearance of this window may be different on your computer, depending on your Windows version and language settings.

Once the device is selected, IDimager will connect to it right away. You can click the button [image] (to the right of the device’s name) to enumerate the details of this device.

Then click “Continue >>” to skip to the next step.

Step 2: Select your photos

The appearance of this window may be different on your computer, depending on your Windows version and language settings.

Here you can select one or more images that are stored on the device. You can select images in the usual fashion by using either the mouse or keyboard shortcuts. In the toolbar there is also an option to select all.

After you made your selection, click “Continue >>” to skip to the next step.

Step 3: Select target location

At this point you enter the Downloader Wizard at step 3. Please refer to the chapter "Transfer images from a memory card" for a thorough description of steps 3 to 6 of the Downloader.


Transfer images from a TWAIN device

Besides transferring images from a digital camera, you can also read images from scanners or other TWAIN enabled devices. This can be done by using PTP/WIA (see previous chapter) or by using a TWAIN connection. PTP is generally preferred over the older TWAIN technology, so I recommend you first try importing images using the PTP import method. If that fails, then try using the TWAIN connection.

To import using a TWAIN connection, connect the TWAIN device to the computer using the deployed (USB) cable. Then start IDimager if it was not started yet. Click the button “Download” from the main toolbar and select the import type “From TWAIN Device”.

Step 1: Select Device

First you’ll need to specify which TWAIN enabled device you want to use as your import source. Click “Select Device”. A new window opens where all TWAIN devices are displayed.

After selecting your device, click “Continue >>” to skip to the next step.

Step 2: Select your photos

The appearance of this window may differ. The manufacturers of TWAIN devices most commonly deploy their own TWAIN driver with the device. This window is presented by the driver and not IDimager itself.

After selecting your photos click “Continue >>” to skip to the next step.

Step 3: Select target location

At this point you enter the Downloader Wizard at step 3. Please refer to the chapter "Transfer images from a memory card" for a thorough description of the steps 3 to 6 of the Downloader.


Transfer images from an e-mail box

You can also transfer images that you have received in an e-mail box. IDimager will search for (attached) images in an e-mail box, and the images can then be selected and transferred to the computer.

IDimager supports reading images from POP3 or IMAP4 mail boxes. POP3 is the most commonly used mail protocol for storing internet mail. IMAP4 is a protocol that is commonly used within a professional/business environment, like Microsoft Exchange Server within an office. Regardless of which type of mail protocol you use, make sure you have the connection details like username and password available. If you don’t know those, then please contact your internet service provider or your local network provider (helpdesk?).

Start the Downloader by clicking the button “Download” in the main toolbar. Then select the import type “From E-mail Account”.

Step 1: Select mail box

Enter your login details; this applies to POP3 as well as IMAP boxes. Once you have entered the host name, port, user name and password then select the mail protocol that should be used: POP3 or IMAP4.

If you select IMAP4, then you’ll need to specify which mail folder should be used. To do this, IDimager will present you with all available mail folders, which it can only do if it is connected. That is why you need to enter the login details correctly first. Optionally you can refresh the list of mail folders by clicking the button behind the drop down list.

The option “Delete original message after reading from mail box” can be used to delete the message once it is read. PLEASE BE AWARE! All messages will be deleted if this option is selected, not only the messages that contain photos! Therefore use this option with caution.

Then click “Continue >>” to skip to the next step.

Step 2: Select your photos

This window displays all images found in the specified mail box. You can optionally rotate the images before they are transferred to the computer by clicking the button “Free Rotate” in the toolbar. To clear the current selection and begin reading mail again, click “Get Mail”.

By default all images in this list will be copied to the target location. If you want to deselect some of the images, you must delete them from the list. Do this by selecting them and then pressing [Del] or click “Delete Selected”. The images will then be deleted from the temporary storage folder.

Click “Continue >>” to skip to the next step.

Step 3: Select target location

At this point you enter the Downloader Wizard at step 3. Please refer to the chapter "Transfer images from a memory card" for a thorough description of the steps 3 to 6 of the Downloader.


Removing images from catalog

Once images are stored in the catalog database they can be removed. Removing an image from the catalog means that the full image will be removed from the database, including all of its details such as assigned labels, stored XMP, portfolio collection references and more.

You can remove an image completely from the catalog by selecting one or more thumbnails in the Collection Viewer and then right clicking -> "Remove Selected Images from Database" (or press [Ctrl]+[Delete]. Again; please be aware that this will completely remove the image from catalog, including all details!

Then confirm the removal:

When you remove images from the catalog database, the confirm dialog will also ask if you would like to remove the image from the file system as well. By default this option will be switched off. If you switch it on, then not only will the image be removed from the database, but it will also be removed from the hard drive. Please use this option only if you are sure this is what you want.

If you are in the Catalog Explorer and you've selected a label and want to remove an image from that label only, you can use the [Del] key (or right click | Delete selected images) to remove the image from the selected label only, instead of fully removing it from the catalog.


Working with Meta Information; XMP, IPTC

Working with Meta Information: XMP, IPTC

What is Metadata?

Metadata is data that describes the characteristics or properties of a document. It can be distinguished from the main contents of a document. For example, for a word processing document, the contents include the actual text data and formatting information, while the metadata might include such properties as author, modification date, or copyright status. There can be gray areas where the same information could be treated as content or metadata, depending on the work flow. In general, however, metadata should have value on its own without regard for the content. For example, a list of all fonts used in a document could be useful metadata, while information about the specific font used for a specific paragraph on a page would be logically treated as content.

Metadata allows users and applications to work more effectively with documents and files, and metadata can greatly increase the utility of managed assets in collaborative production work flows. For example, an image file might contain metadata such as its working title, description, thumbnail image, and intellectual property rights data. Accessing the metadata makes it easier to perform such tasks as associating images with file names, locating image captions, or determining copyright clearance to use an image. Importantly, applications can do many useful things with metadata in files, even if they are not able to understand the native file format of the document itself.

File systems have typically provided metadata such as file modification dates and sizes. Other metadata can be provided by other applications, or by users. Metadata might or might not be stored as part of the file it is associated with.

What is XMP?

In order for multiple applications to be able to work effectively with metadata, there must be a common standard that they understand. XMP—the Extensible Metadata Platform—is designed to provide such a standard. Designed by Adobe, the developer of Photoshop™, XMP standardizes the definition, creation, and processing of metadata by providing the following:

● A data model: A useful and flexible way of describing metadata in documents

● A storage model: The implementation of the data model

● Packets: a means of packaging the data in files

● Schemas: Predefined sets of metadata property definitions that are relevant for a wide range of applications, including all of Adobe’s editing and publishing products, as well as for applications from a wide variety of vendors. XMP also provides guidelines for the extension and addition of schemas.

What XMP Does Not Cover

Applications can support XMP by providing the ability to preserve and generate XMP metadata, giving users access to the metadata, and by supporting extension capabilities. A number of related areas, however, are outside the scope of XMP itself, and are under the control of the applications and tools that support XMP metadata. These areas include the following:

● The specific metadata set by each application

● The operation of media management systems

● The user interface to metadata.

● The definition of schemas beyond those defined by XMP

● Validity and consistency checking on metadata properties

● The requirement that users set or edit metadata

While the XMP specification sometimes makes recommendations in these areas, the XMP schemas and guidelines presented in the specification cannot guarantee the integrity of metadata or metadata flow. This integrity must be accomplished and maintained by a specific set of applications and tools.

In other words, XMP offers a universal storage structure, but it does not offer a means to access this information. This is left to the XMP-supported application, and it is exactly where IDimager steps in.

IDimager continues where XMP stops...

With IDimager you get:

· A predefined set of the most common used XMP schemas
· A way to use XMP embedded
· A user interface to access the XMP data
· A way to extend XMP and define your own schemas
· Validity checking on meta properties
· The requirement that users set or edit metadata

This makes IDimager the first non-Adobe™ product that fully supports XMP. With IDimager you can read, write, and extend XMP schemas.


A brief introduction to IPTC

IPTC is the abbreviation for “International Press Telecommunications Council”. This organization developed and continues to maintain a standard for writing textual information to data files and photos. Using the IPTC standard, descriptive text can be saved inside a photo file so it remains available when exchanging photos. The original IPTC data format is widely adopted.

More recently, the IPTC organization has also defined a XMP schema called IPTC4XMP. This schema, which essentially contains the same IPTC data fields written in XMP format, is fully supported by IDimager.

When writing IPTC meta information in IDimager, information will be stored to both the XMP record and to the "original" IPTC record as well. This is done transparently so you don’t have to worry about it; it’s always there.


How IDimager stores Meta information

Some formats allow embedded storage of meta information, which means that the descriptive information will be stored inside the image file itself. Generally this is the best way of storing meta information, because you are ensured that the information travels with your image file and you that won't have to fully depend on the catalog database.

File formats that allow embedded storage of meta information include: PSD, JPG, TIFF, CRW (through THM) and DNG. Some other RAW formats, such as NEF, CR2, PEF and ORF, allow storing meta information to the file itself, but some RAW converters will fail to work once the original RAW file is altered. To preserve maximum interoperability, IDimager is configured by default not to embed meta information in RAW files; to enable storing meta information to RAW files, change the setting in the options dialog (Tools | Options | General | Allow embedded meta writing for RAW files). However, it is strongly recommended that you first experiment on a copy of a RAW file to confirm that your RAW converter and other third party tools are able to handle altered RAW files.

Some image formats, such as BMP, GIF, ICO, etc., do not allow you to write embedded meta information. For these formats a "sidecar" file is created that holds the meta information. This sidecar file has the same base name as the original file but uses a different extension: .xmp. For example: if you are working with a BMP file named "Sample.bmp", meta information for this file will be stored in a sidecar file named “Sample.xmp”.

IDimager will always keep the XMP sidecar file together with your original file, so when you move the image using IDimager, IDimager will move the xmp file with it. Likewise if you copy the original file, IDimager will copy the xmp file at the same time. In general, if an xmp sidecar file exists, the sidecar will be used by IDimager.

Apart from non-embedded formats, IDimager will also create XMP sidecar files for read-only files, even if these images are formats that allow embedded XMP. This allows IDimager to store metadata for the image to the filesystem, even though IDimager can not write to the image file. Unfortunately, many third party applications will not read fhe XMP from sidecar files for formats that support embedded XMP, so please keep IDimager's behavior in mind when deciding whether or not to work with read-only files.

In summary, meta information is stored either as embedded XMP or as an XMP sidecar file. In addition, for file formats that support embedded IPTC records (JPG, TIFF, etc.), IDimager will map all relevant meta information into this format and store the appropriate fields. Likewise, if the file format supports EXIF records, IDimager will map all relevant information into this format as well and store it in the appropriate fields. In this way, you'll have maximum compatibility with other tools, even if these other tools don't support XMP.

Finally, IDimager stores all XMP information to its own database. This allows you to search in your catalog for images that contain specific meta information, regardless of whether those images are online or offline (e.g. you can locate images stored on a DVD that match a certain condition, even if the DVD is not in the drive).


Describing your photos

After reading this chapter's somewhat theoretical introduction, you might think that working with meta information is a complex task. But this is not the case: adding meta information to your images is no more complicated than entering information into some entry fields.

To describe your images in IDimager, you can open the image’s properties. Do this by pressing [Alt]+[Enter] on a selected thumb or by clicking the pen icon in the lower left corner of the thumbnail. The properties dialog (referred to as the Image Details panel) will then open.

Note each field has a caption in bold typeface. By placing the mouse over the caption, you can display help information for that field.

This Image Details dialog contains all fields (properties) that are defined in the IPTC4XMP schema. These fields are organized in tab sheets; simply enter information into any field (or fields) of interest and then click OK to store it (or click the next button in the toolbar to skip to the next image).

In addition to being able to enter meta information on a per-image base, you can also enter meta information for a series of images (batch data entry) in a similar way.

Tip!

Sometimes it is convenient to be able to quickly copy a property's value to the Windows Clipboard. You can do that by double clicking on the caption of each property. The value will always be copied to the clipboard in text format (even for non text typed properties).

Keywords

Because keywords are widely used for describing images, we will have a more detailed look at that field because it has some additional features.

In particular, IDimager's lookup feature allows you to quickly enter keywords based on a selection of catalog labels. Enter a few characters of the keyword that you'd like to assign and then press [Alt]+[Down]. IDimager will open a drop-down box that displays all the catalog labels starting with those characters.

Optionally select a keyword from the list of catalog labels and press Enter to confirm it. You can then skip to the next/previous keyword field by pressing [Tab] or [Shift]+[Tab]. If you have dotted keywords switched on, the keywords will automatically be replaced with a dotted notation.

If a keyword is bold-faced, that indicates that the keyword is also available as a catalog label and matched against it.

Press {Ctrl]+[Del] to delete a keyword from the list.

Press [Ctrl]+[Ins] to insert a new keyword at the current position

Press [Ctrl]+[Up] to move a keyword up in the list

Press [Ctrl]+[Down] to move a keyword down in the list


Working with detail profiles

A detail profile allows you to store and recall a set of commonly used information fields. By selecting the profile later, you can quickly populate these information fields with the profile's set of values.

To create a detail profile, click on the button “Detail Profiles” in the mini-toolbar.

The Detail Profiles dialog displays a list of all existing profiles available--you can create as many detail profiles as you like.

To edit an existing profile, either double click on the profile's name or click the "Edit Profile" button in the dialog's toolbar.

To create a new profile, click the button “New Profile” in the toolbar and enter the name you want to use for that profile. While you can enter any name, it is generally best that you choose a short name that describes the profile's content. For example, you can use your name.

Enter only the fields that are of interest to you and click OK to store the profile and return to the list. Now select the profile and click OK to apply the profile to the image. Once you have applied the profile, the fields that you have entered will be copied to (and overwrite) the corresponding fields in the image's Image Details panel.

As you can see in the screenshot above, some of the fields are green. The green color lets you know that the information for that field will replace any existing content in the image's field once you select and apply this detail profile. This is known as "Replace" state.

IDimager actually provides three ways for applying the information in a detail profile field to an image: "Replace", "Append" and "Clear". You can toggle between these three states by clicking the small button left of the field's caption label. Each of the three states is represented by displaying the caption label in a different color (green for Replace, blue for Append, and red for Clear).

In Append state, the specified value in the detail profile's entry field is appended to the end of the corresponding information field of the image when the detail profile is applied.

In Clear state, the existing value in the image's information field is erased when the detail profile is applied.

As an example, let's say you want your profile to add a name to the existing creators of the image. Click on the button [=] to change its state to "append" (blue).

If you want to use this profile in the future, you can again click the “Detail Profile” button in the Image Properties dialog, select your profile and click <OK> to apply it.

You can also apply the profile by clicking on the drop down arrow next to the "detail profile" button in the mini-toolbar. Then just select the profile to instantly apply it.


Describing images in batch

The previous chapter described how you can describe your photos one by one. However, with IDimager you can also apply descriptions to a series of images in a single batch. This can be done in three ways:

1. by selecting two or more thumbs and then pressing [Alt]+[Enter]

2. by selecting two or more thumbs and then using the Batcher by clicking the Batch button in the application's main toolbar. Once inside the batcher, you can add the batch command "Image Meta Properties"

3. by using the Image Details panel from the left tab menu

All three methods are essentially the same feature, so this section applies to all of them.

Once you have selected some images, press [Alt]+[Enter] to open the meta editor:

You can use the "Editor Schema" to customize the fields listed in the tabs and add/remove any missing fields as you please.

Only fields that you alter in this form will be applied to the images; fields that you leave untouched will not be applied.

Once you change a field, the field's caption will turn green and a checked button will appear in front of it. This color indicates the state of the field. A green color indicates that the field will be replaced with the current content. A blue color indicates that the current content will be appended to the existing content, and a red color indicates that the old content will be emptied. IDimager actually provides three ways for applying the information in a detail profile field to an image: "Replace", "Append" and "Clear". You can toggle between these three states by clicking the small button left of the field's caption label. Each of the three states is represented by displaying the caption label in a different color (green for Replace, blue for Append, and red for Clear).

In Append state, the specified value in the detail profile's entry field is appended to the end of the corresponding information field of the image when the detail profile is applied.

In Clear state, the existing value in the image's information field is erased when the detail profile is applied.

Once you have entered all relevant information (you can also use detail profiles), you can apply the details. Only the changed fields will be applied to the selection of images.


Customizing the meta editor (custom panels)

When you open the image details dialog for the first time, you will be presented with many input fields. Those fields are organized in tab sheets. The fields are based on the XMP standards, which in turn is derived from the IPTC (http://www.iptc.org) and EXIF industrial standards for photographic information. Because IDimager is fully XMP aware, it uses the XMP variant of IPTC called IPTC4XMP.

By default, the image details dialog (also referred to as the image details editor) displays most of the commonly used IPTC and EXIF-based XMP fields. However, it is possible to customize the image details editor to display only the fields that you need, to add different XMP fields, or evento extend the editor with fields currently unavailable in IDimager. In this way, IDimager allows you to fully benefit from the power of XMP.

Open the editor by clicking the Editor Schema button in the image properties dialog.

Inside this editor you can define the tabs you want to use in the Image Details, organize how fields are displayed within the tabs, add new fields to the editor and more. The Editor has orange balls at the top of the panel; each orange ball represents the name of a specific tab of the Image Details panel (see the red arrows in the illustration below) as well as a group of fields associated with that tab (see the green arrows in the illustration below).

When you click on an orange ball icon in the Editor, the group's title (in the illustration below "Descriptions") is displayed just below the orange balls. In addition, the Editor displays the fields associated with that group in "XMP form", meaning that each field in the list is identified by its XMP property name.

You can rename a group by pressing [F2], or by clicking the drop down icon located on the upper right side of the Editor dialog and selecting "Rename meta group".

The order of the fields in the Editor list is also the order in which they appear in the tab of the Image Details. You can change the ordering of the fields by dragging a specific field to a new location and then dropping it.

If you want to remove a field (or fields) from the list, select the fields, right click on the XMP property label to bring up a context menu, and then select “Delete Item”. You can also delete fields by first selecting them and then clicking on the <delete> button in the mini-toolbar.

Fields can also be moved to a different group. To do this, select the field (or fields) to move, right click, and then choose “Move To Group | <<Group name>>”.

Finally to create a new group, click the drop down menu indicator in the right hand upper corner and select “New Group”.

Once you have customized your editing schema, click the OK button to close the meta editor. This will both update the Image Details design and return you to the Image Details panel.

For more information, please read the forum topic http://forum.idimager.com/viewtopic.php?t=430.


Keywords and delimited keywords

Even though the keywords are just a single entry field in the metadata entry panels, they are of major importance since they reflect the content of the image. Generally these keywords are chosen so that they make sense to both you as the photographer as well as to the ultimate viewer of the image. Keywords are also important when you need to exchange information with a third party tool that also maintains keywords.

While it is possible to enter keywords manually, IDimager can instead automatically generate your list of keywords based on your catalog label assignments. Assigning catalog labels is generally more convenient than manually entering keywords, since catalog labels can be organized into a hierarchical structure (making it easy to effectively work with a large number of labels), labels can be assigned in multiple ways, you can easily edit these labels later on, and you can take full advantage of the searching capabilities provided by IDimager. Note that it is possible to mix manual input of keywords with automatic generation of keywords from catalog labels. However, when working in this fashion it can become very confusing where the source for the keywords is coming from, so we highly recommend you use only automatic generation of keywords from catalog labels.

Before you first start working with keywords, it is recommended that you decide how you want these keywords to be constructed. Keywords are stored in the image's metadata as a list of single entries, meaning there is no hierarchical dependency between the keywords. For instance, let's say you have a catalog label structure "Events -> Concerts -> Festivals -> Pink Pop" and you have assigned this label to your image. You then have several options how you'd like to store this label as a keyword. You can store the most significant part of the label structure, Pink Pop, as a keyword, or you can collapse the entire label structure and store it as a delimited keyword. The delimiter can be defined yourself, for instance a period character would make the delimited keyword: Events.Concerts.Festivals.Pink Pop. Both methods have their pros and cons. The first method just lacks information, but adds the most relevant keyword without redundancy. The delimited keyword method, on the other hand, fully reflects the hierarchical structure, but because each hierarchical level is separated by a "delimiter", you can no longer use this delimiter character (for instance the period) in your keywords/catalog label names.

Once you have decided on the keyword method that works best for you, you can configure IDimager to use this method. By default, IDimager is configured to write catalog labels as a single node (i.e., using the most significant method). If you decide to use delimited keywords, then you'll have to change this behavior. From the main menu select "Tools | Options | General" and then open tab sheet "XMP Sync Settings". While this options panel may look overwhelming at first, for now you only need to concern yourself with the fields "Write delimited keywords" and "Map delimited keywords to hierarchical label structure". Enabling the first option will cause IDimager to write catalog labels as delimited keywords. While we have not yet described the options relating to reading metadata, enabling the second option instructs IDimager to create hierarchical catalog labels when reading keywords written in delimited format. It is recommended that you change both of these options at the same time and use the same delimiter for reading and writing to ensure interoperability.

Adobe Lightroom(tm) hierarchical keywords

Adobe Lightroom(tm) also support hierarchical keywords. However, Lightroom uses a separate XMP property to store these hierarchical keywords separated from the normal keywords. To provide maximum interoperability with Lightroom, IDimager also supports the hierarchical keywords method as used by Lightroom. Lightroom always uses the pipe character ( | ) as a delimiter for its hierarchical keywords. It is not required to define this pipe as the delimiter in IDimager. When you enable the option "Always write Lightroom keywords" you are telling IDimager to also write the separate Lightroom hierarchical keywords. IDimager will *always* write these hierarchical keywords using the pipe character, no matter how you have defined the delimiter for normal keyword writing.

With the read option "Lightroom keywords only (if available)" you can use IDimager to read the hierarchical keywords from Lightroom only and ignore the normal keywords. Lightroom stores each hierarchy level as a single keyword and the hierarchical keyword as a single entry. For example; an assign keyword "Events.Concerts.Pinkpop" will be written by Lightroom as a single hierarchical keyword and as 3 normal keywords, being "Events", "Concerts", and "Pinkpop". By enabling this option you are actually telling IDimager that when Lightroom hierarchical keywords exist, that it should only read those and ignore the normal keywords.

When you have finished making your changes, click OK to save your configuration.


Cataloging, Versioning, and Stacking

The global concept of cataloging is simple: add catalog labels to your images. This simple concept delivers very powerful results. By attaching one or more catalog labels to a photo you will build a full image matrix which is easy to explore and search through. This is best compared to tagging your images with notes (Post-Its). An image with you and your partner on it can get two catalog labels: one for your name and one for your partner, optionally add more catalog labels to identify the event, or the place, etc. Once you have cataloged all your images you will get a helicopter-view and gain powerful means to search your catalog.

The first (and most important) step in cataloging your images is that you start thinking about a label structure that best suites your workflow. Don't try to come up with catalog labels to describe the whole world, but start with just a few catalog labels and only for those things, events, places, or persons you find interesting. A catalog label structure is personal and therefore a manual like this can not offer you a fully fitting solution.

In short; cataloging is easy and powerful and is worth the time you will need to spend on building and labeling your own personal catalog. The more images you have, the more important your catalog will become.


Building your catalog label structure

As stated before, this manual can’t dictate to you how you should construct your catalog and come up with a solution that fully fits your situation and (existing?) image archive. The most important step in building a good catalog is to determine what should be stored in it. Defining catalog labels can be done in a hierarchical order, which means that every label can be itemized into new labels and again and again and.... Itemizing is possible, but is not required. Such an hierarchy of catalog labels is what we call a catalog label structure or in short the label structure. You can create your label structure in the Catalog Explorer. You start the Catalog Explorer by clicking the "spider web" icon in the left Explorer Bar.

The Catalog Explorer has several branches. Since we need to start with a catalog label structure, we open the branch "Catalog Labels". This is where we will start building our catalog structure.

The Catalog Labels branch is by default populated with a couple of categories. A category is a contained for your catalog labels. In IDimager you are free to define as many categories as you like or remove the existing ones. You may notice that the "People" category has a yellow background and blue text. This has no special meaning but is only intended to illustrate that categories can be colored.

The pre-defined categories are intended to represent every possible real live situation. The categories are defined in such a way that any object, person or other entity should fit in one of those.

The categories are:

People (WHO)

This category can be used to define catalog labels for people/persons. Samples are: you, your partner, your kids, Grandma, grandchildren, photo models, cousins, etc...

Because you are free to build a hierarchical structure you can split those up in label groups. For example a group for “Family” can be itemized into Children, Grandparent, Grandchildren and Models. Every one of these labels can then be itemized again.

Determine for yourself what the right level of decomposition is for you. For some it might not be necessary to itemize to the lowest possible value, but a group might be sufficient.

Examples:

Family – Kids – Simone

Or

Photo Models – Annie

Events (WHEN)

This category can be used to define labels for any event. These are normally definable somewhere in time. Possibilities are: “A day at Central Park”, “My Birthday 2005” etc.

Here too you can use hierarchical decompositions. For example, a label “Holidays” can be itemized into “Christmas”, “Halloween”.

Examples::

Trips – Parks – Central Park

Or

Anniversaries – Marriage – John and Mary

Places (WHERE)

This category can be used to define labels for any location. Possibilities are: New York, South America, The Park on the corner of the street, etc.

Here too you can use hierarchical decompositions. For example, a label “Countries” can be itemized into “Tropical Countries”, “Adventurous Countries”.

Examples::

Teen Park – Disney Parks – Florida

Or

Europe - Netherlands – Amsterdam

Objects (WHAT)

This category can be used to define labels for any object. Possibilities are: shoes, church, buildings, keys, advertising, etc.

Here too you can use hierarchical decompositions. For example, a label “Buildings” can be itemized into “Churches”, “Architecture”, and “Classic”.

Examples::

Watches – Seiko – Titanium

Or

Collecting – Key Rings – Advertising – Heineken

Styles (WITH)

This category can be used to define labels for any style. This can be photography styles like “Sunset”, “Nature” or Fashion styles or any other style you can imagine.

Here too you can use hierarchical decompositions. For example, a label “Nature” can be itemized into “City Views”, “Mountain Views”.

Examples::

Macro – Insects – Flies – Tsee Fly

Or

Body Shapes – Weight – Heavy

Keywords

Basically all catalog labels are keywords; nevertheless this category is added for convenience and allows you to add any structure you like. IDimager will also use this category if it reads keywords from your existing images and no category can be determined.

Of course labels in this category can also be itemized.

Other

This category is completely free.

Auto Catalog

IDimager will use this category to store catalog labels that it creates automatically, for examples, catalog labels to identify import sessions or download sessions.

As mentioned before, every image can get multiple catalog labels assigned to it. These labels do not need to be within the same category and can reside in any possible category. By this way you can catalog that one image “taken on Jan’s birthday in Disney Land Paris with Jan, Grandpa Jack on it” and catalog it as Event “Jan’s Birthday”; Place “Disney Land Paris” and Persons “Family - Jan” and “Grandparent – Grandpa Jack”.

Tip!

To reduce the risk of redundant labels, it is advised to start with as little catalog labels possible and let the amount of labels grow in time once the need for new labels is there. You can always relocate labels in the entire structure, even between categories.

Now let's get started by creating our first catalog structure.


Working with Catalog Labels

The previous section described how you construct a catalog label structure using the Catalog Explorer. As read in the previous paragraph, we can open the Catalog Explorer by clicking the Spider web icon in the left Explorer bar. Also make sure that you have read the quick start paragraph of the Catalog Explorer in the "Getting started with IDimager" chapter.

The Catalog Explorer visualizes the catalog database which contains branches. One of these branches is the "Catalog Labels". This branch contains the hierarchical representation of your catalog label structure. If a label has underlying sub labels then these will be recognizable by a plus sign [image] . Click this plus sign to open the catalog label and display all labels that are on the level below the selected label. You can repeat this for every next level. The number of levels that you can use to build a catalog structure is not restricted. It is also possible to fully expand the tree from a certain level and below. Select the label and then press the keyboard combination [Alt]+[*]. This is the * key on the numerical part of your keyboard.

By browsing the catalog structure, IDimager will show all assigned images as thumbnails on the right side in the Collection Viewer. If an image has multiple labels assigned to it then that particular image will be contained in the collection for every of these labels.

The first level in the Catalog Labels branch represents the "catalog categories". While there are predefined categories available, you are free to create an unlimited number of additional categories. Some of these categories are fixed because they are used internally by the application. These fixed categories are People, Keywords, and Auto Catalog. Fixed in this context means that you can not delete them. Then again, you can rename the categories to whatever you like. Keep in mind though that if you rename one of the fixed categories that their name may no longer match what IDimager uses them for. So best to leave them untouched.

To create a new top category you select the "Catalog Labels" branch, right click and select "New Item" or press [Insert].

The fields you can change are:

Name

The name of your category. This will be the name as it is displayed below the "Catalog Labels" branch

Private

By setting a category as "Private", you are actually saying that the catalog labels that you add under this category should not be written to images. Private categories are recognizable by the golden book icon, where the other categories have a blue book icon.

You would typically use private categories to contain labels that you don't want to be available to the person that receives your images. For example; you shoot stock images and send these images to several stock agencies. However, you don't want these agencies to know which other agencies are approached with the same image. Still, you'd like to keep that info in your catalog. That is when you need a private category. The labels in this category are not written to the image file.

Use custom colors

Select this option if you want to use different colors for the category. Using different colors for a category allows you to make it "stand out" more. You can specify what background and font colors should be used.

Order

Specify the sequence order number as listed in the Catalog Labels branch

Then click <OK> to store your new category.

Now let's start creating catalog labels.


Create and remove catalog labels

The easiest way to create a catalog label structure is to create them directly from the Catalog Explorer. For this example we will create the following structure using the Catalog Explorer.

Events

Trips

Attraction Parks

Disney

Universal Studios

City Trips

First open the Catalog Explorer panel by clicking the Spider Web icon from the left Explorer Bar and in the Catalog Explorer, expand then "Catalog Labels" branch.

To create the structure, first select the category where the new structure should be stored in. If you need to create a structure that doesn't fit in any of the pre-defined categories, then you can create a new category first. In this sample we will use the “Events” category so select it by clicking once on the Events category. Now right-click on the category to open its context menu (or press [Insert].

Select “New Item” from the context menu. The catalog label properties dialog opens. Enter the name of the first label in our structure. In this case that is "Trips".

The dialog offers a few more detail fields which are of less importance right now. Just click <OK> to store the Trips catalog label.

As now return to the Catalog Explorer and the new Trips catalog label is displayed below the "Events" category.

Now select Trips and press [Insert] again to create a new catalog label named "Attraction Parks" below the Trips catalog label. In the sample there are two sub labels: Attraction Parks" and "City Trips". So to create City Trips: select Trips, press [Insert], name it "City Trips" and click <OK>.

Also create the sub labels "Disney" and "Universal Studios" below the label "Attraction Parks".

Delete a catalog label

You are now ready to assign these labels to your images. Then again, these are just examples, so you may want to remove them again. You can delete a catalog label by right clicking on the label and then select "Delete Item" (or press [Delete]). Take note that when you remove a catalog label that all sub labels will be removed as well. When the catalog label is removed, the label will automatically be revoked from the images that the label was assigned to. The assigned images will *not* be removed from disk, nor from the catalog database.


Changing a catalog label its details

Change the details for a catalog label by selecting it and then press [Enter]. You can also open the context menu for a label by right clicking on it and then select “Edit Item”.

This dialog has the following detail fields:

Item name

Here you can enter the name of your catalog label

Mark as a quick entry catalog label

The Catalog Explorer can contain a list of Quick Labels. Quick Labels are normal catalog labels that reside somewhere in the catalog structure. Each catalog label can be marked as a "Quick label" and when this is done, that label will also be included in the Quick Labels branch.

Select this option if you want this catalog label to be a quick catalog label.

Remark; When you first mark a catalog label as a Quick Label, the Quick Labels branch may not automatically appear. In that case, press [Ctrl]+[F5] in the Catalog Explorer to fully refresh the Catalog Explorer.

When assigning this label, also assign its parent

This is another option that will enable you to speed up your cataloging process. When this option is selected and I assign this label to an image, then all the parent labels will be assigned as well. For instance, in the sample of Places.Europe.Netherlands.Amsterdam, I can use this option to assign the parent labels "Netherlands", and "Europe" in one go, only by assigning Amsterdam.

For your info; IDimager will assign parent labels, but not the category (Places).

Mapped to XMP as

Once you are more familiar with Image Details and XMP, you will sometimes find it interesting to map a catalog label to any of the XMP (Image Details) fields. For example, you can have a catalog label for Places.Europe.Netherlands.Amsterdam. Then when you assign the catalog label "Amsterdam" to an image that could automatically fill in the "City" field in the Image Details. In that case you'll need to map the catalog label "Amsterdam" to the Image Detail field "City". You can select any of the Image Details fields by clicking the drop down arrow at the right of this field.

Write the XMP mappings for all parent labels as well.

By selecting this option, you instruct IDimager that once you assign this catalog label and then synchronize to that image, that IDimager need to handle all XMP mappings from parent labels as well: EVEN WHEN THE PARENT LABELS ARE NOT ASSIGNED.

in the sample of Places.Europe.Netherlands.Amsterdam, I could decide not to assign parent labels, but do write XMP mappings for parents. Then the parent labels get XMP mappings like catalog label "Netherlands" maps to XMP field "Country".

In that case, once you assign Amsterdam to an image, the parent labels will also be mapped to their corresponding XMP field (if any). This way you will get more consistent Image Details because IDimager handles the obvious ones.

For your info; The XMP mapping will be mapped to the Image Details when you synchronize the image (e.g. with [Ctrl]+[F12]).

Ignore this label when generating keywords for XMP/IPTC

When synchronizing the catalog information to the Image metadata, usually done with [Ctrl]+[F12], then IDimager will translate your catalog labels to metadata keywords.

By selecting this option you can tell IDimager that this particular catalog label should not be stored to XMP/IPTC keywords. This way you can keep specific catalog labels private.

GEO Location

IDimager PRO Only;

A unique feature of IDimager is its ability to attach a GEO location to a catalog label. As soon as the catalog label is assigned to the image and then synchronized to the file, IDimager will also write the attached GEO location to the image file as GPS coordinates.

By enabling this option, you specify that there are coordinates to attach. Logically, not all catalog labels can have a GEO location attached.You'd typically use this for non movable objects (like Statue of Liberty) or places (like My Home or San Francisco).

Then enter the GEO location details. There are the GPS coordinates. Enter the latitude, longitude, and optionally altitude as a decimal value. If you don't know the decimal value, you can also enter the coordinates in degrees/minutes/seconds. To do so, click the "degs" hyperlink label behind the decimal value.

Once you click OK, the value will be entered in the appropriate value.

The Latitude can be entered as "North" or "South". Longitude as "East" or "West" and Altitude is either below or above sea level.

You can optionally specify a radius for a catalog label. By specifying a radius you can set the range around the specified point that covers the area for this catalog label. For instance; the catalog label Universal Studios can have a radius around it to cover the entire area of the attraction park. IDimager's other GPS features (like the GPS Panel script) can then use this information to detect if a specific GEO point is within the range of this catalog label and can then assign this catalog label too.

The lower section of this dialog displays several tab sheets.

Sub Labels | This tab contains a list of labels that are stored below the selected catalog label. You can either create new sub labels here, delete existing sub labels, or even replace them under a different catalog label.
Relationships | IDimager PRO only; One of IDimager's unique features is the ability to keep inter relationships between catalog labels. For instance; People.Family.John is related to People.Family.Anita as "husband to wife". By creating relationships between your catalog labels, you will be able to instantly switch to related labels. If catalog label "John" is selected, you get instant access to "Anita" because Anita will be included in the sub list of John. This concept will be discussed later on in more detail.
Synonyms | IDimager PRO only; Synonyms contains a list of terms that you'd like to store with this label. The synonyms will then be used as a search term when searching for images. For instance; let's say that you need to keep cars stored as "Automobiles". Automobiles is not a daily used term so when you keep "Cars" as a synonym of catalog label "Automobiles" then when you search for label "Cars", IDimager will suggest the label "Automobiles".
Images | This tab displays a list of all images that are currently assigned to this catalog label.


Searching for a catalog label

Once you have many catalog labels defined in your catalog structure you may not always remember where a particular catalog label is stored and finding it back may become a true journey. That is when you'll need the label search feature. The label search feature can be found at the top of the Catalog Explorer. Open the Catalog Explorer by clicking the spider web icon in the left Explorer Bar.

By entering the name of a catalog label the label search box will show all labels that match the name. By default IDimager will display all the catalog labels that contain the search term. If you find the label you are looking for, then select it in the drop down list and press Enter (or just point and click). The selected label will then be looked up in the catalog label structure and it is selected.

At the right of the drop down list you can click the drop down button to select the search method to be used:

You can choose from:

Exact

Any Position

Brings with

Ends with

Sounds like (only IDimager Pro)

Once you select a different search method, the last selected choice is maintained, even after a system restart.

Tip!

To preserve screen real-estate it is possible to toggle the Label Search panel OFF. You can do this by double clicking on the "Label Search" title. That will collapse the panel. Then as you hove the mouse over the original location of the panel, the Label Search panel will slide in again. It may take some practice though. Once the panel is slided in you can lock it again by double clicking on the "Label Search" title.


Reorganising your catalog label structure

Now that we have learned to create a catalog structure you should be constantly aware if a label is stored in the correct group. The golden rule that applies to information management is that if something is named the same, it *is* the same. That is pure theoretically tho. In real life it is very well possible that your create duplicate labels for different purposes. For instance; You can have a catalog label Events.Birthdays.Alex and a catalog label People.Family.Alex. As you can see both these catalog labels have the exact same significant element (lowest level), being Alex. But in their own context these catalog labels have completely different meanings. The first one describes the birthday even of Alex and the second one describes Alex as a person. This is just to illustrate the it is possible to have duplicate names, but make sure that your brain is triggered once you get duplicate names. Then consider if they describe a different context or not. If not (which is most likely the case), then rethink your design and optionally replace the catalog label in the structure or even merge the catalog label with another label which already covers the same purpose/domain.

The next sections will describe relocating and merging in more detail.


Relocate catalog labels

In IDimager you can relocate a catalog label to a different parent label in two ways. The most simple relocate feature is to drag the label over a new parent in the structure and then drop it there.

While this is very efficient to quickly relocate a single catalog label in the structure, it is not the most convenient way to relocate series of catalog labels to new parents because you would need to drag/drop each label separately. To replace a series of catalog labels to a new parent you can use the Catalog Manager. The Catalog Manager is the feature in IDimager that is intended to support and maintain your catalog database. The catalog structure is also part of the Catalog Manager. Start the Catalog Manager by selecting Tools | Catalog Manager from the application's main menu. In the Catalog Manager you see each category represented as a tab sheet and within that tab there is a list of the catalog labels.

By double clicking on a label you can open its details which also shows the sub labels. In the sample above you see that I have several sub labels in Netherlands for cities that are actually part of Belgium. I'll need to replace them. Highlight each sub label in the list by clicking on them when holding the [Ctrl] button down. Once they are selected, click the button in the mini-toolbar called "replace the selected items to a new parent...". It is the icon with a tree on it. That will open a separate catalog tree where you can select the new parent for the selected catalog labels.

Then click <OK>. Notice that the selected labels are removed from the list. Now click <OK> until you return to the Catalog Manager and close the Catalog Manager. You can now see in the Catalog Explorer that the series of labels is replaced.


Merging catalog labels

Merging catalog labels means that two or more catalog labels are joined together into one single catalog label. You will normally need to merge catalog labels when you have existing labels with many images assigned which in the end turn out to cover the same meaning. In that case you will merge the two catalog labels together.

Relocating catalog labels is simple. Just select the catalog label that needs to be merged with another label. This is the label that you want to have removed after the merge. Then right click on the catalog label and select "Merge to another label..." from the context menu. That will open a separate catalog tree where you can select the label where the selected catalog label should be merge with. Remember; the original selected label will be merged with the selected label, so after the merge only the selected label will remain available.

When merging labels, all assigned images of the original label will also be brought over to the target label.


Catalog Label Relationships

Catalog label relationships is a unique feature that IDimager offers. With relationships you can relate one catalog label with another. Then each catalog label gives direct access to the related catalog labels in the catalog structure. This mechanism is mainly intended a better way to navigate through your structure. You'll typically create relationships for intensively used catalog labels.

To create a relationship between catalog labels is easy.Open the Catalog Explorer and the branch Catalog Labels to access your existing label structure. Then find the catalog label that you'd like to relate to another catalog label. Right click on the label and select "New Relationship" or press [Ctrl]+[Insert].

This dialog displays the selected catalog label on top. You can select the related catalog label by either clicking the <...> button or by just typing its name. No need to type the path, in the sample above I just typed "Den Haag" and when leaving the field, IDimager did the auto completion.

Now, the relationship I am creating is from Hertwig to Den Haag (the city where Hertwig lives). To describe the relationship I should specify how Hertwig relates to Den Haag and because relationship work two ways, I should also specify how Den Haag related to Hertwig. So when considering the role Hertwig/Den Haag it would be "Hertwig lives in Den Haag". This is the role I should enter in the first field. When considering the role Den Haag/Hertwig, this would be "Den Haag is residence for Hertwig". That is what we enter in the second role.

That's it basically and you are done defining the relationship. Click <OK> to store the relationship and close the dialog.

Back in the Catalog Explorer, you'll notice that the selected catalog label now has children... even though there are no sub labels. Expand the node and notice that the related catalog label is presented.

Relationships are always recognizable by their purple color. The relationship node displays a magnifying glass icon, followed by the name of the related catalog label, and then the role of the relationship between square brackets. You can click the magnifying glass icon to instantly jump to the related catalog label at its original position.

The relationship is accessible in both directions. Also below the related catalog label there is now a relationship visible which also shows the role to that catalog label.

This way relationships enable you to quickly navigate through the catalog structure and prevents you from having to constantly scroll through the structure which could be annoying once you have a lot of catalog labels defined. Relationships offer a simple, yet very powerful mechanism.


Stored Groups

(based on the original text by Jeff Godfrey)

 Top Previous Next

A Stored Group is like a standard catalog label on steroids! Each group is represented by a single node in the catalog tree, just like any other label. What makes it so interesting though, is that it represents the dynamic results of a search query. So, for instance, you could define a stored group to display all images containing “Tom and Jenny, but not Fred”. Once a group has been defined, it will dynamically contain the results for that particular search. So, if you later add more images that meet the group’s search criteria, they’ll automatically show up in the group.

And, there’s more; Stored groups can also be used to assign catalog labels to images. For instance, if you were to drag an image to the “Tom and Jenny, but not Fred” group, the image would automatically get the “Tom” and “Jenny” labels assigned to it. If it previously had a “Fred” label, it would be removed (after all, this is a “not Fred” group). All other labels that were previously assigned to the image would be left as-is.


How to create a Stored Group

Open the Catalog Explorer by clicking the spider web icon from the left Explorer Bar.

In the Catalog Explorer there are selection boxes at the left side of each catalog label or other entries in the tree. There you select all the elements that should be part of the stored group. You can combine any type of element: catalog labels, rating, color labels, catalog folders, etc.

Once you have made your selection, click the [image] button in the Catalog Explorer's mini-toolbar. Now you can name your stored group. Give it a name that matches the selection. In the sample at the right, a selection was made of Hertwig, Alex, and Dean, with a 2 star rating.

Name the group appropriately (for instance “Tom and Jenny, but not Fred”). When asked if you’d like to design the content for the group, respond “Yes”. This opens the new “Design Stored Group” dialog.

Click OK to store the selection group. You return to the explorer and notice that the Stored Group branch now has a child entry.

When you select this stored group then all images will be displayed in the Collection Viewer with the selected condition, meaning all the images are displayed that have catalog labels "Hertwig" and "Alex" and "Dean" and are rated with two stars. Once we have learned how to assign images you will also see that we can assign this stored group to images and when doing so, all included catalog labels of the group will be assigned to these images with one click and also a 2 star rating is applied. This makes Stored Groups very convenient to assign series of catalog labels to images.


How to modify an existing Stored Group

Once a stored group is available, you can view the content or change the content by loading the content back to the selection boxes.

First make sure your active collections are cleared by clicking the clear button in the Catalog Explorer's mini-toolbar [image] .

Now we'll load the stored group's selections. To do this, right click on the stored group and select "Load group to selections" or simply press [Enter]. Notice that the selection boxes are now filled with the content of the stored group. Optionally make changes to the selections by either selecting more elements or by removing existing selections. Then again click the store button to save the changes in the stored group [image] .

The name of the active stored group will be pre-filled. Just click <OK> and confirm that you want to overwrite the existing definition.


How can I use a group to assign catalog labels

Just exactly the same way you assign standard labels. You can drag a group of images from the Collection Viewer (or from Windows Explorer) onto a group node in the Catalog Explorer. That will assign the catalog labels of the stored group to the images. You can do similar things in the Catalog Assignments dialog (F6), by selecting or unselecting group nodes.


Cataloging images

Cataloging images is the concept of assigning catalog labels to images. In IDimager jargon we call an image “cataloged” once it has one or more catalog labels assigned to it. This can be achieved in two ways. The first way is by using the Collection Viewer (thumbnails), and the second way is by using the Catalog Explorer.

The simple fact that an image is known to the database does not mean that it is catalogued. An image is considered catalogued once it gets one or more catalog labels assigned to it. All the images that don't have catalog labels assigned to them may be known to the database, and will be considered "Uncataloged" when they are part of (one of) your Watch Folders. The watch folders can be defined in the Options dialog, tab sheet "Catalog". Normally there you'd enter one or more top level folders from the file system that contain your images. For instance, if you store all your images in a single folder called "D:\Images" then can add this folder to the Watch Folders. If you use multiple physical folders to store your images in, then add each top level folder. IDimager will automatically watch all sub folders of each watched folder so you don't have to add additional sub folders to the list of watch folders.

Define your watch folders in the Options Dialog (Tools | Options | Catalog | Advanced tab sheet).

In the sample above you notice that I keep all my images in a single folder, so this is the folder that I'll add to the watch folders. Then click <OK> to confirm the new watch folder and again click <OK> to apply the changes in the options.

From now in IDimager will keep track of changes in the folders. These changes will be monitored with IDimager File Monitor system, which is active in the background while IDimager is running. For instance, when you move images on the file system outside of IDimager and IDimager is running, then the File Monitor will pick up these changes and automatically process them in the database.

Configuring your watch folders is a one time operation.

Now let's see how images can become part of the catalog database.


Getting your images in the catalog

Images can become part of the catalog database in different ways:

Import feature

The Import feature allows you to import one or more folders from the file system directly to the catalog. This method is the recommended way to get images that you already have stored on the file system into the catalog.

Also use this method when you have images stored on the file system that have pre-existing metadata in them (for instance written with a competing cataloguing tool). When your images already have pre-exiting images and you select to import the metadata, then IDimager will automatically copy the metadata to the database and create catalog labels for pre-existing keywords.

This method is described in the Getting Started chapter.

Download feature

The Downloader allows you to download images from an image source (like a digital camera or a scanner) to the file system.

This method is described in the Getting Started chapter.

Visiting folders in the Media Explorer

One thing that you should be aware of is that IDimager will create catalog entries in your catalog database as soon as you visit any folder in the Media Explorer. When these folders are already part of the catalog folder, then that is no problem. But if you accidentally visit a folder with images that you don't want in your catalog database, then that may out of your scope. That is why it is recommended to first set your Media Explorer's root to your image folder. That way you will be ensured that you can not visit folders outside the scope of your catalog.

To set a custom root folder for your Media Explorer you open the Options dialog (Tools | Options | General). Then in tab Advanced, select your preferred media root folder.

In this case I set my Preferred Media Root Folder to my image folder (in my case the network share Y:\).

After this click <OK> to confirm the folder and <OK> again to apply the options.

This is not a required step, but only a recommended one.

Scanning your Watch Folders

In a working workflow with IDimager, it may well be that you have added images to one of your watched folders while IDimager was closed. Then afterwards you can scan through the watch folders to find new images. This can be done by clicking the drop down button, next to the Import button in the main toolbar.

Once you click the import button, a drop down will open which includes a list of all your watch folders. Now either select the folder that you';d like to scan through or select the first entry to scan all watch folders for new images. After making your selection, IDimager will start an import session for that folder.


Cataloging images using the Catalog Assignment panel

The easiest way to assign labels to images is by using the Collection Explorer. No matter which explorer you use, IDimager will show the images as thumbnails in the Collection Viewer.

Every thumbnail has an orange or green small boxed icon in the lower left corner (number 6 in the image on the left). This box has several colors which represent the image’s catalog state:

Orange box, no dotted circle

The image has no catalog labels assigned to it and it is not synchronized (out-of-sync) with the (XMP/IPTC) meta data.

Orange box, dotted circle

The image has one or more labels assigned to it and it is not synchronized with the (XMP/IPTC) meta data.

Green box, no dotted circle

The image has no catalog labels assigned to it and it is synchronized (in-sync) with the (XMP/IPTC) meta data.

Green box, dotted circle

The image has one or more labels assigned to it and it is synchronized with the (XMP/IPTC) meta data.

By clicking this box (no matter what color), you’ll open the Catalog Explorer in assignment mode. The keyboard shortcut for this is [F6].

The Catalog Explorer has two modes: Browse mode and Assignment mode. In Browse mode you can select elements in the catalog structure and the corresponding images will be loaded in the Collection Viewer. In Assignment mode all catalog labels get an extra selection box that represents if the selected images have that catalog label assigned or not. You can easily recognize in what mode the Catalog Explorer is set. You can switch the Catalog Explorer mode by pressing [F6] or by clicking the check icon in the title bar of the Catalog Explorer.

Browse Mode | Assignment Mode
In browse mode, the title is captioned "Catalog Explorer" and there is no orange selection bar. Also, depending on your theme setting, the title bar will be colored blue. | In assignment mode, the title is captioned "Catalog Assignments" and there is an orange selection bar directly below the mini-toolbars.

Images can be cataloged one by one but you can also catalog for a series of images together. Just select the thumbnails that should be labeled and press [F6] (or click the catalog box icon on the thumb (6)). Select one or more thumbnails by clicking them while holding the [Ctrl] button pressed. You can also press [Ctrl]+[A] to select all images in the collection. Read chapter “Collection Viewer” for more selection options.

Now you have selected the images click the box icon on a selected thumbnail or press [F6] to open the Catalog Explorer in assignment mode.

The Catalog Assignment is opened. Find the labels you want to assign to the selection of images by expanding the tree.

You can do this by:

1: Just type the name of the label while you are anywhere in the Catalog Assignment tree;

2: Use the search label feature in the Catalog Explorer:

3: Just browse through the label structure by expanding the labels.

Once you have found the correct label, click the selection box before the label to select it. It will be marked by a green selection mark.

It is also possible that the catalog label you want to assign to the selected images is not yet created. In that case you can create it directly in the catalog structure. Find the category or parent catalog label you want to define a new sub label for and right click to open the context menu. Then select “New Item”. You can also press [Insert]. A new catalog label is created below the selected label and the detail dialog opens. Enter the details and click OK to save them. The details are described in the previous section. After creating the catalog label it becomes visible in the structure and can be assigned.

As soon as you click the assignment box before the catalog label’s name the label is assigned to it. No need for further confirmation.

You can leave the Catalog Assignment tree open and select a different set of thumbnails. If the Catalog Assignment tree is still open they will be loaded to it automatically. By this way you can assign catalog labels to different thumbnails very quickly.

“The Last Used Items” branch allows you to reselect one of the last used catalog labels. The number of items in this section can be changed in the options dialog by selecting “Tools | Options | Catalog | Basic Number of items in the “Last Used Items” section”.


Cataloging multiple images using the Collection Viewer

As described before, you can assign catalog labels to one or a series of images. Select all thumbnails and press [F6]. The Catalog Explorer opens in Assignment Mode and the number of selected images is displayed in the orange selection bar of the Catalog Explorer. You can now assign labels and every assigned label will be assigned to every selected image.

It is possible that one or more of the selected images already have one or more labels assigned to it.

In the sample screenshot above you see that 3 images are selected in the Collection Viewer. The branch of Selected Labels displays different colored catalog assignment boxes.

The orange boxes indicate that one or more of the selected images have this catalog label assigned, but not all. If all selected images have a certain catalog label assigned to it, the mark will be blue (the "Den Haag By Night" label in the screenshot). No mark is displayed if none of the selected images have that label assigned to it.

When you click the assignment box for a catalog label that has an orange box (only a few of the selected images have that label assigned) then that label will be removed from all selected images. By clicking it once more, it will then be assigned to all selected images (not only the images that had it assigned before, but all of them).

Tip: By holding down the [Ctrl] key and clicking the orange check mark you can instantly assign that label to all of the selected images.

Apart from using the Catalog Assignment panel you can also drag and drop a selection of thumbs over a catalog label. In that case the Catalog Explorer may be in either assignment or explorer mode. You can also drag and drop a catalog label to a selection of images.


Copy and paste labels assignments using Windows’ Clipboard

With IDimager you can copy the catalog label assignments from one image and subsequently paste it to other image(s).

First you select one or more images for which you want to copy the catalog labels. Then click on the Quick Assign icon on any of the selected thumbnails. This Quick Assignment box displays the selected catalog labels (among others). Click the entry "Copy Labels to Clipboard" to copy the current assigned catalog label for the active selection to the Windows clipboard.

Note; If you have selected multiple images and only a few of these images have a certain label assigned to it (orange assignment boxes) then these too will be copied to the clipboard.

Once you have copied the assignments, change your selection in the Collection Viewer by selecting the images that need the same assignments as the ones you just copied. Again click on the Quick Assign icon and then select "Paste Labels from Clipboard".

Now the copied catalog labels are assigned to the current image selection. If needed, you can repeat this and paste the catalog labels to another selection of thumbs.

Inside the Collection Viewer select on or more thumbnails where you want to paste the selection to. In the Catalog Tree you can now click the paste button. This will instantly assign the selection from the clipboard to the current selected set.

Tip!

You can also copy/paste catalog label assignments without opening the Quick Assign panel. Just use select the source images and use the keyboard shortcut [Ctrl]+[Shift]+[C] to copy the assignments to the Clipboard. Then select the target images and use shortcut [Ctrl]+[Shift]+[V] to paste the label assignments from the Clipboard to these images.


Cataloging images using the Catalog Explorer

Another way to assign catalog labels to images is by using the Catalog Explorer. While cataloging with the Collection Viewer or the Image Viewer both work image oriented (you first select the image and then you assign catalog labels to it), the Catalog Explorer works label oriented.

Open the Catalog Explorer by clicking the spider web icon in the left Explorer Bar (optionally hold down the [Ctrl] key when clicking the spider web). Browse through the catalog structure or find the catalog label you want to assign to your images. The Collection Viewer on the right side will display the thumbnails if there are already images assigned to it.

You can select one or more thumbnails from the Collection Viewer and drag & drop them on any catalog label in the Catalog Explorer.

Add images from Disk

Right click on the background of the Collection Viewer while a label is selected and select “Add Images from Disk” from the context menu. You can also select “Collection->Add Images from Disk” from the main menu.

A selection dialog opens which displays. Navigate to the folder where the images reside and select one or more of them. Then click “Open” to assign the selected images to the select label in the Catalog Explorer.

If the selected images are not part of the catalog database yet, they will first be added which slows the process down.


Quick Cataloging

The upper right corner of each thumbnail displays a star shaped icon. If you don’t see it, make sure you have the quick assignment icon switched on in the thumbnail settings of the options dialog; Tools -> Options -> Thumbs(2).

The quick icon embeds the quick catalog features. It is very useful when you have an existing catalog and want to make changes to one or more images.

Activate the quick assign feature by clicking the icon on any thumbnail. When multiple thumbnails are selected, the quick assign will work for every selected thumbnail.

When you click the quick assign icon for one or more selected thumbnails, it will open up the Quick Catalog features. Basically this is an extract from the Catalog Explorer and it allows you to assign or remove catalog labels to/from the selected images.

The Quick Catalog is divided in sections:

The upper section contains the Quick Assign entry field

The second section contains all catalog labels that are defined as quick labels.

The third section contains all last used catalog labels

The fourth section contains other relevant labels for the selection of images but which are not in the “quick” or “last used” section.

The fifth section is a direct entry to your full catalog structure and your portfolios

The sixth section contains the most relevant cataloging actions like copy/paste labels, and synchronizing the catalog to the image's metadata

This way the quick assign provides you with the most important catalog label features for the selected images.

The labels have assignment boxes in front of them. There are 3 possible states:

A clear box

This is an unselected catalog label

You can click on this catalog label to assign it to all selected images.

A blue box

This means that this catalog label is assigned to all selected images.

You can click on this catalog label to remove it from all selected images.

An orange box

This means that this catalog label is assigned to one or more of the selected images, but not all of them (all assigned would make the box blue).

You can click on this catalog label to remove it from all the images within the selection that have this label assigned.

You can also hold down the [Ctrl;] key and then click this catalog label to assign it to all images within the selection that don’t have this label assigned yet.

Apart from the direct entries you can also assign/unassign any other catalog label from your catalog structure. In that case select "All Catalog Labels" and then select the label from the structure.

You can also assign/unassign the selected image to/from any of your portfolios by selecting the "All Portfolios" entry and then select the portfolio from the structure.

This way you can easily maintain your existing catalog and quickly assign or remove labels from selections.

The lower part of the quick assign menu contains entries to maintenance features. You can copy the labels to clipboard. Then select a different set of images, click the quick assign icon and paste the copied labels by selecting the option “Paste labels from Clipboard”. There is also a feature to synchronize your catalog and images. If you select that option, IDimager will write the catalog information from the database back to the image's (embedded) metadata.

Tip!

When you click the quick assign icon for a image that identifies a collapsed stack then the catalog labels listed will be matched against all images in the stack. If you need to change catalog labels for just the single image, then click the quick assign icon while holding down the [Ctrl] key.

The most important entry is probably the Quick Assign entry field. Using this field will enable you to quickly assign catalog labels or even create new catalog labels when they don't exist yet. Just start typing the name of the catalog label that you'd like to assign/revoke. As you pause with typing, IDimager will look up the existing catalog labels with matching names. If you need to correct the text then press [Esc] when the suggestions are listed and make the change.

If you type a name that is not yet available in your catalog then IDimager will prompt you to create one on the fly. To do that, type the name of the label in the Quick Assign field and press [Enter] to confirm it. If that name does not exist yet you'll get the following dialog where you'll be able to store the new catalog label under a parent in the hierarchy.

By default the last used parent label will be selected. If needed you can select a different parent by clicking the magnifying glass icon next to the "parent label" field. Once you confirm the new label it will be created and automatically assigned to the selected images.

If, in the Quick Assign field, you type a label name that has more than one occurrence and then press [Enter], then IDimager will ask you which of the occurrences is the once you need. Optionally you can also create a new catalog label from there.


Stamper Feature

The stamper feature is very much comparable with stored groups. Both feature allow multiple elements from the Catalog Explorer to be assigned to images in a single go. The main difference is that stored groups are persistent after they are stored in the database. Like the stored groups, the stamper feature works with a selection of elements in the Catalog Explorer. Once the selection is made you can activate the stamper and then stamp the selection to thumbnails in the Collection Viewer. This way you can quickly assign one or more collective elements to thumbs, like a series of catalog labels, optionally combined with ratings and color labels.

Open the Catalog Explorer by clicking the spider web icon from the left Explorer Bar. In the Catalog Explorer there are selection boxes at the left side of each catalog label or other entries in the tree. There you select all the elements that should be part of the stamper. You can combine any type of element: catalog labels, rating, color labels, catalog folders, etc.

After making the selections, click the Stamper button in the Catalog Explorer's mini-toolbar.

The stamper button will stay highlighted to indicate that the stamper is active. Now with the stamper activated, open any collection of images from either the Catalog Explorer or from the Media Explorer. As you hover the mouse over the thumbnails in the Collection Viewer, the mouse will change to the stamper icon. You can click any thumbnail to stamp the selection to that image. You can also select one or more thumbnails by holding the [Ctrl] or [Shift] button down and clicking thumbnails. Then after making your selecting, release the [Ctrl]/[Shift] key and the mouse will change back to the stamper icon. Then stamp your selection.

After you are done stamping your images, either click the "Stamper" button again in the Catalog Explorer mini-toolbar or simply press [Escape].

Another way of using the stamper is exactly the other way around. This time select one or more thumbnails. Then in the Catalog Explorer you can select one or more elements and then [Ctrl]+Click (hold down [Ctrl] and click) the stamper button. That will instantly stamp the selected images with the selected elements in the Catalog Explorer.

When you are done stamping, you can click the clear button in the Catalog Explorer's mini-toolbar to reset all active selections: .


Working with ratings and image scores

With IDimager it is possible to rate every individual image with a 0 to 5 score. By rating your images you can graduate them and distinguish the good from the bad (0 = unassigned, 1 = very bad,.., 5 = best) . For example; you can retrieve all your best images just by selecting the “5 stars” label in the Catalog Explorer's Ratings branch.

Every thumbnail contains a rating bar below the thumbnail image. This bar consists of 5 dots. Each dot represents a rating value. You can click on any of the dots to open a selection menu that allows you to select a rating for that image. You can also hold down the [Alt] key on your keyboard and click on one of the dots to instantly assign that rating.

If you select a series of images, and assign a rating it will be applied to every selected thumbnail.

This is an example of a rated image. The number of stars indicate the rating (in this case 3 stars). The dots indicate unrated positions and can be clicked or [Alt]+clicked to assign the rating.

The slashed-circle in front of the ratings can be used to remove the rating when clicked with the [Alt] key pressed.

The following keyboard shortcuts can be used to quickly assign ratings

[0] | Neutral or 0 star rating
[1] | 1 star rating (worst)
[2] | 2 stars rating
[3] | 3 stars rating
[4] | 4 stars rating
[5] | 5 stars rating (best)

Another way to rate your images is by dragging a selection of thumbnails and then drop them on the appropriate rating in the Catalog Explorer.


Working with color labels

With IDimager it is possible to assign color labels to your images. Color labels provide a mechanism to rank or mark your images. You could add meaning to each color that suits your work flow. The excellent book “The DAM Book"; by Peter Krogh; http://www.thedambook.com is the place where color labels are described in more detail. The book also explains how you can use them. It is a great resource for setting up a future proof work flow.

Examples of color labels could be:

Red | Ready for the trash bin
Yellow | Your Pick
Green | Customer Pick
Blue | Ready to print
Purple | Temporary tag

(these are just examples; again read "The DAM Book" for Peter Krogh’s way of using color labels)

Once you have determined for yourself what the colors mean in your work flow you can define your own captions for each color. Do this in the options dialog by selecting “Tools | Options | Other Settings | Basic | Color Label Definitions”

Every thumbnail contains a rating bar below the thumbnail image. The background of the rating bar represents the color label.

If you select a series of images, and assign a color label then it will be applied to every selected thumbnail.

This is an example of a ranked image. The number of stars indicate the rating and the background indicates the ranking (in this case Green)

In the same line as with ratings/scores, you can also set color labels for your images with keyboard shortcuts.

[Ctrl]+[0] or / (forward slash) | No colored label
[Ctrl]+[1] or [6] | Red colored label
[Ctrl]+[2] or [7] | Yellow colored label
[Ctrl]+[3] or [8] | Green colored label
[Ctrl]+[4] or [9] | Blue colored label
[Ctrl]+[5] | Purple color label


The Catalog Manager

The Catalog Manager is a feature of IDimager that allows you to manage, backup, and/or maintain your catalog database. Start the Catalog Manager by selecting “Tools -> Catalog Manager” from the main menu. You can also press [Ctrl]+[Alt]+[C] in IDimager's main screen to open the Catalog Manager.


Backup your catalog database

Your catalog is stored in a catalog database. If you are using IDimager Personal or IDimager Pro Desktop then the database is a SQLite database format. If you are using IDimager Pro SQLServer then your database is in SQLServer format. As you invest more and more time in your image catalog database, it becomes important to safeguard that information. The backup feature is intended to help you store you database to a safe location.

In the Catalog Manager, click the "Backup" button in the toolbar:

IDimager allows you to backup your catalog to disc (CD/DVD) or to a folder (hard drive). Since the catalog database tends to grow large, it is highly recommended to backup your catalog to a secondary hard drive, either an external hard drive or a second hard drive inside your computer system. It is never recommended to backup to a folder stored on the same hard drive as where your catalog is stored.

First select in what folder you want the backup to be stored. Click the folder icon to the right of the Backup Folder field to change the folder. Again, it is recommended to choose a folder on either an external or secondary physical hard drive.

Then select which database should be included in the backup; the catalog and/or the thumbnails database (the thumbnails database also contains your image previews). You can also select if the IDimager registry setting should be included in the backup. These are the settings that IDimager maintains in the Windows registry.

Then click OK to start the backup process and wait for it to finish.


Catalog Maintenance

Your catalog is stored in a catalog database. The Catalog Manager offers some features that will help you maintain your database. Other maintenance features allow you to maintain the content of your catalog database.

The maintenance features of the catalog are accessed by clicking the "Maintenance" button of the Catalog Manager's toolbar.

Compact Databases

This feature is intended to reduce the overhead of the database. IDimager Personal and IDimager Pro SQLite use a SQLite as the database system. IDimager Pro SQLServer uses MS-SQLServer 2005 or SQLServer Express as the database system. SQLite as well as SQLServer claim space in the database file(s) when they needs it, but they won't "give back" that space when the extra space becomes unused; for example after a delete operation. To clean up the database it is recommended that you use the Compact Database feature on a regular basis.

IDimager Personal and IDimager Pro Desktop both store the thumbnails and Previews in a separate database, apart from the catalog database. This database is called the Thumbnail database. In all IDimager editions, the thumbnail database uses SQLite as the database system.

To compact your database, open the Catalog Manager and then click "Maintenance -> Compact Databases" in the toolbar.

IDimager now asks which of the databases should be compacted.

For SQLite database, the compact always rewrites the database file. In so doing, it temporarily takes up to twice the database size in disk space.

If you decide to hard reboot or power cycle the computer during the compact of the database, you can leave the database in an inconsistent state. SQLite generally does a very good job of recovering from such a situation, but it isn’t perfect.

Clear XMP DB Cache

When entering metadata in IDimager, it will always store this information to XMP. At the same time, this XMP block is also stored cached in the database for faster future access. This maintenance feature allows you to clear out all XMP information that IDimager has stored in the database. Basically you'll never need it so don't click it until that is recommended by IDimager support.

When running this feature, all cached XMP data will be removed for images stored on "fixed"drives only. Images on offline media (like CDs, DVDs) will not be removed. For your info; images on a removable hard drive are considered "fixed" by Windows and therefore also by IDimager.

Run this feature with care.

Cleanup Thumbs

This feature is intended to remove thumbnails and previews from the thumbnail database that no longer has references in the catalog database. It is safe to run this feature anytime but it is not required to run it on a regular basis. You could run it every couple (3?) of months.

Empty Images

When you run this feature, IDimager will permanently remove all images in your database. The existing labels and existing portfolio structures will not be removed. Use this feature only after you convinced yourself of the consequences.

Empty Catalog

When you run this feature, IDimager will permanently remove all information from your database. This includes images, portfolios, galleries, collection, sub collections, images and catalog label structures. Use this feature only after you convinced yourself of the consequences.


Managing catalog labels

This manual already described how you can create catalog labels in the Catalog Explorer. Apart from using that method, you can also create catalog labels directly in the Catalog Manager. Using the Catalog Explorer is recommended, mainly because it is easier to use.

The Catalog Manager displays a line of tab sheets and each tab sheet represents a category in your catalog structure. If you need a new category, delete a category, or replace categories in the structure then click the drop down at the left of the tab sheets.


Create a new label

Select the tab sheet of the category in which you want to create a new catalog label. In this sample we'll use tab sheet “People”.

Click the button “New”. You can also press [Ins] or right click and select “New Item” from the context menu.

A new window opens where you can enter the name of the label.

Enter the label’s name and click OK to confirm.

You return to the Catalog Manager where the new label is created.

Behind the name of the new catalog label there are two more columns. These are:

Subs | This column shows the number of sub labels that exist below this label. Because no decomposition has been made yet, this value is still 0.
Images | This shows the number of images the label contains. This count includes images in sub labels.


Itemizing a catalog label (decomposition)

To decompose a catalog label into sub labels we must first open the label by double-clicking it. The catalog label with its details is shown in a new window.

Read the section "Working with Catalog Labels" for a more detailed description of the content in this dialog.

To create a new sub label we click button “New” within tab sheet “Sub Items”. Select the new label and press [F2] to change the name (double click to change the full details).

Every sub label can be itemized again. Double click on a new sub label and repeat the same procedure as outlined above.

We are finished with this structure. Now click <OK> to close the window for each label until returned to the Catalog Manager. Notice that the number of 4 subs is displayed.

This finalizes the creation of our first catalog label, sub labels included. Repeat this procedure for other labels for this same category or for any other category.


Reorganizing labels

Sometimes you might come to the conclusion that you need to replace certain labels in the label structure. This is possible. When replacing a label, all available sub labels and label assignments will be replaced as will. This makes it very easy to reorganize the label structure, without further impact. The reorganization features are described in more detail in the section "Working With Catalog Labels -> Reorganizing your catalog label structure".


Working with versions

One of IDimager’s unique features is the ability to maintain multiple versions (or derivatives) of images. IDimager supports so called “Multi Versioning”. This is not the same as revision versioning, where you freeze stages and only one single version is the “active” version. With Multi Versioning you can store several versions of the same source (image) where each version is active. Examples are: the original image has one version for web publishing, one version for printing, one version for previewing etc. You typically use versioning to keep your multiple derivatives of an image together.

Once an image has one or more versions assigned to it, it will automatically be defined as the “Main Version”. These “Main Versions” are recognizable because they have a “yellow” bar drawn beneath them. Sub versions have a green bar drawn below them. The colors used to draw the bars are configurable in Tools -> Options -> Catalog tab sheet.

When you first start with versioning, ask yourself which version you want to set as your main version. This does not have to be the original image coming from the camera but can be any image that best fits your work flow. Personally I always shoot images in RAW and convert the RAW images to DNG while downloading them using IDimager’s Downloader. The original RAW becomes the “Main Version” and the DNG is the version. Versions can be placed in place holders. A place holder is a storage bank in your version set that you use to identify a version. You can define as many place holder as you need. One example of a place holder is the "display version". The display version can be used to identify the version that you want to use to represent the version set (if not assigned, the main version is used). In my sample above, I set the DNG as the display version. This means that the application will use the DNG throughout the application and not the original RAW. No matter what decision you make to set the main version, you can always change it afterwards.

IDimager includes a "Version Detection Wizard" that allows you to find existing duplicate images fast.

Versioning or Stacking?

One question that pops up every now and then is: What differs versioning from stacking?. A very understandable question because the two concepts seem much alike and are easily confused. However, they are completely different and also behave different.

Versioning is used to collect similar images together in a version set. Stacking on the other hand is intended to collect images for a specific purpose. Stacking is a mechanism where you can keep a bunch of images together which doesn't have to be derivatives of the same image. A simple example is a panorama shot which is composed of several different images. Another example is a retouched image that is designed based on different images. One more example is a burst shoot. Each of the images in a stack have their own characteristics (labels, properties, ratings, ...) but still form a logical set with other images. Tend to think of stacks as lightweight collections, but with the ability to collapse a stack into a single thumb

So you use versioning to maintain copies or derivatives (cropped/sized/converted/...) of the same image and you use stacking to group a set of non identical images together (like a panorama photo that is made up from different images, or a collage with several images).

Cascading meta information

As you can read above, version sets normally contains derivatives of the same image. IDimager offers a feature to cascade meta information through the entire set. This means that you copy the metadata from one image in the version set to all other images in the version set. This way you have the opportunity to keep the metadata for all images in the version set identical. This feature is called cascading meta information.


Adding versions for a main version

The versioning feature is completely integrated throughout the application. You can get version in several manners.

If you edit an image in IDimager and then save the edited image under a different file name, the copy is automatically stored as a version.

When you copy/paste images between folders then the copied image will then be stored as a version.

Then there is the Version Detection Wizard (VDW) that searches through your images trying to identify versions and helps you to create version sets. The VDW is one of the most important tools available to you to help you set up your version sets.

You can also create version sets manually, simply by using a drag/drop to the version set panel.

When using IDimager's Batcher to perform operations on large sets of images then the output files from the Batcher can be stored as versions of the original images.

IDimager also allows you to identify versions as you Download your images from the camera. The integrated Downloader feature offers options to store RAW+JPG sets, as can be recorder by many reflex cameras, in version sets. There you have the option to define which should be the main version, which the sub version. It also allows you to define what place holder should be used.


Versioning on download

The Downloader in IDimager allows you to download images from a digital imaging source (like a digital camera) to your computer. IDimager allows you to create versions based on RAW+JPEG combinations, but the Downloader also offers a Download script to convert RAW images to DNG as you download them from the camera.

RAW and JPEG combinations

Many cameras allow you to shoot in RAW+JPG mode. This means that the camera actually records two files of the same image. One in RAW mode and one in JPG mode. Basically the camera already created your first version set. This version set is easily migrated to IDimager. Start the Downloader by clicking the "Download" button in the application's main toolbar. Please read through the chapter describing the Downloader for a full description.

After entering the target details for you images in the Downloader, you get to the step where you can define the version detection:

As you can see there are three options:

None | Select this option if your camera didn't record RAW+JPG or if you just don't want them kept together in a version set.
RAW as main version and JPG as sub version | Select this option to keep the JPG as a version of the RAW image
JPG as main version and RAW as sub version | Select this option to keep the RAW as a version of the JPG image

If you selected the RAW/JPEG or JPEG/RAW combination setting, you can also specify to what placeholder the sub version should be assigned to. By default IDimager comes with 5 pre-defined place holders, but you are free to define as much as you like (IDimager Pro only; IDimager Personal supports up to 10 place holders).

After setting your preferences, click Continue and step through the remaining steps of the Downloader.

During the Download process, IDimager will detect the versions and store them using your preferred method. The versions are detected based on their file name. So the Downloader assumes that the RAW and the JPEG share the same name (e.g. IMG0001.CR2 and IMG0001.JPG). This is how all cameras behave.

Using the DNG Downloader script

The DNG Downloader script is a so-called Post-Script. That is a piece of program that can be executed "after" the normal download process finished. The DNG Download script is able to convert RAW images to DNG by using Adobe's free DNGConverter utility. First make sure that you download this utility from the Adobe website. You can find it here: http://www.adobe.com/support/downloads/product.jsp?product=106&platform=Windows (approx. 6MB; if this link becomes unavailable, the search their website for DNG Converter). Once you have downloaded the DNGConverter package, unzip the package to a folder. The package contains a file called "Adobe DNG Converter.exe". That is the stand alone converter that we need for the DNG Downloader script.

As you activate IDimager's Downloader, you can define the target locations. One option there is the option to run pre and post scripts. The DNG Download script is a post script so we activate that option.

Then click the Open button next to the "Script Design" button. That allows you to import a script to the Downloader. Find the file "DNGImportScript.idscript" and import it. That's all. This script will now be executed as soon as the Download process is finished. So click Continue and step through the rest of the Downloader's settings and start the process.

Once the Download process is finished, the DNG Download Script will appear.

The first thing that you need to do (one time only) is to specify the location of the Adobe DNG Converter tool. Click the button [...] at the right of this field and point to the file that you just downloaded.

The second option in the DNG Download script is option to store the DNG in a sub folder. For instance; if you need your DNGs to be stored in a sub folder called "DNG" within the folder of the original RAW file, then enter DNG there.

e.g.

Original is downloaded to C:\MyPics\2007\10\2007-10-11\IMG0001.CR2 then normally the DNG will be stored in the same folder C:\MyPics\2007\10\2007-10-11\IMG0001.DNG, if you specified a sub folder then it will be stored in that folder, relative to the original folder. A sub folder DNG will result in C:\MyPics\2007\10\2007-10-11\DNG\IMG0001.DNG

The next option in the script is the option to store the DNG as a version of the original. If you enable that option, you can also specify to what placeholder the DNG should be assigned to.

The last option allows you to delete the original RAW file after it is successfully converted to DNG. Use this option with care.

Then start the script. The script will then find all RAW files within your Download session and convert each file to DNG, optionally storing it as a version.


Versioning while edited images

If you edit images in IDimager's editing features (like sizing, or cropping, or ...) and then store the result image afterwards to file, then that file will be stored as a version of your original. In the options dialog (Tools -> Options -> General tab) you can set if the "save as" image should be stored as version or not.

As an example I'll describe a simple crop operation.

You open an image in the editor by double clicking on a thumbnail. Then press [C] on the keyboard to go into "crop" mode. Then drag the crop rectangle over the image and double click on it to start the crop. Now save the result by clicking the "save as button" in the editor's mini-toolbar.

In this case I decide to store the result as a TIF image.

After clicking OK the image is saved to TIF while all Exif and other meta info are maintained. The Image Editor opens the newly saved file, in this case the TIF file. By now this TIF file is automatically stored as a version of the original file.

On top of the Image Editor there is a version combo box. This version box shows you all existing versions of the image currently opened.


Versioning with the Batcher

IDimager's Batcher is among the most powerful collective image processors available. With the Batcher you can perform multiple collective tasks on a series of images in a single run. The output can then be stored in a different folder (the output folder) or you can decide to overwrite the original images. When you store the results to an output folder, then you have the opportunity to store the results as versions of the images that are being processed. Start the Batcher by selecting one or more images to process and then click the "Batch" button in the application's main toolbar.

Select an output folder where the results of the Batcher should be stored in. Then add all the commands/effects to the batch that you want to apply to the images. This can be one command, but also a series of command and/or editing effects. Then define that the results should be stored as versions.

The only thing left is to click the "Run Batch" button in the toolbar. That will start the Batch and store the results that are created in the output folder as versions.


Versioning by hand

The previous section described how a version was created automatically by using a specific feature in IDimager. But what if you already have existing versions stored on your hard drive, or on CDs? In that case you can use the Version Detection Wizard to find the duplicates or add versions manually. This section describes how to create version sets by hand.

The versions of an image can be accessed by clicking the versioning button in the left Explorer bar.

The versions panel is then opened. You can drag the versions panel anywhere you like. A convenient place for it is at the bottom of the screen.

As you select an image in the Collection Viewer, the versions for that image will be read in the Versions panel. The Versions panel displays a series of thumbnails. The first thumbnail is the main version. It can be recognized by its red frame and also by the identifier "[main version]" directly below the thumb. The next series of thumbnails are the place holders. These can be either blank or filled with a thumb. In the sample above there are 4 place holders: album display, web display, print and e-mail. As you can see the place holders for print and e-mail are empty. Then to the right of the place holders you see all the versions that are *not* assigned to a place holder. This can be any number of versions (not restricted).

You can click on any of the thumbnails in the versions panel to select it in the Collection Viewer.

To add a new version to the version set you can simply drag and drop any thumbnail from the Collection Viewer to the versions panel. If you drop on a place holder box, then the image will also be assigned to that place holder. If you drop an image at the right area then it will be stored as a "simple" version. You can also drag/drop images from Windows Explorer or any other application that supports Windows' drag and drop mechanism.

Now, while the Version Dialog is open, you can navigate to the image that you want to store as a version. You can search this version using the Media or Catalog Explorer. Then drag the version to the lower part of the Version Dialog which is still open.

It is also possible to drag images from Windows Explorer directly to the Version Dialog.

You can add as many versions of the same image as you want. You can also select multiple images and drag them together to the Version Dialog. Again this can also be done directly from Windows Explorer.

If you want to remove a version from the version set, then right click on its thumbnail in the versions panel and select "Remove Image from Version Set" from the context menu.

If you assigned an image to a place holder, but want to remove it from that placeholder, then also right click and select "Remove image from placeholder".

At any time you can change the main version of a version set. Drag any image of the new main version over the "main version" thumb (the first and red framed thumb). You can either drag an exiting version to become the new main version of you can drag/drop any non-version to the main version to make it the new main version of the stack.

After you drop a new main version then the "old" main version will become a sub version of the new main version.

IDimager also supports "Version Place Holders". A Version Place Holder is a predefined "bank" in the database that allows you to store each of the versions in. The placeholder is typically related to a "kind-of-use" for that image. Examples are; web version, slideshow version, etc.


Working with the Version Detection Wizard

The biggest challenge when building a catalog and getting started with versioning is to find the existing derivatives / duplicates / versions that should be combined in a version set. Most likely they are spread around your hard drive(s) and existing CD/DVD archive, and you may not know exactly which image is related to another. This is where the Version Detection Wizard comes into play. The VDW will help you find those images based on file names and/or existing meta data.

The Version Detection Wizard can be started in different ways. First is by clicking the Version Detection Wizard button in the versions panel's mini-toolbar [image] . A second way is by selecting one or more thumbnails in the Collection Viewer and then press [Ctrl]+[Alt]+[V] to start the VDW (or right click on a selected thumb -> Versioning -> Version Detection Wizard). This way of starting the VDW will open the Wizard and load all the selected images to it. The easiest way is to start the VDW with your originals selected.

The upper is the area where you can define you search settings.

The middle part shows a list with all images you want to find versions for. If you have started the Version Detection Wizard from the Collection Viewer, then the selected images will be pre-loaded. If you need more images in the wizard, then click the button “Add Images” in the toolbar.

Tip!

A. Double click on an image in the upper list to open it in the Image Viewer.

B. Double click on a found version to open it in the Image Viewer

Now select one or more folder(s) where IDimager should search for the versions of the selected images. Click the button behind the field “Search versions in folder” to select a folder on disk. You can select up to three folders that should be scanned through. With the option "search in sub folders also" at the top right you can determine if only the selected folders should be scanned through or also all the sub folders below each specified folder.

Source

Here you can specify if IDimager should either search though the specified folders on the file system, or in the catalog database, or in both

Match File Names

Select this option to find duplicates based on their file name. By specifying a file name mask you will have great flexibility in doing so. For example the default file mask is *%FileName*.*. This means that IDimager should find for all files that contain the file name part in them (without extension). E.g.

Search versions for TEST.JPG will match files names MYTEST.TIF, ITESTIT.JPG, TEST.DNG, etc

As you can see, the file masks can contain macro commands (% commands). You can select the command you need by clicking the arrow down button at the right of this field.

You can specify multiple file name masks to be used. If you need this, then separate the masks with a comma. For example;

*%FileName*.*,%FileName_%FileExtension*.*

For a sample file test.jpg this will be *test*.* AND *test_jpg*.*

You can use file name matching in bi-directional mode. With this option switch on, IDimager will use the file name mask not only to match the source file name (the one versions are being found for) with the files in the folder(s), but also the other way around. For example you are searching versions with a file name mask *%FileName*.* for the file test_bw.jpg and in the folder a file is found with the name test.jpg. Without bi-directional matching, the test.jpg file won't be detected as a version since it does not match the file mask *test_bw*.*, but reversed it does match: *test*.* does match with test_bw.jpg

Match Exif

By matching with Exif information, you are telling the VDW to find versions based on their metadata dates. You can optionally specify if IDimager should allow a burst range to select versions.

For your info; a burst range is a series of images that are shot with a (high speed) camera. Each of these images in a burst shot have its own file name and the date may differ within milli seconds. With the Burst setting you will be able to find all of the burst images and store them in a single version set.

Note: Using Exif based matching will slow the detection process down. If you are using a standard file name convention then you should always be able to use the file name matching only.

Auto cascade meta information after storing versions

Once you have detected versions and you're going to store them as a version set, you can use this option to allow IDimager to instantly cascade meta information to the found versions.

When you enable this option, the [...] button at the right will become enabled and when you click on it you can set the cascade settings.

Version place holder matching

Last but not least are the options to determine the version place holders.

IDimager's version support includes working with version place holders. The version assigned to each place holder can be auto-determined based on their settings. Storing the right versions to the right place holders can be essential for your workflow.

Settings are:

First version found; Select this option if you want to use the first version found as the album display version. This may be any random version.

First JPEG version found; Select this option if you want to use the first jpeg image found as the album display version. If multiple jpeg images are found in the version detection process, then IDimager will use the first one found.

Custom file mask matching; Select this option if you want to choose a version based on a (part) of the found versions their file name. For instance, if you always store your edited versions beginning with "aph_" (e.g. aph_IMG0003.JPG) then you can specify the mask here as aph_*.* That will make sure that this version is picked to be the right version place holder. You can specify multiple file masks per place holder by separating them with a comma.

Never assign this placeholder; Select this option if you want to skip assigning to this place holders

Now start the detection process by clicking the "Start Detection" button in the toolbar (or press [F9]).The detection process will start and, when finished, the results are presented. The list of selected images will contain blue entries for every entry that has detected versions. The number of versions found are displayed in the right column. The lower part of the screen contains all the found versions of the selected item in the list.

As you can see in the sample above, the thumbnail contains an arrow icon. This icon represents the version place holders found. When this arrow is blue, then that indicates that that version is matched with one or more place holders. Click this icon to open the menu.

You can see that in this case this image is matched with the "album display" place holder. You can click this entry in the menu to remove that assignment, or click another entry to also assign this image to that place holder.

You can also click this icon for images that are not matched with a place holder. In that case you can assign a place holder from the menu.

If you think that one of the found versions is incorrect, then you can remove it from the result by selecting it and then press [Delete].

To store all found results for all images click button “Store All Versions” in the tool bar.


Customize the version place holders

By default IDimager comes with a few predefined version place holders: album display, web display, slide shows, print, and e-mail.However, with IDimager Pro you can define as many place holders as you need (IDimager Personal is limited to 10 place holders).

To change the version place holder, open the version panel from the left Explorer Bar and then click the button [image] in the mini toolbar to customize the place holders.

In this dialog you see the list of all defined place holders. The first 5 place holders are fixed. This means that you can not remove them from the application. The reason is that IDimager also "acts" on these place holders. For instance when you mail an image that is part of a version set and an image is assigned to the e-mail place holder, then IDimager will use the e-mail version to create the mail message. The same goes for web publishing (web display version), slide shows (slide show version), printing (print version), etc. You can change the names of the place holders in this dialog, but it is not recommended to do so. For instance; if you rename "printing" to "mailing" and you assign a version to this "mailing" place holder, then IDimager will use that version to print. Not exactly clear behaviour, so it is recommended to leave the first 5 place holders the same (or change the name to something that covers the same concept).

Per place holder you can specify the name, if it should be visible in the application or not, and the sequence/order number of the place holder.

To delete a place holder you can click the button in front of the place holder.

Once clicked, the place holder will be marked for deletion. To remove the mark, you click the button once more. All marked place holders will be deleted from the database as soon as you confirm your settings by clicking the <OK> button. When deleting a place holder you are not deleting any of the assigned images from the database. Only the relationship between place holder and image will be removed.


Cascade meta information

Cascade information to versions

The version panel (click the version icon in the left Explorer bar) offers features to store different versions for an image. Once this is done, IDimager will only show the main version (or the Album display version if defined) in the Catalog Explorer. This way you work with only one version and you won’t get distracted by the other derived versions of the same image.

When you enter additional descriptions or other meta information to an image it will be stored for that image only, resulting in meta information for one image that is not “compliant” with the other versions or main version. This might well be your intention, but if it is not, you can use the cascading feature to dump all existing meta information from one image to all other images in the version set. Another possible reason when you might use this is when you have developed RAW images with a 3rd party tool to JPG or TIF and your RAW converter did not save *all* Exif data to the developed version (like many RAW converters do). With IDimager you can correct this by cascading the meta data from the original RAW to your developed version(s).

Keep in mind that cascading is permanent. Once you have cascaded to the versions it can not be undone.

To cascade your meta data you can click the cascade button in the versions panel [image] .

First select the source image for cascading. All versions all in the drop down list (including the main version).

Select the source for cascading

Here you can select the version image that should act as the source for cascading. The source is the image you are cascading the meta information from to the other images in the version set. The drop down includes the main version, as well as all sub versions.

Cascade XMP details to the version set

Select this option if you want to cascade all XMP information to the other versions.The XMP details include descriptive text like you may have entered in the Image Details for you images. Though ratings and color labels are also part of XMP these will not be cascaded with this option. To include them, make sure you select that cascading option as well.

Cascade all ratings to the version set

Select this option if you want to cascade the ratings

Cascade all

Select this option if you want to cascade the color labels

Cascade all Exif and IPTC to the version set

Select this option if you want all Exif and IPTC details to be cascaded to the version set

Cascade to

Here you can select which versions the selected info should be cascaded to. By default all will be selected. You can deselect versions to exclude by clicking the checkbox in front of each line. By clicking the "all" button you can quickly (re)select all versions.

This list contains one grayed out (and italic) entry. That is the source version as you have selected in the drop down list. It indicates that this image will be skipped in the cascading process.

Now click the <OK> button to start the cascading operation.

Another (and quicker) way to cascade meta information from one image to the version set is to right click on a thumbnail in the version panel and then select "Cascade with this image" from the context menu.

The cascading settings dialog will open with the source preselected.

Once you have used the cascading feature, then IDimager will remember the last used settings for the cascading options. You can then use a "default cascade" operation. Right click on any version that you'd like to cascade from and then select "Default cascade with this image". IDimager will then ask for a confirmation.

When confirmed, the cascading operation is applied to the full version set.


Automatic cascading

This section only applies to the Professional Edition of IDimager

The previous paragraph described how you can cascade meta information using the versions panel. If you have setup a work flow that needs all versions to have identical ratings and color labels, you can also configure IDimager so that it cascades ratings and/or color labels automatically. By enabling this you can save a lot of time in your work flow.

To specify your preference, open the options dialog by selecting Tools | Options from the main menu. Then in options category "Catalog", tab Advanced find the setting:

There are four options available:

Don't apply to versions | With this option selected, you can assign ratings and color labels to any image (including the ones in version sets) and nothing will be changed for existing other versions
Apply ratings and color labels to all images in version set | With this option selected, you can assign ratings and color labels to images and when that image is part of a version set, the new rating or color label will be applied to every image in the version set
Apply only ratings to all images in version set | With this option selected, you can assign ratings and color labels to images and when that image is part of a version set, the new rating will be applied to every image in the version set. Color labels will be unaffected.
Apply only color labels to all images in version set | With this option selected, you can assign ratings and color labels to images and when that image is part of a version set, the new color label will be applied to every image in the version set. Ratings will be unaffected.


Working with stacks

IDimager supports both versioning and stacking. Versioning is used to collect similar images together in a version set. Stacking on the other hand is intended to collect images for a specific purpose. Stacking is a mechanism where you can keep a bunch of images together which doesn't require to be derivatives of the same image. A simple example is a panorama shot which is composed of several different images. Another example is a retouched image that is designed based on different images. One more example is a burst shoot. Each of the images in a stack have their own characteristics (labels, properties, ratings, ...) but still form a logical set with other images. Tend to think of stacks as lightweight collections, but with the ability to collapse a stack into a single thumb. You can stack both versioned and unversioned images in a single stack.

Stacking a group of images together in IDimager is very simple. Select the thumbnails that should make up a group and then press [Ctrl]+[G] (or right click on a select thumb -> Stacking -> Stack selected images). When you press [Ctrl]+[G] on a selection of thumbs and one of the thumbs is already part of a stack then all selected images will be added to that stack.

Once you have stacked your images, the will be recognizable by a gray frame around the thumbnail.

Stacked image in IDimager follow certain behavior. First of all you'll always recognize stacked images by their gray frame. The frame is displayed anywhere the image is displayed in IDimager. Because stacked images have a logical relationship with each other, the content of a stack can be spread around your catalog. For instance you could create a stack with two images where one image has catalog label A assigned and the second image has catalog label B assigned. If you now use the Catalog Explorer to browse the content of label A, you will see the first image from the stack. When you browse label B you see the second image; after all only that image has label A or B assigned. Unlike with versioning, the images in a stack can all have separate catalog labels. With versioning the complete version set is considered a single entity for the database and any label assignment applies to the full version set. Not so with stacking.

The Media Explorer treats stacks slightly different. In that Explorer the stacked images are displayed as a single entry. The stack can then be collapsed or expanded. The image that is presented for the stack is the first image of that stack found. The stack then gets a triangle icon. By clicking that icon the stack is expanded.

collapsed stack

Then click the triangle again to collapse the stack again.

expanded stack

Anytime you find a stacked image (either in Catalog Explorer or in Media Explorer), you can select it and press [Shift]+[G] to collect the stack. IDimager will then find all images for that stack and present the results Search results tab. Also


Organizing in portfolios

With IDimager you can organize your images in portfolios. Organizing images is not directly related to cataloging but is intended to allow you to build a structure with images that belong together. The main difference with the Media Explorer for example is that the latter limits you to the folder structure of your storage media (e.g. the hard drive structure) while portfolios can contain collections of images that are stored in different folders. IDimager will not physically move or replace any of the images that you store in a portfolio. The same image can be stored in different portfolios.

You create portfolios for sets of images that you want to keep together. For example; a portfolio for your website images, and/or a portfolio for your projects per year, and/or any other main divisor you want to use to organize your images.

Portfolios are organized over 3 levels: Each portfolio consists of galleries, each gallery consists of collections and each collection can then be divided into sub collections. There are no limits to the number of portfolios/galleries/collections/sub collections that you can create.

Each portfolio can be split/decomposed into galleries. For example; portfolio “Projects” can contain galleries for each month/year: January 2008 to December 2008, or a portfolio named “Website” can have a gallery for every main subject on your site; e.g. a gallery Models, a gallery Nature and a gallery for Architecture. The gallery on its turn can be split/decomposed into collections and sub-collections. These collections and sub-collections are the place holders for your images. For example; portfolio “Website” and gallery “Models” has collections “Wendy”, “Simon” and “Anna”. Each of these collections can be filled with photos.

You are free to define and organize collections and then fill each collection with images from your drives. Images that are stored in a portfolio collection can be located in several different folders. This way you get a structure that act like folders, but are not limited by the structure of the file system. To collect images in a portfolio collection, you don't need to copy or move them on the hard drive first.

Since portfolio collections are virtual, it becomes possible to store the same image in different collections (even in different portfolios), while they are stored only once on the file system.

Note; As I tried to explain, you use portfolios to organize your images for a specific purpose or goal. It is not required or even recommended to add *all* your images to portfolio collections. That is where you would typically use the catalog labels for.

To access the portfolios, you open the Catalog Explorer and then open the branch Portfolios

The first level in the Portfolios are the names of each portfolio in your catalog. Each portfolio is represented by a book+orange ball icon. By double clicking a portfolio the portfolio is opened and displays the galleries inside it. Again double click on a gallery to display the collections.

Moving a portfolio collection

An existing portfolio collection can be moved to another portfolio gallery or collection by dragging the collection to the new location.


Create/Rename/Delete a portfolio

By default IDimager is deployed with a singe empty portfolio. You can either use this as your first portfolio or create a new one.

To create a new portfolio, right click on the Portfolios branch in the Catalog Explorer and select "New item". Then enter the name for the portfolio.

Name your portfolio in the input field that pops up and click “Ok”. The new portfolio is then created.

To rename an existing portfolio, select it, right click and select "Edit Item". You will be asked to enter the new name. Then click OK.

To delete an existing portfolio, select it, right click and select "Delete Item".

Only the portfolio’s definition will be deleted, meaning the portfolio itself, all galleries inside the portfolio and all collections in each gallery will be removed. The images inside the portfolio will remain on your file system.

Tip!

By deleting a portfolio, none of the images located inside the portfolio will be deleted from the file system. It is just the structure that is removed from the database.

Note; IDimager always requires at least one portfolio which means you can not delete the last available portfolio.

The next section describes how you can create a gallery in your new portfolio.


Create/Rename/Delete a gallery

After installing IDimager for the first time, an empty portfolio is created or if you created a new portfolio, then that portfolio contains one empty gallery named “Main Gallery”. Off course the name of this gallery can be changed. Please note that you can not delete the last available gallery in a portfolio.

To create a new gallery, you need to open the portfolio first. Do so by double clicking on the portfolio name. IDimager shows all existing galleries within that portfolio. To create a new gallery you right click the portfolio’s name and select “New item” from the context menu.

You will be prompted to enter the new gallery’s name. Then click “Ok” to add the new gallery to the portfolio.

Galleries can be recognized by the book+cubes icon. you can open the gallery by double clicking on it.

To rename an existing gallery, select it, right click and select "Edit Item". You will be asked to enter the new name. Then click OK.

To delete an existing gallery, select it, right click and select "Delete Item".

Note; IDimager always requires at least one gallery inside every portfolio; which means you can not delete the last available gallery.

By deleting a gallery from an portfolio none of the images located inside the gallery will be deleted from the file system. Only the gallery’s definition will be deleted, meaning the gallery itself and all collections with sub collections inside it will be removed. Again the images will remain on your hard drive.

Now you have created or named your gallery, you are ready to start filling it with collections. Each collection within a gallery can contain an unlimited number of collections. A collection in the portfolio is a stored set of images you want to organize and maintain together.


Create a collection

To create a new, empty collection, first open the portfolio and gallery. Select the portfolio and double click to open it. Choose the gallery you want to create a collection in and right click on it. Then select "New Item" from gallery’s context menu.

You will be prompted to enter the collection’s name. Then click “Ok” to confirm.

The new collection is created inside the selected gallery and it will be opened. Because there are no images located inside the collection yet, there are no thumbnails to display. You're now ready to start filling your collection.


Adding images to a collection

To add images to your collection, you first need to open it by navigating to it in the portfolios branch of the Catalog Explorer. If you’ve just created a new, empty, collection, then that collection is already open. You can see that by reading the title bar of the Collection Viewer (the bar on top of the thumbnail area at the right).

You can drag and drop images from the Media Explorer to a portfolio collection or even drag and drop images from other applications straight to the portfolio collection.

If you want to drag and drop images using the Media Explorer, open the Media Explorer first. Keep the Catalog Explorer opened as well (hold [Ctrl] when you click the Media Explorer’s icon in the left Explorer Bar). Inside the Media Explorer, navigate to the folder where the images are stored. As you’ll notice the Collection Viewer shows all the thumbnails for that folder.

Select the thumbnails you want to add to the collection and while holding the left mouse button down, drag them over the collection’s name. After releasing the mouse button the images will be added to the collection.

Apart from the Media Explorer, you can also drag any selection of thumbnails to the portfolio collection. These can be thumbnails as selected from the Catalog Explorer, from search results, or any other source of images.

Another way to drag images to a collection is by dragging them from another application. A good example of an application that supports drag and drop is the Windows Explorer. Navigate to the folder, select one or more images and drag and drop them over the collection's name in the catalog Explorer.

Now your collection contains images, you can select the image you want to use as the "identifying" image. That is the image that will represent the collection and will be displayed in front of the collection's name in the Catalog Explorer and will also be used to represent this collection when publishing to the internet.

To change the identifying thumbnail, drag any thumbnail ove the thumb are at the left of the collection's name. Then drop it.


Virtual, Fast Collections, and Image Basket

The manual already described how you can organize your images in portfolios. In addition to portfolios you can also organize your images in so called virtual collections and fast collections. Virtual Collections and Fast Collections are quickly accessible by clicking their tab sheets below the thumbnails. Virtual and Fast Collection are only supported in IDimager Professional. IDimager Personal does allow you to work with the Image Basket.

Virtual Collections | Virtual collections are collections that behave like portfolio collections but which are quickly accessible. Virtual collections are located below the Collection Viewer (thumbs) and are represented by tabs. Virtual Collection will display only the main or album display version of the images that it contains. You can select which one to display in the Options dialog (Tools -> Options -> Catalog -> Catalog version display type)
Fast Collections | Fast collections are volatile collections; they only exist during the application session. They can optionally be stored to file and can be loaded from file in another IDimager session. Fast Collections can contain any image, versioned as well as non-versioned images, as well as a mixture. Fast Collection are more flexible than Virtual Collections.
Image Basket | The Image Basket is a dedicated fast collection. It has the advantage that it is very easy to add images to the Image Basket, just by pressing a shortcut [Ctrl]+[B]


Working with Virtual Collections

Virtual Collections are stored in the database and, unlike Fast Collections, they will remain available after a restart of the application. In fact, virtual collections behave identical to portfolios in the Catalog Explorer. The images contained in a virtual collection will be displayed conform your options setting for "Tools -> Options -> Catalog -> Catalog version display type". The Virtual Collection will display either the main or the album version (if any) of every image it contains. Unlike with Fast Collections, you can not mix any image in them. Virtual Collections are stored as part of the database.

At any time you can move a Virtual Collection to a portfolio. That makes Virtual Collection a good starting place for working with Portfolios. Collect your images in a Virtual Collection first and when finished simply move the Virtual Collection to a more permanent portfolio.

Create a new Virtual Collection

It is very simple to create a new Virtual Collection. Simply select one or more images and drag them to an empty space of the tab bar (right side) below the Collection Viewer.

Drop the images on the bar and IDimager will prompt to name your Virtual Collection

That's it. You have created your first Virtual Collection. You can always open these images by opening the tab. You can also drag more images to this Virtual Collection. You do that by dragging the images to the tab.

As an alternative, you can also create a new empty Virtual Collection by hand. To do that, click the yellow + icon at the far left of the tab bar. That will prompt for a name and the empty Virtual Collection is created.

Remove a Virtual Collection

Once you have created a new Virtual Collection, you can also remove it. Right click on the tab of the Virtual Collection that you'd like to have removed.

Then confirm the removal.

Store Virtual Collection to Portfolio

At any time you can move your Virtual Collection to an existing Portfolio. Right click on the Virtual Collection and select "Store Virtual Collection to Portfolio". IDimager will then prompt you for a portfolio and gallery to store the Virtual Collection.

Select your Portfolio and Gallery and click OK.

The Virtual Collection will then be moved to the selected portfolio/gallery.


Working with Fast Collections

The database driven Virtual Collections can be helpful to store persistent collections fast and effectively. They provide a good way to help you create temporary collections and even move them to your portfolios later. Fast Collections are non-persistent and provide the most flexible way to create temporary collections. They are not database driven but memory driven instead. This means that they are stored in memory only which makes them fast; hence the name. The way Fast Collections operate is similar to Virtual Collections. By dragging images to the right side of the tab bar below your Collection Viewer/thumbnails. Unlike Virtual Collection, Fast Collections can contain any image. A Virtual Collection will display one image for your version sets which is represented by the main or album display version depending on your options setting. Not so with Fast Collections. A Fast Collection can store non-versioned images, main versions, and/or any individual version that is part of a version set. This gives you the most flexibility.

At any time you can move a Fast Collection to a portfolio. Collect your images in a Fast Collection first and when finished simply move the Virtual Collection to a more permanent portfolio, making it a persistent part of your catalog database.

Create a new Fast Collection

It is very simple to create a new Virtual Collection. Simply select one or more images and drag them to an empty space of the tab bar (right side) below the Collection Viewer.

Drop the images on the bar and IDimager create the Fast Collection on the fly.

The name of the Fast Collection is always "fast" followed by the number of images currently contained in the Fast Collection between brackets. You can rename the Fast Collection by right clicking on its tab and then select "Rename this Fast Collection" from the context menu.

That's it. You have created your first Fast Collection. You can always open these images again by opening the tab. You can also drag more images to this Fast Collection. You do that by dragging the images to the tab.

As an alternative, you can also create a new empty Fast Collection by hand. To do that, click the yellow + icon at the left of the tab bar (fast collection area). That will prompt for a name and the empty Fast Collection is created.

Sample use for Fast Collections

One possible application you can use Fast Collections for is to make selections within larger collections of images to narrow it down to your final selections. First open the collection and select the thumbs that you'd like to include in the selection process. Then drag these to a new Fast Collection (drag to bar). This FC now contains your initial selection. Open the new FC and make your new selection and drag them to the empty space on the tab bar to create a second bar. Then repeat this to get your final selection. This final selection can then be store to a portfolio or simply labeled, or mailed, or transferred to your favorite photo sharing site, or...

Remove a Fast Collection

Once you have created a new Fast Collection, you can also remove it. Right click on the tab of the Fast Collection that you'd like to have removed.

Then confirm the removal. You can also remove *all* fast collection in one go. In that case select the option "Remove all Fast Collections" from the context menu.

Store Fast Collection to Portfolio

At any time you can move your Fast Collection to an existing Portfolio. Right click on the Fast Collection and select "Store Fast Collection to Portfolio". IDimager will then prompt you for a portfolio and gallery to store the Fast Collection.

Select your Portfolio and Gallery and click OK.

The Fast Collection will then be moved to the selected portfolio/gallery.

Loading and Saving your Fast Collections

As mentioned above, Fast Collections are non-persistent. This means that they are intended to be used during your IDimager session. Once you close down the application, the Fast Collections are all removed. It is possible that you are disturbed during your Fast Collection process and need to shut down the application while you are not yet finished. In that case you can save all existing Fast Collections to a file and load them again after starting IDimager again later.

To save your Fast Collections, click the yellow + icon at the left side of the Fast Collections. Then select the option "Save Fast Collection to file".

Then specify a file name and click <Save> to store the Fast Collections to file. The file uses the .fastidi extension.

Then after you start working with IDimager again, you can load the Fast Collections again. Again click the yellow + icon. Now select "Load Fast Collections from file". Then find your saved file and load it again.


Working with the Image Basket

The Image Basket behaves identical to any other Fast Collection. The difference is that it is even faster to work with. Select your thumbnails and press [Ctrl]+[B] to add the image selection to your Image Basket.

Now as you browse through the catalog then at any time you can select a few images and add them to the Image Basket with [Ctrl]+[B]. This way the Image Basket is extremely helpful to make quick selections of images and isolate them in the basket.

Once you finished filling the Image Basket, you can perform any task on the images. Samples are: e-mail them, upload them to your photo sharing site, archive them, assign catalog labels to them, drag them to your favorite photo editor, or any other helpful feature.


Searching images

An important part of any digital asset management application is its ability to search the database to and quickly find what you need. IDimager offers several ways to search through your images. There are a few built-in search features that allow you to perform the most important search operations. IDimager also supports so-called “search scripts”. Search scripts allow the standard search functions to be extended with additional search operations. This way the possibilities of the search features in IDimager are almost unlimited. The basic search features are bundled in the search button of the main toolbar (or the Search menu in the main menu). By clicking the down arrow you can select your search method.

Some of the built-in search features:

1. By Meta information
2. By file name on the hard drive
3. In your portfolio
4. By catalog assignments

Apart from the basic search operations, there is also a quick search option. This is the text entry field in the toolbar area the application. By entering a search phrase and selecting the type of info to search through will allow you to find your images based on the stored metadata in the database.

IDimager allows dynamic searches. Dynamic searches are on-the-fly searches that are performed based on multiple selections in the Catalog Explorer. By selecting one or more elements you are able to perform searches with almost every exotic combination of data.

Last but not least, IDimager also includes a multi-select search feature. This feature allows you to use the selection boxes next to elements in the Catalog Explorer and the Media Explorer. By selecting one or more elements you can start a search operation with almost every exotic combination of data.


The search results

Every time you start a search then the search results will be presented in the search collection.

The search results will be displayed in the tab "Search Results" of the Collection Viewer. You can click on the "Main" tab again to return to the previous set of images. You can also press [Alt]+[S] to switch between the "Main" and "Search Results" tabs.


Quick Search Panel

The Quick Search Panel is the small search entry box that you can find directly below the main toolbar.

With the Quick Search panel you are able to perform searches based on the information in the database. The Quick search can search through several levels of information. The button at the right of the input field allows you to select what type of information should be searched through.

search metadata | The quick search text will search through all stored metadata. The metadata is the text that you enter in the Image Details (Alt+Enter) and generally contains entries like descriptions, titles, etc
search meta keywords only | The quick search text will search through the keyword sections of the metadata only (that is stored in the database). The exact XMP field used is "dc:subject" In fact this is a subset of the "search metadata" operation.
search catalog labels | The quick search text will search through your catalog labels. This provides you with a quick way to do a catalog search.
search image area descriptions | With IDimager's Image Editor/Viewer you can describe areas of an image. By selecting this option you will be able to search for images that have a specific search term in their area descriptions.

Once you have selected what info to search for, you can enter a (piece of) text in the quick search bar and then press [Enter] to start the search operation. The search results will be presented in the Collection Viewer.

The search text that you enter will be translated to a “contains” queries. For instance, if you enter the search text “noon”, then the application will return all images that at some place contain the text “noon”, for instance a description “afternoon” or a keyword “noon”.

The Quick Search Bar also allows you to combine search terms.

By using the + sign you can enter multiple search terms in the bar that will be combined in the search; for instance: alex+dean will return all images that contain the text “alex” AND “dean.

By using the – sign you can enter multiple search terms in the bar that will be excluded in the search; for instance: alex-dean will return all images that contains the text “alex” and NOT “dean”.

By using the ? sign you can enter multiple search terms in the bar that will be joined in the search; for instance alex?dean will return all images that contain the text “alex” OR “dean”.

These samples all combine two terms, but you are free to combine any number and also any condition in the search bar; for instance alex+dean-jane


Dynamic Searching

With dynamic searching you just select several elements in the Catalog Explorer and IDimager will return the results on-the-fly. It's as simple as that. The good part is that many types of information can be combined in a single search operation and that you are able to add or remove search conditions by simply clicking items. For instance you can search for all images that have "label A and label B assigned and have a 5 star rating and were taken in November 2007 and are stored on the D: drive". All this with a few clicks and the results are presented in the Collection Viewer as you click.

Here is how it basically works. In the Catalog Explorer select a label by clicking on its title. As you can see the Collection Viewer displays all thumbnails that are assigned to that catalog label. Then hold down the [Ctrl] key and click on another label's title. Instantly the Collection Viewer is refreshed with all images that are assigned to the first and second clicked catalog labels. The title bar above the thumbnails will display the search operation that was performed. Now, while still holding down the [Ctrl] key, click on the 5 star rating item. This will now show all 5 star rated images of every selected catalog label.

As you can tell, the [Ctrl] key combines each selected item; boolean wise that is "Label A" or "Label B". Instead of holding down the [Ctrl] key you can also hold down the [Shift] key instead. In that case the results of every clicked item will be joined; e.g. click "Label A", then while holding [Shift] down, click "Label B". This will return all images of "Label A" and "Label B".

One more option; you can also hold down the [Alt] key to exclude elements. Do that in combination with the [Ctrl] or [Shift] key. For instance; click "Label A" and then, while holding down [Ctrl] and [Alt], click "Label B". That will give you all images for "Label A" and not "Label B".

Here is a sample screenshot:

In this sample I clicked label "Tom" and then [Ctrl]-clicked label "Jones" and then [Ctrl]-clicked "Two Stars" and then [Ctrl]+[Alt] clicked "One Star". That will give me all images with "Tom", combined with "Jones", with a two star rating, and all one star rated images excluded. As illustrated by the screenshot, included elements are represented with a lime green bar and excluded items are represented as red bars.

You can always save a dynamic search query by clicking the +-icon in the selection toolbar. The dynamic search will then be stored in the Stored Groups branch of the Catalog Explorer.


Multi Select Searching

This is the most powerful search feature available in IDimager. With multi select searching you just select several entries and then start the search operation. It';s as simple as that. The good part is that many types of information can be combined in a single search operation. For instance you can search for all images that have "label A and label B assigned and shot with ISO 400 and have a 3 star rating and were taken in November 2007 and are stored on the D: drive". All this with just a few clicks.

Here is how it basically works. In the Catalog Explorer there are several top branches like Catalog Labels, Ratings, Metadata, etc. Each of these branches can be expanded. The items inside each branch have selection boxes at the left side. When you click on such a selection box then it becomes selected. You can select several items and from different branches. Then you can start the search operation with all selected items by clicking the green run button in the Catalog Explorer's mini-toolbar. Easier is to just press [Enter]. That's it.

Tip to select all sub items

While the selection boxes can have double checked states (meaning all lower items are automatically included, it is also possible to select all lower items. Do this by holding down [Shift]+[Ctrl] and then click the selection box of a parent entry.

By holding [Shift]+[Ctrl]+[Alt] and click you can select all children in not mode (red)

You'd typically use this option if you want all items to be selected but a few not. Instead of having to select each child you just [Shift]+[Ctrl]+Click the parent item

So in short: select one or more elements throughout the Catalog Explorer and press [Enter] to run the search.

As you can see there are two colored run buttons in the mini toolbar.

[Enter] | Click this button to run the query with all selected items combined (AND). E.g. Nature AND North America [Alt]+Click this icon to only return results that are already in the active search results.
[Ctrl]+[Enter] | Click this button to run the query with all selected items joined (OR) E.g. Nature OR North America [Alt]+Click this icon to only return results that are already in the active search results.

When you select an item you can click on the selection box it in the Catalog Explorer. The selection box will then display a double check box. Another way to select items is by clicking the selection icons in the mini-toolbar. For instance; to select catalog label "Nature" you click "Nature" and then choose the type of selection by clicking the appropriate button in the mini toolbar. All options also have mouse shortcuts for clicking on the selection box (e.g. Ctrl+Click on selection box = single select item)

 | Deselect all active selections (reset selections)
[Ctrl]+[mouse click] | Select this item and *not* the items below this item
[Alt]+[Ctrl]+[mouse click] | Exclude this item only (not the items below it). When you select this state, then the results of this item will be excluded from the search result (NOT)
[mouse click] | Select this item and *all* items below
[Alt]+[mouse click] | Exclude the item and all items below it. When you select this state then the result of this item, combined with the results from all lower items, will be excluded from the search result (NOT)

Once you get familiar with this kind of searching you will find it very easy to build complex search operations that span over different branches of information.

Tip to search in existing search results!

Sometimes it is convenient to search for results and only return images that are also part of the existing search results. if you need that, then hold down the [Alt] key and click either the orange or green run button in the mini-toolbar. That will return only images that are also part of the existing search results.

Keep in mind that if no search results are available, then you will never get any result.


Search images by Meta Information

Meta information is information about information; in this case information about your images.. The most ideal way to store meta information is by storing it inside the image itself using international standards like XMP or IPTC. However, some image formats just don’t allow this kind of information to be stored inside the image. For those images, IDimager will store the meta information to so called sidecar files (separate file next to the image file itself). These sidecar files have the same name as the original photo, but use the XMP extension (e.g. IMG_2455.PEF will get a meta file called IMG_2455.XMP). Image formats that store embedded meta information are JPG, TIF, TIFF, DNG, PSD formats, and optionally some of the RAW formats (need to be enabled in the options dialog).

When you enter meta information with IDimager then that information is stored inside the image or as a sidecar file. Besides this file storage, IDimager also caches the meta information to its own catalog database. By doing so, IDimager allows you to search images fast because the application won’t have to open every image to check its meta info. The database also allows you to search for meta information for images that are currently “offline”, like backup CDs.

This means that IDimager will only search for meta information for those images that are imported to the database. If you have entered the meta information using IDimager then you won’t have to worry about this because it will be cached automatically. If you have images that were described with a third party application, you will have to import the meta information to IDimager’s catalog database. Do this by selecting one or more thumbnails. Then right click on a selected thumb and select “Synchronize XMP/IPTC -> Synchronize catalog and image”. You can also click the XMP button that appears when you hover the mouse over an unsync'ed image.

Once your meta information is cached, you will be able to search through it using IDimager’s meta information search feature.

Tip!

I'd also like to point out that you can browse through your metadata in the Catalog Explorer by expanding the "Metadata" branch (IDimager Pro only).

To search for meta information, click the Search button in the application’s main toolbar or press [Ctrl]+[F].

IDimager allows Boolean wise searching. This means that you can combine several search conditions using “AND” and “OR” operations to form a combined search query. Every line in the search dialog is called a “condition”.

Every condition has the following fields:

Condition parameter | Click the drop down button to open the possible search parameters. You can select any of the available meta-input fields you normally use for meta-data-entry. The fields in the meta-data-editor can be custom selected so the parameter options presented can change as soon as you change the meta-data editor’s layout. Select the parameter you want to search for.
Condition type | Select the type of condition you need it to be. Possible values are: Equals Not Equals Contains Sounds Like (only IDimager Pro Edition) Does not Contain Starts With Does Not Start With Ends With Does Not End With Is Empty Is Not Empty Greater Than Smaller Than Greater Than Or Equal To Smaller Than Or Equal To
Condition value | Enter the condition’s value. This can be any possible text or numeric value
Join operation | If you need more than one condition line then you can create a new one by selecting a Join Operator. Possible operators are “AND” and “OR”

Once you have entered your search condition, you can click OK to start the search.


Stored search queries

It is possible to store your search query. Once you have entered your conditionals you can click the “Save” button in the search dialog’s toolbar.

Enter the name for your search query, click OK, and it will be store for future use. From now on, if you open the search dialog in the future, you can click the drop down arrow behind the labeled button to quickly retrieve your stored query.


Delete a search query

Delete a stored search query by selecting the query first and then click the red crossed “delete” button in the toolbar.


Search image files on the hard drive

To search for image files that are stored on your hard drive you open the search feature “Search Images on Disk”. This option can be found by clicking the drop down arrow behind the search button in the main toolbar.

In this window you can enter a list of file masks to search for, This should allow you to search for any combination of files. Enter one file mask per line. A file mask is either the full name of the image file or part of it using jokers. The joker is the sign * (asterisk) and it represents “any value”. A file mask “*.jpg” will return every file that uses the .jpg file extension. A mask “a*.tif” will result in all TIF files that start with an “a”. The file mask “a*z.ppm” will return all PPM files that start with an “a” and end with a “z”.

By entering one or more file masks you will be able to quickly find that one image or series of images you are looking for,

The first time that you open this window it will be pre-filled with file masks for every supported image format. You can delete the entire content and then enter your own file mask or masks. IDimager will remember you last used file mask and present them to you the next time you open this search feature. If you need to reset the list to its original file mask values you can click the button

in the right hand upper corner of this search dialog.

After entering the file masks to search for you can select the root folder at the field “Search in. Use the button behind this field to select a folder from the folder selector.

If you want to limit the amount of images returned by the search result you can enter the maximum number of images to return in the field “Max. Results”. Once IDimager found more than this amount of images, it will cancel the search process and return the results for you.

The option “Also search in sub-folders” allows you to specify whether the sub folders below the selected search folder should be searched too.

Example:

Find all images on the hard drive folder “P:\Photos” that use the image format BMP and combine this search with all JPG images that start with “img” and return 10 images max.

Click button OK to start searching.


Search a portfolio for unlabeled images

Once you start organizing your images in portfolios, you may want to be sure that all images inside that portfolio are also cataloged/“labeled”. Uncatalogued images may need further attention. That is why IDimager provides a search feature to search for all unlabeled photos in the active portfolio.

First open the portfolio by opening it in the Catalog Explorer. Then click the search button’s drop down arrow and select “Search unlabeled photos in current portfolio”.


Search missing images in catalog

Once you have built your catalog it is inevitable that at some point some images get replaced or are deleted from outside the application. IDimager is able to search through its catalog and return all the images that are not found on the file system. That is where you use the search feature “Search missing images in catalog”.


Search Bookmarked Images

With IDimager it is possible to bookmark individual thumbnails by selecting them and then press [Ctrl]+[Space]. Once an image is bookmarked you can recognize it by the red frame that is drawn around the thumbnails.

This search feature lets you search through the entire catalog for images that are bookmarked.


Search Out-of-Sync images

For many serious amateurs and professionals it is of high importance to be assured that the time invested in cataloging images is a one time operation. That is why independence of any software product (including IDimager) is very important for them. Future-awareness can be achieved by storing the catalog information to XMP/IPTC. These kinds of meta information is stored embedded in images for JPG, TIF, DNG, and PSD formats. For all other formats the XMP is written to an XMP sidecar file (a buddy file with the same name, but different file extension). Once IDimager writes its catalog info to meta information, it marks the images as “In Sync”. This means that the meta information matches the catalog information.

This search feature lets you search through the catalog for images that are not yet synchronized to meta information. The search results will help you identify which images need to be synchronized with XMP/IPTC.


The Image Editor/Viewer

To view and/or edit images you can open the image in IDimager’s integrated Image Viewer/Editor. The Image Viewer/Editor offers features to edit, optimize, and view images. No matter what kind of Explorer you are using to view your collections, they all show their collections as thumbnails in the Collection Viewer and by double clicking on a thumbnail you can open them.

By default IDimager is configured to open images in the Image Viewer/Editor. In the Options dialog you can change this preference. Open Tools | Options | Image Viewing and choose your preference for the field “Images are opened in”. Option are Image Editor or Full Screen Viewer.


Introduction

The Image Viewer/Editor looks as followed:

1 | The Image Area This area displays the active image. If you use color management, the image will be displayed in the defined monitor profile (Tools | Options | Color Management).
2 | The control bar The control bar is the bar that is positioned directly above the image. It contains entries for navigation, saving, printing, selections, etc.
3 | The editing bar This bar contains entries to all different editing effects. The bar is grouped into 8 different editing groups. The Editing bar can be toggle on/off with [Ctrl]+[M]
4 | The rating bar Identical to thumbnails, the rating bar displays the image rating (score) and the color label that are assigned to the image. The rating bar can be toggled on/off with [R]
5 | The zoom bar This bar displays the zoom percentage of the opened image in the current display. It also contains an visual identification to check if the displayed image is displayed with sharpening or not. If so, the text will be displayed in a yellow glow. You can toggle sharpening with [Ctrl]+[Q] The left # marker can be clicked to toggle a visual grid over the image.
6 | Info bars The info bars show the color management usage for this image and also a bar with short information about the active image.


Viewing images

When opening an image in the Image Viewer/Editor, it will be displayed in “best fit” mode. This means that the image will be displayed in a size that best fits the image area. There are three modes to display an image:

Best Fit; keyboard shortcut [A]

The image will be displayed in full and will be resized for best fit inside the image area.

Full Size; keyboard shortcut [Z]

The image will be displayed in a 100% view. If the image is larger than the image area can contain, then scroll bars will appear at the sides of the image area. By using the scroll bars you can scroll the image to locate the area you need. You can also activate the “pan mode” which can be located in the toolbar of the Image Editing panel:

or press [P] on your keyboard.

If the "pan mode" is selected then you can move the image simply by clicking and dragging it with the mouse (hold the left mouse button down to move and release the mouse to drop).

Full Screen (double click on the image)

The image will be displayed “full screen”. IDimager will be sent to the background to make place for the full screen image. This way you will get the maximal view of the image on your monitor. To return to the Image Viewer/Editor you can either press [Esc] or double click on the full screen image.

To change your view mode you can right click on the image. The context menu will open and there you can select between: “View Image Full-Size”, “View Image Best” and “View Image Full Screen”.


Using the zoom features

When an image is opened in the Image Viewer it will be displayed in the best fitting format. This means that the image will be resized for maximal display inside the image area. You can zoom an image in the Image Viewer in several ways:

Using the mouse scroll button

In the Options Dialog (Tools -> Options -> General) you can define how the scroll mouse should behave in the Image Viewer. It can be set to “Zoom In/Zoom Out” or to browse to the next/previous image.

When the scroll mouse is configured for zooming, which is the default behavior, then you can use the mouse scroll button to zoom in or out. The Options dialog also contains an option if you need to invert the actions for up zooming and down zooming.

Using keyboard shortcuts

In the Image Viewer you can press [+] and [-] to zoom an image in or out. This will work for the numeric [+] and [-] buttons and also (for laptops) when using [+]/[=] and [-] next to the numbers on top of the keyboard (US config).

Using the Zoom Window

You can also use zooming in a separate zoom window. This means that you can view the image while the zoom window shows a zoomed part of the area where the mouse is hovered over the image.

The zoom bar below the Image Area will always show the active zoom percentage. IDimager allows zooming from 1% to 10,000%.

A different way of viewing your image at 100% is by using the Zoom Window. This a a small overlay window that displays an area of the image with a zoom factor. The area contained is the area that the mouse is positioned over in the image area. To activate the Zoom Window you can click the magnifying glass icon in the control bar or press [Alt]+[Z].

By default, the zoom window shows a 100% view of the area surrounding the mouse cursor. When you replace the mouse over the image in the image area, the zoom window will display that part of the image in the 100% view.

If you need to zoom in or out then position the mouse over the zoom window’s title bar and use your mouse’s scroll button to adjust the zoom factor. The factor can range from 1% to 5000%. To quickly reset the zoom factor to 100%, you can double click on the zoom window.


Making a selection

To make a selection inside the image you need to select the “select tool”. This tool can be found in the toolbar of the Image Editing panel [image] . This will change the mouse to the selection cursor [image] .

Within the image area you can now make your selection. Position the mouse anywhere on the image and click the left mouse button. Hold this left mouse button down and replace the mouse to the end position. There you release the mouse. This marks an area inside the image area which is your selection.

After you have released the mouse, the selected area will remain on-screen. You can adjust the selection:

1. By positioning the mouse over one of the lines, click the mouse and drag the line to a new position.
2. By clicking one of the marked corners and dragging the corner to a new position.

You can also replace the entire selection box by clicking inside the box and, while holding the left mouse button down, drag it to a new location on the image.

Tip!

Double-click the inside of the selection box to crop the image to the active selection.


Copy

The previous chapter that describes the Collection Viewer already mentioned how you can copy, cut and paste images from and to collection. What that did was copying the reference of the images to the clipboard and then pastes the reference. It never copied the entire image’s content. The Image Viewer does allow this. You can copy the full image or only a selection of the image to the clipboard.

To copy the full image to the Windows clipboard, first make sure there is no selection active in the image area. Now open the Image Editing panel and click the copy button in the toolbar:

.

To copy only a selective area of the image to the clipboard you need to select that area first. Then, while the selection is active, open the Image Editing panel and click the copy button in the toolbar:

.

Copying a full image or a selective part of the image to the clipboard can also be done using the keyboard shortcut [Ctrl]+[C].

The copied (part of the) image is now stored to the Windows clipboard. You can now paste this image in any other application that is image aware, like Adobe Photoshop™, Corel PaintShopPro™, or a text processor like Microsoft Word™ or Corel WordPerfect™. Evidently you can also paste the image back to IDimager.


Paste

Most image aware applications allow you to copy images to the Windows clipboard. As soon as an image is stored at the Windows clipboard you can paste it in IDimager. The Image Editing panel’s toolbar contains the paste button: .

By clicking this button, you will paste the content of the clipboard to the image area. It will replace the current image content.

.

You can also paste the clipboard to a selective area of the image. In that case first select the area and then click the paste button. The content will be pasted to the selection.

Pasting images can also be done by pressing .the keyboard shortcut [Ctrl]+[V].

Tip!

You can also paste an image from the Windows clipboard directly to a new file. In that case you’ll need to use the Collection Viewer. Inside the Collection Viewer select “Edit | Paste” from the main menu. IDimager will open the save dialog allowing you to specify a file name and format.


Editing images / Image Editor

IDimager offers many editing features, varying from very basic editing features to advanced features. It is our goal to cover all basic image editing and it should allow you to do at least 80% the average required image editing. All image editing features are collected in the Editing Bar; that is the bar directly above the image area. If you don't see that bar, then press [Ctrl]+[Alt]+[M] to display it.

The Editing Bar contains 8 groups of editing features, varying from simple basic tasks to advanced editing options. Each group can be opened and close by clicking on its name.


Undo and redo

If you have applied an effect to the image you can always undo it using the undo button in the control bar on top of the Image Viewer/Editor. You can also use the keyboard shortcuts [Ctrl]+[Z] for undo and [Ctrl]+[Y] for redo. When you click the undo button, then the last applied editing effect will be undone and the image is reverted to its previous state.

By clicking the drop down arrow at the undo button you can undo to a specific step in the editing history.

Once you undo an effect, you can simple redo it by clicking the redo button.

IDimager supports an unlimited number of undo and redo levels.


Basic and Auto Editing Operations

The “Basic and Auto Operations” group contains the most common used editing features like brightness/contrast, fill flash, color correction, and auto levels.


Brightness

The brightness can be set in a range from -100 to 100. The brightness effect allows you to highlight an image. By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Contrast

The contrast can be set in a range from -100 to 100. The contrast effect allows you to adjust the contrast between high and dark areas of the image. By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Fill Flash

The fill flash is an effect that allows you to add exposure to your (underexposed) images. The effect can be set in a range from 0 to 100. By selecting this effect it will open the settings dialog where you can set its parameters.

An example:

Before | After

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Darken Background

The darken background effect is the opposite of the fill flash effect. It darken the over exposed areas in the image. The effect can be set in a range from 0 to 100. By selecting this effect it will open the settings dialog where you can set its parameters.

An example:

Before | After

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Auto Levels

The popular Auto-Levels effect allows you to change the overall color highlights of the image. The levels can be set for each of the color channels individually or overall. By default this effect will suggest a 0-value. This value is the most optimal value calculated and should be sufficient for most images. You can use the bottom slider to change the overall value. If you want to change individual values for each color channel (red, green and blue) you can click the checkbox in front of that color (or colors). Then use its slider to change that channel’s value.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Auto Fix

The Auto Fix effect is a series of other effects and it can be used for the “most average” image correction. It will give good results for many types of images, but may fail on some others. The auto-fix effect will be applied instantly and does not allow custom parameter settings.

An example:

Before | After

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Auto Enhance Contrast

This effect will calculate the most optimal contrast value and apply that to the image instantly. It will be applied instantly and does not allow custom parameter settings.

An example:

Before | After

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Auto Color Correction

The Auto Color Correction effect allows you to remove color casting from your image. The effect will calculate the most dominant color in the image and filter that color using a gray-correction. This will result in more brilliance for your images.

By selecting this effect it will open the settings dialog where you can set its parameters.

At the far bottom of the effect dialog you can see the calculated dominant color. You can change this color by clicking the color box. That will allow you to select any other color by using the color picker.

Tip!

Click at the lower color box inside the color picker to pick a color from the matching color schema.

After you have selected your color you will return to the effect settings. There you can use the slider to change the level of color correction.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Saturation

The saturation effect allows you to change the hardness of the colors and it can be set in a range from -5 to 5. By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Red Eye Removal

IDimager includes a red eye fix up tool. This tool will help you to remove those annoying red eyes. After activating this effect you need to select an area in the image area. Select the area of the image that contains the red-eye(s). You can select one eye at the time or, if large enough, both eyes. The red eye editor will open and display the selected area.

You can size the dialog by dragging its lower right corner which allows you to enlarge the image.

There are two ways that IDimager can help remove the red eyes:

1. By dragging an area around the red eye
2. By clicking inside the red eye (magic wand)

Remove red eye by selecting the eye

This method is very accurate. You just click and drag a frame around the red eye to get it removed. You don’t have to be accurate you can also include a piece of the iris.

Once the area is selected, release the mouse button and IDimager will remove the red eye inside the area.

If you did not selected a correct area or you are not pleased with the result, undo the red eye fix by clicking the undo button at the lower left side of the dialog.

You can also press [Ctrl]+[Z].

Remove red eye by clicking inside the eye

This method usually works very well for images where the red eye effect is slightly present. By clicking inside the eye, IDimager will select an area of reds. This area is bound by the tolerance setting at the bottom. You’ll probably need some experience with this setting, but once set is becomes convenient.

Just click inside the red eye to get it removed.


Image rotations

The “Rotation” section contains the most common used rotation features. Open this section by double clicking the Rotation caption in the Image Editing panel.


Rotate Image Left

Click this effect to instantly rotate the image 90 degrees left.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Rotate Image Right

Click this effect to instantly rotate the image 90 degrees right.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Straighten Horizon

This effect allows you to rotate the image by selecting an area in the image that “should be straight”. For example a horizon that is not “straight” can be selected by selecting it from its left to its right side. You can also select vertical objects, like a street light pole that should be standing straight up.

Once you have selected the area, you will be forwarded to the free-rotate effect. The angle is pre-filled, based on the selection made.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Free rotate

This effect allows you to set any possible angle for the image to rotate over.

90, 180 and 270 degrees are predefined and by selecting “Custom” you can any other possible value. Finally specify if the image should be rotated left or right.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Flip Horizontal and Vertical

Flipping means that the image will be mirrored; the right side will become the left side or the top side becomes the bottom side; respectively “horizontal” and “vertical”.

Horizontal | Right side becomes left side
Vertical | Top side becomes bottom side

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Conversions

The “Conversions” section contains effects that allow you to change the appearance of the image by converting color.

Open this section by double clicking the “Conversions” caption in the Image Editing panel.


Convert to Black / White

The black/white effect allows you to convert a color image to a black/white image. This effect uses advanced layering techniques to improve the quality of the b/w conversion. The slider allows you to change the opacity resulting in low (-5) or high contrasts (5).

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.

Tip!

If you have a photo where the colors are totally “Off” then try to convert it to black and white. It may still give a good result.


Convert to Sepia / Duotone

The sepia/duotone effect allows you to convert a color image to a duo toned image (two colors). The color sliders allow you to compose your own duo-tone.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Negative colors

In some cases you may need to convert the colors of a photo to its negative. This effect allows you to do so.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Emboss

This effect will apply a metallurgic effect to your image.

An example:

Before | After


Enhancements

The “Enhancements” section contains effects that allow you to improve the quality of your image.

Open this section by double clicking the “Enhancements” caption in the Image Editing panel.


Gamma Correction

The gamma correction effect is used to eliminate sky reflections in an image; for example when shooting in the direction of the sun.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Color Balance

The color balance effect allows you to change the color setting for every individual color channel (red/green/blue).

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Sharpen image

The sharpening effect is used to improve the sharpness along the lines inside an image.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Dynamic Sharpen

The dynamic sharpening effect is also used to improve the sharpness along the lines inside an image. The difference with normal sharpening is that this effect will first split the dark area and the light areas of the image and then only sharpen the light section. This results in an overall improved sharpening where noise in the dark areas is not sharpened, so this effect generates less visual noise.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Smooth Image

The smooth image effect is exactly the opposite of the sharpen effect. It will blur the sharp lines inside the image.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Gaussian Blur

Where the smooth image effect will only blur the lines in an image, this effect will blur the overall image.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Size & Crop

The “Sizing & Cropping” section contains effects that allow you to resize the image or crop the image.

Open this section by double clicking the “Sizing & Cropping” caption in the Image Editing panel.


Resize image

The resize dialog will open. Here you can set the parameters. IDimager allows a so called “Proportional resize”. This resize method enables you to specify a size value for the longest side of the image. The shortest size will be calculated by the application. Proportional resizing is very handy when you need to resize landscape and portrait images combined. If you deselect the “Proportional resize” option you will be able to set a custom width and height value.

Optionally enter the resolution for the resulting images and select the units (pixels/inch or pixels/cm).

Now enter the size. The size can be specified in pixels or in inches/CMs. Those last two sizes will be calculated based on the resolution specified.

Use the Interpolation option to recalculate the pixels for downsizing or up sizing. Depending on the image’s content you may need to play with the different interpolation filters to see which filter works best for a particular image. As fist rule you can use Lanczos3 for downsizing or B-Spline for up sizing. Using an interpolation filter is optional and will slightly slow down the resize process.

The option “Enlarge images that are smaller” can be set to upscale images that are smaller than the size required for the resize. If de selected, than smaller images will keep their original size.


Change Canvas Size

The area that is “covered” by the image is called the image’s canvas. This effect will allow you to change the canvas’s size. You can select at which position the current canvas should be placed.

By default the width and the height fields are filled with the current image setting. Specify a new value, for example a larger value. If a larger value is specified, there will be some white space. Select the color you want to use to fill up this white space by using the “Background Color” field.

Finally select where you want the original image to be positioned on the new/resized canvas.


Cropping images

Selective

IDimager allows two ways of cropping. First of all you can crop an image using the “Selection Tool”

. When this tool is selected, you can select an area in the image you want to keep. All the rest will be cropped (cut from the canvas). After selecting the area you can double click inside your selection to start cropping.

Ratio cropping

The ratio cropping features allow you to select an area inside the image that has a certain ratio (“width x height” or “height x width”).

This cropping mode is intended when you need to crop an image while keeping a certain ratio. IDimager allows cropping in a ratio of “1:1 (square), 2:3, 3:4, 4:5, 5:7 and 9:16. These modes are the most common ratios used for imaging.

Select one of the modes you need to crop to and then select an area in the image. The selection will always be set to the ratio selected. Cropping can be done landscape or portrait. By dragging the area in a portrait direction, the selection will switch to portrait mode. Drag in the landscape direction and the selection will instantly change to landscape mode.

While dragging the area in the image you can press [Shift] to see a 2:3 selection, [Ctrl] to see a 1:1 selection or [Alt] to see a 3:4 selection.

Once you’ve selected the areas, double click inside the selection to start cropping.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.

You can switch to Full Crop Mode or Selective Crop Mode. By default IDimager will use the selective crop mode. This means that you can select the area yourself. In full crop mode IDimager will select the maximal possible area in the image using the crop ratio specified.


Captions, Frames and Marking

The “Captions, Frames and Marking” section contains effects that allow you to add objects to your image.

Open this section by double clicking the “Captions, Frames and Marking” caption in the Image Editing panel.


Frame Image

IDimager contains a full features framing feature. By opening the framer you see the frame categories and active frame at the left and the frame design for the selected frame.

There are over 100 pre defined frames deployed with IDimager. A category can be selected by clicking any of the orange ball icons at the top. Each ball represents a category. The purple ball represents the "custom" category and that category is reserved for your own/personal frames.

To select a frame, choose the category and then select the frame. If you found a frame that pleases you, you can have a bigger preview by clicking the preview image in the lower left corner.

After selecting a frame, click OK to apply it to the image.

It is also possible to design you own frames.

Design your own frames

First select an existing category where you want to create a new frame in. There is also a category “Custom Frames” that is intended for your own frames. It is not required to use that category but recommended. After selecting the category, click the new button ( [image]) behind the Frame selector. A new and empty frame is created. As you can see the design at the right side is still empty.

The name of the frame can be changed by double clicking on the frame designer's caption title. Now set your preferences for the entire frame’s behavior:

Process Style | Select whether the size of the framed result should be the same as the original image being framed or if the frame should be added to the original image.
Process Method | Here you can specify if the framed result should always keep the same aspect ratio of the original image or not.

Inside the designer at the right; we can create a new layer for our frame by clicking on the [image] button. A new layer is created. Double click on the layer to open the layer’s properties.

Frame Color

Select the color for this frame layer. There is also a predefined color in the list called “Smart Color Selection”. If you set this color, the application will determine the color based on the overall appearance of the image being framed.

Frame Style

Select the shape of the frame.

Rectangle

Rounded Rectangle

Square

Rounded Square

Circle

Ellipse

Red Mask

Masked

Rectangular shaped frame

Rectangle with rounded corners

Square shaped frame, leaving only a square for the image

Square frame with rounded corners

A circular shaped frame, leaving only a circle for the image

An elliptical shaped frame, leaving only an ellipse for the image

A mask can be selected in the “Custom Mask” field. All reds in this mask will be replaced by the image being framed. This makes it ideal for sloppy shaped frames.

A mask can be selected in the “Custom Mask” field. This mask should be Black/White where all blacks will be replaced by the image being framed.

Frame Fill Style

Select the fill style for the frame layer.

Solid

Texture

Effect

Gradient

The frame layer is filled with the frame color specified

The frame layer is filled with a graphic that can be selected at the field “Frame Texture” (see below). Once you select this option, you can specify if the texture graphic should be titled over the frame or stretched to full size.

The frame layer will be filled with an effect which can be selected by pressing the “effect settings” button that appears once you select this fill style.

The frame layer will be filled with a gradient (from->to color). Customize the gradient setting by clicking the button that appears once you select this frame fill style.

Frame Texture

Here you can select a texture or load a graphic from file that should be used as the texture graphic. It will only be used when you define your frame with a texture frame fill style.

Textures can be tiled or stretched or for the frame. Tiling means that the texture image is repeated to fill the entire frame. Stretched will stretch the texture image to the full size of the frame. It is recommended to use a high resolution texture image when using stretched method to reduce quality loss due to stretching.

Custom Mask

Here you can select a mask or load a graphic from file that should be used as the texture graphic. It will only be used when you define your frame with a “Red Mask” or “Masked” frame style.

Frame Sizing

Define the size of your frame. Use either pixels or percentages. It is recommended to use percentages because that will create frames that will give the same results, no matter what the size of the image to frame is.

By checking the options for “left”, “top”, “right” and “bottom” you can define separate sizes for that area of the frame.

Transparent

Selecting this option will create a “see through” effect for the frame

Use Accent Frame

Select this option if you want to create an accent frame. An accent frame is a single frame layer that can be defined to be placed inside the frame.

Drop shadow

Select this option if you need a shadow effect for the frame.

Click OK to apply the frame layer’s changes. You will return to the frame designer. Now name the layer by either clicking one on the name and wait a second or by pressing F2.

Then repeat this procedure for every layer you wish to apply. Let your creativity guide you.

If you need to name the entire frame, double click the frame title or click the “…” button in the far upper right hand side of the frame designer.

Once you are finished designing your frame you can apply it by clicking “OK”.


Caption Titles

This effect allows you to add titles on your image. When you activate this effect you can select an existing title or create new ones.

Click the

button to create a new caption.

Enabled

This allows you to switch the caption of or off. If this is your first caption, leave it switched on.

Alignment

Here you can specify how the caption title text should be aligned. Options are “left aligned”, “center aligned” and “right aligned”.

Caption Text

Enter the text you want to use for your caption. You can optionally use variables (macro or % commands). These commands will be translated to real values once you apply the caption. The preview at the right will show the command as the command text.

You can select commands by clicking the drop down arrow

at the left of this field. You can click the

button to add a copyright character.

Wrap Text

When enabled and the specified text exceeds the width of the image it will be wrapped to the next line.

Captions Font

Click the

button to select a font using the font selection dialog. That dialog also allows you to set font size and style.

Font Color

Although the font selection dialog also allows you to select a color for the font it is limited to a pre-selection. With this button you can select any possible font color.

Smart Font Color

By selecting this option, IDimager will calculate the color of the image and determine which color will give good contrast. That color is called the “smart color” and will be set as the font’s color.

Use Font Outline

By selecting this option tell the caption to add an outline to the font.

When selected, you can set the outline width (pixels) and the outline color. Optionally set the font to transparent to hide the inside of the font and only keep the outline.

This is an example of an outlined and transparent font caption:

Caption Border

Here you can select if a border should be used around the caption. The options are:

“Rounded”, “square”, “circular” and “none”.

Select “none” to remove the caption border.

Border Width

Select the width of the border

Border Color

Select the color of the border. If you also specify a “caption fill color” (see below) you can set the same color if you don’t want to see an additional color.

Caption Fill Color

If you have selected a caption border, then this field allows you to fill that border with a specific color. Select “Transparent” to create an empty border.

This is an example of a bordered caption:

Caption Position

Select the position that matches the position where you want to place your caption. By using the X-Offset and Y-Offset fields you should be able to position the caption anywhere on the image.

Rotation

Select how the caption title should be rotated. Options are “0 degrees”, “90 degrees”, “180 degrees” and “270 degrees”.

Watermarked

Select this option is you want to watermark the caption into the colors of the image. This will create a “see through” effect. When watermarking you need to make sure you select the right colors for the font and/or border. The fist-rule to follow is: the darker the color, the more it is seen through. The lighter the color the less it is seen through.

Black and watermarked becomes invisible. White and watermarked has no see through effect. Every color in-between is good. It is advised to use a dark gray shade of color for the best watermark effect.

Use relative sizes

When you define a caption, you most likely design it against the example at the right. When you select this option, IDimager will keep in mind that the caption is designed for this format and will scale all sizes when this caption is applied to a different size of image. That makes this option very important if you are designing captions that should be generally usable, no matter what image size it is applied to.


Watermarks

This effect allows you to watermark images in your image. When you activate this effect you can select an existing watermark or create new ones.

Click the

button to create a new watermark.

Enabled

This allows you to switch the watermark on or off. If this is your first watermark, leave it switched on.

Watermark

Select an image that should be used to watermark your image. When creating a watermark image you could use any image editing application. Keep in mind that colors are important for watermarking. The fist-rule to follow is: the darker the color, the more it is seen through. The lighter the color the less it is seen through.

Black and watermarked becomes invisible. White and watermarked has no see through effect. Every color in-between is good. It is advised to use a dark gray shade of color for the best watermark effect.

Position

Select the position for your watermark.

By using the X-Offset and Y-Offset fields you should be able to position the caption anywhere on the image.

Rotation

Select how the watermark image should be rotated. Options are “0 degrees”, “90 degrees”, “180 degrees” and “270 degrees”.

Watermarked

Select this option is you want to watermark the image into the colors of the image.

Black and watermarked becomes invisible. White and watermarked has no see through effect. Every color in-between is good. It is advised to use a dark gray shade of color for the best watermark effect.

Use relative sizes

When you design you watermark, you most likely design it against the example at the right. When you select this option, IDimager will keep in mind that the watermark is designed for this format and will scale all sizes when this watermark is applied to a different size of image. That makes this option very important if you are designing watermarks that should be generally usable, no matter what image size it is applied to.


Advanced editing

The “Advanced” section contains effects that apply effects that would take you a long time to achieve in a regular image editing application like Adobe Photoshop™ or Corel PaintShop™. These effects handle these specific tasks within seconds.

Open this section by double clicking the “Advanced” caption in the Image Editing panel.


Film Grain

The film grain effect allows you to add noise to your images in a way that it matches the classic photo films. Only dark areas of the image will get noise while light areas won’t. This effect can be applied to color as well as b/w images but the best result is achieved when applying it to b/w images.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Add Noise

This effect allows you to add overall noise to your image. It will apply the random and colored noise to every area of the image.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


High Key Filter

The high key filter is only useful for a specific kind of photos. To get the best result you should shoot the photo under specific highlighted conditions using many white area and additional lightning.

The high key filter will always result in an overexposed and high contrast b/w image.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Enrich shadows

The Enrich shadows effect will add additional accents to the darker area of the image. Use it to darken the shadow areas.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Dynamic Range Increase (DRI)

The DRI effect allows you to combine two identical photos where one is overexposed and one is underexposed. The most common way to make these photos is by using a tripod and then make two photos; one underexposed and that contains the highlights. The second one is overexposed but contains the details in the shadow areas. This effect allows you to combine both photos to a single photo where the best of both photos is combined. The highlights as well as the shadows are ok.

IDimager also allows you to use this effect with a single image. In that case IDimager will create its own dark and light version of the image and then combine both.

When you activate this effect you can use the left panel to open your dark and light version. The dark version will be displayed at the left and the light version at the right.

If you want to use just a single photo, click the option “Use single version”. The DRI effect will now create a dark and a light version of your image.

Optionally you can add additional darkening or lightning to your versions, but this is not recommended because it may create halo in the end result if they two sources differ too much. Usually one or two steps of exposure difference are used.

Now change the slider “Intensity” until all dark areas are gone from the result. Usually you can drag this slider to the far right side and it will give a good result.

This effect uses blurring mask techniques to be able to combine both images without visual effect. The spread parameter allows you to set the level of blurring. It is preferred to set this slide to the far right.

Now click OK to merge both versions as the end result. This effect needs heavy calculations so it may take a few seconds to complete.

An example:

Before | After

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Polarize

The polarizer effect allows you to create a nice blue sky. This effect is not suitable for every type of photo but can be used best for photos with large areas of light sky

By selecting this effect it will open the settings dialog where you can set its parameters.

Use the slide to define where the blue sky should end. IDimager will apply the “blue” only to the light areas so if dark areas overlap with the light areas, these will not be polarized.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Glamour

The glamour effect allows you to create a glamorous photo. This effect is not suitable for every type of photo but can be used best for modeling photos.

By selecting this effect it will open the settings dialog where you can set its parameters.

The upper area of this window shows the “before” image at the left and the “after” image at the right side.

Select a value by entering it by hand or by dragging the slider

The histogram at the center should give you more insight of the impact of the effect. The histogram ranges from black to white (left to right) and shows the number of pixels in the image on the Y axis.

After setting your value click “Apply”.

You can undo the effect by clicking

in the Image Editor panel’s toolbar.


Area tagging

Another unique feature of IDimager is the ability to describe areas of your image and optionally assign catalog labels to part of the image. The Area Tagging feature is part of the Image Viewer. So open an image by double clicking its thumbnail.

Consider this image that has two catalog labels assigned to it:

Now when we double click on this thumbnail then the image will open in the Image Viewer/Editor. In the Viewer/Editor you can find the Area Tagging feature as a button in the mini toolbar.

By clicking this button the feature is activated. The mouse cursor changes to the selection cursor. This means that you can select the area that you'd like to describe now. Do so by dragging a frame over the relevant area of the image. After you release the mouse button to mark the end of the area, the Image Area Assignment dialog opens.

This dialog allows you to add any descriptive caption to the image and also a full description. The lower part is the catalog assignment part and it lists all the catalog labels that are currently assigned to this image.

In this case I selected the area with the boy on the right side so I assign the Alex label to the area. When I do that the caption automatically changes to the name of the assigned catalog label (if the caption is still empty). Optionally I can create a new catalog label assignment by entering the name in the "Make a new assignment" field. That will auto lookup all catalog labels matching the name I type in. One I selected the relevant label there, you can click the + button to make the assignment. That will add the selected label to the list of existing label assignments. You can remove a label assignment by right clicking on a listed label assignment and the select "Remove assignment".

For your info; adding a catalog assignment is not required to define an area. You can also manually enter a caption and/or description.

When you are done describing the area, you click <OK> to store it. That takes you back to the Image Viewer/Editor and lists the area tag.

The areas are only visible when the "Area Tagging" feature is enabled. This means that you can select the Pan mouse mode (press [P]) and the areas won't be visible. Then again activate the area tagging feature (press [Ctrl]+[Shift]+[A]) to see the areas again.

An existing area can be moved around over the image by clicking the area's caption title to activate it and then dragging the area around to a new position.

An existing area can be removed by clicking the red cross button in the area's upper right corner.

An existing area can be edited by right clicking on the area's caption and the select "Edit Area Details"

You can create as many area for an image as you like.

You can use the Quick Search bar in the right upper corner of the application to search images by their area descriptions.

Area tags are stored as part of the database. The frames are not truly added to the image itself but are there for display only. However, it is possible to export the image with the area tags painted on it. In that case you click the drop down arrow to the right of the Area tagging feature and select "Export Area Tagged Image".

The save-as dialog opens. Here you can specify the name where the image (including the area frames) should be saved to.


Other features of the Image Viewer

Besides the features described in earlier sections, there are some additional features available within the Image Viewer

Samples:

Image conversion

RAW conversion

Color Management


Converting images to different file formats

IDimager supports many image file formats. It is possible to open an image in one format and save it back to a different image file format, for example open a JPG image and save it to BMP or from TIFF to PNG, PSD to GIF, etc. You can not write images to every format the IDimager can read. Some formats are read only like all RAW formats (NEF, CRW, CR2, PEF, ORF, MRW, etc) and specific formats like PSD and PSPIMAGE. This means you can convert images from every format that IDimager can read but only write to formats that IDimager can write.

To convert an image with the Image Viewer (it can also be done in batch using the Batch Processor) you open it first by double clicking the thumbnail. The Image Editing panel’s toolbar contains the “save as” button.

Click this “save as” button to convert it. A new dialog will open where you can specify a new file name and select the image format.

The file name is pre-filled with a constructed file name that is based on the “save as” option from the options dialog. By default a converted file will be stored in a folder called “Edited”. However you can change this behavior in the options dialog (Tools | Options | General | Advanced | “Save as” mask when re-saving).

Here you see that by default the file will be stored to the image’s original file path, combined with the original file name part, then “_edit_” and today’s date. Optionally change this mask to better meet your personal preference.

Some formats allow custom settings like “TIFF” and “JPG”. The TIFF format allows you to define the compression that should be used (LZW is loss less and recommended for Tiffs).

The JPG format allows a compression quality setting.

You can also define a file size limit. This option allows you to save a JPG to a specific maximum file size. IDimager will calculate the compression rate that results in a file size that is smaller but closest to the specified limit.

The converted image will automatically be stored as a version of your original file. This can be switched off in the Options dialog (tab General).


RAW Converting

IDimager supports reading of almost every existing RAW format. Examples are: NEF, CRW, CR2, PEF, ORF, DNG, PEF, RAF, SRF, SR2, RAW, TIF, X3F and more.

By default IDimager is configured to display RAW images fast. This means that IDimager will only open the embedded preview image (if available) and display that in the Image Viewer. You can configure IDimager to use embedded RAW previews in the options dialog: "Tools | Options | Image Viewing | Use embedded previews for RAW files". Using the embedded preview option is particularly practical when you use a separate RAW converter and use IDimager to manage the images.

Some formats only include a relatively small embedded version of the image inside the RAW file (like the older NEF files). In that case the image may be too small to get a good impression of the image and you can “develop” your RAW files using IDimager. IDimager embeds the high quality RAW conversion routines as provided by DCRAW; developed by Dave Coffin (http://www.cybercom.net/~dcoffin/dcraw/).

To develop (or convert) a RAW file in IDimager you can open the image in the Image Viewer. At the top of the image, in the control bar, there will be the RAW converter button when the opened image is a RAW image.

Click this button to open the RAW converter.

By default IDimager uses the most optimal settings to achieve a good RAW conversion. No need to change anything, just click OK.

If you are familiar with RAW conversion settings you may customize the settings to optimize the results.

The resulting image can be saved to a different image format (e.g. JPG or TIF) using the Image Editing panel’s “save as” button:


Color Management

IDimager is color aware. This means that it can work with (embedded) color profiles to show you the optimal results. The option dialog contains a tab sheet (Tools | Options | Color Management) for this topic. There you can enable color management for viewing as well as for printing.

When you open images in the Image Viewer, then IDimager will convert the color schema to the monitor profile that is defined in the “Monitor Settings” tab. By default this value is set to the sRGB color profile which is the most average color space. If you work with a calibrated monitor, then you should select the profile of your monitor as the monitor profile. The Color Management settings include a "Input Profile" and a "Monitor Profile". The Input profile will not be used by IDimager for images where a color profile can be determined based on the embedded color definitions (either an embedded color profile or based on the color space Exif/XMP tag). When an image is opened in the Image Viewer then IDimager will first check for an embedded color profile. If no embedded color profile is available, it will check the color space setting by the camera. If that too is not available the image will be converted using the specified input profile.

Read chapter “The Options” for more information about the other settings.

Opening a color managed image

Once you open a color managed image in the Image Viewer the color space information can be found below the image.

The line displays the profile as defined within the image (Image ICM Profile) and the current viewing profile (Current ICM Profile). When you open a color managed photo IDimager will only convert the visual part of the image. The original image is still in its original profile. That way you can benefit most of your selected profile. Every editing that is applied to the image will be applied in the original color space and not the viewing color space.

Soft Proofing

Soft proofing is a way to view your image on-screen in a selectable color profile to see how the image will look like when printed on a printer or a specific type of paper.

Once you have opened a color managed photo in the Image Viewer, it will display the color info at the bottom. By clicking the “Current ICM Profile” label will allow you to select a different color profile to view the image or select a Soft Proofing color space.

There you can select a different profile that should be used as the monitor profile. For soft proofing this will be typically your printer’s profile. When you have defined a soft-proofing profile, then IDimager will display the profile’s name in the bar in the color red.

Converting between color profiles

You can change between color profiles by using the “Save As” option in the Image Viewer.

Open the image in the Image Viewer by double clicking its thumbnail. Then select the “Save As” options as indicated below.

Enter the file name and then click the tab sheet “Color Management ICC/ICM”. Please note that this tab sheet is only available when you have enabled monitor color management in the options dialog.

Notice that the input profile is set to the original profile as used by the image. Optionally select a different color profile as the output profile. By default it is set to the profile the image was originally in. Optionally select a different color profile (e.g. sRGB) and click OK to save the image.


Setting an image as the Windows Wallpaper

The desktop of your Windows based computer can get wallpaper. With IDimager you can set any of your images as the wallpaper. Open the image in the Image Viewer. Then open the “Actions” panel from the left tab menu and select “Set as Desktop Wallpaper”. You can also right click on the image itself and choose “Set as Desktop Wallpaper”.

Optionally you can define that the image should be cropped to fully match the ratio of your monitor resolution. This will eliminate “bars” above and below or left/right of the desktop image. The cropping will be processed on a temporary copy that will be created for the sole wallpaper purposes … your original will remain unchanged.

Now the image is set as your desktop background image.


Working with Global Positioning Data (GPS)

Global Positioning Systems (GPS) is gaining popularity fast and IDimager offers several ways of integrating GPS in your workflow. GPS is integrated in the application at several points.

GEO Tagging is the storing of GPS information within the corresponding EXIF Tags or XMP Tags of an image. By storing this information, the owner of the photo is able to find where the photo was taken and display it on a map.

Catalog labels and GPS

You can attach GPS coordinates to any catalog label. Of course this is not relevant for every catalog label in your structure, but mainly for places this could be helpful. For instance; the Statue of Liberty can be a catalog label in your structure and it uses a fixed GPS position. Then as you assign this "Statue of Liberty" catalog label to one or more images, IDimager will automatically assign the GPS coordinates when you sync the catalog data to your image ([Ctrl]+[F12]).

GEO panel script

This script can be loaded in your Script Panel and it is able to display your images on the Google maps service. You can then either relocate the markers or assign new coordinates to images that don't have pre existing GPS data.


Catalog labels and GPS

You can attach GPS coordinates to any catalog label. Of course this is not relevant for every catalog label in your structure, but mainly for places this could be helpful. For instance; the Statue of Liberty can be a catalog label in your structure and it uses a fixed GPS position. Then as you assign this "Statue of Liberty" catalog label to one or more images, IDimager will automatically assign the GPS coordinates when you sync the catalog data to your image ([Ctrl]+[F12]).

Once you know the GEO location of the label that you'd like to tag, open the catalog label's details by right clicking on it and then select "Edit Item".

The details of the label now open.

First click the box "GEO Location" to enable GEO tagging for this label. The details will now display the GPS coordinates of the image. You can define latitude, longitude and altitude. Enter the values of the label there. By default the input fields are decimal, but if you know the degrees-minutes-seconds notation then you can click the "degs" hyperlink. You can optionally read the coordinates from online services like Google Maps (http://maps.google.com) or Microsoft Virtual Earth (http://maps.live.com).

Once you have entered your latitude and longitude you can store the catalog label's details by clicking the <OK> button.

Optionally select the option "Overwrite GEO location when pre-existing GEO location is available". With this option disabled, IDimager will not write the specified label coordinates if the image already have pre-existing GPS data. With this option enabled, IDimager will overwrite the existing GPS data with the new location on syncing to the image.

Now as you assign this label to one or more images and then sync the catalog data to the image's metadata (Ctrl+F12) then IDimager will write these coordinates to the XMP GPS and Exif GPS fields.


GPS Panel script; A Quick Start

This chapter is intended to give you a quick start in using the advanced GPS Panel that is deployed with IDimager.

The GPS Panel script can be opened by first opening the Script Panel from the left Explorer bar. That will display the script panel at the right side of the screen.

The script panel can contain any panel script so if the GPS Panel script is not loaded by default, then select it first by clicking the drop down arror in the panel's caption and then select the GPS Panel script.

The script panel will display the Google Maps(tm) interface. Optionally you'll need to sign up with Google first to acquire a Google Maps API key. If so, follow the instructions as outlined by the Google website that the script takes you to when you have no API key installed yet.

As with any Google Maps interface you can click the "map", "satellite" buttons to switch the map display detail from basic to full satellite view.

When your images have existing GEO data in them then they will be displayed as red markers on the map. Optionally zoom the map with the [+] and [-] buttons on the map or by double clicking to zoom in and double clicking with the right mouse button to zoom out.

The script uses a "focused" marker (the marker with a dot in it) to highlight the image currently active. As we'll see later, the script offers some features that works with this focused marker.

The interface of this script is kept simple.

The elements of the interface are:

Images Panel | This panel can be toggled on/off; The Images Panel contains a drop down list of all the images that you have selected in the Collection Viewer. When these images have a GEO location in them they will be displayed as markers on the map. If the images don't have a GEO location in them then it is selectable here and from here you can place those images on the map.
Search Panel | This panel can be toggled on/off; The Search Panel allows you to search for any location in the map. Simply enter the street name or object name you want to search for here and press enter to position the search marker on the map. Examples are: Statue of liberty <enter> wallstreet, ny, usa kalverstraat 30, amsterdam
Tracks Panel | This panel can be toggled on/off; The Tracks panel van be used to work with GPS track log files and then sync the track log to the images in the selection.The track log can be loaded from GPX and NMEA log files.

Each of these panel can be toggled ON/OFF for those situations where you either don't need them or just temporarily want to hide them. To toggle the panels you can click the monitor icon in the left side Options Bar and then select "Panels". That opens a sub menu where you can toggle each of these top panels.

The Options Bar located at the far left of the script panel contains these options:

Display button;

Use this button to change the display settings of the script. It contains options to toggle markers on/off, toggle panels on/off, toggle marker groups on/off (like the search marker, favorites, etc), zoom options

When you have changes on the map (blue markers) then you can store these changes with this button.

Zoom the map to display all the markers currently on the map

Place the currently selected image in the Images Panel at the current position of the Search Marker

Place all images from the Images Panel at the current location of the Search Marker

Open the options dialog

Open the Google Maps(tm) application to display the images on the globe.

How to GEO tag images that have no pre-existing GEO information

1. Select on or more thumbnails in the Collection Viewer

2. Open the Script Panel and load the GPS panel script

3. Use the Search Panel to find the location on the map

4. Select the first image in the Images Panel

5. Drag the preview image in the Images Panel to the location on the map

6. Click the Save button in the Options panel to save the GEO tags to your images

As an alternative:

1. Open the Script Panel and load the GPS panel script

2. Use the Search Panel to find the location on the map

3. Drag your thumbnail from the Collection Viewer directly to the map of the script panel

4. Click the Save button in the Options panel to save the GEO tags to your image

5. Repeat for the next image

How to change existing GEO locations

1. Select on or more thumbnails in the Collection Viewer

2. Open the Script Panel and load the GPS panel script

3. The existing GEO locations are displayed as markers on the map

4. Zoom the GPS Panel to a convenient zoom level

5. Drag and Drop the markers on the map to their new position. The marker turns blue to indicate that it is changed

6. Click the Save button in the Options panel to save the GEO tags back to your images

Working with Stored Locations

The GPS Panel script allows you to save a list of locations that you use often (e.g. your home address). Then it is fairly easy to re-use the information stored in the location to GEO tag new images.

1. Use the Search Panel to find the location on the map. This will display the search marker (the green pin).

2. Optionally right click on the search marker and select "Save as new favorite location"

3. Now enter the details of the location

That's it.

Notice that the Stored Location is marked with a red pointer on the map. The new Stored Location is now available from the Drop Down list in the Search Panel. You can now use the same procedure to create a next stored location.

Tip!

You can not only right click on the search pin, but you can follow similar steps by right clicking on any image marker on the map to store it as a Stored Location.

In the location details you can enter a Radius value.

The default value for this field can be set in the Options dialog of the script.

This value basically means that all images that are dropped within the radius ("range") of the stored location will automatically inherit the details of that location. That makes it much easier and faster to fill the location information for your images.

TIP! IDimager will write the coordinates to the XMP data in your images. You need to sync your images to dump the XMP to the image file itself before you'll see the coordinates in 3rd party applications


Using the histogram

A histogram is a graph that represents the color division of an image over the color spectrum. The far left side represents 100% black color, while the far right side represents the 100% white. All other color tones are in-between. A histogram allows you to quickly check if the image is correctly exposed or if it is under or overexposed.

You can open the Histogram by clicking the histogram button in the far left Explorer bar.

That will open the histogram panel which by default is located at the right side of the application.You can drag the histogram our of the right dock area if you find a floating panel more convenient.

As you select a different thumbnail, this histogram will update for that selected thumbnail. When the histogram for a thumbnail is displayed than the histogram is calculated based on the thumbnail image or, if a preview is available, of the larger preview. Either way, this means that the histogram is indicative. The caption of the histogram panel also displays this identifier. As soon as you open the full image, the histogram will be updated using all pixels in the image. However, if you are using stored previews, than the histogram will be accurate.

The left side of the histogram contains a few configuration settings. These are:

More Settings

Click this button to open another panel with more settings.

This extra panel allows you to select which color channels should be contained in the histogram. Options are: red, green, blue, and RGB (combined to gray tone)

You can also configure if the histogram should be displayed as a bar diagram (filled area) or as a line.

After changing the settings, you can click the settings button again to close the left panel.

3D setting

Click this button to switch the histogram in a 3D view.

Sometimes it is hard to determine where the histogram peaks. This is mainly the case when there is a large peak at the end or at the beginning of the histogram. This is why IDimager includes a 3D mode for the histogram, the 3D mode can be activated by clicking the 3D button at the left of the histogram.

As you can see; in the 3D histogram is much easier to see where peaks are. IDimager is the only tool we know of that allows a 3D histogram display.

Clipping setting

Often a histogram contains a one or more large peaks and then the rest of the histogram become hard to interpret because it is all at the lower end of the diagram. That is why you have a clipping setting. With clipping you can determine if peaks should be clipped off the diagram so that the rest of the diagram pulls up.

Clipping options are:

None; No clipping is applied

Minimal; The histogram is clipped at 50% above the average peak size

Common; The histogram is clipped at 20% above the average peak size

Average; The histogram is clipped at 10% above the average peak size

Maximal; The histogram is clipped at the average peak size

Print histogram

Output the histogram to a printer

A sample histogram; displays RGB+Red+Green+Blue in a bar style

A sample histogram; displays Red+Green+Blue in a line style

The next chapter offers some information on how to interpret a histogram.


Interpreting the histogram

The way you would interpret a histogram depends on the type of subject that the image represents. This means you can not define a “perfect” or "golden" histogram. If you take a shot of a white object then the histogram *should* peak at the right side (the light areas of the image). This does not have to mean the image is overexposed.

Example:

Purely looking at this histogram you would say the image is underexposed because it peaks at the far left side of the spectrum. This is not the case because when looking at the overall image you’ll see that the subject is not underexposed, but that the image contains many dark areas. That is exactly why this histogram peaks at the left.

Always consider the overall image when judging a histogram. First try to determine where you’d expect the image to peak. If the peak of the histogram is far “off”, you can conclude that it is either under or overexposed. You can correct underexposed images by using the “fill flash” effect. Overexposed images can be corrected by using the “Darken Background” effect. Both these effects can be found in the editing bar of the Image Viewer/Editor.

Sometimes it is hard to determine where the histogram peaks. This is mainly the case when there is a large peak at the end or at the beginning of the histogram. This is why IDimager includes a 3D mode for the histogram, the 3D mode can be activated by clicking the 3D button at the left of the histogram.

A few resources to read up on how histograms behave and how you can use them to improve your imaging results:

http://en.wikipedia.org/wiki/Histogram

http://www.luminous-landscape.com/tutorials/understanding-series/understanding-histograms.shtml


View Exif information

With IDimager you can view the Exif information from image formats that support Exif. Good examples of these formats are JPG, TIF and almost every RAW image format like NEF, CR2, PEF, RAW etc.

Exif information is the technical data about the photo that is created and stored almost every digital camera. To view the Exif information about an image you can press [Ctrl]+[E].

All Exif labels are presented as a list.

This window contains two tab sheets: the Full Exif and the “Exif Summary”.

Tab sheet “Exif Summary” only contains the most common Exif fields. It is possible to change the fields presented in this tab. Tab sheet “Full Exif” contains all Exif fields, including the camera specific maker notes.

The content of the fields are basically static. This means that they represent the values as they were when the image was taken. Therefore it is not allowed to change them using IDimager. This was a decision made to ensure that the Exif remains as “pure” as possible.

However, some fields are editable. These are recognizable by their bold font face. By double clicking one of these bold fields you can change the value. Some image formats don't allow editing of the Exif data (like RAW formats). In that case there are no bold faces fields.

The only other moment where IDimager will make changes to the Exif is when you resize the image. The size information of the image itself is part of the Exif too. To prevent you from getting misinformed, IDimager will also adjust the size labels when you save a resized image.

The Summary tab sheet allows you to select the fields of your choice to be displayed.

Click the e-button in the mini toolbar and select the fields you want to include.

In addition to the "normal" Exif fields, you can also add custom info to the summary tab. In the lower left corner there is the macro-command selector. Click this button and select the info you want to display. You can also add a custom inline script to construct any entry of your liking.

If you want to reorganize the selected Exif fields then you can drag and drop them with your mouse to a new position.


Exif Thumbnail (re)creation

With IDimager you can always create or re-create the Exif thumbnail. When you (re-)create the thumbnail then IDimager will read the full image to create the thumbnail. This option is provided because some other applications sometimes destroy the Exif thumbnail or they fail to update the thumbnail when the image is edited.

To create the thumbnail you can click the menu button in the thumbnail area:

. Then select the option “Create the Exif thumbnail”


Copying Exif information to the Windows clipboard

You can copy the Exif information from within IDimager to the Windows clipboard as ASCII text. In any other application (like Notepad, or Word, or your HTML editing tool) you can paste it back.

To copy the information to the clipboard you can click the copy button in the toolbar of the Exif window.


Dumping and loading Meta information to/from sidecar file

You can dump all Meta data to a separate file. This allows you to store or archive the current Meta information. Dump the Meta information by clicking the save button in the toolbar of the Exif window.

You will be prompted to enter the file name. This file name is pre-filled with the current image’s filename using the .exif file extension. It is recommended to leave this filename unchanged. That is because in that case IDimager will always make sure the .exif dump file is kept together with the original photo in case of moving or archiving the photo.

To load the Meta info dump back to your image (or another image) you can click the load button next to the save button. Now point to your Meta dump file and it will be read to the image. Keep in mind that this will overwrite all existing Meta information.


Working with the Light Table

For direct image comparisons, IDimager offers the so-called “Light Table” . The Light Table is a feature that can open several images on a single screen and then allows you to scroll them together, zoom them together, pan then together, etc. This way you will have a tool available that is optimized for direct comparisons. Picking the best image from a series (burst shoot), make a selection of the best images of a shoot. These are just some examples of where the Light table feature is of help.

The Light Table can compare up to 30 images in the Professional Edition and 4 images in the Personal Edition.

When you open images on the Light Table, you can always right click on any box to get that image's context menu. It will allow you to apply edits to the images being viewed and a lot more.

In the Light Table you can press [F1] to open a quick help box. Press [F1] again to close it.

Tip!

The Light Table displays the active image in a highlighted color. Sometimes it is inconvenient to compare images when they use a different background color. Therefore it is possible to temporarily switch off the highlight background color by holding the [Shift] button and then click the highlighted box once (= Shift+Click).


Opening images in the Light Table

The Light Table can be invoked from the Collection Viewer. In the Collection Viewer select one or more thumbnails (up to the limit of your edition) and then click the Light table button in the application’s main toolbar or press [Ctrl]+[F3].

PRO Only: By default IDimager will load the full images in the Light Table, giving you the best way to make a good comparison. However, it you have enabled the Preview mode (with Ctrl+Shift+Alt+P), IDimager will load preview images if available. The Preview mode allows you to define a custom size that you'd like IDimager to keep previews stored in the catalog. The size of the previews can be determined in the options dialog (Tools | Options | General). Then when IDimager builds your thumbnails, it will also create the previews. It is recommended that you define a preview size at around your screen resolution or smaller, but larger than your thumbnail size..

Once you activate the Light Table, all selected images are opened in so-called “boxes”.

The Light Table displays the images by using the full screen area. This means that all interface elements that may distract you are eliminated.

Every image is loading in its own “box”. There is always one selected box and you can recognize it by the highlighted color. In the sample above that is the box in the upper left corner. The selected box is the box that “accepts” commands from you. By pressing [F1] you will get a list of the most important commands available. You can switch the select box to a different image by either clicking once on another image or by pressing the [Tab] key.


Zooming

The first time that you start the Light Table, all images are loaded and fit in the box. There are 3 possible modes to display the image: fit mode, 100% mode and custom zoom mode.

Fit Mode

[A] or [Ctrl]+[A]

The image is displayed in full within the size of the box.

Use keyboard shortcut [A] to set all boxes to fit mode. Use [Ctrl]+[A] to switch only the selected box to fit mode.

100% mode

[Z] or [Ctrl]+[Z]

The image is displayed at 100%, meaning no shrinking or zooming is applied.

Use keyboard shortcut [Z] to set all boxes to 100% mode. Use [Ctrl]+[Z] to switch only the selected box to 100% mode.

Custom Zoom

[+] and [-]

or

[Ctrl]+[+] and [Ctrl]+[-]

The image is displayed in a zoom percentage other than 100%

You will enter the custom mode as soon as you change the zoom factor. By pressing keyboard shortcut [+] or [-] you will either zoom-in or zoom-out all boxes. By holding the [Ctrl] key pressed and then [+] or [-] you can zoom the selected box only in or out.

The zoom steps will allow you to zoom from 1% to 5000%.

Another way of zooming the box in or out is by using the mouse-scroll button. Place the mouse over any box and use the scroll button to zoom up or down. If you hold the [Ctrl] key and then scroll the mouse up/down you will zoom just the selected box in and out.

[Alt]+[Z]

Press [Alt]+[Z] to open the Zoom Windows for each box. Then while hovering the mouse over an image, the Zoom Window will display a 100% view of the area surrounding the mouse cursor.


Panning and linked panning

Once an image is zoomed and it does not fit inside the box, then scroll bars will appear to allow you to scroll to areas that don’t fit inside the boxes area. When using the scroll bar, you control the selected box only.

By using the mouse you can also pan images once they are in custom zoom mode. You can recognize if you are in pan mode by the mouse cursor which is represented as a hand cursor. If your mouse is not in pan mode, press [P].

Click on the image and hold down the left mouse button. The mouse cursor now changes from an open hand cursor to a closed hand cursor. While you keep the left mouse button pressed, replace it to pan the image in the direction of the mouse movement. Notice that all other boxes are panned also. This linked panning allows you to scroll all the images together so the same area of the image in every box is displayed. If you need to pan only the selected box, then hold the [Ctrl] key pressed and then pan the image again with your mouse.


The Ratings and Color Label Bar

The Ratings, Color Label and Bookmark Bar

By default every box will display the “Ratings and Color Label Bar” (in short Ratings Bar) in a slightly transparent color at the bottom center of each box. The Ratings Bar allows you to quickly assign a rating or a color label to the image. The bar behaves exactly the same as the ratings bar on the thumbnails. The Ratings Bar can be toggles by pressing [R]. This will switch the bar on/off for the selected box. You can press [Shift]+[R] to display or hide the ratings bar for all boxes in the Light Table.

The Ratings Bar contains 5 “dots” each dot represents a possible rating. By clicking a dot’s position you assign a corresponding rating (1 is bad, 5 is best). For instance to assign a 2 star rating, you can click the second dot. Click the fifth dot for a five star rating, etc.

The assigned rating can be recognized by the number of stars on the bar.

To remove the ratings (0-rating or neutral rating), you can click the red “stop sign” at the front of the rating. This will clear the rating.

Besides assigning ratings with the mouse you can also quickly assign a rating with keyboard shortcuts. Press [1] for a one star rating, [2] for a two star rating, and up to [5] for a five star rating.

Hold down the [Shift] key when you select a rating to assign this rating to all images that are currently loaded on the light table.

The Ratings Bar also represents the color label. The background of the ratings has the color of the active color label.

You can change the color label by clicking at the rating bar’s background (between the stars). A menu will popup and it allows you to select a different color label.

You can also change the color labels by using keyboard shortcuts.

Hold down the [Shift] key when you select a color label to assign this color label to all images on the light table.

[Ctrl]+[0] | No color label
[Ctrl]+[1] | Red colored label
[Ctrl]+[2] | Yellow colored label
[Ctrl]+[3] | Green colored label
[Ctrl]+[4] | Blue colored label
[Ctrl]+[5] | Purple colored label

You can change the names of the color labels in the options dialog (Tools | Options | Other settings).

Another option on the bar is the bookmark indicator. The bookmark indicator is the most right icon displayed on the bar (a heart icon). By clicking this icon you can switch the bookmark state of the image. You can also press [Ctrl]+[Space] or [\] to change the bookmark.

This image is bookmarked

This image is not bookmarked

Hold down the [Shift] key when you click the bookmark icon to assign this bookmark to all images on the light table.


Histogram and Exif display

An important aspect when working with images in a direct comparison environment is the ability to view the technical details (Exif) of the image and also the color span within the image (histogram).

Once you have opened the Light Table with a selection of images, you can select a box and then press [E] to display the Exif. Press [H] to display the histogram. Both will display as a see-through box on top of the image. The Exif and/or histogram can also be displayed for all images. In that case press [Shift]+[E] for all Exif windows and [Shift]+[H] for all histogram windows.

(all histograms are displayed by pressing [Shift]+[H])

(a single box with the Exif information displayed; press [E])

When you open the Exif Window (press [E] or [Shift]+[E] for all), then it will display the Exif summary for the image. By clicking the E button in the Exif window’s toolbar, you’ll open the Exif customization dialog. You can select the Exif fields which should be included by selecting one or more unselected Exif tags and the use the "select" and "deselect" buttons to move them to the selected Exif tags list.


Working with boxes

When you open the Light table, it is filled with the images that are currently selected in the Collection Viewer. Each image is opened in its own box within the Light Table. There are some operations available to manipulate the content of the Light Table.


Browsing

When you select a box by either clicking it or by pressing [Tab], that box is recognizable by the highlighted color. Within the table you can change the image displayed by each box. Press the arrow keys [Left] or [Right] on your keyboard to change the image in that box and replace it with the next image in the collection you are working on.

Another way to change the content of the box is by pressing [Shift]+[Left] or [Shift+Right]. When you press either of these combinations, the Light Table will shift the images in every box in the table either to next or previous image. This results in the last box to display the next image of the collection.

Press [Shift]+[Right] to move box 1 to box 2 and box 1 will show the next image in the collection.


Dimming

As you are comparing multiple images in the Light Table, you may want to focus on just a few of these images and temporarily ignore the others. This will prevent the unwanted images to distract you attention from the images you are trying to focus on. In that case you can dim the unwanted images. Actually what dimming means here is that you “switch off the light” in a box making it less distracting.

To dim a box on the table, you select the box first by clicking at it. It becomes highlighted. Now press the keyboard shortcut [D]. The image becomes dimmed. To “undim” the box; again select the box and press [D].


Closing and opening boxes

Once you have opened the Light Table with a selection of images, you can close one of the images by selecting the box and then press the [X] keyboard shortcut. The selected box will close. If this is the last box, the entire Light Table will close and you’ll return to the Collection Viewer.

A new box can be added to the Light Table by pressing the keyboard shortcut [N]. The new box will be added and the image in box that was selected when you pressed [N] will be loaded in the box. This leaves you with two identical images on the table. You can change the image in the new box by selecting it and then press [Left] or [Right]. You may also decide to keep two of the same images in the same box, either to compare different areas of the same image or to compare a sharpness version ([Ctrl]+[Q] with an unsharpened version or for many other possible reasons.

As you close or open new boxes, IDimager will reorganize the remaining boxes leaving a constant optimized view of the remaining images.


Image Properties / Details

Like you can open the Image Properties in the Collection Viewer, you can also open the Image properties in the Light Table. Select an image and press [Alt]+[Enter] to open the properties.


Assigning catalog labels

In the Light Table you can press [F6] to open the catalog assignment dialog for the selected image.


Color Management

For each box in the table you can change the color management settings individually. By selecting the box and then press [Shift]+[C] IDimager will open a dialog where you can change the settings for the selected image.

Read the chapter about color management to see what all the different options mean.


Working with the Calendar

IDimager integrates a calendar feature that allows you to browse the images using a visual calendar overview. The month based calendar shows all days of the month with a visual thumb representation for every day within the month. This way you can easily browse to your images.

The Calendar is an entry in the far left Explorer Bar [image]. Click its icon to open it. Once the Calendar is open, you can drag the panel to any docking area. By default it is displayed at the right side.

The calendar will be opened and display the last selected month. If this is the first time you start the calendar, then it will open in the current month.

Each day in the calendar will display a thumbnail of a random image for that day (if any). Also, the number of images that are known in the catalog database for that date is displayed in an italic font style.

The top area contains the navigation options. By clicking the left and right arrow icons you can move the calendar to display to the previous or next month. By clicking the drop down arrows to the left of the arrow icons, you can also select to skip to the previous year or next year.

Another way to switch to a specific date is by clicking the drop down arrow of middle button: and then select "select date" from the menu or to double click on the displayed month/year.

In this dialog you can navigate to a the date of your choice and click OK to select it. The Calendar will then change to the month containing the selected date.

Tip; In the date selection dialog you can click on the month or year to quickly step to a specific month and/or year.

Once you have the selected date, you can double click on a date to display the images for that day in the Collection Viewer. You can also select a range of days by dragging with the mouse over the desired days. Once you have selected multiple day, click the middle, black, button in the toolbar to get all images for the selected range of days. Another way to select a range of days is by clicking the first day, then find the last day in the calendar and click that day while holding down the [Shift] key. The end date may even be in a different month than the begin date. Again, after selecting the series, click the middle button (or press [Enter]) to get all images for the selected period.


Additional Features

This chapter describes the additional features for working with IDimager. Features like batch processing, slide shows, disc burning, web publishing and more are covered here.


Collective Batch Processing

IDimager enables you to apply a series of commands or effects to a series of images. You can do this using the Batch Processor. By loading a series of images to the Batch Processor and then select one or more commands or effects that should be applied to those images, these effects and commands will be processed for every selected image. Just one start click.

A series of effects and commands are called a batch design. Those designs can be stored so you can re-load them later and apply them to a different set (or the same set) of image.

Starting the Batch Processor can be done in two ways:

1. By selecting one or more thumbnails and then clicking the “Batch” button in the main tool bar
2. Through the menu Tools -> Batch Processor

If you have started the Processor using a selection of thumbnails, then all those images will be pre-loaded to the Batch processor. If you start the Batch Processor from menu, it will be opened empty.


The Batch Processor

The Batch Processor window has the followed areas:

1 | The toolbar with the most common actions
2 | The output folder. This is where you can select a folder from disk where the manipulated images should be stored, once processed.
3 | Specify what version place holder version should be used if the image being processed is part of a version set. If there is no version for the specified place holder, then IDimager will use the selected image (not the main version!).
4 | Select this option if you want to store the current selection of images to the batch design too.
5 | Select this option if you want the output images to be stored as a version of the original in the catalog database. When enabled you can specify to what version placeholder the newly created version should be stored in.
6 | The selection of images that will be processed by the Batch Processor.
7 | This is the list of all available effects and commands that are available to be added to the batch design.
8 | This is the list of all selected effects and commands that will be applied once the batch is started. It is possible to add the same effect and/or command multiple times.


Adding and removing effects/commands

Almost every effect/command known to IDimager is also available as a batch effect/command. The effects manipulate the image’s appearance; examples are: brightness, sepia, contrast, auto-levels, gamma correction, framing, etc. The commands manipulate the files but not the image; examples are: remove Exif, convert file types, rename files, etc.

With IDimager you can add as many effects/command to one batch as you need, you can even add the same effect/command multiple times. An example: 1. Auto-Levels, then Gamma correction then Auto Levels again.

The list of effects and commands is located in the lower right corner of the window. Select an effect or command of your preference and double click on the name it to add it to the batch design.

Not all effect/commands have settings, but if it does, the settings dialog for the selected effect will open. The settings for most effects are described in chapter “The Image Viewer/Editor”, section “Manipulating Photos” and “Optimizing Photos”. The preview photo in the settings is from the image currently selected in the Batch processor.

Now optionally change the settings and click “Apply” to add this effect with these settings to the batch design. As stated before, it is possible to add the same effect again, each time with different settings (or the same if needed).

Once the effect is added to the design it is placed at the left side. The left area contains a list of every selected effect/command in this batch design.

You can view or change/update the settings for a selected effect at any time by double clicking it in the left area. The settings dialog (if applicable) will open with the settings for the clicked effect/command.

If you have added an effect/command by accident then you can remove it from the list again.

Select the effect on the left side and click button “Deselect”. Confirm that this effect should be removed.

The order of the selected effect is important. When running the batch, IDimager will process them in the order you specify. You can change the order by clicking the buttons "Up" and "Down"; as displayed below.


Adding more images

After starting the Batch Processor it is still empty. Our first step is to add images that need to be processed. If you’ve started the Processor from a selection of thumbs, those images will be pre-loaded. It is possible to add additional images to the Processor.

To add photos click button “Add Images” from the Processor’s toolbar.

Navigate to the folder that contains the images you want to add and select one or more from the file list. Once you have selected your images, click “Open”. Optionally repeat this procedure for photo’s contained by other folders.

All selected photos will be displayed as thumbnails. Double click on any thumbnail to open it in the Image Viewer.


Adding Sub Folders

The Batch Processor allows you to work with sub folders. After processing the images, the output folder (if specified) will get the same folder structure as you build it in the Processor.

You can add a full folder, including its sub folders very easily. Click “Add Folder” in the toolbar and navigate to the folder you want to add.

Optionally specify if sub folders should be added too.

Then click OK. The folder will be read to the Batch Processor as a sub folder.

You can double click the sub folder to open it. If you have specified to read sub folders too, then they may be additional levels of sub folders in the Batch Processor too.


Run, Load and Save Batches

Once you have added images to the processor and one or more effects/commands to the design, you are ready to start the batch.

When starting it, IDimager will process every image “one by one” with every effect/command “one by one” in the order you have specified them. Then if an output folder is specified, it will be placed in that folder. Images that reside in sub folders of the processor will be placed in sub folders of the output folder. If you didn’t specify an output folder, then keep in mind that the original images will be overwritten, once processed by the batch.

Click button “Run Batch” in the toolbar.

Confirm running the batch and after it has finished you will be notified.


Saving your batch to file

Most likely you have spent quite some time in designing and optimizing the effect settings for your batch. That would be a waste if you had to do this all over again when you knew before this batch would be very useful in the future too. Exactly why you can save you batch design.

When saving your design, IDimager will not only store the selected effect, but also their individual settings, the output folder and optionally even the selected images. To save the selected images together with the design, select the option “save selected images inside the batch”. You can find this option behind the output folder.

To save the batch, click button “Save Batch” in the toolbar.

Then specify a file name and click Save. IDimager batch files use the extension “.imbbatch”


Loading a batch file

You can load your previously saved batch file again by clicking “Open Batch” in the toolbar and select the file. All selected effects with every individual setting will be reloaded.

If the Processor already contained a selection of images before loading the batch you are ready to run the batch. If the loaded batch file contained images these are loaded too and in that case any existing selection is discarded.

After loading the batch you can run it again.


Slide Shows

IDimager can create slide shows with 150 possible transition effects for any collection; a media collection as well as a collection in the Catalog Explorer. IDimager can create a slide show directly from a collection or you can design your own slide show using the Slide Show Designer ([Ctrl]+[Alt]+[S]). Slide shows can be displayed full screen, meaning that no window titles or Windows Start Bar will be visible.

The fastest way to create a slide show is by using the “Quick Slideshow” feature.

1. Open any collection
2. Press [Ctrl]+[F11]

The quick slideshow will play directly and uses the settings as you can specify in the options (Tools -> Options -> Slide Show). To create a quick slide show of an opened collection, select the collection in the Media Explorer, Catalog Explore, or from search results. Then select one or more thumbnails and then press [Ctrl]+[F11] to start it.

Besides the quick slide show you can also design a custom slideshow yourself. Select your thumbnails to include in the slideshow and then press [F11]. All (selected) images from the active collection will be added to a new slide show design using the preferences as defined in the options.

The Slide Show Designer is opened. This window has an upper area, which is the “preview” player and a lower area which is the “time line”. The time line is the real design area and enables you to fully customize and personalize your slide shows. The time line is divided in horizontal tracks. There are four tracks:

Slides | This track contains the images for the slide shows.
Comments | This track contains voice or audio comments (mp3 or wav)
Music | This track contains your underlying music (mp3 or wav).
Titles | This track contains your title sheets.

The tracks are horizontally oriented and it represents the time. The time scale can be adjusted manually by either clicking the buttons

in the lower right corner of the Designer or by pressing the [Z] or [A] buttons. The time scale can be set from 100 milliseconds to 1 minute.

The fastest way to start your slide show is to click the “Play” button in the tool bar now.


Adding slides to your slide show

You can add photos to your slide show in two manners:

1. By dragging them from Windows Explorer to the Time Line
2. By selecting a position in the time line and click “Add Slides” in the tool bar or the time line. A selection dialog will appear where you can select one or more photos from disk.


Moving slides

You can move slides by selecting them first. Select one or more slides by clicking them while holding the [Ctrl] key down. The color will become highlighted. You can also press [Ctrl]+[A] to select all slides. A last selection method is to double click on an item. The item clicked and all items behind it will be selected.

To replace (move) the slides, drag them to a new position in the timeline.


Editing the details of a slide

You can edit the details for every slide in the slide show. This can be done one-by-one or collective (e.g. change the transition effect for a range of images).

Select one or more slides you wish to change the details for by clicking them while holding the Ctrl key down. The color will become highlighted. You can also press Ctrl+A to select all slides. A last selection method is to double click on an item. The item clicked and all items behind it will be selected.

Then right click on a selected slide and select the option “Edit Item” from the context menu that pops up. You can also press Alt+Enter while the slide is selected or click the title hyperlink of the slide's block.

The editor will open.

On top of the editor you see the number of slides that are selected. Any change you apply to the details will be applied to all selected items. Unchanged details will NOT be changed. This offers you the opportunity to quickly change settings for a range of slides.

Every slide has a start point, a durance and an end point. The start point and durance can be set up to the millisecond precise. Note that the start point can not be edited when multiple slides are selected.

The properties you can set are:

Start Point | The start moment on the time line for this slide
Durance | The time that this slide is displayed
End point | The end moment on the time line for this slide. This is typically the start point + the durance
Slide Background color | The color that will be used as the background for the slide when the image doesn't fill the entire screen
Transition effect | Select what transition effect you want to use for the selected slide(s). Select “none” for no transition effect; select “I will specify what effect to use” to select one of the available 150 effects; select “Choose a random effect” to let IDimager select one of the effects for you. The random effect will be selected when the slide show runs. A random effect for a specific slide can differ each time that you run the slide show.
Effect | This setting will only be available when you selected “I will specify what effect to use” in the previous field. Select one of the effects from the list of 150 types.
Effect time | Set the time that you want to use for the transition effect to complete.
Crop landscape slide image to match the slideshow size | Check this to maximize screen width usage. IDimager will the crop (cut) every image to try to fully use the screen while maintaining maximum space for the image itself
Crop portrait slide image to match the slideshow size | Check this to maximize screen height usage.
Show Captions | Select this option if you would like to add text blocks to the slide
Captions | Add one or more captions to your slide show

A transition effect is a way of replacing the previous image with the new image. By using transition effects you create a “living” slide show that is prettier to look at. IDimager has 150 transition effects for you to choose from. These effects can be set using the following options:

None | No transition effects will be applied to the slide show
I will specify what effect to use | You can choose one of the 150 transition effects to use for each transition between images.
Always use one random effect | With this option IDimager will select one random transition effect and will use this effect for every transition inside your slide show.
Each slide uses a random effect | With this option, IDimager will choose a random transition effect for the slide

Remember that transitions use advanced calculations and will require an installed processor with speed over 1Ghz to work acceptable. A dual core processor is recommended.


Adding Music to the slide show

Slide Shows without music are dull. That is why IDimager offers you advanced music features to allow you to create dynamic slide shows. You can add one or more music files to your slide shows by either dragging them from the Windows Explorer to the time line area, or by clicking the “Add Music” button in the toolbar of the time line.

You can add mp3 as well as WAV files.

IDimager is able to play up to four music files (tracks) concurrently, meaning that up to four music files van be played at the same time. Now that is neat, but not the way you want your music. However the advantage is that you can mix your music file together by making the overlap each other.

To make two music items overlap, you can add the first file and then right click at the position where you want the new music file to start and select “Add Music” from the popup context menu.

To specify the end point for the first item, also right click at the position where you want the music to end and select “Stop this item here” from the context menu.

This way you start the second music file before the first one ends, meaning they will be mixed together. Now the neatest characteristic of sound mixing is fading in and out. This means that the first song will decrease its volume (fade out) gradually while the second song gradually increased its volume (fade in). With IDimager you can set your fade out point and fade in points directly from the time line. Right click on the music item where you want the fade in to end and right click. From the content menu select the option “Sound Fading -> Fade-In to Here”. The same goes for setting the fade out point.

You can also right click -> Edit this item to edit the details of the music.


Editing the music details

By resizing the block in the time line you can change the durance of the music file. But you can also open the music editor. Do this by clicking the name of the music item.

The editor will open up.

Change any setting.


Playing your slide show design

Now we have covered some basics about slide shows, you are ready to play it. You can either play the slide show directly in the player area or play the show full screen.

Click the “Play Button” in the main toolbar to play the show in the player area. This player area is relatively small and will give an impression of how your show will look full screen.

Click the “Play Full Screen” button to start the slide show in full screen mode.

When playing your slide show for the first time, it will probably be buffered. During this stage IDimager will read the images into memory to be able to play your slide show in a time critical manner. It is possible to prevent buffering by disabling the time critical option in your generic slide show options. This is not recommended because a non time critical slide show is not time aware and is unable to keep audio in-sync with your photos.


Create Slide Show Movies

IDimager can record a slide show, including transition effects, to an AVI movie, an animated GIF movie or as a self running EXE movie.

An AVI movie is the most popular movie format and will therefore offer you maximum flexibility. Use the created AVI movie files to

· burn VCD or DVD movies using your favorite burning software like Nero (by Ahead). You can also convert AVI movies to Macromedia Flash movies. These movies are very popular on the web.
· Use SWF Producer (by Rendersoft) to convert AVI movies to Flash movies. But first we need to create the AVI movie.
· Just burn the AVI movie to a disk and take the disk along to show to friends, family or anyone else. AVI movies are playable on almost every computer.

To create a movie of your slide show, open the Slide Show Designer by choosing “Tools -> Slide Show Designer”. Then either create a new slide show or open a previously stored slide show. The click the record button in the upper toolbar (

) or press F9. The Slide Show Movie dialog will open.

Gif movies have the advantage that they are very easy to place on the internet, however, they tend to get big in size.

Self Running EXE movies have the advantage that they are very easy to distribute to others without them having the need to have IDimager installed on their computer.

In this dialog you can specify the following attributes:

Movie Style

Here you can specify what kind of movie you would like to create. Possible options are: “AVI movie”, “Animated GIF movie” and “IDimager Self Running EXE”.

Movie Size

This is where you can specify the size of the output movie. The size of the movie is important for the quality of your result. For instance; if you choose a low output size of 160x120 and want to burn this movie as a VCD, which has a size of 352x240, then the VCDs quality will be low because the original movie of 16x120 must be stretched to fit the VCD resolution. So select the size that is appropriate to the purpose.

If your output size is not in the list, select “User Defined. With this selection you can specify any size preferred.

Width and Height

When selecting “User Defined” Movie Size, specify any width and height here.

Frame rate

Specify the number of frames (images) you would like to add to the movie every second (frames per second = fps)

Output Movie File Name

Here you can specify the name and folder on your hard disk where the output movie should be stored.

Use Compression (codec)

This is where you can specify which compression mechanism should be used for the output movie. Compression mechanisms are called codecs. Codecs should be installed on your system before generating a movie.

Compression mechanisms will guarantee that the output image will be much smaller. The size of the file will depend on the compression factor you will apply to it. Specify a low value for a higher quality. It is good to start at about 10%. If you don’t like the result, try another codec or a lower compression factor.

As stated before, codec should be installed on your computer prior to generating movies. A good example of a very powerful compressor is the Indeo codec. This codec is installed on every Windows configuration. Using this codec will almost guarantee that your movies will play on every Windows equipped PC.

Another codec, unfortunately not installed with Windows, is the DivX codec. This codec will create very small output files with relatively good quality.

Compression Quality Factor

Here you can specify how much compression IDimager should apply to the image. The lower the compression factor, the better the quality of the output movie, but the bigger the output file. This value can only be set when a codec is selected.

On the fly compression)

Check this box when you want IDimager to compress the movie as it is created, instead of compressing afterwards. On the fly compression will decrease the slide show speed, but will not affect the play speed in the movie. On the fly compression is not supported by every codec, so if errors appear when generating the movie, try to deselect this check box!

Audio recording quality

Select the quality your audio should have. A quality of 32000 or 44000 is recommended.

Burn to auto-run CD afterwards

Selecting this box will enable you to create an auto run CD with your movie file on it. It will

open the burner afterwards and include the created movie file with the auto run information, ready to be burned by clicking the “Burn” button.

Click OK and the slide show will start while recording to the specified movie style (AVI, EXE or GIF-file).

A progress bar shows the progress of recording. To stop recording, click on the [image] button. To pause the recording, while the slideshow should proceed, click the pause button: . Recording will continue when click the [image] button. When the slide show finishes, the AVI movie file is created.


What to do with your slide show movies?

An AVI-movie file, as created by IDimager, can be read by almost every movie editor. Therefore AVI is the most commonly used and transparent movie format. You can use your slide show movie to:

Burn your AVI to a CD | Because AVI is the most commonly used movie format, almost any computer can play it. Just burn the AVI movie on a CD and take the CD along with you to show to customers, friends, colleagues, or anyone else.
Create Flash files for the Web | Convert your slide show movie to a flash movie and publish it to the web using SWF Producer; included in CamStudio. Freeware by Rendersoft (http://www.rendersoftware.com)
Create streaming video files | Convert your slide show movie to a streaming movie, ready to be used on the web. Convert the AVI file using Media Encoder. Freeware by Microsoft (http://www.microsoft.com/downloads/details.aspx?FamilyID=5691ba02-e496-465a-bba9-b2f1182cdf24&DisplayLang=en)
Create a (S)VCD movie | Burn your slide show movie directly to a VCD using your favorite burning software like Nero by Ahead (http://www.nero.com). Create a new VCD project in Nero and drag the AVI movie file to it. Nero will create a nice VCD of it, optionally with titles.
Create a DVD movie | Create a DVD movie of your slide show movie using your favorite DVD burning software like Nero by Ahead (http://www.nero.com). Or using any DVD authoring application.


Backups, Disc Burning, and Archiving

Integrated with IDimager comes a fully functional burning application; the so called Burner. With the Burner it’s possible to duplicate data (like images are) to CD and/or DVDs. The Burner supports writing to the CD formats CD-R, DVD+R, DVD-R, DVD-RAM, DVD+RW en DVD-RW. This should cover all most commonly used disc formats.

Although the Burner can be started as a stand alone feature in IDimager, it is also used to archive images, though it is possible to burn any other file type. Archiving images is important to secure and backup your photos. Archiving can be done on several levels: per collection, per gallery, per portfolio, per catalog label, per selection of catalog labels, or just a custom selection of images.

The Burner supports “multi disc” burning, also known as "disc spanning". This means that when the total size of all files to burn exceeds the total size of a single disc, it can continue burning to successive discs. This feature no longer forces you to select the right number of files to fit them on a single disc.


Backup your catalog database

Apart from backing up your images it is also important to backup your catalog database regularly. As you work more frequently with IDimager you will find that its database becomes very important and valuable for you. Without it you would be a little blind again. Even though it is possible to reconstruct the catalog based on synchronized catalog info in the image's meta information it is still very much recommended that you backup your catalog database.

The catalog database can be backed up to either CD/DVD or to a folder. First ask yourself which is the most convenient method for you. If you choose to backup to folder, then it is recommended you do that to a different physical hard drive (not the same drive, not even to a different partition on the same drive). This way you prevent that your backup is lost when the hard drive crashes. If you decide to backup your catalog database to DVD or CD, then I recommend that you use a A-brand re-writable disc (CD-RW or DVD+/-RW). This enables you to re-use the disc for future backups.

Backup to folder is faster than a backup to CD/DVD and is also more flexible and convenient.

Professional SQLServer Edition Only

The Professional SQLServer Edition uses SQLServerExpress as its database format. By default SQLServer is installed with limited file system accessibility. Therefore Windows may give an authorization error when running the catalog backup feature. If you get this message, you'll need to make a small adjustment to the SQLServer configuration first:

1. Open the Services; On XP; Start -> Control Panel -> Performance and Maintenance -> Administrative tools -> Services

2. Find the service SQL Server (SQLEXPRESS) and double click

3. Open tab "Log On"

4. Select Log On as: Local System Account and click OK

5. Back in the service list, right click at the SQL Server (SQLEXPRESS) service and select Restart

To backup your catalog, open the Catalog Manager by selecting Tools -> Catalog manager from the application's main menu. Within the Catalog Manager click button “Backup” in the toolbar. Then choose if you want to backup to Disc (DVD/CD) or to Folder (hard drive).

Keep in mind that whichever method you choose, this backup will NOT contain your images, it will only backup the information that is important for the catalog. The backup will contain your catalog database, your thumbnail database, and your options settings.


Backup Catalog To Folder

Every file that is important for the catalog database will be included in the back up. It is recommended that you backup to a second hard drive. This could be an external hard drive or a second internal hard drive. It is not recommended that you backup to a second partition of the same hard drive. That is because when the hard drive fails, then your backup will be lost as well.

First select the drive/folder where you want to store your catalog backup. You can do this by clicking the folder icon to the right of the Backup Folder field. To prevent your backup from being lost on a hard drive failure, it is recommended to backup your catalog information to a folder that is stored on a different physical hard drive than the drive where you store your operational catalog. A different hard drive here means a different physical hard drive, don’t backup to a second partition of the same hard drive either. If you have an external hard drive then that would make a good backup drive; so does a second physical internal hard drive.

Select the folder and click OK to start the backup.


Backup Catalog to Disc

Every file that is important for the catalog database is added to the Burner’s design.

Within the Burner, click “Burn” to start the backup. Note that the burn button will only light up when you have a disc inserted in the drive.


The Burner application; how it works

The Burner application can be activated within IDimager by selecting “Tools -> Burner” from the main menu. You can also press [Ctrl]+[Alt]+[B]. IDimager supports 3 different burner engines:

1. The integrated IDimager burner

2. The Windows V1 burner engine

Can only burn CD formats, not DVD formats

3. The Windows V2 burner engine.

can burn CD and DVD formats

If you are using Windows Vista, then it is highly recommended that you use the Windows V2 burner. If you are running Windows XP-SP2 then you can download the V2 burner engine from the Microsoft website:http://www.microsoft.com/downloads/details.aspx?FamilyId=B5F726F1-4ACE-455D-BAD7-ABC4DD2F147B&displaylang=en

If you are running Windows XP-SP1 or earlier it is recommended that you use the integrated IDimager burner for DVD formats or the Windows V1 burner if you are planning to only burn to CD formats (CD, CD-R, CD-RW).

The integrated IDimager burner engine can be used when you are on Windows 2000 or if your device is not recognized by Windows XP/Vista.

1

The Toolbar

Use the toolbar to quickly access the most frequently used tasks.

2

Drive Info

The drive box allows you to select a CD or DVD device and shows information about the selected one. If you have more then one CD drives in your computer, you can select the correct drive by opening the drop down box.

IDimager Engine, and Windows V2 Burner only; This part of the window also shows the selected burning speed. By default this box is set to “Maximum”, meaning IDimager will burn using the maximal speed possible for the combination drive and disc. Optionally select a different burning speed although not recommended.

IDimager Engine, and Windows V2 Burner only; The option “Finalize disc when burned” can be used to really close the disc after burning so nothing can be appended to it anymore. Some older disc readers may require you close the disc. Most modern day drives support multi session discs so there should be no need for finalizing it.

The options "Verify burned files after burning each disc" can be used to let IDimager perform a binary verification to double check that the burned files are binary identical to the original files. Use this option to make sure that the burned disc is ok.

3

Folder Structure

This visualizes the folder structure as it will be created on the disc once it gets burned. When archiving collections, galleries or portfolios, IDimager will create the structure automatically based on existing collections, sub collections, etc.

4

File Structure

This visualizes the files for the selected folder in the folder structure (left). By browsing the folder structure, the file structure will be refreshed with the files contained in the then selected folder.

5

Burner Info

This shows some information about the generic burning capabilities. The fields are:

Burn Size: The total space required for all files for the active design

Free Space: The total space available on the disc currently inserted

Estimated Discs: The estimated number of discs that are required to burn all files. This calculation is based on the current disc's free space and then for following disc the current disc's total capacity is taken into account. E.g. the current disc is a DVD with 4.7 GB total capacity and 1 GB capacity is free. We need to burn 8 GB of images, then the estimated discs will be:

1 disc for the first GB and 2 Discs for the remaining 7 GB => Estimated discs is 3

6

Progress Control

This part displays, especially while burning, information about the progress of the total burning process.

The burner also enables you to design your own CD or DVD content. This can be done by adding your own folders and files.


Designing a disc

Normally you would invoke the Burner from withing the application by selecting images or folder that should be burned. However, this chapter uses the option to start the Burner "clean". If you start the Burner (Tools -> Burner or [Ctrl]+[Alt]+[B]) it will load an empty design. This means that there are no files yet that should be burned. We need to add files to the design first so the Burner knows what should be burned to disc.

Naming your disc

Every disc has a name; this name is also referred to as the “Volume Name”. The Volume Name will be set to “CD” by default. This is the name you also see behind the disc-icon in the folder structure area.

The volume name can be changed. Give the disc a name that you think covers its content best. Preferably constraint the length of the name to 12 characters.

To change the name of a disc, right click on the volume name and select “Rename CD” from the context menu.

Enter the new name and press [Enter].

Working with folders

Now we have named the disc, we can start filling its design with data.

The volume name, which is displayed on top of the folder structure, is the so-called “Root” of the disc. The root is a folder, just like any other folder. The root and any other (sub)folder can contain files.

To create a folder you need to select the parent folder first. The parent folder is the folder that will contain the new folder. Because this is the first design, and we have no existing folders yet, select the root folder by clicking it once. Now the parent is selected, press [Ins] to add a new folder beneath the selected folder.

Give the folder a name and click [Ok]. The new folder is then created and will be displayed in the folder structure.

This procedure can be repeated to add more folders. First select the parent folder, then press [Ins].

This allows you to create a full folder structure manually.

Once you have created a folder, you can also delete it again (the root can not be deleted). This can be done by selecting the folder and the press [Del]. The folder will be deleted from the design, including all existing sub folders and including all files that are currently defined for the folder or its sub folders. So be cautious!

Adding a folder from disc

It is almost unfeasible to completely design a CD/DVD by hand. And why should you if the files that need to be burned are already well organized on your hard drive? You can add a folder from your hard drive quickly and the Burner will read all files and sub folders with their files to the design. This will not only read your photos, but all files.

First select the correct folder where you want to add the folder from drive. Then right click on that folder to open its context menu and select “Add folder from Drive”. Navigate to the folder you need to add and click ok. All files from this folder will be added and all sub folders, each with their files, will be added too.

By navigating through the folders you’ll see the corresponding files in the file structure area (right side).

Adding files

Now we are able to create folders it’s time we learn how to add files to folders. First select a folder where files should be added to. Do this by clicking the folder. This can be the root, or any other folder, even folders that were created by reading them from your hard drive.

To add files to the folder you can right click on the folder and select “Add files from drive”. You can also right click on the file structure area.

A selection window opens. Here you can select one or more files. These don’t have to be photo files, they can be any file available. You can select multiple files by holding the [Ctrl] key down while clicking the file names.

After selecting your files, click “Open” to add the files to the selected folder within our burner design.

Tip!

A single folder in our design can contain files from different locations on you hard drive(s). By repeating the procedure above you can add files to the same folder from a different location.

This way you can fill your design with files. After that you are ready to burn the design to disc.


Burning a design

Once your design is filled with files you can burn it to the disc.

Insert an empty CD or DVD disc in the drive and click button “Burn” in the toolbar.

If the Burn button does not switch on after inserting a new Disc, then first verify if the disc is burnable. If it is, you can click the "refresh button" in the right upper corner of the disc info panel. Also make sure the correct recorder device is selected from the drive drop down.

The burning process will be prepared and when finished you can confirm the start.

Click “Yes” to confirm. Now wait for the Burner to finish its work. While burning you can follow its progress in the progress area of the window.

Although not required, it is recommended that you wait for the burning process to finish before you continue to work on the computer.

After the CD/DVD is burned the drive will be ejected.


How the burner is integrated

The previous section explained how the integrated Burner works when used as a stand alone tool (isolated). However, IDimager internally uses the Burner to help you get things done quickly. That is where is becomes integrated. The Burner is used by IDimager to:

1. Make backups
2. Burn Web pages from the Web Publisher
3. Burn Slide Shows from the slide show application
4. Archive images

In all those cases, IDimager will start the Burner and pre-fill its design with the selected folders and files. This makes it easy for you to quickly do some common tasks like making backups.


Burning sections of images

The easiest way to create backups of your images is to open the images in the Collection Viewer, then select the images to backup (use [Ctrl]+[A] for all images), and then click the Burn Disc button in the application's main toolbar.

After you click the Burn disc button, the Burner will start and the selected images are loaded to the design.

Now click the Burn button to start the burner process.


Burning folders from your hard drive or other disk

You can backup a full folder (not only images and sidecar files in the same manner as with the collection backup method) using the Media Explorer. Select the folder first, then right click on the folder’s name and select “Backup this folder to CD or DVD”. When you backup a folder, IDimager will also include the sub folders of the selected folder.

Now click the Burn button to start the burning process.


Burning images from the Catalog Explorer

The most powerful backup feature is by using the Catalog Explorer. There you can select one or more items that should be burned to disc. Selecting the items is identical to selecting items for search operations. So click the check boxes at the left of each item that you'd like to backup. These can be catalog labels, portfolios, galleries, collections, ratings, etc etc. After making your selection, then click the burn icon in the Catalog Explorer's mini toolbar.

Every selected item in the Catalog Explorer will be loaded to the Burner's design. Within the root of the Burner’s design, a folder will be created with the name of every selected item. All assigned images are loaded to that folder. Then for every sub item a new sub folder is created and here too all assigned images are loaded to this folder. This means that if you have one photo with multiple assigned labels that photo may be added multiple times to the Burner’s design in different folders, but only if these assigned labels are included in the backup. This is the way it is intended to work and it allows you to create a non optimized, but easily accessible disc of your images. This due to the redundancy.

In short; a quick way to backup a single catalog label:

1. Find the catalog label in the Catalog Explorer

2. Mark the label by clicking the selection box at the left of the catalog label's name

3. Click the burn button in the Catalog Explorer's mini-toolbar.


Archiving images

Archiving to folder

More and more photographers these days switch to archiving on external hard drives. Main reason is that the prices for external hard drives have dropped a lot and external hard drives are so much more convenient to archive images. IDimager also supports archiving to folder. This can be a folder stored on an internal drive, or an external hard drive. Typically you would archive to a different physical hard drive and not to the same drive where your originals are stored. For safety reasons, it is also not recommended to archive to a second partition on the same physical hard drive.

Archiving to folder can be done by selecting the thumbnails and then click "Transfer -> Archive Selected Images"in the application's main toolbar.

The Image Archiver allows you to select a folder where the images should be archived to. Select the target folder by clicking the folder icon to the right of the field "Archive selected images to folder". The selected images can be stored in a sub folder structure that you find convenient. The sub folder structure can be entered by hand or (more recommended) by using macro commands. The macro commands will be translated based on every archived image. You can select the macro commands you need by clicking the drop down button at the right. The default setting is "%yyyy-%mm-%dd", meaning sub folders will be created based on the photo date of the archived images. The "Sample Target file Name" field displays a sample of the structure and file name.

Archive Action | Select if you want to "Move" or "Copy" the selected images to the archive folder
On duplicate file detection in your archive, IDimager should | Specify what IDimager should do when it finds a file name that already exists in the archive folder.
Change all references in the catalog to the new location | When you copy files to the archive, then the original file remains on it original location and a copy is created in the archive. By selecting this option you can specify if the database should be updated to the copied file or not. If not, then the original file will remain active in the catalog. This option is not available when you select the "Move" action.
Create a new catalog label item for archived images | Select this option if you want to keep a catalog label and assign it to all images that have been burned. The catalog label is stored in the Auto Catalog section of the Catalog labels branch in the Catalog Explorer. The archive label is named after the moment of the archive process; e.g. 2007-11-05 11:09 (year-day-month hour:minutes). The label is stored as: Catalog Explorer - Catalog Labels - Auto Catalog - Archive Sessions - Date

Archiving burned CDs

As described before, IDimager can archive to different CD formats like CD-R, CD-RW, DVD-RAW, DVD+R, DVD-R, etc. After the burn process IDimager offers the option to archive the burned images.

Select Yes to start the archive feature. The burner's archive dialog opens.

Delete original source images | Select this option if you want to remove the original image from the file system
Change references in catalog to the location on burned disc | Select this option if you want to update the catalog references from their old location to the archived file.
Create a new catalog label item for archived images | Select this option if you want to keep a catalog label and assign it to all images that have been burned. The catalog label is stored in the Auto Catalog section of the Catalog labels branch in the Catalog Explorer. The archive label is named "Archived Disc mmm" where mmm is the volume name of the burned disc. The label is stored as: Catalog Explorer - Catalog Labels - Auto Catalog - Archive Sessions - Archived Disc mmm


Publishing, Mailing and Printing

IDimager allows you to use your images for output, without the need to prepare them first for that specific task. IDimager will do all preparing for you without effecting the originals. You can either publish to the web, email or print images this way.


Publish images to the Internet

One of IDimager’s features is the option to create web sites from collections you construct in IDimager. Based on collections, galleries and even a full portfolio, you will be able to generate a fully functional web site. All this without any required knowledge of the internet language HTML or scripting languages.

The publishing feature of IDimager uses so called templates. Within the template is defined how the eventual web site should “look and feel”. With IDimager there are over 30 templates deployed which can be used immediately. There should be a template to match every occasion.

The generated pages have the following structure:

When publishing to the Internet u select at which level you want to generate pages: Yellow: Collection; Green: Gallery; Orange: Portfolio.


Publishing a collection

The most apparent publishing feature is to publish the active collection as loaded in the Collection Viewer. Basically, every set of images that is presented in the Collection Viewer (thumbnail viewer) is a collection. After you have opened a collection, click the button “Publish” in the application’s main tool bar.

This button behaves as followed: if there is a collection opened, the Publisher will start in collection mode. If there is no collection opened it will start in gallery mode. Behind the button is a small arrow icon. By clicking this icon you can select yourself at with level you want to publish. In this case we select “Publish Collection to the Web”.

The Publishing window opens.

When generating pages, they will first be generated to the local hard drive in a folder you can specify.

Specify a folder where to store the generated files

By clicking the button behind the field you can select an existing folder on disk or create a new folder.

Specify a name for a sub-folder within the specified folder

If you want to publish to a sub folder within the selected folder, you can enter its name here.

Select a layout for the generated pages (template)

This is where you select the template that should be used. By opening the list you’ll see a small example of how the page basically looks. Select a template that is most appealing to you.

Once you have selected a template, it is possible to make adjustments to the template by opening the template in the template editor. In that case click the “EDIT” behind the selected template. Please note that changes are permanently stored to the associated template file.

Generate only changes since last pass

This option enables you to generate only changes since the previous time you have generated the pages. This requires that you generate to the same folder as you did before. Using this option increases performance drastically so it is recommended to keep it turned on at any time, unless you want to be sure that every image is re-generated.

Publish audio where available

Using IDimager you can attach music files to images. Although a template should support it, you can use this option to generate the audio embedded in the pages. Currently only template BlueBlack supports generating audio files.

Sharpen the output images

When this option is selected, IDimager will apply a sharpening to the published images. This will result in sharper images, but be aware that when you already prepared your images for the web yourself then this might not be what you want.

Include the original image

When this option is switched on, IDimager will also copy the original image to a separate folder (Originals). Please be aware that this will enable people to download your original sized images!! This option is commonly used when publishing web pages that should be burned to CD afterwards. It will enable you to make a backup CD that contains an HTML index and enables you to access the original image directly from the HTML pages.

Convert images to sRGB color profile if needed

This option is only enabled when you have color management enabled in the option dialog. This basically makes sure that when you publish images, they will all be converted to sRGB. Since web browsers are not color aware, sRGB is the best color profile available for web viewing.

Include Exif and/or IPTC information where available

Use this option if you want to keep the Exif/IPTC/XMP information in your published images. If you don't want your website images to hav embedded Exif/IPTC/XMP then deselect this option.

Auto rotate images based on the Exif orientation flag

Use this option if the images you are publishing are still in its original orientation. Just how they came out of the camera. If you normally rotate your images while reading from camera or you rotate your images manually, please disable this option.

Allow stored catalog previews to be used when available

IDimager Professional allows you to keep previews in the database. These previews are downsized versions of your originals. By selecting this option you tell IDimager to use the previews images for publishing. This will be much faster and is especially convenient when you need to build a quick website.

Encode the output

With this option switched on, IDimager will generate pages in en encoded form, meaning the source html will be unreadable you’re your web page visitors opens it in the browser. Still the browser will be able to display the pages, as long as it is JavaScript enabled.

Generate Unicoded HTML output

Use this option if you want your HTML pages to be stored in Unicoded format. All major web browsers will be able to read and display Unicoded web pages. You would typically use Unicoded web pages when you use special/international characters in your descriptions. (like Japanese, Chinese, Greek, Russian, ...)

After setting your preferences, click the [Ok] button to start generating.

The progress dialog appears which displays which collection is being published and what stage it is in. Wait for the process to finish.

You now have the following options:

Browse and upload the results | By selecting this option you can view the results in your favorite web browser. Once you close the browser IDimager will start the FTP upload process. This process will help you to upload the pages to the internet .
Open browser to view results | By selecting this option you can view the results in your favorite web browser.
Use FTP to upload the results | By selecting this option you start the FTP upload process. This process will help you to upload the pages to the internet.
Burn the results to an auto run CD | By selecting this option you start the burner which allows you to burn the generated pages to CD or DVD disc. This disc will be configured as “auto-run”, meaning the pages will be displayed once the disc is inserted in the drive.
Restart the Publisher | Return to the first step of the Publisher. You would typically use this option if you want to republish the current collection with a different template or if you'd like to edit the template.

For the first time, select option “Open browser to view the results...”. IDimager will start your favorite browser and load the index page of the generated pages into it. Those pages are viewed directly from the hard drive.

To return to IDimager you can close the browser.

You then get asked the question if you want to close the Publisher/ generator. Select "Yes" to return to IDimager’s main window. Select No to return to the after-publishing options. Personally I prefer the No option (and remember the setting by checking the lower left box).


Publishing Portfolios and Galleries

Besides publishing a single collection, you can also publish a full portfolio or gallery from the Catalog Explorer. When you publish a portfolio or a gallery then your website will be divided into areas, named by the name of your portfolio, galleries and collections. This way you can create a well organized web site.

To publish a portfolio, you right click on the portfolio's name. From the context menu that opens, select option “Publish Gallery to the Web”.

To publish a gallery, you right click on the gallery’s name. From the context menu that opens, select option “Publish Gallery to the Web”.

To publish a collection, you right click on the collection's name. From the context menu that opens, select option “Publish Collection to the Web”.

In all cases the Publisher will start. For details about every option, please read section “Publishing a collection” within this same chapter. Enter all details and click OK.


Uploading pages to your homepage using FTP

FTP (File Transfer Protocol) is the most common used protocol to transfer files from one computer to another, in this case the internet server where your home page is located. To transfer files you need login information for your homepage. If you don’t have your login info, then contact your internet service provider (ISP) or look it up on your hosting service's homepage.

After generating your photo site, select option “Use FTP to upload the results”. The FTP window opens.

This window contains the followed fields:

Profile

Optionally select a combination that you have used before. The first time you can ignore this field.

FTP Server

Enter the host name of the FTP server as provided by your internet provider or hosting company. Example: home.planet.nl

Port

Enter the number of the port the FTP server listens to. Usually this is port 21 and you won’t have to change it. If not sure, contact your provider/hosting company.

UserName

Enter your user name as provided to you by your provider or hosting company. If not sure, contact your provider/hosting company.

Password

Enter the password that matches the username If not sure; contact your provider/hosting company.

Remember password

Select this option if you want IDimager to remember the password for the next run. The password will be saved encoded.

Upload folder

This is where you can specify the target folder. This is the folder where IDimager will upload the pages to. If you are not sure what this should be, you can click this button:

. IDimager will then try to connect to the FTP server and advise a folder name called “Album” within the root folder. If you don’t want to generate to a sub folder, but directly to the front page or your site, then remove the addition “Album”. This will enable visitors to see your photos as soon as they type in your internet address.

If you want to embed your photo pages in an existing web site, then it is advised to publish to a sub folder and then create a link in your existing site to access the photo pages.

Upload only changes since last upload

With this option switched on, IDimager will only upload the last changes made to your photo pages. This will decrease upload times drastically, so it is recommended you keep this switched on all the time, unless you want to make sure the full content is re-uploaded.

This option only applies to the photos. HTML pages will always be uploaded, no matter if it’s changed or not.

Passive FTP

This is a setting that is enabled by default. If you experience connectivity problems (drop outs), try to disable this option.

Proxy Settings

By clicking this button you can enter additional proxy connection settings. Only use them if you are sure you are connected to the net using a proxy server. If in doubt, contact your local network or internet service provider.

After entering all data, click OK to start the upload process.

After the upload process finished, the connection with the FTP-server will be broken. Congratulations, your web site is now officially online.

To view your website, open your internet browser. Then type in the name of your homepage and optionally add the upload folder name (like Album). An example would be: http://home.panet.nl/~yourname001 or http://home.panet.nl/~yourname001/Album

Please keep in mind that some web servers are case sensitive, meaning http://home.panet.nl/~uwnaam001/Album (upper case A) is not the same as http://home.panet.nl/~uwnaam001/album (lower case a)


Building Web Publishing Templates

In an earlier chapter we covered how to publish photos to the internet. IDimager does this by using templates. A template contains all information to publish information to enable IDimager to generate web pages. IDimager’s templates are very powerful and offer almost every possibility that “normal” web pages offer.

All deployed templates, currently over 25, are fully customizable to your personal preferences. Everybody can do this; novice HTML specialists as well as HTML experts. As a novice user you will be able to change the basic parts of the template like the number of columns and rows or the colors to be used. The expert, for whom HTML has little secrets, will be able to change the full design and layout of a template to his/her own taste. The expert will also be able to build completely new templates.

The Template Manager is your generic entry to the templates. Start the Template Manager by selecting “Tools | Template Manager” from the main menu. You can also start the Template Manager by pressing [Ctrl]+[Alt]+[T].

Templates are files on your hard drive. This makes templates easy to share with other IDimager users; just hand over your template and he or she will be ready to use your template. Nothing more is required. All information required to generate pages are embedded inside the template file; even all used graphics/images. Beside the templates on your hard drive is the so-called “built in template”. This template is a template that is embedded inside your default Portfolio. When starting a new portfolio, IDimager will read your default template into the album, which will then become the built in template. Using the Template Manager you are able to select any template as your default template by right clicking on the template’s thumbnail and selecting “Set as Default Template”. Upon installation IDimager uses the “Blueblack” template as the default template.

The Template Manager shows a list of all available templates. The templates are represented by small example images in thumbnails. Open a template by double clicking the thumbnail. You can also right click on the thumb and select “Edit Template” from the context menu.


Basic editing of a template

Open the template you want to edit by selecting the template from the Template Manager (“Tools | Template Manager”) and then double clicking it.

The template will be opened in the Template Editor. The editor consists of several tab-sheets. The table below shows you which tabs there are and what the experience level is to use it.

Thumb and General Settings Level: Basic | This tab sheet contains several settings for the thumbnails. It also shows several general settings which apply to the entire template like colors etc.
Image Settings Level: Basic | This tab sheet contains all settings for the opened image.
Portfolio Template Level: Expert | This tab sheet contains the HTML (and/or scripting) code which is used to publish an entire portfolio.
Gallery Template Level: Expert | This tab sheet contains the HTML (and/or scripting) code which is used to publish a full gallery.
Collection Template Level: Expert | This tab sheet contains the HTML (and/or scripting) code which is used to publish a full collection.
Image Template Level: Expert | This tab sheet contains the HTML (and/or scripting) code which is used to publish an opened image (once your visitor clicks on a thumb) .
CSS Template Level: Expert | This tab sheet optionally contains the CSS code which can be used in the entire template.
Resources Level: Basic | This tab sheet contains a list of all used external files; like graphics, flash objects, etc. Any external file can be embedded inside the template as a resource. Once a resource is added, the original file is copied inside the template. If you change the original file, you will have to update the resource also.

For quick and simple editing of a template we only use the sheets: “Thumb and General Settings” and “Image Settings”.

Every generated and published page exists of an index page which shows thumbnails of your photos. By clicking the thumbnail the detail page will be opened. The index page can be configured using the tab sheet “Thumb and General Settings”. The detail image page can be configured using the “Image Settings” tab sheet.

The number of thumbnails on a page is self definable. You can compare it with a matrix, a table with a specific number of columns (width) and rows (height). This width (columns) and height (rows) can be changed. Open the tab sheet “Thumb and General Settings”.

Enter your preferred number of columns and rows at the corresponding fields.

Use the field HTML Output extension to specify which extension you like for your generated pages. Normally you won’t need to change this. Especially if you aren’t familiar with the term “file extension”, leave it unchanged.

Use the field Thumb Pattern to determine how your thumbs should be visualized. IDimager has the unique option where you can define which thumbnails in the grid (columns and rows) should be used and which not. This way you can create patterns for your thumbnail pages.

Every thumbnail of your index page can be switched on and off. This can be done by clicking any block in the grid. The blue colored blocks represent thumbnail positions that are switched on. A gray block represents a position that is switched off. By clicking blocks on or off you will be able to create a pattern for your index page.

As an example you can have a look at the template “Triangle”. It uses a thumb pattern to create triangle shape for your thumb pages.

Use the field “Thumb Output Size” to set the size of your thumbnails (in pixels). There are a number of pre-defined sizes like:

Very Small = 60 pixels

Small = 80 pixels

Normal = 100 pixels

Large = 120 pixels

Very Large = 150 pixels

These are the most common used sizes. If you want to use any other size, this is possible too. Select the option “Custom…”. The field behind it will light up and you can enter any size between 10 and 1000 pixels.

Use the option “Create square output thumbs” to make sure that IDimager crops all thumbnails to a square format. If a photo is rectangular, then IDimager will cut off a part of the thumbnail (of course the original photo and the detailed photo will remain unchanged).

Square thumbs will give your pages a more balanced “look”, however the thumb will not completely represent the image.

You can give your thumbnails frames. IDimager will offer you the full “Frame Designer” options to define frames for your thumbnails (and images, as we will see later).

Click the button “Thumb Frame Design” to customize or add frames to your thumbnails.

For a detailed description of the Frame Designer; read chapter “Image Viewer” or look inside the help file.

The color scheme enables you to customize every used color in the web page. Some templates use more colors then others.

First publish using the template, then check which color you’d like to change. Open then template and find the color here. Then change it to a different color.

The resulting index (thumbnail) page allows your visitors to click on a thumbnail. Then the image itself is opened. This detail page (which shows the selected photo) has its own tab sheet in the Template Editor: “Image Settings”. In this sheet you will find the specific settings for the detail photo page.

Enter the size for your photo when it is opened. There are a number of pre-defined commonly used sizes:

Make Small (480)

Choose this option to make the photo 480 pixels in size. This size will give a good impression of your photo on the web page.

Make very small (320)

Choose this option to make the photo 320 pixels in size. This size is very usable when your visitors use mostly dial-in connections (slow internet connections).

User Defined

Select this option to define any possible size. Using the advanced option you can specify if you want to use interpolation for resizing. Interpolation generally improves the quality, but it is relatively slow.

You can also define frames for your detailed photo. Again you will have the full Frame Designer features available.

Click the button “Image Frame Design” to customize or create a frame for your photo.

For a detailed description of the Frame Designer, read chapter “Image Viewer”.

With IDimager it is possible to add a signature to your photos. This signature can be any possible picture. Load the picture as a resource in tab sheet “Resources”. Then select return to tab sheet “Image Settings” and select the added signature resource here.

Once you specify a signature resource some additional field become available which enable you to further configure the positioning of the signature.

Specify at which position you your signature to appear. Options are upper-left, upper-centered, upper-right, centered, bottom-left, bottom-centered or bottom-right.

Then optionally specify the exact position for the signature by specifying the X (horizontal) and Y (vertical) offset. The offset positions are counted from the border. The values depend on the selected position. If you choose position upper-left, then an X offset value 10 will position the signature 10 pixels from the left side of the photo. Select lower-right and the X-Offset value 10 will position the signature 10 pixels from the right side of the photo.

You can also watermark your signature, meaning that it will be burned inside the photo. Select the option “Watermark the signature”.

When you use watermarking, keep the following rules in mind: all black colors in the signature image will be replaced by the underlying photo. All whites will NOT be replaced by the photo. Every other color value will be partially replaced by the photo, depending on the intensity of the colors. The darker, the more it will be transparent.


Advanced editing of a template

The first tab sheets offer features to change the basic settings of a template, which can easily be changed by selecting values. The other tab sheets are for the more experienced users, where the template tab sheets (portfolio template, gallery template, etc.) require a decent knowledge of the internet language HTML or possibly of used scripting languages like ASP, PHP, JavaScript or VB-Script. Don’t let this discourage you however.


Adding and editing resources

A template can contain all files needed to generate the pages. Think of graphics, flash objects, and any other external file you want to integrate with your template. By adding those files to the template will make your template fully independent. No external files are required. This makes it very easy to further deploy your templates to others... hand over the single template file and you’re done.

Open the template you wish to edit from the Template Manager (“Tools | Template Manager”) by double clicking its thumbnail. Then navigate to tab sheet “Resources”.

This tab sheet shows a list of all the embedded resources (files). The example above shows the resources for template “Blueblack”. In this example only graphics are included as resources.


Creating a new resource

To create a new resource, click the new button in the toolbar.

First enter a name for the resource. This name may only consist of letters from “a” to “z”. Other punctuation signs or spaces are not allowed in the name. Then click the button “Load” to select a file which should be loaded.

A resource does not require being an image file, but can be any type of file. So it is also possible to add for instance mp3 or flash files as a resource.

After loading the file it will be displayed in the box (only possible for image files), otherwise it will show a “File” icon to specify it contains a different kind of file.

If you want to replace the resource by a different file click the “Clear” button and then click “Load” again to load a new file.

Once a file is loaded as a resource, IDimager will fully copy the file to the template. This means that if you change the file on disk, you will have to reload it to the template. If you no longer have the original file, you can re-save it to file by clicking the “Save” button.

Click the “OK” button to confirm your changes to the resource and return to the resource list.


Edit or replace an existing resource

Behind every resource item in the list there are two buttons. Click the first button to update the resource. Click the second button to delete the specific resource.

Find the resource you want to edit and click the first button. The editing window as described in the previous paragraph will re-open.


Delete an existing resource

Behind every resource item in the list there are two buttons. Click the first button to update the resource. Click the second button to delete the specific resource.

Find the resource you want to edit and click the second button.

You will be asked to confirm deleting the resource. After clicking “Yes” the resource will be permanently deleted from the list. Optionally used references to this resource in the tab sheets “Thumb and General Settings” and “Image Settings” will automatically be updated. If you use references to the resource in the template tab sheets (portfolio template, gallery template, ...) you will have to manually delete the references.

Tip!

If you are in doubt if a resource can be deleted or not, save it to file first. This will enable you to re-create the resource afterwards. To save a resource to file, open the resource and click button “Save”.


The template tab sheets

The tab sheets “Portfolio Template”, “Gallery Template”, “Collection Template” and “Image Template” we call the template tab sheets. They are about the most important tab sheets of the template because that is the place where is captured how the template is constructed. They determine the layout of the pages

A generated site using IDimager has the following structure:

There are four different kinds of pages that can be generated. The portfolio page, the gallery page, the collection page and the photo page.

Which pages are really generated, depends on the generation level that is chosen (read chapter Publishing Photos).

The several different pages each have their own template tab sheet. This way you can construct/design each individual page.

The portfolio page is an index page with a thumbnail reference entry to every gallery inside the album.

The gallery page is an index page with a thumbnail entry to each available collection inside the gallery.

The collection page is an index page with a thumbnail entry to each individual photo inside the collection. If a collection also contains sub collections, then each sub collection will be generated using the collection template also.

The way that each of these templates is constructed is basically identical. The different tab sheets will therefore have the same structure.

Every template tab sheet exists of three parts: a header, a body and footer. The header contains HTML code that should be generated first. The body contains the HTML code that should be generated repeatedly for each thumbnail in the index. Finally the footer contains the HTML code that should be added at the bottom of the generated pages.


Working with Template Commands

Within the template tab sheets you can enter HTML code or scripting code as you would do with any other HTML editor. The extra which IDimager adds are so-called Template Commands. These are conditional operators or variables which you can use within the template. Template Commands are recognizable by the percent sign %.


Template Variables

Template variables will be replaces during the generation process by their corresponding value. An example of a template variable is the name of the photo. For example; if you want to see the name of the photo below the thumbnail you can not enter the name hard-coded in the body template. This is because each thumbnail that needs to be generated will need a different name. This is where you enter a Template Variable; in this case %ImageName. This command will be replaced by the name of the photo that is processed while generating the page.

You can use template variables within the template as if it is the real value. This means that you can enter the variables inside the HTML code.

Example: <h1>Collection: %CollectionName</h1>

For a collection named “To the zoo” this will eventually be generated as:

<h1Collection: To the zoo</h1>.

There are many available Template Variables, but there is no need to study these by head. You can select the template variables simply by using a single right mouse click inside the template entry field. This will open the context menu where all Template Commands are available. There are many variables available and they are grouped in the context menu for easy of use.


Template Conditionals

Template Conditionals are outlined blocks of HTML code that will be included depending on a corresponding condition. Template Conditionals always have a beginning and en ending, just like normal HTML tags. The format is:

%ConditionName

Any HTML code here

.

.

%/ConditionName

Notice how a condition starts with %Name and ends with %/Name (a slash after the percent)

For example; let’s say you want to include some HTML code when there is EXIF information available for the generated photo. This is done by using the Template Conditional %EXIFExists and is closed by %/EXIFExists.

Many template conditionals also have a negative counterpart. The counterpart of %EXIFExists (and %/EXIFExists) is %NotEXIFExists (and %/NotEXIFExists).

Example:

<b>Photo %ImageName</b>

<p>

%EXIFExists

<u>This photo contains Exif information</u>: <br>

Short Exif info: %ImageEXIF<br>

F-Number: %exif:Fnumber<br>

Exposure Mode: %exif:ExposureMode<br>

%/EXIFExists

%NotEXIFExists

<i>no EXIF information available for this photo.</i>

%/NotEXIFExists

</p>


Building a new template

Now we understand the basics of working with templates you are ready to create your own template from scratch.

Tip!

Usually when you start with a new template it is recommended that you create a draft sketch on paper first or create a design in a photo editing software program like Adobe Photoshop or JASC PaintShopPro. This will significantly improve your template design speed because you will not have to consider design issues while programming your template.

Start the Template Manager by selecting “Tools | Template Manager” from the main menu or by pressing [Ctrl]+[Alt]+[T]. Start a new template by clicking the New button in the toolbar of the template manager.

Now you can enter the file name for the template. This immediately becomes the name for the template so choose a name that represents the design of the template. In our example I will call the template “Valentine”. I made a design of the template how it should look (this design is made with Jasc PaintShopPro 8 tm).

Press the button “Save” to create the new and empty template. The Template Manager will show the new template in the thumbnail list. The image is a generic IDimager picture which we will change later, as soon as we finished building the template.

The first thing we need to do is to save the graphics from the design as individual pictures so we can add those to the resource list of the template. In this example there are 3 graphics: a graphic with the background and a single graphic for a heart to navigate forward and backwards (next and back). The text in the design, like the caption and the sub script, are purely illustrative and will be replaced by the name of the image and the description of the image.


Add the resources

Open the template we just created by double clicking it. The first add the resources to the resource tab sheet.


Build the CSS

If you are familiar with CSS script programming (Cascading Style Sheets), that you can start building your CSS script first. CSS contains all the formatting (like fonts, borders etc) as used within the page. Building a CSS will make it easier and quicker to construct your HTML code. HTML Tags like <font> or difficult table constructions are no longer needed. The use of CSS is something I would recommend to everybody, although it is not required. If you know HTML, it is not difficult to learn.

If you don’t use CSS, then you can start building the Collection Template.

Our CSS contains, of course, the formatting of the pages. Fonts, table sizes, etc are defined inside the CSS. For this example template a short and simple CSS script in enough.

Open the CSS tab sheet and enter the CSS code.

Notice that some Template Variables are used for color support (%Color1). This color will be replaced by the corresponding color value from the color scheme as can be defined in tab sheet “Thumb and General Settings”. In this case the first color from the color scheme is used. Also the background color is used with the Template Variable %BackgroundColor.

Also notice that the table. main label has a background image which is entered as a resource. In normal CSS code there would be a URL link to the graphic image, but in IDimager we can replace the file name by the name of the resource. Choose your resource from a list by right clicking the mouse. Then select “Resources: from the context menu. If this template is used for generating a site, IDimager will save the resource as a file and the name of the resource will be replaced with the URL of the corresponding resource file.


Set the basic settings for the template

We enter the basic settings according to the design (5 columns, 3 rows, color scheme,…):


Build the Collection Template

The first step in creating a template is to enter the Collection Template. By defining this template first, it becomes easy and quick to test the result without having to generate large collections. Also we can use this template later to copy the content to the gallery template and the portfolio template. These templates then only need minor adjustments.

Open the tab sheet “Collection Template”.

Tip!

For a better view, you can maximize the Template Editor window.

The size of the header and footer can be changed by dragging it larger with the mouse.

It goes beyond the purpose of this manual to explain how HTML works. Yet a few comments based on the code in this template.

Collection Template – Header

<html>

<head>

<title>Collection - %CollectionName</title>

<link rel=stylesheet href="%CSSFileName" type="text/css">

</head>

<body>

<center>

<table class="main" cellspacing="0" cellpadding="0">

<tr height="100">

   <td>

     <table width="100%">

       <tr>

         <td width="220" align="right">

           %PreviousPageExists

           <a href="%PreviousPageFileName"><img src="%Resource:back"></a>

           %/PreviousPageExists

         </td>

         <td align="center">

           <span class="title">%CollectionName</span><br>

           <span class="subtitle">%Images photo(s)</span><br>

           %ParentCollectionExists

           <a href="%ParentCollectionFileName">back to %ParentCollectionName</a>

           %/ParentCollectionExists

           %NotParentCollectionExists

             %GalleryExists

               <a href="%GalleryFileName">back to %GalleryName</a>

             %/GalleryExists

           %/NotParentCollectionExists          </td>

         <td width="220" align="left">

           %NextPageExists

           <a href="%NextPageFileName"><img src="%Resource:next"></a>

           %/NextPageExists

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td height="500" align="center">

     <table>

       <tr height="410">

         <td align="center">

           <table>

Depending if there is a next page or not a link will be added to the next page (same for the previous page). We use Template Conditionals to add this kind of behavior to the template: “%PreviousPageExists” and “%NextPageExists”. Don’t forget to close the conditionals with “%/PreviousPageExists” and “%/NextPageExists”.

The hearts with the text “back” and “next” will be used as a link to the previous and next page (if any). This heart must appear only if a previous or next page exists. To create a graphic with a file from the resource list, you enter HTML code as you would for normal HTML pages: <img src=”.....”>. At the place where you would normally enter the URL-filename of the image file, you now enter the resource name. Right click at this position and select the correct resource from the content menu.

IDimager supports sub-collections within collections so it is always possible that there is a sub-collection in this collection. We need to add support for the sub-collections. IDimager will generate a thumbnail for the sub-collection and add a folder icon to it (which can be changed with any other resource). This means that if the visitor clicks this thumbnail, a new collection (the sub collection) will be opened. This sub-collection is also generated using the collection template. The visitor needs to be able to navigate back to the parent collection. This is where IDimager needs the template variable “%ParentCollectionName”. By placing a link within a template conditional will make this link only visible when it concerns a sub collection. And not for the main collection. The conditional for this is “%ParentCollectionExists” and the closing part “%/ParentCollectionExists”.

When the collection is generated as part of a gallery, or even an portfolio, it may be that we need to include support to return to the gallery from the collection page. This will require an additional link. That is why we use the template conditional “%GalleryExists” and “%/GalleryExists”. In this example I want to have a link to return to the parent collection from a sub-collection. But from the main collection I want to be able to return to the gallery (if any). That is why this block is within the template conditional “%NotParentCollectionExists”.

Collection Template – Body

%<tr>

<td align="center">

   <a href="%FullImageHTMLFileName">

   <img border="0" src="%ThumbFileName" alt="%ImageDimension (%ImageFileSize)">

   </a>

</td>

%</tr>

Notice that the body part begins with %<tr> and not with just <tr> as HTML would do. This template conditional is used because IDimager will then decide at which moment it will need to create a new row. This may depend on the number of columns that is set at the general settings tab sheet.

Collection Template – Footer

           </table>

         </td>

       </tr>

       <tr>

         <td align="center">

           <table>

             <tr>

               <td width="220">

                 &nbsp;

               </td>

               <td align="center">

                 <span class="text">%CollectionDescription</span>

               </td>

               <td width="220">

                 &nbsp;

               </td>

             </tr>

           </table>

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td>

     &nbsp;

   </td>

</tr>

</table>

</center>

</body>

</html>

The footer is kind of the same.

Once you have created your collection template, it is time for a first test. It is the easiest to create a new portfolio. Create a new collection and add a few (3 or 4) images to the collection. It is also recommended that you create a single sub-collection and add 1 or 2 photos to that also. Then open the main collection and publish it using the publish button from the main toolbar. After generating the pages, preview it in your browser.


Build the Image Template

The Image template is most often a direct derivative of the collection template. However, where the collection template shows the thumbnails, the image template will need to show the full photo.

Copy the header and footer from the collection template to the header and footer of the image template.

Still we need to do some minor adjustments. We will need to create a link to return to the collection.

Image template – Header

<html>

<head>

<title>Photo - %ImageName</title>

<link rel=stylesheet href="%CSSFileName" type="text/css">

</head>

<body>

<center>

<table class="main" cellspacing="0" cellpadding="0">

<tr height="100">

   <td>

     <table width="100%">

       <tr>

         <td width="220" align="right">

           %PreviousPageExists

           <a href="%PreviousPageFileName"><img src="%Resource:back"></a>

           %/PreviousPageExists

         </td>

         <td align="center">

           <span class="title">%ImageName</span><br>

           <span class="subtitle">photo %ImageNumber of %Images</span><br>

           <a href="%CollectionFileName">back to %CollectionName</a>

         </td>

         <td width="220" align="left">

           %NextPageExists

           <a href="%NextPageFileName"><img src="%Resource:next"></a>

           %/NextPageExists

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td height="500" align="center">

     <table>

The most important modifications are highlighted.

The body of the image template will completely differ from the collection template:

Image template – Body

<tr>

<td align="center">

   <table>

     <tr>

       <td align="center">

         <img border="0" src="%ImageFileName" alt="%ImagePhotoDate">

       </td>

     </tr>

     <tr>

       <td align="center">

         <span class="subtitle">%ImageDescription</span>

       </td>

     </tr>

   </table>

</td>

</tr>

Notice the different template variables used.

Image template – Footer

     </table>

   </td>

</tr>

<tr>

   <td>

     &nbsp;

   </td>

</tr>

</table>

</center>

</body>

</html>


Build the Gallery Template

We now have a template which can generate functional pages for collections. The gallery template is a higher level, but is basically identical to the collection template. As a base you can copy the entire collection template (header, body and footer) to the gallery template and then make some adjustments.

Gallery template – Header

<html>

<head>

<title>Gallery - %GalleryName</title>

<link rel=stylesheet href="%CSSFileName" type="text/css">

</head>

<body>

<center>

<table class="main" cellspacing="0" cellpadding="0">

<tr height="100">

   <td>

     <table width="100%">

       <tr>

         <td width="220" align="right">

           %PreviousPageExists

           <a href="%PreviousPageFileName"><img src="%Resource:back"></a>

           %/PreviousPageExists

         </td>

         <td align="center">

           <span class="title">%GalleryName</span><br>

           <span class="subtitle">%Collections collection(s)</span><br>

           %AlbumExists

           <a href="%AlbumFileName">back to %AlbumName</a>

           %/AlbumExists

         </td>

         <td width="220" align="left">

           %NextPageExists

           <a href="%NextPageFileName"><img src="%Resource:next"></a>

           %/NextPageExists

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td height="500" align="center">

     <table>

       <tr height="410">

         <td align="center">

           <table>

The modifications are highlighted.

Gallery template – Body

%<tr>

<td align="center">

   <a href="%CollectionFileName">

   <img border="0" src="%ThumbFileName" alt="%Images images">

   </a>

</td>

%</tr>

The modifications are highlighted.

Gallery template – Footer

           </table>

         </td>

       </tr>

       <tr>

         <td align="center">

           <table>

             <tr>

               <td width="220">

                 &nbsp;

               </td>

               <td align="center">

                 <span class="text">%CollectionDescription</span>

               </td>

               <td width="220">

                 &nbsp;

               </td>

             </tr>

           </table>

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td>

     &nbsp;

   </td>

</tr>

</table>

</center>

</body>

</html></html>

The modifications are highlighted.


Build the Album Template

We now have a template that can generate galleries with all its collections / sub collections and photos. The gallery template is a higher level, but is basically identical to the gallery template. As a base you can copy the entire gallery template (header, body and footer) to the portfolio template and then make some adjustments.

Album template – Header

<html>

<head>

<title>Album - %AlbumName</title>

<link rel=stylesheet href="%CSSFileName" type="text/css">

</head>

<body>

<center>

<table class="main" cellspacing="0" cellpadding="0">

<tr height="100">

   <td>

     <table width="100%">

       <tr>

         <td width="220" align="right">

           %PreviousPageExists

           <a href="%PreviousPageFileName"><img src="%Resource:back"></a>

           %/PreviousPageExists

         </td>

         <td align="center">

           <span class="title">%AlbumName</span><br>

           <span class="subtitle">%Galleries galleries</span><br>

           %AlbumExists

           <a href="%AlbumFileName">back to %AlbumName</a>

           %/AlbumExists          </td>

         <td width="220" align="left">

           %NextPageExists

           <a href="%NextPageFileName"><img src="%Resource:next"></a>

           %/NextPageExists

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td height="500" align="center">

     <table>

       <tr height="410">

         <td align="center">

           <table>

The modifications are highlighted.

Album template – Body

%<tr>

<td align="center">

   <a href="%GalleryFileName">

   <img border="0" src="%ThumbFileName" alt="%Collections collection(s)">

   </a>

</td>

%</tr>

The modifications are highlighted.

Album template – Footer

           </table>

         </td>

       </tr>

     </table>

   </td>

</tr>

<tr>

   <td>

     &nbsp;

   </td>

</tr>

</table>

</center>

</body>

</html>

No modifications required here.


Defining a template example image

Now we have finished the entire template, there is just one more thing we need to do and that is to change the example image of the template. This will give the user a good and recognizable reference when selecting a template.

The template image is just a picture. To create this image we generate a collection with the new template and then make a screen dump of the browser window. This screen dump needs to be resized and added to the template.


Generate an example

Generate a random collection using the new template. Preview the results in the browser and make a screen dump to the Windows clipboard by pressing [Alt]+[PrntScrn]. Then close the browser and return to IDimager.


Resize the example

Use the Media Explorer to navigate to a temporary folder (e.g. the Desktop). The select “Edit | Paste” from the main menu to paste the screen from clipboard to file. Enter the name of the file and give it the extension “.jpg”, example “screendump.jpg”. Find the file in the folder; optionally press [F5] to refresh the collection. Open the example by double clicking it. Press [Ctrl]+[R] to resize the image. You can also click button

from the manipulation bar.

Do a proportional resize to 200 pixels and click OK to continue.

Then save the changes by clicking the save button

in the manipulation bar.


Attach the example to the template

Now open the new template and open tab sheet “Thumb and General Settings”.

Click button “Load” and select the screen dump file we just created.

Finally click OK to save the template.


Uploading to Photo Sharing Sites; FlickR, SmugMug, and ZenFolio

Apart from publishing images to your own web pages, you can also upload photos directly from IDimager to photo sharing sites like Flickr (tm), SmugMug (tm), and ZenFolio (tm).

Uploading is quite simple and work identical for all different photo services. The best part is that you don't have to "prepare" your images up front (for example downsizing, framing, ...). This is done by IDimager during the upload by creating temporary images based on your selection.

After uploading to a photo sharing site, IDimager will also set the descriptions/titles, and add keywords. This is done apart from the metadata contained (or even not contained) in the uploaded images.

1. Select one or more thumbnails that you'd like to upload

2. Click the Transfer button in the main toolbar and then select the photo sharing site of your preference

3. Define your upload settings like size, naming, etc and click the [OK] button to continue

4. The dialog that follows depends on the photo sharing site that you've selected. In short they all allow you to select the location where the images should be uploaded to

FlickR:

SmugMug:

ZenFolio:

As you can see, both the FlickR and the ZenFolio uploader also allows you to create a new photo set/gallery if needed. In case of ZenFolio, first select the parent gallery, then enter the name of the new gallery and confirm with the small [OK] button to the right of the creation input field.

Select the location and click [OK] to start the upload process.


E-Mailing photos

With IDimager you can send a single image or a complete series of images to someone else using the e-mail feature. Often you don’t want to send out the original image but a smaller version instead. You might copy your images first, then resize them and prepare them to send through e-mail. Not with IDimager. IDimager can do all that for you before sending it out, without changing the original image. This all transparently so you won’t have to think about it. This way IDimager will shorten the time required to send e-mails with your images. You can even send images and provide them with a frame.

IDimagr can mail images through any MAPI e-mail client like Outlook, Outlook Express or any other MAPI supporting mail client. For those who don’t have a MAPI e-mail, or just because you don’t want to use your MAPI mail client, there is also a built in e-mail client provided for convenience.

Another way of sending your images out is by FTP. Although this is not a true mail method, the mail prepare routines are closely related and by using the FTP transfer method will make it much easier to quickly send images to an FTP web account.


Choose your e-mail method

By default IDimager is configured to send e-mails through MAPI. A MAPI client is an e-mail program that is able to handle e-mail requests by other applications. IDimager will construct the full e-mail message and offer it to your favorite e-mail program which handles the mail sending process. This way you won’t have to think about server settings etcetera.

If you don’t want to use the MAPI mail client for sending out photos you can also use the integrated e-mail facility. This facility is a simple e-mail client that can be used to send e-mails.

To change your e-mail method, for example from MAPI to integrated or visa versa, you can use the e-mail options. Open the options dialog by selecting “Tools->Options” from the main menu. You can also press [Ctrl]+[Alt]+[O]. Then select tab sheet “E-Mail”.

Here is where you can select your favorite e-mail method.

If you choose the internal e-mail client then you must provide the login settings for your email server. These are normally the same as how you have configured you normal e-mail program. If you don’t know the settings then lookup the documentation of your internet server provider.

SMTP Server Name | Type the name of the SMTP server at the internet provider. E.g.: mail.planet.nl
SMTP Port | Enter the port number that is used by the SMTP server. Normally this should be set to 25 and doesn’t need changing. When in doubt, please contact your internet provider.
This SMTP server requires logon | Some SMTP servers are configured in a way that only login users are allowed to send out e-mails. If your server is configured to use this option (which is not common) then select it here. Two new fields pop up where you can enter your login name and password.
Test SMTP Settings | Once you have entered all settings, click this button to check if your settings are correct. At that time IDimager will send out a test e-mail message to the e-mail address provided and using the entered settings.

Click button “OK” to close the options dialog.


Mailing a single photo

To e-mail a single photo, either select its thumbnail and then select Transfer -> Mail selected images or press [F4].

But you can also e-mail a single photo from the Image Viewer/Editor. Open the photo in the Image Viewer by double-clicking its thumbnail.

Then click the e-mail button in the Image Viewer/Editor's toolbar.

Follow the same steps as for emailing multiple images and as described in the sections above.


Mailing multiple images

Mailing multiple images MAPI or the internal mail client works the same. You select the thumbnails of the images to send and then select Transfer -> Mail selected imagesfrom the main tool bar. You can also press [F4] to email selected images.

Now the e-mail dialog is opened where you can set the size the photos should have and also if a frame should be applied.

First select the size. There are some predefined:

Keep Original Image | Select this option if you want to send out the full original image.
Keep Original Dimensions | Select this option if you want to send out the image while maintaining the original size (w x h) but now you can specify that a frame and/or caption titles should be added.
Make small (480) | Select this option if you want the mailed image to be 480 pixels of size. This size will be applied to the longest size of the image: width for landscape and height for portrait images. A size of 480 is enough for average use and results in relatively small sized images.
Make very small (320) | Select this option if you want the mailed image to be 320 pixels of size. This size will be applied to the longest size of the image: width for landscape and height for portrait images. A size of 320 is relatively small but still gives a good impression of the image.
User defined | Select this option if you want to define a different size. Any possible size can be set here.

After setting the size you can select if a frame should be applied to the downsized images. This option does not apply when you chose to send out the original. For other sizes, the original will remain untouched, meaning the frame will be applied to the downsized image and not the original! By selecting the option “Apply a frame” a new tab sheet becomes available. By activating this tab sheet you will be presented with the default frame design, which can be customized. For a description of how to define a frame, read the section “Framing images” in chapter “Image Viewer”.

If you customize the frame design, it will be remembered for future use..

“Each image as a separate mail message”. Select this option if you don’t want to send out all selected images in a single mail message, but rather want to send a single mail message for each image.

“Convert images to sRGB color profile if needed”. This option is only available if you have enable color management features in the options dialog (Tools -> Options). It will make sure that images are converted to sRGB if the color space for any of the selected images is stored with a different color space.

Use the field "Renaming Rule" if you want to use a specific name before sending them out. Use the drop down button to use earlier rules or click the button behind this field to construct a new naming rule.

Then select your “Transfer method”. By default the transfer method is defined to your preference as set in the Options dialog. Here you can change it for this session only. Options are:

MAPI Mail Client | Use this method to send your images using your favorite installed e-mail application like Outlook™, Thunderbird™, etc
Internal Mail Client | Use this method to transfer your prepared images using the integrated e-mail client.
FTP Upload | Use this method to transfer your prepared images to a web server.

The next option allows you to select a "version place holder" that should be sent out. by default IDimager will send out the selected image. if the selected image is part of a version set then IDimager will send out the e-mail version (if defined; if no e-mail version is specified, then the selected image will be sent). Here you can select a different version place holder that should be used for mailing.

The last option "Keep metadata in the downsized copies" can be used to specify if the Exif/IPTC/XMP of the original image should also be stored in the mailed copy.

Click button “OK” to send out the e-mail message.


Sending e-mails using a MAPI client

As stated before, it is possible to send e-mail messages either through MAPI or the internal e-mail client. If you have set the transfer method to MAPI, then IDimager will compose the e-mail message and offer it to the e-MAPI e-mail application. Examples are Outlook, Outlook Express, etc.

After you have selected your images and then entered the size and frame (see previous section), the mail message will be opened in your favorite e-mail application. The window that opens depends on the mail application used. The example below is an example of how Microsoft Outlook displays its mail message.

The mail message is composed by IDimager. The message’s body text is filled with any available description as entered in IDimager. Evidently you can delete the text and type any new text. The selected and downsized/framed images are attached as documents.

Enter any e-mail address(es) for the receiving person(s) and click the send button in the toolbar to physically send out the message.


Sending e-mails using the internal mail client

If you have set the transfer method to using the internal mail client, then IDimager will compose a message and open it in its internal basic e-mail facility. After you have selected your images and then entered the size and frame (see previous section), the mail message will be opened.

The mail message is composed by IDimager. The message’s body text is filled with any available description as entered in IDimager. Evidently you can delete the text and type any new text. The selected and downsized/framed images are attached as documents.

Enter any e-mail address(es) for the receiving person(s) and click the send button in the toolbar to physically send out the message.


Transfer using FTP

This transfer method allows you to upload the prepared images to your web server. Although this is not a true e-mail method it may be very useful to be able to send a prepared image to your web server at once. For example if you want to share an image on a forum then it is extremely handy if you can prepare the images just like the e-mail method, including resize, framing etc and then upload it to your web space.

After you have selected your images and then entered the size and frame (see previous section), the FTP upload dialog will be opened.

Enter your FTP upload settings or select the profile that you have created earlier. By default your last FTP Profile will be selected.

This window contains the followed fields:

Profile

Optionally select a combination that you have used before. The first time you can ignore this field.

FTP Server

Enter the host name of the FTP server as provided by your internet provider or hosting company. Example: home.planet.nl

Port

Enter the number of the port the FTP server listens to. Usually this is port 21 and you won’t have to change it. If not sure, contact your provider/hosting company.

UserName

Enter your user name as provided to you by your provider or hosting company. If not sure, contact your provider/hosting company.

Password

Enter the password that matches the username If not sure; contact your provider/hosting company.

Remember password

Select this option if you want IDimager to remember the password for the next run. The password will be saved encoded.

Upload folder

This is where you can specify the target folder. This is the folder where IDimager will upload the pages to. If you are not sure what this should be, you can click this button:

. IDimager will then try to connect to the FTP server and advise a folder name called “Album” within the root folder. If you don’t want to generate to a sub folder, but directly to the front page or your site, then remove the addition “Album”. This will enable visitors to see your photos as soon as they type in your internet address.

If you want to embed your photo pages in an existing web site, then it is advised to publish to a sub folder and then create a link in your existing site to access the photo pages.

Upload only changes since last upload

With this option switched on, IDimager will only upload the last changes made to your photo pages. This will decrease upload times drastically, so it is recommended you keep this switched on all the time, unless you want to make sure the full content is re-uploaded.

This option only applies to the photos. HTML pages will always be uploaded, no matter if it’s changed or not.

Passive FTP

This is a setting that is enabled by default. If you experience connectivity problems (drop outs), try to disable this option.

Proxy Settings

By clicking this button you can enter additional proxy connection settings. Only use them if you are sure you are connected to the net using a proxy server. If in doubt, contact your local network or internet service provider.

After entering all data, click OK to start the upload process.

After the upload process finished, the connection with the FTP-server will be disconnected.


Printing photos

Using IDimager you can print a single image, print contact sheets (also known as thumbnail sheets or index sheets), and print template sheets (predefined layout pages)


Printing a single photo

To print a single photo, select the photo using the Album, Media or Catalog Explorer. Then press [Ctrl]+[P] to open the print dialog for this single image. You can print a single image which is opened in the Image Viewer. In that case you can click the print button in the “Image Editing” panel’s toolbar (

) or again press [Ctrl]+[P].

In this window you can set the size of the print out.

Full Page | The printed photo will be stretched to maximize page coverage without loosing the aspect ratio of the photo.
Original Size | The printed photo will keep its original resolution. The real size of the print out depends on the resolution (DPI) of your printer.
Stretch to page | The printed photo will be stretched to fully cover the page. This may cause the aspect ratio to be lost if the page ratio doesn’t match the image ratio.
Specific Width | The photo will be printed with a definable width size. The height will be calculated based upon the aspect ratio of the photo. Enter the width in the corresponding field below. This size can be entered in inches or in centimeters. The unit depends on you personal settings as defined in the options dialog (Tools -> Options -> General -> Measurement System).
Specific Height | The photo will be printed with a definable height size. The width will be calculated based upon the aspect ratio of the photo. Enter the height in the corresponding field below. This size can be entered in inches or in centimeters. The unit depends on you personal settings as defined in the options dialog (Tools -> Options -> General -> Measurement System).
Specific Width and Height | The photo will be printed with a self definable width and height size. Enter the sizes in the fields below. This size can be entered in inches or in centimeters. The unit depends on you personal settings as defined in the options dialog (Tools -> Options -> General -> Measurement System).
Print image description | Select this option if you want to print the image’s description too. It will be printed directly below the image itself.
Header and Footer | Optionally enter a header or footer text that should be printed on top or at the bottom of the page.
Image Sub Text | Optionally specify a text that should be printed below the image. You can use macro command variables (% commands) by right clicking on the input field.
On Image Caption | Here you can add one or more caption titles to your printed image.
Margins | Optionally specify the margins that should be maintained for the page.
Background | Here you can specify a custom background color for the page or specify a graphic that should be used as the background image.

To customize your printer settings, click the button “Printer Setup...”. Depending on the printer driver provided by the printer’s manufacturer you can change many printer settings like page sizes, color settings etc. Refer to the printer’s manual for more details.

To preview the results up front, you can click the “Print Preview…” button.


Printing contact sheets (thumbnail sheets)

Apart from printing a single photo you can also use IDimager to print contact sheets. A contact sheet is a page with multiple small versions of images on it. These are also known as index sheets or thumbnail sheets.

First open the collection with the images you'd like to print. Then select one or more thumbnails by clicking the thumb while holding the [Ctrl] key down. The chapter “Collection Viewer” describes more selection options. Finally, after selecting your thumbnails, press [Ctrl]+[P] to open the print dialog..

Once you made your selection the printing dialog will open. If needed then activate the tab "Contact Sheet":

The following options are available:

Portrait

Select this option if you want you contact sheet to be portrait oriented.

Landscape

Select this option if you want you contact sheet to be landscape oriented.

Print Header

Select this option if you want to print a page header. You can enter the header at the bottom of the screen in tab sheet “Header and Footer”.

Print Footer

Select this option if you want to print a page footer. You can enter the footer at the bottom of the screen in tab sheet “Header and Footer”.

Quality Scaling

This option allows you to set the quality of the print out. IDimager will send a page to the printer of the size relative to the printer’s full page resolution. E.g. the printer accepts pages at 6000x9000px. If this setting is set to 50% then IDimager will send a page of 3000x4500px and scale it to full page. The higher the quality scale, the more memory required by the printer and your computer. Setting a value between 40 and 60% will do if quality is not the main concern.

Page per page printing

Select this option if every generated page should become a new print job. This is recommended for printers that have very small buffer memory.

Columns

Select the number of columns you want to appear on the contact sheet. by entering the number in the Columns field. The maximum number of columns is 99.

Use specific thumb width

Select this option if you need your thumbs to be of a specific width. You can enter a width value in inches or CMs; depending on the measurement system specified in the main options dialog (Tools -> Options).

Use specific thumb height

Select this option if you need your thumbs to be of a specific height. You can enter a height value in inches or CMs; depending on the measurement system specified in the main options dialog (Tools -> Options).

Process Mode

Here you can select whether the thumbs should be printed from left to right (second thumb is located right of the first thumb) or top down (second thumb is located below the first thumb)

.

Spacing

Enter the number of pixels you want as a white space between the columns.

Add a frame to each image

Select this option if you want each thumb on the contact sheet to be surrounded by a small frame. This makes it easy to cut out the photos later.

Print image numbers for images

Select this option if you want IDimager to print a sequence number for each thumb on the contact sheet. This makes it easier to identify the order on the page.

Print file names for images

Select this option if you want the file name to appear below each thumb.

Print image descriptions

Select this option if you want to print the image’s description below each thumb. Keep in mind that large descriptions below a small thumb may consume a lot of paper space.

Print portrait images rotated

Select this option if you want portrait images to be printed in a landscape manner (rotated). This way you create a more balanced page.

Stretch images if too small

Select this option if you want images that are smaller than the thumb size to be stretched to fit the fill thumb.

Header and Footer

This is where you can enter text that should be placed on top of the page (header) of on the bottom of the page (footer). The header will be filled with the collection’s name by default. The footer will be saved for future use.

You can define separate fonts for the header and footer by clicking the Fonts option in the print dialog's toolbar.

On Image Captions

Optionally define one or more caption titles that should be printed on the thumbs.

Margins

Use this tab sheet to specify the top, bottom, left and right margins. The margins are entered in percentages, relative to the full page (= 100%).

Background

Here you can specify a custom background color for the page or specify a graphic that should be used as the background image.

Optionally click the button “Print Preview” option in the toolbar to see what your contact sheet will look like. There are two preview modes; the normal preview (Ctrl+P) and a quick preview (Ctrl+Q). The Quick Preview will be a preview based on a down-scaled size. It is much faster to display, hence its name.

a print preview sample where portrait images are printed rotated


Printing with templates

IDimager supports so-called "printing templates". Printing templates are pre-defined page layouts that you can use to print images with fixed sizes. There are several print templates available. Examples of templates are "print 2 images per page, each sized 6"x4". Print templates make it easy if you need fixed sized printing.

First open the collection with the images you'd like to print. Then select one or more thumbnails by clicking the thumb while holding the [Ctrl] key down. The chapter “Collection Viewer” describes more selection options. Finally, after selecting your thumbnails, press [Ctrl]+[P] to open the print dialog..

Once you made your selection the printing dialog will open. If needed then activate the tab "Print Templates":

Then select your print template. There are a few options:

Fit method

The print templates all have pre-defined fixed size slots. You can specify here how the images should be fit inside these slots. Options are:

Best fit in slots: With this method, IDimager will scale your image to completely fit in the slot. It could be that you get empty spaces if the image ratio does not match the slot's ratio.

Crop to fit full slots: With this method, IDimager will crop (=cut) a minimal amount off the image to make it completely fit the slot. As you can see in the sample image below, there is a part of the upper and lower area of the image cropped off to make the image fit the slot completely.

Stretch to fit full slots: With this method, IDimager will stretch the image so that it completely fits the slot. That means it may have to change the image ratio which may lead to distorted images. The stretch method is generally not recommended, unless you really have a need for it.

Copies per image

Here you can specify the number of copies of each image that you'd like to print in the template. There is a check mark and when that is check then IDimager will print the same number of copied of each image as there are slots available in the template. In other words, one image will be printed in each slot so you'll get one page per image.

Add a frame to each image

Use this option to add a light gray frame around every slot in the template. You could use that if you need to cut out the images after printing.


The Options

IDimager is highly configurable. So many photographers, so many different workflows. That makes that a management tool needs many options to support different behaviours for different people. Examples are: the appearance of the thumbnails, the default configuration items for slide shows, or the preferences for the catalog. All the pre-configurations can be defined by using the options. To define your options, select Tools | Options from the main menu.

The options are grouped in categories.


General options

Basic General Options

Ask for confirm before deleting images

Select this option if you want IDimager to ask you for confirmation before deleting images. It is recommended to deselect this option only if you have enabled “Deleted images go to the windows recycle bin”.

Deleted images go to the Windows Recycle Bin

Select this option if you want IDimager to move deleted images to the Windows Recycle Bin. With this option disabled, IDimager will permanently delete the files from the file system

Use animations when opening forms

Deselect this option if you do not want the forms to use fading effects when opening them.

JPG Publish Quality

Enter the image quality for JPG and JPEG images. This quality will be used to publish thumbnails to the web, images to the web and e-mails. The higher the value, the better the quality, but the bigger the size. 85% means 85% quality and 15% compression.

JPG Save Quality

Enter the image quality for JPG and JPEG images. This quality will be used to save edited or manipulated JPG images. This value does not effect the publish quality. Those two quality setting are separated because often people like to save images in high quality, but publish in a lower quality. The higher the value, the better the quality, but the bigger the size. 85% means 85% quality and 15% compression.

Set this value to Custom and the slide bar behind this field will appear, allowing you to select any value between 0% and 100% quality.

Remark: Digital Cameras use around 97% quality to store their images in a Fine quality.

Default Sort Order

Select the sort order you want to be used as the default sort order for collections that have not been visited before.

Measurement System

Choose between English and Metrics. This setting is used by the printer-feature to interpret sizes as inches (English) or as cm (Metrics).

GUI Language

Select your preferred language. Options displayed are the available language packs, currently installed. By default IDimager comes with translations for English, Dutch, German, and Russian.

Advanced General Options

When opening a panel from the left Explorer Bar then all opened panels should close

Select this option if you want to close all opened panel when you open a new panel from the left tab menu. If you deselect this option, every opened panel will be added to the left of the existing opened panels.

Hide floating panels when IDimager is not active

By default, IDimager will still display floating panels when you switch to another application. By switching this option ON, IDimager will also hide the floating panels when the application is deactivated. When IDimager is activated again, IDimager will display the floating panels again.

Clean panel opening for the explorers (fixed size opening)

By enabling this option, IDimager will use a fixed width for the panels from the left Explorer bar. The width can be customized to a predefined setting. Using this option prevents the thumb area to be resized each time you open a new panel from the left explorer bar, which can give a nervous impression.

Launch Downloader when a new device arrives

With this option enabled, IDimager will prompt you to start the Downloader when you attach a new imaging device to your computer.

Allow embedded meta writing for RAW images

By default IDimager will not store meta information inside RAW image formats. Although this is possible for some RAW formats, it is not officially supported by the format and may cause your RAW converter to fail reading the results. Try first if your RAW converter is smart enough to work with modified RAW files using a copy of your RAW file before permanently enabling this option.

Note; When enabled, IDimager can write embedded metadata to the RAW formats: NEF, ORF, CR2, and PEF. For all other RAW formats, IDimager will write metadata to a XMP sidecar file.

At all times, IDimager will write embedded metadata to the formats: JPG, TIF, DNG, PSD, and PSB

Use Quick Rotation (XMP/Exif tag rotation only)

When Quick rotation is enabled, IDimager will not rate the full image data, but only the orientation tag. Since IDimager is fully orientation-aware, that provides a much quicker rotation method and also prevents unneeded altering of your file.

With Quick rotation disabled, IDimager will try to rotate the full content of the image. For JPG images that is done lossless, meaning there is no quality loss due to recompression.

Non-savable image formats (like RAWs) will always be rotated in Quick mode, regardless of this setting.

Recursive read levels for sub folders

IDimager will display the image on a folder thumbnail. This image is read from the folder itself. when a folder does not contain images, you can tell IDimager to scan a number of levels down in sub folder to search for an image to display on the folder. By default IDimager will look one level down the folder hierarchy.

Image Process Limit

This option defines the size of images that you want IDimager to process. If the application encounters a file that is larger than this setting, IDimager will not load the file and will also not create thumbnails. The images will then be identified by the system's file type icon. These images can still be processed in IDimager (IDimager allows you to label, rate, etc).

Status bar text content

When a thumbnail is selected in the Collection Viewer, the status bar displays some basic information about that image. By clicking the button you will be able to design the text that should appear in the status bar.

The design uses the mini-HTML editor and you'll be able to use HTML capabilities, in combination with macro commands.

Temporary File Folder

Select the folder where IDimager should store its temporary used files. IDimager will always try to clean up the temporary files created.

Preferred Media Root Folder

Select any folder you would like to set as the top folder in the Media Explorer. Use this when you typically work with a single root folder which contains all your images

Preferred Media Startup Folder

Select any folder you would like to point the Media Explorer to when IDimager starts up.

Show “Up” folder in Media Explorer

Select this option if you want IDimager to display a folder thumbnail for the higher leveled folder when browsing folder collections using the Media Explorer.

“Save As” mask when re-saving

Here you can construct a file rename mask that should be suggested as the default when you save an image using the “Save As” command.

“Save As” images should be stored as “album display version”

Select this option if you want IDimager to automatically store your edited images as the “album display version” of the original edited image. If this option is de selected, then IDimager will store the edited image as a normal sub-version of the original.

XMP Sync Settings

Automatically sync files in your Watch Folders that are changed outside IDimager

When you are using a 3rd party application to make changes to your image's metadata then you'll need to resyc those in IDimager. When you enable this option, IDimager will automatically re-import the changes to the catalog as soon as it detects the change on the file system. Keep in mind that this will only happen for images that are currently in-sync in the catalog. This is to prevent the auto-import to overwrite your changes in the database which are not synced to the image file yet.

Automatically write all changes out to XMP

Select this option if you want IDimager to automatically add selected labels to the XMP properties of the image (this will also be mapped to IPTC). This may be time consuming because every time you assign labels, IDimager needs to update the meta information inside the photo file. You can also use the Catalog Manager (Tools -> Catalog Manager) to write all labels for the entire catalog.

Tip; when using this option, the Stamper feature may be a handy tool for you

Allow extensive meta searching by storing properties as database records

IDimager supports extensive meta data searching, meaning you can design combined search queries that find your images based on the explicit information that you need. For example combine Exif info with entered detail information. IDimager is able to to do because it stores every property as individual records in the database.

When you deselect this option, IDimager will no longer store these individual records making it perform faster. But on the other hand, it will no longer allow you to design extensive search operations. If you are not interested in searching meta data (e.g. with the quick search bar in the right upper corner, or with Ctrl+F), then deselect this option.

After switching away from extensive searching your database will still contain all records that were created earlier. Then after you compact your database (Tools -> Catalog Manager -> Maintenance), all these records will be removed decreasing your database size.

Store Catalog Info to XMP/IPTC behavior:

Keyword processing

Do not modify keywords

Select this option if you don't want to store all assigned catalog labels for an image as metadata keywords

Merge catalog labels with keywords

Select this option if you want to add all catalog labels that are not yet available as keywords to the metadata

Replace keywords with catalog labels

Select this option if you want IDimager to be fully leading. Your existing metadata keywords will be replaced by all assigned catalog labels

Write delimited keywords

With this option checked, IDimager will write keywords in the hierarchical notation, meaning that the hierarchy for the assigned keyword will be added with a delimiter character that you can specify yourself; e.g. the "period" as delimiter gives you Events.Birthdays.Children

With this option unchecked, IDimager will only write the name of the assigned keyword, without the hierarchy; e.g. Children

Always write Lightroom hierarchical keywords

Adobe Lightroom(tm) writes hierarchical keywords apart from normal keywords. For a better integration with Lightroom, IDimager offers this option and when this option is enabled, IDimager will always write Lightroom hierarchical keywords. The delimiter setting mentioned earlier are for your normal keywords and have no influence on the Lightroom keywords. Lightroom always uses the pipe | character as the delimiter.

Also include all parent level labels as keywords

With this option disabled, IDimager will store the lowest leveled assigned catalog label as a keyword in your image. E.g. an image has a label "John" assigned in the hierarchy Persons -> Family -> John. Now when you store your catalog info to the image, IDimager will create a single keyword "John".

When you enable this option, you are telling IDimager that you want all higher leveled labels to be stored as keywords also. So for the sample above; even though there is only 1 catalog label assigned, IDimager will also create keywords for the parent levels.Assigned label "John" in the hierarchy Persons -> Family -> John. Now when you store your catalog info to the image, IDimager will create a keywords "Family" and "John". The top category is not stored as a keyword; in this case Persons.

Store only catalog category

Here you can select any one of the top level catalog categories that should be stored as keywords. This way you can control which catalog labels are mapped to metadata keywords.

Write catalog label structure to IDimager ICS schema

The ICS schema (IDimager Core Schema) is an XMP schema that is specific for IDImager and if you decide to write the ICS schema, IDimager will store all its specific catalog info in there. These include version info and label hierarchies. By writing the ICS schema, you will have a way of reconstructing your full catalog based on the embedded metadata.

Only update out-of-sync images

Out-of-sync images are images where the ICS schema is not yet been written for. In other words, when an image is out-of-sync, IDimager can not guarantee that it will be able to reconstruct your catalog based on the embedded metadata. Out-of-sync images are recognizable by the orange cube icon on the thumbnails, while in-sync images have a green cube icon.

With this option enabled, IDimager will only process the out-of-sync images when using Ctrl+F12 on a series of selected thumbnails. That will prevent updating the metadata for images that are already complete.

.

Store constructed XMP to the database only

When you use IDimager to store catalog information to XMP (Ctrl+F12), then IDimager will create a XMP block for the image and store that block to the database as well as to the image. Meaning that after using the Ctrl+F12 feature, your image will become in-sync.

When you select this option IDimager will construct the XMP block and store it to the database only. That means that after this, you will not see the XMP information in 3rd party applications. This allows for a faster workflow, where you use a feature afterwards to find out-of-sync images and dump the XMP from the database to the images. This is done with Shift+F12.

Store synonyms as keywords too

By enabling this option IDimager will also write out every synonym for ever assigned catalog to the meta keywords.

E.g. an image has one catalog label assigned called "Automobile" and this catalog labels also uses the synonyms "Auto" and "Car". Then with this option enables you will have 3 keywords after synchronization: Automobile, Auto and Car. With this option disabled then only one keywords will be written: Automobile.

Store keywords in alphabetical order

Use this option to have you keywords sorted before written to the metadata. This is generally not recommended when you send out images to imaging stock sites. The sites often prioritize the keywords and they consider the first keyword more important than the second one. With sorted keywords you undermine that concept. But if you never send out keywords to stock services or other agencies, then feel free to use this option.

Read XMP/IPTC to Catalog behavior:

Always convert IPTC keywords to XMP first

Normally IDimager will only convert IPTC keywords to XMP when there is no pre-existing XMP in your image. But if you use with 3rd party tools and these don't support XMP then you can use this option to force IDimager to always check your IPTC keywords first.

Keyword processing

Do not process keywords to catalog

Select this option if you don't want to read existing metadata keywords as IDimager catalog labels.

Merge keywords with existing catalog labels

Select this option if you want to migrate all metadata keywords to catalog labels if they don't exist yet.

Replace catalog labels with existing keywords

Select this option if you want your metadata keywords to be fully leading. Your existing catalog labels will be removed and then new catalog labels will be created for each existing keyword

Store keywords in

Here you can select any one of the top level catalog categories where the keywords that are migrated to the catalog should be created in. This way you can control which catalog labels are mapped to metadata keywords.

Map delimited keywords to hierarchical label structure

With this option checked, IDimager will create catalog labels based on the existing delimited keywords. That means that after creating a catalog label, it will be created in the hierarchy of the delimited keywords. e.g. a keyword Events.Birthdays.Children will be created as "Events" -> "Birthdays" -> "Children"

With this option unchecked, IDimager will not map delimited keywords and just create one label per keyword named with the name of the full metadata keyword.

Lightroom keywords only

Adobe Lightroom(tm) writes hierarchical keywords apart from normal keywords. For a better integration with Lightroom, IDimager offers this option and when this option is enabled, IDimager will only read the Lightroom hierarchical keywords and ignore the normal keywords.

Read IDimager ICS schema if available

The ICS schema (IDimager Core Schema) is an XMP schema that is specific for IDImager and if you decide to write the ICS schema, IDimager will store all its specific catalog info in there. These include version info and label hierarchies. By writing the ICS schema, you will have a way of reconstructing your full catalog based on the embedded metadata.

With this option checked, IDimager will process the ICS schema if found and recreate all catalog info based on the content of the ICS schema. It is not recommended to enable this option unless you need to.

IPTC/Exif encoding method

Here you can specify how the IPTC data is written to your files. Option are

ANSI

UTF-8

Unicoded

You will get the best interoperability with other tools by using the ANSI method. However, in ANSI you can not store special/international characters. The UTF-8 and Unicode methods do. Most modern metadata tools support UTF-8 encoding which is why IDimager uses that as its default.


Image Viewing Options

This options category defined how the image viewer behaves.

Basic Viewing Options

Images are opened in...

Here you can select how the image should be opened once you double click on a thumbnail. Valid options are: "Image Editor" and "Full Screen Viewer".

By selecting Image Editor (the default), IDimager will open the image in the Image Editor/Viewer and allows you to make changes, switch zoom level, switch to full screen, and much more.

By selecting Full Screen Viewer, IDimager will open the image in full screen mode. This mode is actually a single image in the Light Table, switch to full screen. This will give you all advantages of the Light Table too.

Dynamic switching; No matter which option you selected above, you can always hold down the [Shift] key and then double click to get the alternative option. Example; you have selected the "Full Screen Viewer" as you image opening mode. This means that you can double click on a thumbnail and open that image in the Full Screen mode. However, if you hold down [Shift] and double click on the thumbnail, it will be opened in the Image Editor/Viewer. Evidently this also applies when you select the Image Editor as your default mode. In that case a double click will open in the Editor and [Shift]+Double Click will open the image in the full screen mode.

Image Viewer Background Color

Specify the color that should be used as the background color in the Image Viewer (opened image).

Image viewer optimized for

Choices are Best Speed or High Quality

Best Speed: Use this setting for the best speed when browsing through your images in the Image Viewer. The downside is that display quality is compromised for speed.

High Quality: Use this setting for the best possible quality in the Image Viewer. The downside is that it is slower to browse through images.

Mouse Wheel Behavior in Image Viewer

Here you can specify how the scroll mouse should behave when used in the Image Viewer. Valid options are "Zoom In/Zoom out" and "Skip Image (Browse)".

If you want the mouse scroll behavior to act reversed compared to the default behavior, make sure you select the option “inverted”.

Advanced Viewing Options

Use read-ahead technology

Select this option if you want the image viewer to read the next image at the background when navigating through full screen images.

Use embedded previews for RAW files

By selecting this option IDimager will try to read embedded images for your RAW files. If an embedded image is found, this is presented to you in the Image Viewer. If no embedded image is found, the image will be converted using the integrated RAW converter (DCRAW engine). Enabling this option will improve your working speed for RAW images.

Open RAW images according to the Exif orientation flag

Select this option if you want IDimager to rotate the RAW files based on the Exif orientation flag (portrait of landscape).

Open non-RAW images according to the Exif orientation flag

Select this option if you want IDimager to rotate the non-RAW files based on the Exif orientation flag (portrait of landscape) if available.

Use anti-aliased (enhanced) image viewing

Select this option if you would like to apply anti-aliasing to images that are opened in the Image Viewer.

View images sharpened in the Image Viewer

Select this option if you want to apply additional sharpening in the Image Viewer. Enabling this option slows the Image Viewer down. You can also apply sharpening in the Image Viewer manually by pressing the keyboard shortcut [Ctrl]+[Q] while viewing an image.

With this option enabled, you can define the level of sharpening that should be applied to images when they are displayed in the Image Viewer.

Span the Light Table over dual monitors is available

When your configuration is equipped with a dual monitor setup then you can specify that the Light Table should be spanned over both monitors.

With this setting disabled then IDimager will use your primary monitor for the Light Table which you can optinally position on either monitor. With this setting enabled, the Light Table will use both monitors and treat it as one single large monitor. The best experience is achieved when you dual monitors both share the same resolution.

Image Preview Size

Specify the size of the preview image if that panel is opened.

Store previews in database

This option is only available in the Professional Edition.

Select this option if you want IDimager to maintain small sized versions of your images and keep those in the database. With this option switched on, the thumb building process will be slowed down (about 2 times). That is because during that phase IDimager will build and store the thumb as well as the preview image.

The advantage of using this option is that it can drastically speed up your work flow. Loading images to the preview panel is very fast which allows you to rate your images quickly by navigating through the thumbnails with the preview panel opened. Another advantage of using this option is that it allows you to show sharper thumbnails when you "upscale" the collection viewer to a value over 100%. In that case, IDimager will load the preview image to create a very sharp thumbnail, where if there is no stored preview the thumbnail will be scaled which always results in a low quality thumbnail.

Image preview quality

Here you can specify in what JPG compression quality the previews should be stored. It is recommended to keep this at 85%. That gives a good quality preview while the file size if not too big.

The higher this value, the larger the preview images's file size will be.

Image preview sub-text

By clicking the button you will be able to design the text that should appear below the image preview in the Preview panel (opened by opening that panel in the left tab menu).

The design uses the mini-HTML editor and you'll be able to use HTML capabilities, in combination with macro commands.

Default Crop Grid Rule

When an image is opened in the Image Viewer and you then activate the crop tool then the crop selection rectangle can be divided using several rules:

Rule of Thirds: The rectangle is divided into 3 equally sized parts

Golden Rule: The rectangle is divided into 3 parts based on the golden rule (golden ratio = Phi)

Image statusbar text content

The Image Viewer/Editor also has a status bar of its own. here you can configure what info should be contained on the bar.

By clicking the button you will be able to design the text that should appear in the status bar.

The design uses the mini-HTML editor and you'll be able to use HTML capabilities, in combination with macro commands.

Image Viewer info text

In the Image Viewer/Editor you can press the i-key [i] on your keyboard to display information about the image. This option allows you to configure what is displayed in the info box.


Thumbs Options

By using this options category sheet you can configure how the thumbnails should behave and look.

Basic Thumbs Options

Thumb size

Select the size in pixels you want your thumbnails to be. Available predefined options are: Small, Normal, Large and Very Large; respectively. 80, 100, 120, 180 pixels.

You can set any custom value by entering it in the input box behind the selection field. The thumb size can be specified between 30 and 1000 pixels. Keep in mind that specifying a value above 160 will slow the thumbnail building process down. This is because IDimager uses existing Exif thumbnails first. Those thumbnails are normally sized at 160 pixels. If a larger value is specified, IDimager will have to open the full image in order to build a thumbnail for it. That is slower.

After changing the thumb size, you may need to refresh the thumbnails in the Collection Viewer by pressing [Ctrl]+[T] once you closed the options dialog.

Thumb Quality

Here you can set the quality of the thumbnails. Thumbnails are stored and displayed by IDimager as JPG images. This setting determines the storage quality of the thumbnails. A larger value will result in a larger catalog.

Show image info when placing the mouse over a thumbnail

Select the option if you want IDimager to show you information about the image in a popup window once you hover the mouse over a thumbnail.

Once you enable this option, you can click the title of this box to open the mini-HTML editor. This editor allows you to design the text you'd like to be displayed in the info box.

The mini-HTML editor allows you to use macro commands. By right clicking in the mini-HTML editor's entry field, you can lookup the different available commands.

The mini-HTML editor also allow you to enter inline scripts. These are custom pieces of application code that can be entered between %code and %/code commands.

Advanced Thumbs Options

Use quick reading for JPG images when possible

By enabling this option, IDimager will first try to read the Exif thumbnail which will improve the thumb building speed. It is highly recommended to use this option. However, when you are using "stored previews" (see option setting Image Viewing | Advanced) then this setting is less relevant since IDimager will first create the preview from the full image and then downsize that further to create the thumbnail.

Show a preview when the mouse is paused over the preview indicator

Select this option if you want IDimager to show you a larger preview when you hover the mouse over the preview indicator on the thumbnail (the magnifying glass)

Create thumbnails according to the Exif orientation

Many camera models store the image orientation inside the Exif information (portrait, landscape). IDimager can use this information to present thumbnails in the correct orientation.

Display Hover-hotspots

You may have noticed already that when you hover the mouse over a thumbnail that a few extra selectable icons appear (like rotation buttons, the bookmark icon, and the XMP sync icon). These can be switched off by de-selecting this option.

Use ThumbSpot™ technology

When this option is enabled, IDimager will always return all thumbs at once, even for (very) large collection. It is slower because all thumbs will be loaded to memory before it presents you with the results. The advantage is that you don’t have to wait for all thumbs to be drawn.

With ThumbSpot switched OFF, IDimager will read the thumbnails for the visual area only and as you scroll down and new thumbs appear, those will be loaded when needed.

With ThumbSpot switched ON, IDimager will read all thumbnails (on the spot).

If you work with smaller collections only (< a few hundred) then ThumbSpot reading may offer better performance experience, though in the end it shouldn't matter.

Buffer thumbnails to catalog

Enable this option if you want IDimager to keep thumbnails in the catalog. This will improve thumb performance if you revisit the collection. Usage is highly recommended.

Concurrent Thumb Reader threads

Only available when more than one processor is available (or more than one processor core).

IDimager can utilize your multiple processors/cores to build thumbnails. If you have multiple cores in your system then you can scale this setting up. Typically you would use 2 threads per processor core. For a dual core system you could set this to 4. Then 4 readers will work at the same time to build your thumbnails.

Feel free to experiment with a higher value and check how IDimager's thumb building goes (press Ctrl+T to rebuild thumbs in the threads). If you see little changes in processing time then lower the setting again, only to find the optimal setting for your configuration.

Thumb Cache Size

Specify how many images should be cached to internal memory. The higher this value, the faster IDimager will be able to repaint your thumbnails the second time it needs to be (re)painted.

By default this value is set to 810. Depending on the amount of memory installed in your system you could raise this number. For instance, with 1GB internal memory installed you could raise it up to 2000. Raising this value will increase the memory requirement/usage for IDimager because it will need more memory to maintain the thumbnail cache.

Layout Thumb Options

Thumb Height Ratio | Here you can specify the ratio that the height of the thumbnail uses compared to the width. This setting is used when no custom information is painted on the thumbs. 0.5 = height equals half the width 1 = height equals width; 2 = height is twice the width
Thumb ratio with info | Here you can specify the ratio that the height of the thumbnail uses compared to the width. This setting is used when custom information needs to be painted on the thumbs.
Inner Thumb Spacing | Enter the number of pixels that should be maintained between the border of the thumb and the thumbnail image itself.
X Spacing | Enter the number of pixels that should be maintained between horizontal thumbnails
Y Spacing | Enter the number of pixels that should be maintained between vertical thumbnails
Thumb Border Style | Select the type of border you like for your non-selected thumbnails. Options are: rounded, square, circular and none.
Selected Thumb Border Style | Select the type of border you like for your selected thumbnails. Options are: rounded, square, circular and none.
Frame thumbnails | Enable this option if you want IDimager to draw a fine line around the thumbnail. This is useful when you select no border-style
Outer frame thumbnails | Enable this option if you want IDimager to draw a fine square frame around the entire image area of the thumbnail. This is useful when you select no border-style
Thumb Bookmarked Color | Specify the color that you want to use for the bookmark indicator (a frame around the thumbnail image for a bookmarked image). Fyi; you can bookmark thumbnails in IDimager by pressing [Ctrl]+[Space]
Star color on colored images | Select the color that should be used for the rating-star icons on the thumbnail when a color label is active
Star color on non-colored images | Select the color that should be used for the rating-star icons on the thumbnail without any color label
Star color on selected non-colored images | Select the color that should be used for the rating-star icons on the thumbnail without any color label and when the thumbnail is selected
Show menu indicator on thumbs Show quick assignment indicator Show catalog indicator Show preview indicator Show versioning indicator Show online/offline indicator Show speaker indicator | Each of these will toggle the corresponding icon on the thumbnail.
Show photo date on thumbs | Enable this option to display the image’s date above every thumbnail. The date is extracted from Exif and if no Exif is available, it will show the file's last modified date.
Show catalog information | Select this option if you want to see some basic catalog information on the thumbnail. Enabling it will show the star ratings below the thumb’s image, it will show the color labels for that image, it will show versioning color bars below the thumbnails (yellow bar = main version; green bar = sub version; these colors can be changed in the Catalog tab of the options dialog).
Truncate thumb info if needed | With the next two options you can define custom information that should be displayed on the thumbnail. It may well be that this text exceeds the maximum available width of the area. This info can then be either clipped (truncated) or wrapped to a next line. With this option you control that behavior.
Show additional/custom info on the thumbs for selected image | Enable this option if you want IDimager to generate additional custom information on the selected thumb's area itself (below the thumb's picture). Once you select this option, the caption of this box becomes a hyperlink and when clicked, the mini-HTML editor as described above (see "Show info when placing the mouse over a thumb") is opened.
Show additional/custom info on the thumbs for unselected image | Enable this option if you want IDimager to generate additional custom information on the unselected thumb's area itself (below the thumb's picture). Once you select this option, the caption of this box becomes a hyperlink and when clicked, the mini-HTML editor as described above (see "Show info when placing the mouse over a thumb") is opened.
Thumbnail Caption Shows | Here you can select what information should be shown below the thumbnail. Valid options are: File Name: Display the file below the thumbnail None: Display no caption below the thumbnail


Slide Show Options

The slide show options are used as the default options when running a Quick Slide Show, or when adding new slides to the Slide Show Designer. Once added to the slide show, every option is customizable per slide from within the Slide Show Designer.

Basic Slide Show Options

Loop Slide Show | Select this option if you want the slide show to restart once it has reached the end.
Slide Show Speed | Enter the display time for the slide in seconds.
Slide Show Background Color | If a photo in the slide show uses a different aspect ratio then your screen uses, there will be bars either on top and bottom or left and right of the image. The color of these bars is filled with this background color.
Transition Effects | Select the transition effect type to be used.
Effect | If you have selected the transition effect type “I will specify what effect to use”, then you can select the effect here.
Effect Time | Enter the time that should be used for the effect. Use format minutes:seconds:milliseconds (mm:ss:zzz)

Advanced Slide Show Options

Show Captions | Select whether you want to display caption titles on the photo; for example the title or the description. After switching this option on, you can select the color, font and position.
Slide Shows are Time Critical | Time critical slide shows enable you to time the slide show. It makes sure that the time specified for the effect and for the total slide display time is guaranteed.
Crop slide images to fully fit the size | Select this option if you want every photo to be displayed full screen. If the ratio of the photo differs from the screen ratio, it will be cropped to fit full screen.
Manual slide changing | Select this option if you want the slide show to pause after every slide shown.
Enlarge smaller images to maximum display size | When you add images to a slide show of which the resolution is smaller than your display's resolution, then you can use this setting to determine if IDimager should upscale those images to the display resolution or not.
Quick Slide Show plays on Monitor | When your configuration is equipped with a dual monitor setup then you can use this setting to determine if slide shows should play on the first or second monitor.


Personal Info

Within IDimager it is possible to enter your personal info once and reuse it when publishing photos to the web or on slide shows. The internal e-mail client also uses this info to set the sender of the e-mail message.

Your Personal Data Options

Your name | Enter you name here
Your initials | Enter your initials here
Your e-mail address | Enter your e-mail address here. This field is also used in the tab sheet E-Mail when setting the e-mail client preference to the internal e-mail client.
Your web site | Enter your web site’s URL here
Your phone number | Enter your phone number here.
Your address | Enter your address here
Your company name | Optionally enter your company or business name here.
Your notes | Here you can enter any free text. If this text is used when publishing to the internet (template command %PersonalNotes), then this text will be included in the HTML code. If preferred, you can use HTML mark up codes within the text, which will be generated to the web pages also.

Email Options

Your e-mail address | Enter your e-mail address here. This e-mail address will be used as the sender-email address.
Use MAPI E-mail client / Use internal E-Mail client | Select MAPI e-mail client if you want to send your photos using the default –email client as installed on your system (outlook, …) Select internal email client if you want IDimager to fully handle e-mail sending.
SMTP Server Name | Enter the name of your SMTP server here. If you don’t know this name, please contact your internet service provider. Example: mail.planet.nl
SMTP Port | Enter the port for the SMTP server. Usually this would be 25 and only needs changing if your service provider uses a specific port. When in doubt, contact your internet service provider.
This SMTP server requires logon | Some SMTP servers are configured to log in. In most cases this won’t be required. If so, switch this option on and enter the user name and password in the fields that appear..
Test SMTP Settings | Once you have entered all fields, click this button to send out a test message. This message will be sent to your e-mail address as entered in the first field.


Catalog Options

This options category enables you to set your preferences for cataloging behaviour.

Basic Catalog Options

Show number of assigned images in the Catalog Explorer | When this option is switched on, then IDimager will display a counter next to the catalog label that displays the number of images that are assigned to that item.
Show thumbnails for catalog labels in the Catalog Explorer | When this option is switched on, you will be able to use an identifying thumbnail for your items in the catalog explorer. You can change the thumbnail by dragging any image over it.
Number of items in the “Last Used” section | Enter the number of catalog labels that your want to appear in the “last used items” section of the Catalog Explorer and Catalog Tree.

Advanced Catalog Options

Show items in sub groups when browsing the catalog

Select this option if you want IDimager to not only show images that belong to the selected catalog label, but also for all labels that are defined below the selected label. This may have major impact on the performance of the Catalog Explorer. Therefore it is recommended to switch this option off.

Show initially selected items as fully qualified in the catalog tree

When assigning tags to an image, the catalog tree is opened. The current selected labels will be displayed in a separate group. By selecting this option these initially selected labels will be displayed as a fully qualified reference, meaning that all higher labels will be displayed also.

Use double height items in the Catalog Explorer

By default each item in the Catalog Explorer uses one line of text. By enabling this option you get a second line. Double height items will claim more screen space.

Allow a double click in the Catalog Explorer to change collection while in assignment mode

When the catalog Explorer is in assignment mode ([F6]) then selecting a different label in the tree has no effect. When you enable this option you can always use a double click to change the collection anyway.

When copying images, store the copied image as a version of the original

When you copy images within IDimager, it can store the copy as a version of the original when you enable this option.

Main Version Bar Color

Sub Version Bar Color

By default IDimager shows thumbnails for main versions with a yellow bar below the image. Sub-versions get a green bar. Here you can customize these colors.

Selection Box position in Catalog Explorer

The Catalog Explorer displays selection boxes that you can use to create queries. This option allow you to place the selection boxes inline or at the far left.

left and inline:

Catalog version display type

When images are part of version sets the IDimager and the image is displayed in the Catalog Explorer, the IDimager will use the version that is stored in the Album display version place holder as the representing image for the set. That behaviour is controlled by this option. You can either choose the Album display version or the main version to represent a version set.

Catalog File Folder

IDimager Personal and Pro-SQLServer only;

Select the location where you wish to store your catalog. This folder will also contain your thumbnails.

When changing image details, handle versions as

IDimager Pro only;

Here you can specify how IDimager should act if you change ratings or color labels for images that are part of a version set.

Don't apply to version: Select this option if you don't want IDimager to change any of the other ratings/color labels within the version set

Apply ratings and color labels to all images in version set: Select this option if you want the newly assigned rating and/or color label to be assigned to every other image inside the stack (main+sub versions)

Apply only ratings to all images in version set: Select this option if you only want the newly assigned rating to be assigned to every other image inside the stack. Color labels will not be migrated to other images.

Apply only color labels to all images in version set: Select this option if you only want the newly assigned color label to be assigned to every other image inside the stack. Ratings will not be migrated to other images.

Auto add images as uncataloged for the following folders

Here you can specify which folders should be watched by IDimager for the catalog. If you add a folder here, and in some way you access images from this folder that are still uncataloged, IDimager will place them in the uncataloged section of the catalog.

It is also possible to scan the watch folders for new images using the Catalog Explorer.


Color Management Options

This options category displays the preferences for color management features. IDimager can convert images over several installed color profiles which you can set here. There is a differentiation between “Monitor Settings” and “Printer Settings” both behave the same. For the manual, we'll only discuss the monitor settings.

Use ICC/ICM for monitor viewing

Select this option if you want IDimager to use color management when opening images in the Image Viewer. Selecting this option also allows you to use color management once you want to publish images to the web or you want to create slide shows.

Use ICC/ICM to create previews and/or thumbnails

Select this option if you find it important that your previews and thumbnails are generated with your monitor color profile.

Input Profile

This is where you select your own monitor profile (or printer profile for the Printer Settings tab). The monitor profile contains a calibrated color definition which is specific for your monitor. A monitor profile can be created using calibration software (like Adobe GammaTM) or by using monitor calibration hardware (like a Color Spider).

The input profile is generally ignored for images that also contain en embedded color profile or which are tagged with the correct profile. The Input profile is *only* used when no other profile information can be determined based for the image.

Rendering intent

Taken from LMCS documentation:

It's out of scope of this document to define the exact meaning of rendering intents. I will try to make a quick explanation here, but often the meaning of intents depends on the profile manufacturer.

Perceptual:

Hue hopefully maintained (but not required), lightness and saturation sacrificed to maintain the perceived color. White point changed to result in neutral grays. Intended for images.

Relative Colorimetric:

Within and outside gamut; same as Absolute Colorimetric. White point changed to result in neutral grays.

Saturation:

Hue and saturation maintained with lightness sacrificed to maintain saturation. White point changed to result in neutral grays. Intended for business graphics (make it colorful charts, graphs, overheads, ...)

Absolute Colorimetric:

Within the destination device gamut; hue, lightness and saturation are maintained. Outside the gamut; hue and lightness are maintained, saturation is sacrificed. White point for source and destination; unchanged. Intended for spot colors (Pantone, TruMatch, logo colors, ...)

Not all profiles do support all intents. If you specify an intent that the profile doesn't handle, lcms will select default intent instead. Usually perceptual. This will force to "look nice", no matter the intent is not the one really desired.

Black point compensation

The black point compensation feature does work in conjunction with relative colorimetric intent. Perceptual intent should make no difference, although it affects some profiles.

The mechanics are simple. BPC does scale full image across gray axis in order to accommodate the darkest tone origin media can render to darkest tone destination media can render. As such, BPC is primarily targeting CMYK.


Other Settings

Basic Other Settings

Color Label Definitions | Here you can enter the names that you want to use for each color label. This name is also stored to meta information.
Folder State Definitions | [IDimager Pro Only] Here you can enter the names that you want to use for each folder state color. These are used for Folder Marking
Non Image Formats | This is a list of file extensions that IDimager will show in the Collection Viewer, but which are not supported image formats. By adding non-image extensions you can manage any document using IDimager (including meta data etc).

Advanced Other Settings

On file collision use these settings

When you try to rename files and the same already exists on disk then there is a collision. Here you can specify how IDimager should adjust the new file name when such a collision exists.

In the sample above, 0-padded 3 digit number will be added with an underscore prefix. The number is increased while the file exists. For instance: if TEST.JPG already exists, then the file is TEST_001.JPG, but if that also exists it becomes TEST_002.JPG, and so on until the first next free number is found.

Specify 0 as the Number length to not use 0-padding.

For example: TEST.JPG already exist? Then the new file is named as TEST_001.JPG

Custom Sidecar File Definitions

IDimager Pro Only;

A sidecar file is a file that uses the same name as the original file but with a different file extension. IDimager allows you to define custom sidecar definitions so you are free to work with any type of sidecar file, while IDimager treats them as a single entity. This applies to: backups them together, copy/move/delete them together, etc.

File Associations Options

You can set IDimager as the default application to open several supported image formats from within Windows. By attaching a file type to IDimager you can open the image by double clicking it in Windows Explorer. IDimager will then be started and the photo is opened in the Image Viewer.

Within this page there is a list of all supported image formats. Behind every format you can see which application is associated with it. You can set a specific format to IDimager by clicking the selection box in front of it. Every format that is associated with IDimager will have the mark set. By de selecting the mark, IDimager will associate the format back to the application that was associated to it before you associated it with IDimager. This means you can always go back.


Annex A - Keyboard Shortcuts

IDimager uses many shortcuts to provide quick access to common features.

Generic shortcuts:

Alt+F1 | Activate the Gallery Explorer
Alt+F2 | Activate the Media Explorer
Alt+F3 | Activate the Catalog Explorer
Alt+S | Toggle Search Results
Ctrl+Alt+X | IDimager-Pro Only: Duplicate (clone) the current search results as a new Fast Collection
Ctrl+I | Start the Camera Wizard
Ctrl+H | Start publishing the currently open collection
Ctrl+Alt+H | Start publishing the currently active gallery
Ctrl+Shift+H | Start publishing the currently opened album
F11 | Start a quick slide show for the selected images
Ctrl+F11 | Start the slide show designer for the selected images
Ctrl+F12 | Bidirectional synchronization between catalog and XMP/IPTC (auto sync)
Ctrl+Shift+F12 | Store catalog info to XMP/IPTC for selected images
Ctrl+Alt+Right | Only for versioned images; Cascade the metadata over the version set using the selected image
Ctrl+Alt+F12 | Read catalog info from XMP for selected images
Ctrl+E | View Exif information for the selected image
Ctrl+Alt+I | View the histogram for the currently active image
F1 | Open help file
Ctrl+F | Search for meta information
Ctrl+S | Enter the quick search input
Ctrl+W | Toggle Multi Selection in Media Explorer
Ctrl+Shift+F | Search in catalog
Ctrl+Alt+A | Start Archiver feature for selected images
Ctrl+Alt+T | Open the template manager
Ctrl+Alt+C | Open the catalog manager
Ctrl+Alt+B | Open the burner application
Ctrl+Alt+O | Open the options dialog
Ctrl+Alt+S | Open the Slide Show Designer
Ctrl+Shift+B | Open the Batch Processor
Ctrl+Shift+S | Open the Script Manager

Within the Collection Viewer (thumbnails) the following shortcuts can be used:

Enter | Open the image in the Image Viewer
Ctrl+Enter | Open the image in your default application
Ctrl+Space | Bookmark the selected images
F2 | Change the title for the currently selected image or images
Ctrl+F2 | Rename the files for the selected images
Ctrl+F6 | Open quick label assignment menu
Shift+F6 | Open Quick Assignment panel and set input focus to the panel When the Quick Assignment panel is active, you can use Alt+N = select next image Alt+P = select previous image Alt+Shift+N = add next image to selection Alt+Shift+P = add previous image to selection
F3 | Open the zoom preview window
F4 | E-mail selected images
Ctrl+F4 | FTP selected images (upload to web server)
Ctrl+Alt+F4 | Transfer selected images to a separate folder
F5 | Refresh the collection’s content
F6 | Catalog the selected images
F7 | Open the version dialog for the selected image
Ctrl+Alt+V | Open the Version Detection Wizard and load it with selected images
Shift+Alt+V | Instant start the Version Detection Wizard to find versions within the active thumbnail selection
F8 | Rebuild the selected thumbnails
Ctrl+A | Select all thumbnails
Ctrl+D | Deselect all thumbnails
Ctrl+P | Print the selected thumbnails as contact sheet
Ctrl+U | Move up to the higher leveled collection (from sub to parent)
Del | Delete the selected thumbnails
Ctrl+Alt+H | Start publishing the selected images
Ctrl+Alt+R | Convert the selected images to the sRGB color space
Ctrl+Left | Replace the selected image one position to its left
Ctrl+Right | Replace the selected image one position to its right
Ctrl+Down | Replace the selected image one position down
Ctrl+Up | Replace the selected image one position up
Ctrl+Home | Replace the selected image to the first position
Ctrl+End | Replace the selected image to the last position
Ctrl+PgDn | Replace the selected image one page up
Ctrl+PgUp | Replace the selected image one page down
Ctrl+T | Refresh all thumbnails in the background
Ctrl+L or [ | Rotate selected images left
Ctrl+R or ] | Rotate selected images right
Ctrl+B | Add selected images to the Image Basket (Professional Edition Only)
Shift+Ctrl+B | Start the Batcher for all selected images
Shift+Ctrl+P | Copy the full file path filename of every selected thumbnail to clipboard
Shift+Ctrl+C | Copy the catalog labels for the selected thumbnails to clipboard
Shift+Ctrl+V | Paste the catalog labels from clipboard to the current selection of thumbnails
Ctrl+Alt+B | Add the selected images to the Burner
Alt+Enter | Open the image detail of the focused image
Ctrl+C | Copy selected images to clipboard
Ctrl+Q | Quick update the images in the collection. Use this option if you have updated images from the active collection in a third party tool; either to edit the image or to update the image's meta information (like with Adobe Bridge).
Ctrl+V | Paste images from clipboard
Ctrl+X | Cut the selected images to clipboard
Backspace | Move and load the higher leveled folder (media explorer) Return to Gallery Explorer (gallery explorer)
0 | Rate the selected images with a neutral (0-star) rating
1 | Rate the selected images with a 1-star rating
2 | Rate the selected images with a 2-star rating
3 | Rate the selected images with a 3-star rating
4 | Rate the selected images with a 4-star rating
5 | Rate the selected images with a 5-star rating
Ctrl+0 or / | Remove an existing color label for the selected images
Ctrl+1 or 6 | Assign the red color label to selected images
Ctrl+2 or 7 | Assign the yellow color label to selected images
Ctrl+3 or 8 | Assign the green color label to selected images
Ctrl+4 or 9 | Assign the blue color label to selected images
Ctrl+5 | Assign the purple color label to selected images

Within the Image Viewer (opened photo) the following shortcuts can be used:

Ctrl+Space or \ [backslash] | Bookmark the opened image
Ctrl+Shift+Enter | Reload the opened image, for example when edited in a third party application while opened
Ctrl+Shift+A | Activate the Area Tagging feature
Ctrl+Shift+E | Export an area tagged image to file (with area frames printed on it)
F4 | Email opened image
F6 | Catalog the opened image
Ctrl+S | Save the opened image
Alt+Z | Open the zoom window
Ctrl+Z | Undo the last change
Ctrl+Y | Redo the last change
Alt+F | Frame the opened image
Shift+S | Resize the opened image
Ctrl+Home | Move to the first image in the collection
Ctrl+End | Move to the last image in the collection
Ctrl+PgUp | Move to the previous image in the collection
Ctrl+PgDn | Move to the next image in the collection
Alt+Enter | View the image full screen
Ctrl+Alt+M | Toggle the bars
Ctrl+L or [ | Rotate image left
Ctrl+R or ] | Rotate image right
Ctrl+P | Print the opened image
Ctrl+Q | Toggle sharpened view
Ctrl+C | Copy the opened image or active selection to clipboard
Ctrl+V | Paste the image from clipboard or paste into selection (if active)
0 | Rate image as Neutral (0 star)
1 2 3 4 5 | Rate image as a 1 to 5 star image You can press just the keyboard key [1] to assign a 1 star rating 1 = 1 star 5 = 5 stars
Ctrl+0 or / | Color label as neutral (no colored label)
Ctrl+1 Ctrl+2 Ctrl+3 Ctrl+4 Ctrl+5 6 7 8 9 | Color labels can be changed with 6 to 9 or with Ctrl+0 to Ctrl+5 Change the color label for the image Ctrl+0 or forward slash=No label, Ctrl+1 or 6=Red, Ctrl+2 or 7=Yellow, Ctrl+3 or 8=Green, Ctrl+4 or 9=Blue, Ctrl+5 = Purple
= or numeric + | Zoom in
- or numeric - | Zoom out
PgUp | Move to the previous image in collection
PgDn | Move to the next image in collection
Alt+N | Move to next image in collection
Alt+P | Move to previous image from collection
Del | Delete the opened image
Backspace | Return to the Collection Viewer
S | Change mouse to Selection Mode
P | Change mouse to Pan Mode
F | Activate Fill Flash
L | Activate Auto Levels
E | Open Exif panel
H | Open Histogram panel
Q | Open Quick Assign panel
Ctrl+L or [ | Rotate image left
Ctrl+R or ] | Rotate image right
B | Activate Black/White conversion
C | Activate "Crop to existing ratio"
Alt+F | Activate Frame
Shift+C | Open Color Management settings for this image

While playing a slide show, the following shortcuts can be used:

Space bar | Pause or resume the slide show
Left | Skip to next slide
Right | Skip to previous slide
Home | Skip to first slide
End | Skip to last slide
M | Toggle music
P | Pause or resume the slide show
Esc | Stop the slide show

In the Light Table, the following shortcuts can be used:

Esc | Close the Light Table
Tab | Move focus to next box
Shift+Tab | Move focus to previous box
Ctrl+Space | Toggle Bookmark
P | Set cursor to panning mode
Z | View at 100%
A | Fit image in box
Alt+Z | Open/Close the Zoom Windows (loupe)
+ | Zoom In the image for the active box only
Ctrl++ | Zoom In all images in every box
- | Zoom out the image for the active box only
Ctrl+- | Zoom Out all images in every box
D | Dim the active box
X | Close the active box
N | Open a new box
Left | Change image in active box to the previous image
Right | Change image in active box to the next image
Shift+Left | Change all images in every box to the previous image
Shift+Right | Change all images in every box to the next image
Ctrl+Shift+Left | Change image in every box
Ctrl+Shift+Right | Change image in every box
Shift+C | Open Color Management settings for active box
Alt+Enter | Open image detail for active box
R | Toggle the rating bar for active box
Shift+R | Toggle the rating bar for every box
E | Display the Exif information for active box
Shift+E | Display the Exif information for every box
H | Display the histogram for active box
Shift+H | Display the histogram for every box
0 1 2 3 4 5 | Change rating for the active box 0 = no rating 1 = 1 star rating 2 = 2 stars rating 3 = 3 stars rating 4 = 4 stars rating 5 = 5 stars rating
Ctrl+0 Ctrl+1 Ctrl+2 Ctrl+3 Ctrl+4 Ctrl+5 | Change the color label for the active box Ctrl+0 = no color label Ctrl+1 = red Ctrl+2 = yellow Ctrl+3 = green Ctrl+4 = blue Ctrl+5 = purple
F1 | Toggle quick help info
Ctrl+Alt+1 Ctrl+Alt+2 Ctrl+Alt+3 . . Ctrl+Alt+9 Ctrl+Alt+0 | When in full screen mode (double click on a box) then use these shortcuts to instantly toggle to the box as specified by the number (0 = 10). You can not switch beyond the 10th image


Annex B - Command Line Startup Parameters

IDimager can be started from the command line with the following parameters:

-downloader | Starts IDimager and opens the Downloader on startup
-camwiz | Identical as -downloader Example: C:\Program Files\idPlanner Products\IDimager\IDimager.exe -camwiz Optionally enter a name of the download profile that should be started by separating it with a semi colon; Example: C:\Program Files\idPlanner Products\IDimager\IDimager.exe "-downloader:my profile"
-i <<script name>> | Start IDimager and run the script as specified. The script can either have the extension .psc (quick script) as .idscript (GUI script) Example: C:\Program Files\idPlanner Products\IDimager\IDimager.exe -i "C:\Script Files\MyScript.idscript"
-autoclose | Start IDimager and close it afterwards. The recommended way to use this is to start IDimager with other parameters so that the application is closed after the parameter is processed.
-a <<data files folder>> | IDimager will store all data files (like options file, custom XMP designs, etc) in the Windows local user's data folder (%appdata% under XP and %localappdata% under Vista). With this startup parameter you can change the folder that should be used. Once you set this parameter, IDimager will search for the data files in that folder. Example: C:\Program Files\idPlanner Products\IDimager\IDimager.exe -a "d:\my data folder"
-o <<options file>> | By default IDimager starts the application and will load the file Options.imb as you active option settings. With this parameter you will be able to start IDimager with different option settings by passing the options file to the command line. Example: C:\Program Files\idPlanner Products\IDimager\IDimager.exe -o "c:\My Settings\network options.imb"

Every parameter can be combined with other parameters. For example to close IDimager after running a script you could use this:

C:\Program Files\IDimager Products\IDimager\IDimager.exe -i c:\myscript.psc -autoclose

The Professional SQLServer Edition also allows you to enter the login details directly on the command line. That way you can bypass the login screen or easily start IDimager in Windows batch files.

-S <<SQLserver instance name>>

Specify the name of the SQLServer instance you want to connect to. By default this is .\SQLExpress

-D <<database name>>

Specify the name of the database within the SQLServer instance. By default this is IDimager

-U <<username>>

Specify the IDimager-username that should be used to login. The Professional Edition requires this to be admin

-P <<password>>

Specify the login password for the IDimager-username

-T <<thumbs folder>>

(optional) Specify the folder location for the thumbnails database

-TD

Specify the name of the database within the SQLServer instance . By default this is idimagerthumbs

By default IDimager uses a SQLite database to store the thumbnails (even in Pro-SQLServer). However, it is possible to use a SQLServer version of the thumbnails database.

The requirement is that the SQLserver thumbnail database is created within the same SQLServer instance that also hosts your IDimager database.

To create new SQLServer based database, then download and run the file SQLServerThumbs.sql in your SQLServer console. First check the file paths in this script to make sure they are configured in the way you want it to be. Find the SQLServerThumbs.sql file in the sub folder ...\IDimager\Tools\others

Only use this command line startup parameter after you have set up the thumbnail database

Example:

C:\Program Files\IDimager Products\IDimager\IDimager.exe -S .\SQLExpress -D IDimager -U admin -P master2004

The Professional Desktop Edition also allows you to enter the login details directly on the command line to bypass the login dialog.

-D <<database name>> | Specify the path and name of the SQLite database.
-U <<username>> | Specify the IDimager-username that should be used to login. The Professional Edition requires this to be admin
-P <<password>> | Specify the login password for the IDimager-username
-T <<thumbs folder>> | (optional) Specify the folder location for the thumbnail database

Example:

C:\Program Files\IDimager Products\IDimager\IDimager.exe -D "c:\IDimager Catalog\idimager.cat.db" -U admin -P master2004


Annex C - XMP to IPTC Mapping

This appendix describes how the XMP properties from the Image Details panels in IDimager map to IPTC/IIM ("classic" IPTC).

If you are not sure which XMP property a field on the Image Detail panels represent then you can hover the mouse over the field label in the image Detail panel and in the hint text you'll see the XMP property displayed.

XMP Property | Tag# | Hex# | Short / Full description
dc:creator | 80 | 0x0050 | ByLine / Artist/ByLine
dc:description | 120 | 0x0078 | ImageCaption / Image Caption
dc:rights | 116 | 0x0074 | Copyright / Copyright Notice
dc:subject | 25 | 0x0019 | Keywords / Keywords
dc:title | 5 | 0x0005 | ObjectName / Object Name
photoshop:AuthorsPosition | 85 | 0x0055 | ByLineTitle / ByLine Title
photoshop:CaptionWriter | 122 | 0x007A | ImageCaptionWriter / Image caption writer
photoshop:Category | 15 | 0x000F | Category / Category
photoshop:City | 90 | 0x005A | City / City
photoshop:Country | 101 | 0x0065 | LocationName / Country/Primary Location Name
photoshop:Credit | 110 | 0x006E | ImageCredit / Image Credit
photoshop:DateCreated | 55 | 0x0037 | DateCreated / Date Created
photoshop:Headline | 105 | 0x0069 | ImageHeadline / Image headline
photoshop:Instructions | 40 | 0x0028 | SpecialInstru / Special Instructions
photoshop:Source | 115 | 0x0073 | Source / Source
photoshop:State | 95 | 0x005F | State / Province/State
photoshop:SupplementalCategories | 20 | 0x0014 | SuppCategory / Supplemental Category
photoshop:TransmissionReference | 103 | 0x0067 | TransmissionRef / Original Transmission Reference
photoshop:Urgency | 10 | 0x000A | Urgency / Rating/Urgency
Iptc4xmpCore:CountryCode | 100 | 0x0064 | LocationCode / Country/Primary Location Code
Iptc4xmpCore:Location | 92 | 0x005C | SubLocation / Sublocation
Iptc4xmpCore:SubjectCode | 12 | 0x000C | SubRef / Sub Reference
mediapro:People | 118 | 0x0076 | Contacts / Contacts


Annex D - Macro Command Parameters

 Top Previous

IDimager supports so-called macro commands. Macro commands are variables that are replaced with their corresponding value when they are parsed. For example %FileName will be replaced with the actual file name of the image being processed. Macro commands can be used at several places in the application, for instance to rename files, to define a file name for the Downloader, in image captions, in frames, etc

Macro Commands can optionally be accompanied by parameters which allow you some control over what is returned. Parameters that accompany a macro command are places between accolade characters { }. Within the accolades you type the parameter with its value(s), separated by the equals sign. Some parameters allow multiple values and these can be separated by a comma. Multiple parameters can be separated by a semi colon.

An example would be: %FileName{left=5;UpperCase=Y} to return only the first 5 characters of the file name and return the result in upper case characters.

Parameters are not case sensitive.

This section describes the possible parameters.

Parameter

Values

Description

Example(s)

Left

n [Integer]

This will return the left [n] characters of the parsed value

%FileName{left=5}

Right

n [Integer]

This will return the right [n] characters of the parsed value

%xmp:dc:title{right=20}

Mid

s [Integer]

n [Integer]

This will return [n] characters of the parsed value, starting at position [s]

%FileName{mid=4,10}

Padd

n [Integer]

c [Char]

left [Constant]

This will return parsed value, padded to a specific length [n] using a specific character [c]. By default the value is padded to the right. Optionally add the left constant to pad to the left instead of to the right.

%xmp:dc:title{padd=50,x,left}

%xmp:dc:title{padd=50, }

Uppercase

y [Constant]

This will return the value in uppercase characters

%FileName{uppercase=Y}

Lowercase

y [Constant]

This will return the value in lowercase characters

%FileName{lowercase=Y}

Reverse

y [Constant]

This will return the reversed string of the parsed value

%FileName{reverse=y}

Replace

sub [String]

replacement [String]

CaseSensitive [Constant]

FirstOnly [Constant]

This will replace a specific sub string [sub] with a replacement string [replacement].

By default all occurrences of [sub] will be replaced, regardless the case and regardless of the number of occurrences.

Optionally specify if the replacement should be case sensitive [CaseSensitive]

Optionally specify if only the first occurrence should be replaced [FirstOnly] (default = all)

%xmp:dc:description{replace=Canon,Nikon}

%xmp:dc:description{replace=Canon,Nikon,CaseSensitive}

%xmp:dc:description{replace=Canon,Nikon,CaseSensitive,FirstOnly}

Trim

y [Constant]

This will return the parsed value without leading and trailing spaces

%FileName{trim=y}

Empty

s [String]

This will return the specified string [s] when the parsed value returns an empty value

%xmp:dc:description{empty=(no description)}

%xmp:dc:description{trim=y;empty=-none-}

Wrap

n [Integer]

This will wrap the parsed value to a specific number [n] of characters per line

%xmp:dc:description{wrap=30}

Trunc

n [Integer]

left [Constant]

This will break the parsed value at a specific length [n] and if the value is longer than [n] then the value is presented with a trailing or leading ... truncating identifier

Optionally you can use the [left] constant to define that the string should be truncated at the left instead of the default right

%FileName{trunc=15}

%FileName{trunc=15,left}

Word

n [Integer]

right [Constant]

separator [Constant]

This will return the [n]'th word of the parsed value.

You can specify the constant [right] to return the [n]'th word, starting from the right instead of from the left

By default the space character is used as the separator to tokenize the parsed value to words. Optionally specify a different [separator] as the third parameter.

%exif:Model{word=2}

%exif:Model(word=3,right}

%FileDirectoryName(word=1,right,\}

Some types of macro commands allow additional parameters which only apply to that kind.

%XMP Specific Parameters

These parameters only apply to XMP macro commands (starting with %xmp).

Parameter | Values | Description | Example(s)
Qualifier | s [String] | This parameter only applies to XMP properties of the Alt-type (multi language properties). You can pass the country code as a [s]. | %xmp:dc:description{qualifier=nl-nl} This will return the Dutch language qualifier for this property
Element | n [Integer] | This parameter only applies to XMP properties of the Bag, and Sequence types (list/array types). This will return the [n]'th element of the list/array | %xmp:dc:creator{element=3} This will return the 3rd element of the dc:creator property